<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, sQuestionText, iMsgBoardConfUnq, iMsgBoardThreadUnq, sAllowAnon
	Dim sStartDate, sEndDate, iQuestionUnq, iConfLevel
	Dim sStartDay, sStartMonth, sStartYear, sStartHour, sStartMinute
	Dim sEndDay, sEndMonth, sEndYear, sEndHour, sEndMinute
	
	Call DISP_Action("SB_ACCOUNTS_ADMIN_OPEN")
	Call DISP_Action("SB_ACCOUNTS_MANAGE_POLLS_EDIT")
	If ( ACCNT_AnyDomain("SB_P_EDIT") Or ACCNT_AnyDomain("SB_P_ADDANSWERS") Or ACCNT_AnyDomain("SB_P_DELANSWERS") Or ACCNT_AnyDomain("SB_P_EDITANSWERS") Or ACCNT_AnyDomain("SB_P_RESET")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("ACCT_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_ACCOUNTS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sTemp, rsDB
		
		sAction = Request("sAction")

		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_P_CREATE", "SB_P_DELETE", "SB_P_EDIT")
			If ( iDomainUnq = "" ) Then
				iDomainUnq = ACCNT_GetDomainW_Rights("SB_P_ADDANSWERS", "SB_P_DELANSWERS", "SB_P_EDITANSWERS")
				If ( iDomainUnq = "" ) Then
					iDomainUnq = ACCNT_GetDomainW_Rights("SB_P_RESET", "", "")
				End If
			End If
		End If
		iQuestionUnq = Trim(Request("iQuestionUnq"))

		Select Case sAction
			Case "UpdatePoll"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_P_CREATE", iDomainUnq)) And (NOT ACCNT_SpecificDomain("SB_P_DELETE", iDomainUnq)) And (NOT ACCNT_SpecificDomain("SB_P_EDIT", iDomainUnq)) And (NOT ACCNT_SpecificDomain("SB_P_ADDANSWERS", iDomainUnq)) And (NOT ACCNT_SpecificDomain("SB_P_DELANSWERS", iDomainUnq)) And (NOT ACCNT_SpecificDomain("SB_P_EDITANSWERS", iDomainUnq)) And (NOT ACCNT_SpecificDomain("SB_P_RESET", iDomainUnq)) Then
					' This checks to see if they only logged in with domain rights that they are only able
					'	to edit their domain -- even if they put another DomainUnq on the querystring or in a form they made themselves.
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					sQuestionText		= Trim(Request("sQuestionText"))
					sAllowAnon			= Trim(Request("sAllowAnon"))
					sStartDay			= Trim(Request("sStartDay"))
					sStartMonth			= Trim(Request("sStartMonth"))
					sStartYear			= Trim(Request("sStartYear"))
					sStartHour			= Trim(Request("sStartHour"))
					sStartMinute		= Trim(Request("sStartMinute"))
					sEndDay				= Trim(Request("sEndDay"))
					sEndMonth			= Trim(Request("sEndMonth"))
					sEndYear			= Trim(Request("sEndYear"))
					sEndHour			= Trim(Request("sEndHour"))
					sEndMinute			= Trim(Request("sEndMinute"))
					iMsgBoardConfUnq	= Trim(Request("iMsgBoardConfUnq"))
					iMsgBoardThreadUnq	= Trim(Request("iMsgBoardThreadUnq"))
					If (sQuestionText = "") Then
						sError = DOMAIN_Text("ACCOUNTS_POLLS_EDIT_ENTERQUEST")
					End If
					sStartDate	= CombineDate("Start")
					sEndDate	= CombineDate("End")
					If ( NOT IsDate(sStartDate) ) Or ( NOT IsDate(sEndDate) ) Then	' if they dont put in a year, the dates could be invalid
						sError = sError & DOMAIN_Text("ACCOUNTS_POLLS_EDIT_ENTERDATE")
					Else
						' if start date is after or equal to the end date, spawn an error
						'	If sStartDate refers to a later point in time than sEndDate, the DateDiff function returns a negative number
						If ( DateDiff("n", CDate(sStartDate), CDate(sEndDate)) <= 0 ) Then
							sError = sError & DOMAIN_Text("ACCOUNTS_POLLS_EDIT_INVALIDDATE")
						End If
					End If
					If ( NOT IsNumeric(iMsgBoardConfUnq) And ( iMsgBoardConfUnq <> "" ) ) Then
						sError = sError & DOMAIN_Text("ACCOUNTS_POLLS_EDIT_INVALIDCONFUNQ")
					End If
					If ( NOT IsNumeric(iMsgBoardThreadUnq) And ( iMsgBoardThreadUnq <> "" ) ) Then
						sError = sError & DOMAIN_Text("ACCOUNTS_POLLS_EDIT_INVALIDTHREADUNQ")
					End If
					If (sError = "") Then
						If ( sAllowAnon = "" ) Then
							sAllowAnon = "N"
						End If
						If ( iMsgBoardConfUnq = "" ) Then
							iMsgBoardConfUnq = "0"
						End If
						If ( iMsgBoardThreadUnq = "" ) Then
							iMsgBoardThreadUnq = "0"
						End If
						DBConnection.Execute "UPDATE PollQuestion SET QuestionText = '" & SQLEncode(sQuestionText) & "', MsgBoardConfUnq = " & iMsgBoardConfUnq & ", MsgBoardThreadUnq = " & iMsgBoardThreadUnq & ", DateStart = '" & sStartDate & "', DateEnd = '" & sEndDate & "', AllowAnon = '" & sAllowAnon & "' WHERE QuestionUnq = " & iQuestionUnq

						If ( Trim(Request("sOriginalQuestionText")) <> sQuestionText ) Then
							Call DOMAIN_Log(131, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "U", SQLEncode(sQuestionText), "")
						End If
						If ( Trim(Request("sOriginalDateStart")) <> sStartDate ) Then
							Call DOMAIN_Log(132, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "U", sStartDate, "")
						End If
						If ( Trim(Request("sOriginalDateEnd")) <> sEndDate ) Then
							Call DOMAIN_Log(133, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "U", sEndDate, "")
						End If
						If ( Trim(Request("sOriginalConfUnq")) <> iMsgBoardConfUnq ) Then
							Call DOMAIN_Log(134, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "U", iMsgBoardConfUnq, "")
						End If
						If ( Trim(Request("sOriginalThreadUnq")) <> iMsgBoardThreadUnq ) Then
							Call DOMAIN_Log(135, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "U", iMsgBoardThreadUnq, "")
						End If
						If ( Trim(Request("sOriginalAllowAnon")) <> sAllowAnon ) Then
							Call DOMAIN_Log(136, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "U", sAllowAnon, "")
						End If
						Call DOMAIN_Message(DOMAIN_Text("ACCOUNTS_POLLS_EDIT_SUCCESS"), "SUCCESS")
					End If
				End If
			Case Else
				If ( iQuestionUnq <> "" ) Then
					Set rsDB = CreateObject("ADODB.Recordset")
					rsDB.Open "SELECT * FROM PollQuestion WHERE QuestionUnq = " & iQuestionUnq, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsDB.EOF ) Then
						sQuestionText		= Trim(rsDB("QuestionText"))
						sAllowAnon			= Trim(rsDB("AllowAnon"))
						sStartDate			= CDate(Trim(rsDB("DateStart")))
						sEndDate			= CDate(Trim(rsDB("DateEnd")))
						sStartDay			= DatePart("d", sStartDate)
						sStartMonth			= DatePart("m", sStartDate)
						sStartYear			= DatePart("yyyy", sStartDate)
						sStartHour			= DatePart("h", sStartDate)
						sStartMinute		= DatePart("n", sStartDate)
						sEndDay				= DatePart("d", sEndDate)
						sEndMonth			= DatePart("m", sEndDate)
						sEndYear			= DatePart("yyyy", sEndDate)
						sEndHour			= DatePart("h", sEndDate)
						sEndMinute			= DatePart("n", sEndDate)
						iMsgBoardConfUnq	= Trim(rsDB("MsgBoardConfUnq"))
						iMsgBoardThreadUnq	= Trim(rsDB("MsgBoardThreadUnq"))
					End If
					rsDB.Close
					Set rsDB = Nothing
				End If
		End Select
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If

		If ( iQuestionUnq <> "" ) Then
			Call WriteForm()
		End If
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This returns the date all put together from the form fields.					*
	'*																					*
	'************************************************************************************
	Function CombineDate(sTemp)
		If ( sTemp = "Start" ) Then
			' use the start date form field variables
			CombineDate = sStartMonth & "/" & sStartDay & "/" & sStartYear & " " & sStartHour & ":" & sStartMinute
		Else
			CombineDate = sEndMonth & "/" & sEndDay & "/" & sEndYear & " " & sEndHour & ":" & sEndMinute
		End If
	End Function
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, rsDomain
		
		sBGColor = DOMAIN_Color("AccountsBGColor1")
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.EditPoll.sAction.value = sAction;
				document.EditPoll.submit();
			}
			
		</script>
		<form name='EditPoll' action='Edit.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "iQuestionUnq"
		aVariables(4) = "iDomainUnq"
		aValues(0) = "New"
		aValues(1) = Request("iTtlNumItems")
		aValues(2) = Request("iDBLoc")
		aValues(3) = iQuestionUnq
		aValues(4) = iDomainUnq
		Response.Write DOMAIN_Link("P")
		%>
		<input type='hidden' name='sOriginalQuestionText' value="<%=Server.HTMLEncode(sQuestionText)%>">
		<input type='hidden' name='sOriginalConfUnq' value='<%=iMsgBoardConfUnq%>'>
		<input type='hidden' name='sOriginalThreadUnq' value='<%=iMsgBoardThreadUnq%>'>
		<input type='hidden' name='sOriginalDateStart' value='<%=sStartDay%>'>
		<input type='hidden' name='sOriginalDateEnd' value='<%=sEndDate%>'>
		<input type='hidden' name='sOriginalAllowAnon' value='<%=sAllowAnon%>'>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("ACCOUNTS_POLLS_EDIT_HEADER")%></b></font>
					<br>
					<b><%=DOMAIN_Text("ACCOUNTS_POLLS_DOMAIN")%></b> <%=DOMAIN_Domain_Name(iDomainUnq)%>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("AccountsBorderColor1")%> align=center>
					<table cellpadding=5 width=671 cellspacing = 0 border = 0>
						<tr>
							<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%> colspan=2>
								<font color='<%=DOMAIN_Color("AccountsTextColor1")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_QUESTION")%>:</b></font><br>
								<input type='text' name='sQuestionText' value="<%=Server.HTMLEncode(sQuestionText)%>" size=85 maxlength=255>
							</td>
						</tr>
						<%If ( ACCNT_ReturnSystemUnq("MSGBOARD_SYSTEMUNQ") ) Then%>
						<tr>
							<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>>
								<font color='<%=DOMAIN_Color("AccountsTextColor1")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_CONFNUM")%></b></font>
								<%
								iConfLevel = 0
								Call DisplayMsgBoardDropDown()
								%>
							</td>
							<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>>
								<font color='<%=DOMAIN_Color("AccountsTextColor1")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_THREADNUM")%></b></font>
								<input type='text' name='iMsgBoardThreadUnq' value='<%=iMsgBoardThreadUnq%>' size=5 maxlength=5>
							</td>
						</tr>
						<%End If%>
						<tr>
							<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%> colspan=2>
								<font color='<%=DOMAIN_Color("AccountsTextColor1")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_ALLOWNONMMBRS")%></b></font>
								<input type='checkbox' name='sAllowAnon' value='Y' <%If ( sAllowAnon = "Y" ) Then Response.Write "Checked" End If%>>
							</td>
						</tr>
						<tr>
							<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%> colspan=2>
								<table>
									<tr>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>>&nbsp;</td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>><font color='<%=DOMAIN_Color("AccountsTextColor1")%>'><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_DAY")%></td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>><font color='<%=DOMAIN_Color("AccountsTextColor1")%>'><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_MONTH")%></td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>><font color='<%=DOMAIN_Color("AccountsTextColor1")%>'><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_YEAR")%></td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>><font color='<%=DOMAIN_Color("AccountsTextColor1")%>'><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_HOUR")%></td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>><font color='<%=DOMAIN_Color("AccountsTextColor1")%>'><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_MINUTE")%></td>
									</tr>
									<tr>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>><font color='<%=DOMAIN_Color("AccountsTextColor1")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_STARTDATE")%>:</td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>>
											<select name='sStartDay'>
												<option value='1' <%If ( sStartDay = "1" ) Then Response.Write "selected" End If%>>1</option>
												<option value='2' <%If ( sStartDay = "2" ) Then Response.Write "selected" End If%>>2</option>
												<option value='3' <%If ( sStartDay = "3" ) Then Response.Write "selected" End If%>>3</option>
												<option value='4' <%If ( sStartDay = "4" ) Then Response.Write "selected" End If%>>4</option>
												<option value='5' <%If ( sStartDay = "5" ) Then Response.Write "selected" End If%>>5</option>
												<option value='6' <%If ( sStartDay = "6" ) Then Response.Write "selected" End If%>>6</option>
												<option value='7' <%If ( sStartDay = "7" ) Then Response.Write "selected" End If%>>7</option>
												<option value='8' <%If ( sStartDay = "8" ) Then Response.Write "selected" End If%>>8</option>
												<option value='9' <%If ( sStartDay = "9" ) Then Response.Write "selected" End If%>>9</option>
												<option value='10' <%If ( sStartDay = "10" ) Then Response.Write "selected" End If%>>10</option>
												<option value='11' <%If ( sStartDay = "11" ) Then Response.Write "selected" End If%>>11</option>
												<option value='12' <%If ( sStartDay = "12" ) Then Response.Write "selected" End If%>>12</option>
												<option value='13' <%If ( sStartDay = "13" ) Then Response.Write "selected" End If%>>13</option>
												<option value='14' <%If ( sStartDay = "14" ) Then Response.Write "selected" End If%>>14</option>
												<option value='15' <%If ( sStartDay = "15" ) Then Response.Write "selected" End If%>>15</option>
												<option value='16' <%If ( sStartDay = "16" ) Then Response.Write "selected" End If%>>16</option>
												<option value='17' <%If ( sStartDay = "17" ) Then Response.Write "selected" End If%>>17</option>
												<option value='18' <%If ( sStartDay = "18" ) Then Response.Write "selected" End If%>>18</option>
												<option value='19' <%If ( sStartDay = "19" ) Then Response.Write "selected" End If%>>19</option>
												<option value='20' <%If ( sStartDay = "20" ) Then Response.Write "selected" End If%>>20</option>
												<option value='21' <%If ( sStartDay = "21" ) Then Response.Write "selected" End If%>>21</option>
												<option value='22' <%If ( sStartDay = "22" ) Then Response.Write "selected" End If%>>22</option>
												<option value='23' <%If ( sStartDay = "23" ) Then Response.Write "selected" End If%>>23</option>
												<option value='24' <%If ( sStartDay = "24" ) Then Response.Write "selected" End If%>>24</option>
												<option value='25' <%If ( sStartDay = "25" ) Then Response.Write "selected" End If%>>25</option>
												<option value='26' <%If ( sStartDay = "26" ) Then Response.Write "selected" End If%>>26</option>
												<option value='27' <%If ( sStartDay = "27" ) Then Response.Write "selected" End If%>>27</option>
												<option value='28' <%If ( sStartDay = "28" ) Then Response.Write "selected" End If%>>28</option>
												<option value='29' <%If ( sStartDay = "29" ) Then Response.Write "selected" End If%>>29</option>
												<option value='30' <%If ( sStartDay = "30" ) Then Response.Write "selected" End If%>>30</option>
												<option value='31' <%If ( sStartDay = "31" ) Then Response.Write "selected" End If%>>31</option>
											</select>
										</td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>>
											<select name='sStartMonth'>
												<option value='1' <%If ( sStartMonth = "1" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_JAN")%></option>
												<option value='2' <%If ( sStartMonth = "2" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_FEB")%></option>
												<option value='3' <%If ( sStartMonth = "3" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_MAR")%></option>
												<option value='4' <%If ( sStartMonth = "4" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_APR")%></option>
												<option value='5' <%If ( sStartMonth = "5" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_MAY")%></option>
												<option value='6' <%If ( sStartMonth = "6" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_JUN")%></option>
												<option value='7' <%If ( sStartMonth = "7" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_JUL")%></option>
												<option value='8' <%If ( sStartMonth = "8" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_AUG")%></option>
												<option value='9' <%If ( sStartMonth = "9" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_SEP")%></option>
												<option value='10' <%If ( sStartMonth = "10" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_OCT")%></option>
												<option value='11' <%If ( sStartMonth = "11" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_NOV")%></option>
												<option value='12' <%If ( sStartMonth = "12" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_DEC")%></option>
											</select>
										</td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>><input type='text' name='sStartYear' value='<%If ( sStartYear = "" ) Then Response.Write DatePart("yyyy", NOW) Else Response.Write sStartYear End If%>' size=4 maxlength=4></td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>>
											<select name='sStartHour'>
												<option value='1' <%If ( sStartHour = "1" ) Then Response.Write "selected" End If%>>1</option>
												<option value='2' <%If ( sStartHour = "2" ) Then Response.Write "selected" End If%>>2</option>
												<option value='3' <%If ( sStartHour = "3" ) Then Response.Write "selected" End If%>>3</option>
												<option value='4' <%If ( sStartHour = "4" ) Then Response.Write "selected" End If%>>4</option>
												<option value='5' <%If ( sStartHour = "5" ) Then Response.Write "selected" End If%>>5</option>
												<option value='6' <%If ( sStartHour = "6" ) Then Response.Write "selected" End If%>>6</option>
												<option value='7' <%If ( sStartHour = "7" ) Then Response.Write "selected" End If%>>7</option>
												<option value='8' <%If ( sStartHour = "8" ) Then Response.Write "selected" End If%>>8</option>
												<option value='9' <%If ( sStartHour = "9" ) Then Response.Write "selected" End If%>>9</option>
												<option value='10' <%If ( sStartHour = "10" ) Then Response.Write "selected" End If%>>10</option>
												<option value='11' <%If ( sStartHour = "11" ) Then Response.Write "selected" End If%>>11</option>
												<option value='12' <%If ( sStartHour = "12" ) Then Response.Write "selected" End If%>>12</option>
												<option value='13' <%If ( sStartHour = "13" ) Then Response.Write "selected" End If%>>13</option>
												<option value='14' <%If ( sStartHour = "14" ) Then Response.Write "selected" End If%>>14</option>
												<option value='15' <%If ( sStartHour = "15" ) Then Response.Write "selected" End If%>>15</option>
												<option value='16' <%If ( sStartHour = "16" ) Then Response.Write "selected" End If%>>16</option>
												<option value='17' <%If ( sStartHour = "17" ) Then Response.Write "selected" End If%>>17</option>
												<option value='18' <%If ( sStartHour = "18" ) Then Response.Write "selected" End If%>>18</option>
												<option value='19' <%If ( sStartHour = "19" ) Then Response.Write "selected" End If%>>19</option>
												<option value='20' <%If ( sStartHour = "20" ) Then Response.Write "selected" End If%>>20</option>
												<option value='21' <%If ( sStartHour = "21" ) Then Response.Write "selected" End If%>>21</option>
												<option value='22' <%If ( sStartHour = "22" ) Then Response.Write "selected" End If%>>22</option>
												<option value='23' <%If ( sStartHour = "23" ) Then Response.Write "selected" End If%>>23</option>
												<option value='24' <%If ( sStartHour = "24" ) Then Response.Write "selected" End If%>>24</option>
											</select>
										</td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>>
											<select name='sStartMinute'>
												<option value='1' <%If ( sStartMinute = "1" ) Then Response.Write "selected" End If%>>1</option>
												<option value='2' <%If ( sStartMinute = "2" ) Then Response.Write "selected" End If%>>2</option>
												<option value='3' <%If ( sStartMinute = "3" ) Then Response.Write "selected" End If%>>3</option>
												<option value='4' <%If ( sStartMinute = "4" ) Then Response.Write "selected" End If%>>4</option>
												<option value='5' <%If ( sStartMinute = "5" ) Then Response.Write "selected" End If%>>5</option>
												<option value='6' <%If ( sStartMinute = "6" ) Then Response.Write "selected" End If%>>6</option>
												<option value='7' <%If ( sStartMinute = "7" ) Then Response.Write "selected" End If%>>7</option>
												<option value='8' <%If ( sStartMinute = "8" ) Then Response.Write "selected" End If%>>8</option>
												<option value='9' <%If ( sStartMinute = "9" ) Then Response.Write "selected" End If%>>9</option>
												<option value='10' <%If ( sStartMinute = "10" ) Then Response.Write "selected" End If%>>10</option>
												<option value='11' <%If ( sStartMinute = "11" ) Then Response.Write "selected" End If%>>11</option>
												<option value='12' <%If ( sStartMinute = "12" ) Then Response.Write "selected" End If%>>12</option>
												<option value='13' <%If ( sStartMinute = "13" ) Then Response.Write "selected" End If%>>13</option>
												<option value='14' <%If ( sStartMinute = "14" ) Then Response.Write "selected" End If%>>14</option>
												<option value='15' <%If ( sStartMinute = "15" ) Then Response.Write "selected" End If%>>15</option>
												<option value='16' <%If ( sStartMinute = "16" ) Then Response.Write "selected" End If%>>16</option>
												<option value='17' <%If ( sStartMinute = "17" ) Then Response.Write "selected" End If%>>17</option>
												<option value='18' <%If ( sStartMinute = "18" ) Then Response.Write "selected" End If%>>18</option>
												<option value='19' <%If ( sStartMinute = "19" ) Then Response.Write "selected" End If%>>19</option>
												<option value='20' <%If ( sStartMinute = "20" ) Then Response.Write "selected" End If%>>20</option>
												<option value='21' <%If ( sStartMinute = "21" ) Then Response.Write "selected" End If%>>21</option>
												<option value='22' <%If ( sStartMinute = "22" ) Then Response.Write "selected" End If%>>22</option>
												<option value='23' <%If ( sStartMinute = "23" ) Then Response.Write "selected" End If%>>23</option>
												<option value='24' <%If ( sStartMinute = "24" ) Then Response.Write "selected" End If%>>24</option>
												<option value='25' <%If ( sStartMinute = "25" ) Then Response.Write "selected" End If%>>25</option>
												<option value='26' <%If ( sStartMinute = "26" ) Then Response.Write "selected" End If%>>26</option>
												<option value='27' <%If ( sStartMinute = "27" ) Then Response.Write "selected" End If%>>27</option>
												<option value='28' <%If ( sStartMinute = "28" ) Then Response.Write "selected" End If%>>28</option>
												<option value='29' <%If ( sStartMinute = "29" ) Then Response.Write "selected" End If%>>29</option>
												<option value='30' <%If ( sStartMinute = "30" ) Then Response.Write "selected" End If%>>30</option>
												<option value='31' <%If ( sStartMinute = "31" ) Then Response.Write "selected" End If%>>31</option>
												<option value='32' <%If ( sStartMinute = "32" ) Then Response.Write "selected" End If%>>32</option>
												<option value='33' <%If ( sStartMinute = "33" ) Then Response.Write "selected" End If%>>33</option>
												<option value='34' <%If ( sStartMinute = "34" ) Then Response.Write "selected" End If%>>34</option>
												<option value='35' <%If ( sStartMinute = "35" ) Then Response.Write "selected" End If%>>35</option>
												<option value='36' <%If ( sStartMinute = "36" ) Then Response.Write "selected" End If%>>36</option>
												<option value='37' <%If ( sStartMinute = "37" ) Then Response.Write "selected" End If%>>37</option>
												<option value='38' <%If ( sStartMinute = "38" ) Then Response.Write "selected" End If%>>38</option>
												<option value='39' <%If ( sStartMinute = "39" ) Then Response.Write "selected" End If%>>39</option>
												<option value='40' <%If ( sStartMinute = "40" ) Then Response.Write "selected" End If%>>40</option>
												<option value='41' <%If ( sStartMinute = "41" ) Then Response.Write "selected" End If%>>41</option>
												<option value='42' <%If ( sStartMinute = "42" ) Then Response.Write "selected" End If%>>42</option>
												<option value='43' <%If ( sStartMinute = "43" ) Then Response.Write "selected" End If%>>43</option>
												<option value='44' <%If ( sStartMinute = "44" ) Then Response.Write "selected" End If%>>44</option>
												<option value='45' <%If ( sStartMinute = "45" ) Then Response.Write "selected" End If%>>45</option>
												<option value='46' <%If ( sStartMinute = "46" ) Then Response.Write "selected" End If%>>46</option>
												<option value='47' <%If ( sStartMinute = "47" ) Then Response.Write "selected" End If%>>47</option>
												<option value='48' <%If ( sStartMinute = "48" ) Then Response.Write "selected" End If%>>48</option>
												<option value='49' <%If ( sStartMinute = "49" ) Then Response.Write "selected" End If%>>49</option>
												<option value='50' <%If ( sStartMinute = "50" ) Then Response.Write "selected" End If%>>50</option>
												<option value='51' <%If ( sStartMinute = "51" ) Then Response.Write "selected" End If%>>51</option>
												<option value='52' <%If ( sStartMinute = "52" ) Then Response.Write "selected" End If%>>52</option>
												<option value='53' <%If ( sStartMinute = "53" ) Then Response.Write "selected" End If%>>53</option>
												<option value='54' <%If ( sStartMinute = "54" ) Then Response.Write "selected" End If%>>54</option>
												<option value='55' <%If ( sStartMinute = "55" ) Then Response.Write "selected" End If%>>55</option>
												<option value='56' <%If ( sStartMinute = "56" ) Then Response.Write "selected" End If%>>56</option>
												<option value='57' <%If ( sStartMinute = "57" ) Then Response.Write "selected" End If%>>57</option>
												<option value='58' <%If ( sStartMinute = "58" ) Then Response.Write "selected" End If%>>58</option>
												<option value='59' <%If ( sStartMinute = "59" ) Then Response.Write "selected" End If%>>59</option>

											</select>
										</td>
									</tr>
									<tr>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>><font color='<%=DOMAIN_Color("AccountsTextColor1")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_ENDDATE")%>:</td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>>
											<select name='sEndDay'>
												<option value='1' <%If ( sEndDay = "1" ) Then Response.Write "selected" End If%>>1</option>
												<option value='2' <%If ( sEndDay = "2" ) Then Response.Write "selected" End If%>>2</option>
												<option value='3' <%If ( sEndDay = "3" ) Then Response.Write "selected" End If%>>3</option>
												<option value='4' <%If ( sEndDay = "4" ) Then Response.Write "selected" End If%>>4</option>
												<option value='5' <%If ( sEndDay = "5" ) Then Response.Write "selected" End If%>>5</option>
												<option value='6' <%If ( sEndDay = "6" ) Then Response.Write "selected" End If%>>6</option>
												<option value='7' <%If ( sEndDay = "7" ) Then Response.Write "selected" End If%>>7</option>
												<option value='8' <%If ( sEndDay = "8" ) Then Response.Write "selected" End If%>>8</option>
												<option value='9' <%If ( sEndDay = "9" ) Then Response.Write "selected" End If%>>9</option>
												<option value='10' <%If ( sEndDay = "10" ) Then Response.Write "selected" End If%>>10</option>
												<option value='11' <%If ( sEndDay = "11" ) Then Response.Write "selected" End If%>>11</option>
												<option value='12' <%If ( sEndDay = "12" ) Then Response.Write "selected" End If%>>12</option>
												<option value='13' <%If ( sEndDay = "13" ) Then Response.Write "selected" End If%>>13</option>
												<option value='14' <%If ( sEndDay = "14" ) Then Response.Write "selected" End If%>>14</option>
												<option value='15' <%If ( sEndDay = "15" ) Then Response.Write "selected" End If%>>15</option>
												<option value='16' <%If ( sEndDay = "16" ) Then Response.Write "selected" End If%>>16</option>
												<option value='17' <%If ( sEndDay = "17" ) Then Response.Write "selected" End If%>>17</option>
												<option value='18' <%If ( sEndDay = "18" ) Then Response.Write "selected" End If%>>18</option>
												<option value='19' <%If ( sEndDay = "19" ) Then Response.Write "selected" End If%>>19</option>
												<option value='20' <%If ( sEndDay = "20" ) Then Response.Write "selected" End If%>>20</option>
												<option value='21' <%If ( sEndDay = "21" ) Then Response.Write "selected" End If%>>21</option>
												<option value='22' <%If ( sEndDay = "22" ) Then Response.Write "selected" End If%>>22</option>
												<option value='23' <%If ( sEndDay = "23" ) Then Response.Write "selected" End If%>>23</option>
												<option value='24' <%If ( sEndDay = "24" ) Then Response.Write "selected" End If%>>24</option>
												<option value='25' <%If ( sEndDay = "25" ) Then Response.Write "selected" End If%>>25</option>
												<option value='26' <%If ( sEndDay = "26" ) Then Response.Write "selected" End If%>>26</option>
												<option value='27' <%If ( sEndDay = "27" ) Then Response.Write "selected" End If%>>27</option>
												<option value='28' <%If ( sEndDay = "28" ) Then Response.Write "selected" End If%>>28</option>
												<option value='29' <%If ( sEndDay = "29" ) Then Response.Write "selected" End If%>>29</option>
												<option value='30' <%If ( sEndDay = "30" ) Then Response.Write "selected" End If%>>30</option>
												<option value='31' <%If ( sEndDay = "31" ) Then Response.Write "selected" End If%>>31</option>
											</select>
										</td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>>
											<select name='sEndMonth'>
												<option value='1' <%If ( sEndMonth = "1" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_JAN")%></option>
												<option value='2' <%If ( sEndMonth = "2" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_FEB")%></option>
												<option value='3' <%If ( sEndMonth = "3" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_MAR")%></option>
												<option value='4' <%If ( sEndMonth = "4" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_APR")%></option>
												<option value='5' <%If ( sEndMonth = "5" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_MAY")%></option>
												<option value='6' <%If ( sEndMonth = "6" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_JUN")%></option>
												<option value='7' <%If ( sEndMonth = "7" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_JUL")%></option>
												<option value='8' <%If ( sEndMonth = "8" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_AUG")%></option>
												<option value='9' <%If ( sEndMonth = "9" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_SEP")%></option>
												<option value='10' <%If ( sEndMonth = "10" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_OCT")%></option>
												<option value='11' <%If ( sEndMonth = "11" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_NOV")%></option>
												<option value='12' <%If ( sEndMonth = "12" ) Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_POLLS_NEWPOLL_DEC")%></option>
											</select>
										</td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>><input type='text' name='sEndYear' value='<%If ( sEndYear = "" ) Then Response.Write DatePart("yyyy", NOW) Else Response.Write sEndYear End If%>' size=4 maxlength=4></td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>>
											<select name='sEndHour'>
												<option value='1' <%If ( sEndHour = "1" ) Then Response.Write "selected" End If%>>1</option>
												<option value='2' <%If ( sEndHour = "2" ) Then Response.Write "selected" End If%>>2</option>
												<option value='3' <%If ( sEndHour = "3" ) Then Response.Write "selected" End If%>>3</option>
												<option value='4' <%If ( sEndHour = "4" ) Then Response.Write "selected" End If%>>4</option>
												<option value='5' <%If ( sEndHour = "5" ) Then Response.Write "selected" End If%>>5</option>
												<option value='6' <%If ( sEndHour = "6" ) Then Response.Write "selected" End If%>>6</option>
												<option value='7' <%If ( sEndHour = "7" ) Then Response.Write "selected" End If%>>7</option>
												<option value='8' <%If ( sEndHour = "8" ) Then Response.Write "selected" End If%>>8</option>
												<option value='9' <%If ( sEndHour = "9" ) Then Response.Write "selected" End If%>>9</option>
												<option value='10' <%If ( sEndHour = "10" ) Then Response.Write "selected" End If%>>10</option>
												<option value='11' <%If ( sEndHour = "11" ) Then Response.Write "selected" End If%>>11</option>
												<option value='12' <%If ( sEndHour = "12" ) Then Response.Write "selected" End If%>>12</option>
												<option value='13' <%If ( sEndHour = "13" ) Then Response.Write "selected" End If%>>13</option>
												<option value='14' <%If ( sEndHour = "14" ) Then Response.Write "selected" End If%>>14</option>
												<option value='15' <%If ( sEndHour = "15" ) Then Response.Write "selected" End If%>>15</option>
												<option value='16' <%If ( sEndHour = "16" ) Then Response.Write "selected" End If%>>16</option>
												<option value='17' <%If ( sEndHour = "17" ) Then Response.Write "selected" End If%>>17</option>
												<option value='18' <%If ( sEndHour = "18" ) Then Response.Write "selected" End If%>>18</option>
												<option value='19' <%If ( sEndHour = "19" ) Then Response.Write "selected" End If%>>19</option>
												<option value='20' <%If ( sEndHour = "20" ) Then Response.Write "selected" End If%>>20</option>
												<option value='21' <%If ( sEndHour = "21" ) Then Response.Write "selected" End If%>>21</option>
												<option value='22' <%If ( sEndHour = "22" ) Then Response.Write "selected" End If%>>22</option>
												<option value='23' <%If ( sEndHour = "23" ) Then Response.Write "selected" End If%>>23</option>
												<option value='24' <%If ( sEndHour = "24" ) Then Response.Write "selected" End If%>>24</option>
											</select>
										</td>
										<td bgcolor=<%=DOMAIN_Color("AccountsBGColor1")%>>
											<select name='sEndMinute'>
												<option value='1' <%If ( sEndMinute = "1" ) Then Response.Write "selected" End If%>>1</option>
												<option value='2' <%If ( sEndMinute = "2" ) Then Response.Write "selected" End If%>>2</option>
												<option value='3' <%If ( sEndMinute = "3" ) Then Response.Write "selected" End If%>>3</option>
												<option value='4' <%If ( sEndMinute = "4" ) Then Response.Write "selected" End If%>>4</option>
												<option value='5' <%If ( sEndMinute = "5" ) Then Response.Write "selected" End If%>>5</option>
												<option value='6' <%If ( sEndMinute = "6" ) Then Response.Write "selected" End If%>>6</option>
												<option value='7' <%If ( sEndMinute = "7" ) Then Response.Write "selected" End If%>>7</option>
												<option value='8' <%If ( sEndMinute = "8" ) Then Response.Write "selected" End If%>>8</option>
												<option value='9' <%If ( sEndMinute = "9" ) Then Response.Write "selected" End If%>>9</option>
												<option value='10' <%If ( sEndMinute = "10" ) Then Response.Write "selected" End If%>>10</option>
												<option value='11' <%If ( sEndMinute = "11" ) Then Response.Write "selected" End If%>>11</option>
												<option value='12' <%If ( sEndMinute = "12" ) Then Response.Write "selected" End If%>>12</option>
												<option value='13' <%If ( sEndMinute = "13" ) Then Response.Write "selected" End If%>>13</option>
												<option value='14' <%If ( sEndMinute = "14" ) Then Response.Write "selected" End If%>>14</option>
												<option value='15' <%If ( sEndMinute = "15" ) Then Response.Write "selected" End If%>>15</option>
												<option value='16' <%If ( sEndMinute = "16" ) Then Response.Write "selected" End If%>>16</option>
												<option value='17' <%If ( sEndMinute = "17" ) Then Response.Write "selected" End If%>>17</option>
												<option value='18' <%If ( sEndMinute = "18" ) Then Response.Write "selected" End If%>>18</option>
												<option value='19' <%If ( sEndMinute = "19" ) Then Response.Write "selected" End If%>>19</option>
												<option value='20' <%If ( sEndMinute = "20" ) Then Response.Write "selected" End If%>>20</option>
												<option value='21' <%If ( sEndMinute = "21" ) Then Response.Write "selected" End If%>>21</option>
												<option value='22' <%If ( sEndMinute = "22" ) Then Response.Write "selected" End If%>>22</option>
												<option value='23' <%If ( sEndMinute = "23" ) Then Response.Write "selected" End If%>>23</option>
												<option value='24' <%If ( sEndMinute = "24" ) Then Response.Write "selected" End If%>>24</option>
												<option value='25' <%If ( sEndMinute = "25" ) Then Response.Write "selected" End If%>>25</option>
												<option value='26' <%If ( sEndMinute = "26" ) Then Response.Write "selected" End If%>>26</option>
												<option value='27' <%If ( sEndMinute = "27" ) Then Response.Write "selected" End If%>>27</option>
												<option value='28' <%If ( sEndMinute = "28" ) Then Response.Write "selected" End If%>>28</option>
												<option value='29' <%If ( sEndMinute = "29" ) Then Response.Write "selected" End If%>>29</option>
												<option value='30' <%If ( sEndMinute = "30" ) Then Response.Write "selected" End If%>>30</option>
												<option value='31' <%If ( sEndMinute = "31" ) Then Response.Write "selected" End If%>>31</option>
												<option value='32' <%If ( sEndMinute = "32" ) Then Response.Write "selected" End If%>>32</option>
												<option value='33' <%If ( sEndMinute = "33" ) Then Response.Write "selected" End If%>>33</option>
												<option value='34' <%If ( sEndMinute = "34" ) Then Response.Write "selected" End If%>>34</option>
												<option value='35' <%If ( sEndMinute = "35" ) Then Response.Write "selected" End If%>>35</option>
												<option value='36' <%If ( sEndMinute = "36" ) Then Response.Write "selected" End If%>>36</option>
												<option value='37' <%If ( sEndMinute = "37" ) Then Response.Write "selected" End If%>>37</option>
												<option value='38' <%If ( sEndMinute = "38" ) Then Response.Write "selected" End If%>>38</option>
												<option value='39' <%If ( sEndMinute = "39" ) Then Response.Write "selected" End If%>>39</option>
												<option value='40' <%If ( sEndMinute = "40" ) Then Response.Write "selected" End If%>>40</option>
												<option value='41' <%If ( sEndMinute = "41" ) Then Response.Write "selected" End If%>>41</option>
												<option value='42' <%If ( sEndMinute = "42" ) Then Response.Write "selected" End If%>>42</option>
												<option value='43' <%If ( sEndMinute = "43" ) Then Response.Write "selected" End If%>>43</option>
												<option value='44' <%If ( sEndMinute = "44" ) Then Response.Write "selected" End If%>>44</option>
												<option value='45' <%If ( sEndMinute = "45" ) Then Response.Write "selected" End If%>>45</option>
												<option value='46' <%If ( sEndMinute = "46" ) Then Response.Write "selected" End If%>>46</option>
												<option value='47' <%If ( sEndMinute = "47" ) Then Response.Write "selected" End If%>>47</option>
												<option value='48' <%If ( sEndMinute = "48" ) Then Response.Write "selected" End If%>>48</option>
												<option value='49' <%If ( sEndMinute = "49" ) Then Response.Write "selected" End If%>>49</option>
												<option value='50' <%If ( sEndMinute = "50" ) Then Response.Write "selected" End If%>>50</option>
												<option value='51' <%If ( sEndMinute = "51" ) Then Response.Write "selected" End If%>>51</option>
												<option value='52' <%If ( sEndMinute = "52" ) Then Response.Write "selected" End If%>>52</option>
												<option value='53' <%If ( sEndMinute = "53" ) Then Response.Write "selected" End If%>>53</option>
												<option value='54' <%If ( sEndMinute = "54" ) Then Response.Write "selected" End If%>>54</option>
												<option value='55' <%If ( sEndMinute = "55" ) Then Response.Write "selected" End If%>>55</option>
												<option value='56' <%If ( sEndMinute = "56" ) Then Response.Write "selected" End If%>>56</option>
												<option value='57' <%If ( sEndMinute = "57" ) Then Response.Write "selected" End If%>>57</option>
												<option value='58' <%If ( sEndMinute = "58" ) Then Response.Write "selected" End If%>>58</option>
												<option value='59' <%If ( sEndMinute = "59" ) Then Response.Write "selected" End If%>>59</option>
											</select>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
					</td></tr></table>
					<br><br><center>
					<input type="button" value=" <%=DOMAIN_Text("ACCOUNTS_POLLS_EDIT_SUBMIT")%> " onClick='SubmitForm("UpdatePoll")'>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'********************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the message boards in a drop-down list.				*
	'*																					*
	'************************************************************************************
	Sub DisplayMsgBoardDropDown()
		%>
		<select name='iMsgBoardConfUnq'>
			<%Call ConfUnqDropDown(iMsgBoardConfUnq, 0, iDomainUnq)%>
		</select>
		<%
		
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the categories in a drop-down list.					*
	'*																					*
	'************************************************************************************
	Sub ConfUnqDropDown(iMsgBoardConfUnq, iCurConfUnq, iDomainUnq)
		Dim sSQLText, rsMsgBoard, sType

		Set rsMsgBoard = Server.CreateObject("ADODB.recordset")
		sSQLText = "SELECT * FROM Conference (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " AND Parent = " & iCurConfUnq & " ORDER BY ColPosition"
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			If ( iConfLevel = 0 ) And ( iCurConfUnq = 0 ) Then
				Response.Write "<option value='0'>No Message Board</option>"
			End If
			While ( NOT rsMsgBoard.EOF )
				iCurConfUnq = rsMsgBoard("ConfUnq")
				sType		= Trim(UCase(rsMsgBoard("Type")))
				Select Case sType
					Case ""
						sType = "Message Board Type"
					Case "G"
						sType = "Gallery/Image Type"
					Case "N"
						sType = "News Article Type"
					Case "P"
						sType = "Poll Type"
				End Select
				If ( iMsgBoardConfUnq = CStr(iCurConfUnq) ) Then
					Response.Write "<option value='" & iCurConfUnq & "' Selected>" & String(iConfLevel, CHR(151)) & rsMsgBoard("Name") & " - (" & sType & ")</option>"
				Else
					Response.Write "<option value='" & iCurConfUnq & "'>" & String(iConfLevel, CHR(151)) & rsMsgBoard("Name") & " - (" & sType & ")</option>"
				End If
				iConfLevel = iConfLevel + 1
				Call ConfUnqDropDown(iMsgBoardConfUnq, iCurConfUnq, iDomainUnq)
				rsMsgBoard.MoveNext
				iConfLevel = iConfLevel - 1
			Wend
		Else
			If ( iConfLevel = 0 ) And ( iCurConfUnq = 0 ) Then
				Response.Write "<option value='0'>No Message Board</option>"
			End If
		End If
		rsMsgBoard.Close
		Set rsMsgBoard = Nothing

	End Sub
	'************************************************************************************
%>