<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim sDescription, sSystemUnq, sSystemConst, sOldSystemConst, sOldDescription, sOldSystemUnq, sNewSystemUnq
	
	Dim sSQLText, rsDB
	Dim iNumPerPage, iTtlNumItems, iDBLoc
	
	Call DISP_Action("SB_DOMAINS_OPEN")
	Call DISP_Action("SB_DOMAINS_MANAGE_SYSTEMS")
	If   (ACCNT_AnyDomain("SB_MS_DELETE")) Or _
		 (ACCNT_AnyDomain("SB_MS_UPDATE")) Then
		Call Main()
	Else
		Call WriteScripts()
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_DOMAINS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sCheckbox, sSuccess, sOldSystemUnq, sTextField
		
		Set rsDB = CreateObject("ADODB.Recordset")	
		sAction = Request("sAction")
		
		Select Case sAction
			Case "UpdateSystem"
				If ( NOT ACCNT_AnyDomain("SB_MS_UPDATE") ) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					For Each sTextField In Request.Form
						If (InStr(sTextField, "sOldSystemConst") > 0 ) Then
							sSystemUnq = Replace(sTextField, "sOldSystemConst", "")
							sDescription = Trim(Request("sNewDescription" & sSystemUnq))
							sSystemConst = Trim(Request("sNewSystemConst" & sSystemUnq))
							sOldSystemConst = Trim(Request("sOldSystemConst" & sSystemUnq))
							sOldDescription = Trim(Request("sOldDescription" & sSystemUnq))
							sOldSystemUnq = sSystemUnq
							sNewSystemUnq = Trim(Request("sNewSystemUnq" & sSystemUnq))
							If ( sDescription <> sOldDescription ) Or ( sSystemConst <> sOldSystemConst ) Or ( sOldSystemUnq <> sNewSystemUnq ) Then
								If ( SystemConstExists() ) Then
									If ( sError = "" ) Then
										sError = DOMAIN_Text("DOMAINS_SYSTEMS_CONST_EXISTS")
									End If
								Else
									If ( sSystemConst = "" ) Then
										If ( sError = "" ) Then
											sError = DOMAIN_Text("DOMAINS_SYSTEMS_BLANK_CONST")
										End If
									Else
										If ( NOT IsNumeric(sNewSystemUnq) ) Then
											If ( sError = "" ) Then
												sError = DOMAIN_Text("DOMAINS_SYSTEMS_ENTER_NUM")
											End If
										Else
											If ( ( CDbl(sOldSystemUnq) = CDbl(sNewSystemUnq) ) Or (NOT SystemUnqExists())) Then
												DBConnection.Execute "UPDATE Systems SET SystemUnq = " & sNewSystemUnq & ", SystemConst = '" & SQLEncode(sSystemConst) & "', Description = '" & SQLEncode(sDescription) & "' WHERE SystemUnq = " & sSystemUnq
												' log is associated w/ the new systemunq and has the old systemunq in the data field
												If ( sOldSystemUnq <> sNewSystemUnq ) Then
													Call DOMAIN_Log(25, "", sNewSystemUnq, "", 0, "", 0, "V", "U", sOldSystemUnq, "")
												End If
												If ( sSystemConst <> sOldSystemConst ) Then
													Call DOMAIN_Log(26, "", sNewSystemUnq, "", 0, "", 0, "V", "U", SQLEncode(sOldSystemConst), "")
												End If
												If ( sDescription <> sOldDescription ) Then
													Call DOMAIN_Log(27, "", sNewSystemUnq, "", 0, "", 0, "V", "U", SQLEncode(sOldDescription), "")
												End If
												If ( sSuccess = "") Then
													sSuccess = DOMAIN_Text("DOMAINS_SYSTEMS_ADDED")
												End If
											Else
												If ( sError = "" ) Then
													sError = DOMAIN_Text("DOMAINS_SYSTEMS_ID_EXISTS")
												End If
											End If
										End If
									End If
								End If
							End If
						End If
					Next
				End If
			Case "DeleteSystem"
				If ( NOT ACCNT_AnyDomain("SB_MS_DELETE") ) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					For Each sCheckbox In Request.Form
						If (InStr(sCheckbox, "sDelete") > 0 ) Then
							sOldSystemUnq = Replace(sCheckbox, "sDelete", "")
							sOldSystemConst = Trim(Request("sOldSystemConst" & sOldSystemUnq))
							sOldDescription = Trim(Request("sOldDescription" & sOldSystemUnq))
							If (sOldSystemUnq <> "") Then
								DBConnection.Execute "DELETE FROM Systems WHERE SystemUnq = " & sOldSystemUnq
								' log is associated w/ the new systemunq and has the old systemunq in the data field
								Call DOMAIN_Log(25, "", sOldSystemUnq, "", 0, "", 0, "V", "D", sOldSystemUnq, "")
								Call DOMAIN_Log(26, "", sOldSystemUnq, "", 0, "", 0, "V", "D", SQLEncode(sOldSystemConst), "")
								Call DOMAIN_Log(27, "", sOldSystemUnq, "", 0, "", 0, "V", "D", SQLEncode(sOldDescription), "")
								If ( sSuccess = "") Then
										sSuccess = DOMAIN_Text("DOMAINS_SYSTEMS_DEL")
								End If
							Else
								If ( sError = "" ) Then
									sError = DOMAIN_Text("DOMAINS_SYSTEMS_DEL_BLANK")
								End If
							End If
						End If
					Next
				End If
		End Select
	
		
		' Pagination variables -- begin
		iNumPerPage = 10
		iTtlNumItems = CDbl(Request("iTtlNumItems"))
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		
		If ( sAction = "DeleteSystem" ) Then
			' must reset this when Systems's are deleted to recalculate the number of pages
			iTtlNumItems = 0
		End If

		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			sSQLText = "SELECT Count(*) FROM Systems (NOLOCK)"
			rsDB.Open sSQLText, DBConnection
			If Not(rsDB.EOF) Then
				iTtlNumItems = rsDB(0)
			End If
			rsDB.Close
		end if
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		Call WriteScripts()
		Call WriteForm()
		Set rsDB = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Checks to see if the System Constant exists or not.								*
	'*	It's also a convient place to check to see if the System Constant was even 		*
	'*		changed.																	*
	'*																					*
	'************************************************************************************
	Function SystemConstExists()
		SystemConstExists = FALSE
		If ( sOldSystemConst <> sSystemConst ) Then
			sSQLText = "SELECT * FROM Systems WHERE SystemConst = '" & SQLEncode(sSystemConst) & "'"
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDB.EOF ) Then
				SystemConstExists = TRUE
			End If
			rsDB.Close
		End If
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Checks to see if the System Unq exists or not.									*
	'*																					*
	'************************************************************************************
	Function SystemUnqExists()
		SystemUnqExists = FALSE
		If ( sOldSystemUnq <> sNewSystemUnq ) Then
			sSQLText = "SELECT * FROM Systems WHERE SystemUnq = " & sNewSystemUnq
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDB.EOF ) Then
				SystemUnqExists = TRUE
			End If
			rsDB.Close
		End If
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, x, iMax
		
		sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Systems (NOLOCK) ORDER BY SystemConst SET ROWCOUNT 0"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("AccountsBGColor2")
		For x = 1 To CDbl(iDBLoc)
			rsDB.MoveNext
		Next
		iMax = iNumPerPage
		%>
		<form name='ManageSystems' action='Default.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("DomainsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("DOMAINS_SYSTEMS_HEAD")%></b></font>
					<br><br>
					<%=DOMAIN_Text("DOMAINS_SYSTEMS_INTRO")%>
					<br><br>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_SYSTEMS_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_SYSTEMS_CONST")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_SYSTEMS_DESC")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_SYSTEMS_DELETE")%></b></td>
						</tr>
						<tr>
						<%
						While ( NOT rsDB.EOF )
							If ( sBGColor = DOMAIN_Color("AccountsBGColor1") ) Then
								sBGColor = DOMAIN_Color("AccountsPageBGColor")
							Else
								sBGColor = DOMAIN_Color("AccountsBGColor1")
							End If
							sSystemConst = Replace(Trim(rsDB("SystemConst")), "'", "&#39;")
							sDescription = Replace(Trim(rsDB("Description")), "'", "&#39;")
							sSystemUnq = rsDB("SystemUnq")
							%>
							<tr>
								<td bgcolor=<%=sBGColor%>><input type='hidden' name='sOldSystemUnq<%=sSystemUnq%>' value='<%=sSystemUnq%>'><input type='text' name='sNewSystemUnq<%=sSystemUnq%>' value='<%=sSystemUnq%>' size=5 maxlength=250></td>
								<td bgcolor=<%=sBGColor%>><input type='hidden' name='sOldSystemConst<%=sSystemUnq%>' value='<%=sSystemConst%>'><input type='text' name='sNewSystemConst<%=sSystemUnq%>' value='<%=sSystemConst%>' size=25 maxlength=250></td>
								<td bgcolor=<%=sBGColor%>><input type='hidden' name='sOldDescription<%=sSystemUnq%>' value='<%=sDescription%>'><input type='text' name='sNewDescription<%=sSystemUnq%>' value='<%=sDescription%>' size=45 maxlength=250></td>
								<td align=center bgcolor=<%=sBGColor%>><input type='checkbox' name='sDelete<%=sSystemUnq%>' value='Y'></td>
							</tr>
							<%
							rsDB.MoveNext
						Wend
						%>
						<tr>
							<td colspan=4 align=right>
								<%Call PrintRecordsetNav( iNumPerPage, "DBConnection", "Accounts", "", "Default.asp", "" )%>
							</td>
						</tr>
					</table>
					<font size=2>
					<%=DOMAIN_Text("DOMAINS_SYSTEMS_FOOTER")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
		rsDB.Close
	End Sub
	'********************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	This writes the JavaScript out even if the Main() Sub isn't called in case the	*
	'*		admin has creation rights, but not edit rights.								*
	'*																					*
	'************************************************************************************
	Sub WriteScripts()
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageSystems.sAction.value = sAction;
				document.ManageSystems.submit();
			}
			
			function PaginationLink(sQueryString){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&" + sQueryString;
			}
			
			function NewSystem(){
				document.location = "New.asp?<%=DOMAIN_Link("G")%>&iDBLoc=" + document.ManageSystems.iDBLoc.value;
			}
			
			function Warning(){
				if(chmind){
					var check = confirm('<%=Replace(DOMAIN_Text("DOMAINS_SYSTEMS_DEL_WARN"), "'", "\'")%>')
					if(check){
						document.ManageSystems.sAction.value = "DeleteSystem";
						document.ManageSystems.submit();
					}
				} else {
					chmind = true
				}
			}
			
			var chmind  = true
			
		</script>
		<%
	End Sub
	'************************************************************************************
	
	
	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		Else
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & "')"" class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & "')""  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("DomainsPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & "')""  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & "')""  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & "')""  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>
