<!--#INCLUDE FILE="../Includes/i_ImageGallery.asp"-->
<%
	Dim sSQLText, iDomainUnq, iDomainUnq2, bReferenceDomain
	Dim iThumbWidth, sThumbnail, sImage, rsImageGallery
	
	' this is the domain the admin was working on when they came to this page
		' iDomainUnq is the domain on which to reference the image - this is hardcoded into DOMAINS_DomainsDropDown()
		' iDomainUnq2 will be referenced in the top action for the Return button as iDomainUnq
	iDomainUnq2 = Trim(Request("iDomainUnq2"))
	If ( iDomainUnq2 = "" ) Then
		iDomainUnq2 = iDomainName
	End If
	iDomainUnq = Trim(Request("iDomainUnq"))
	If ( iDomainUnq = "" ) Then
		iDomainUnq = iDomainUnq2
	End If

	Response.Buffer = TRUE
	Call DISP_Action("SB_GALLERIES_ADMINOPEN")
	Call DISP_Action("SB_GALLERIES_MANAGE_GALLERIES_REFERENCE")
	If   (ACCNT_AnyDomain("SB_IG_ADMIN_ALL")) Or _
	 	 (ACCNT_AnyDomain("SB_IG_CREATE_GALLERY")) Then
		
		If ( ACCNT_AnyDomain("SB_IG_REF_DOMAIN") ) Then
			bReferenceDomain = TRUE
		Else
			bReferenceDomain = FALSE
		End If
		If ( bReferenceDomain ) Or (ACCNT_AnyDomain("SB_IG_REF_GALLERY")) Then
			Call Main()
		Else
			Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
		End If
	Else
		Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_GALLERIES_ADMINCLOSE")
	Response.Flush
	

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSuccess, x, sDestinationUser, fldr, fso, sFileCur, sFileDest
		Dim iDestination, aData, bDomainAdmin, iPosition, iPrimaryG, iPrimaryD, iPos
		Dim rsImageGallery2
		
		Set rsImageGallery	= Server.CreateObject("ADODB.recordset")
		Set rsImageGallery2	= Server.CreateObject("ADODB.recordset")
		sAction				= Trim(Request("sAction"))
		iGalleryUnq			= Trim(Request("iGalleryUnq"))
		iDestination		= Trim(Request("iDestination"))

		Select Case sAction
			Case "ReferenceGallery"
				If ( ACCNT_SpecificDomain("SB_IG_REF_DOMAIN", iDomainUnq) ) Then
					bDomainAdmin = FALSE
					If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
						bDomainAdmin = TRUE
					End If

						' see if they can even reference galleries on the other domain that this image is referenced in
						If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iDestination, "") Or bDomainAdmin ) Then
							' they are the owner of the gallery or the admin
							
							' get the position of the FIRST image in the new gallery
							sSQLText = "SELECT COUNT(*)+1 FROM ImagesInGallery WHERE GalleryUnq = " & iDestination & " AND DomainUnq = " & iDomainUnq
							rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsImageGallery.EOF ) Then
								iPosition = rsImageGallery(0)
							Else
								iPosition = 1
							End If
							rsImageGallery.Close
							
							' get all the images in the source gallery -- loop through each and process each
							sSQLText = "SELECT * FROM ImagesInGallery WHERE GalleryUnq = " & iGalleryUnq
							rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							While ( NOT rsImageGallery.EOF )
								iImageUnq = rsImageGallery("ImageUnq")
								'	make sure the image is not already referenced in the dest gallery
								If ( NotInDest(iImageUnq, iDestination) ) Then
									'	if not, get the primary gallery and domain - do for each in case it changes
									'		insert the new record
									'		add 1 to the position
									' get the primary gallery and domain (must do this for each image in the source gallery)
									sSQLText = "SELECT DISTINCT PrimaryG, PrimaryD FROM ImagesInGallery WHERE ImageUnq = " & iImageUnq
									rsImageGallery2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									If ( NOT rsImageGallery2.EOF ) Then
										iPrimaryG = rsImageGallery2("PrimaryG")
										iPrimaryD = rsImageGallery2("PrimaryD")
									End If
									rsImageGallery2.Close
									
									' insert the new record
									DBConnection.Execute "INSERT INTO ImagesInGallery VALUES (" & iImageUnq & ", " & iDestination & ", GetDate(), " & iDomainUnq & ", " & iPosition & ", " & iPrimaryG & ", " & iPrimaryD & ", 0, 0, 0, 0, 0)"
									
									iPosition = iPosition + 1
								End If
								rsImageGallery.MoveNext
							Wend
							rsImageGallery.Close
							
							If ( sSuccess = "" ) Then
								sSuccess = "Image(s) successfully added to the destination gallery."
								Call DOMAIN_Message(sSuccess, "SUCCESS")
							End If
						End If

				End If
				

		End Select
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		
		Call WriteForm()

		Set rsImageGallery = Nothing
		
	End Sub
	'************************************************************************************

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sSQLText, sBGColor, sColor1, sColor2, iTempDN
		Dim iCurrGalleryUnq, iCurrGalleryName, bDispGallery
		Dim aReferencing, x, y, iTempGalleryUnq, bGalleryFound
		Dim sGalleryName
		
		sBGColor = DOMAIN_Color("GalleriesPageBGColor")
		sGalleryName = G_ADMINISTRATION_GetGalleryName(iGalleryUnq)
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ReferenceGallery.sAction.value = sAction;
				document.ReferenceGallery.submit();
			}
			
		</script>
		
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<br>
					When referencing images, please note:
					<ul>
						<li>You can add the same image(s) to galleries multiple times without
							the system adding it more that one time. If you are referencing
							the images from one gallery in another and add images to the
							source gallery, re-referencing those images will not create
							duplicate entries in the destination directory.
						<li>If this image was linked to a message board, all referenced images will no longer have that link.
							You may re-enter new message board information on the image editing screen.
					</ul>
					<form name='ReferenceGallery' action='Referencing.asp' method='post'>
					<%Call G_STRUCTURE_HeaderBar(DOMAIN_Text("GALLERY_GALLERIES_REFERENCE_HEAD"), "", "", "Galleries")
					
					aVariables(0) = "sAction"
					aVariables(1) = "iTtlNumItems"
					aVariables(2) = "iDBLoc"
					aVariables(3) = "iImageUnq"
					aVariables(4) = "iGalleryUnq"
					aVariables(5) = "iDomainUnq2"
					aValues(0) = ""
					aValues(1) = iTtlNumItems
					aValues(2) = iDBLoc
					aValues(3) = iImageUnq
					aValues(4) = iGalleryUnq
					aValues(5) = iDomainUnq2
					Response.Write DOMAIN_Link("P")
					%>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor='<%=DOMAIN_Color("GalleriesBorderColor1")%>'>
					<table cellpadding = 10 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor = <%=sBGColor%>>
								<%If ( bReferenceDomain ) Then%>
								<font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'>
								<b>Domain:</b>
								<br>
								<%Call DOMAINS_DomainsDropDown("SB_IG_REF_DOMAIN", "SB_IG_REF_GALLERY", "")%>
								<%End If%>
								<br><br>
								<font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'>
								<%
								If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainName) ) Then
									sSQLText = "SELECT AccountUnq, GalleryUnq, Name FROM Galleries (NOLOCK) WHERE Domain = " & iDomainUnq
								Else
									sSQLText = "SELECT AccountUnq, GalleryUnq, Name FROM Galleries (NOLOCK) WHERE AccountUnq = " & iLoginAccountUnq & " AND Domain = " & iDomainUnq
								End If
								rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( ( NOT rsImageGallery.EOF ) ) Then
									Response.Write "Gallery to reference this galleries (<b>" & sGalleryName & "</b>) images in:</b><br>"
									Response.Write "<select name='iDestination'>"
									While ( NOT rsImageGallery.EOF )
										iTempGalleryUnq	= rsImageGallery("GalleryUnq")
										bGalleryFound	= FALSE
										For y = 0 to x - 1
											If ( ( CDbl(aReferencing(0,y)) = CDbl(iTempGalleryUnq) ) And ( CDbl(aReferencing(1,y)) = CDbl(iDomainUnq) ) ) Then
												bGalleryFound = TRUE
												Exit For
											End If
										Next
										If ( bGalleryFound = FALSE ) Then
											' only display galleries that the image is NOT already in
											%><option value="<%= iTempGalleryUnq %>"><%= rsImageGallery("Name") %></option><%
										End If
										rsImageGallery.MoveNext
									Wend
									rsImageGallery.Close
									Response.Write "</select>"
									Response.Write "<font size=-2><br>Images from the " & sGalleryName & " gallery will appear in the gallery chosen from the above list.</font>"
									Response.Write "<br><br>"
									Response.Write "<center><input type='button' value=""Reference Images"" onClick=""SubmitForm('ReferenceGallery');""></center>"
								Else
									Response.Write "No galleries to reference within."
								End If
								%>
							</td>
						</tr>
					</table>
					</td></tr></table>
					</form>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		<%
	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function NotInDest(iImageUnq, iDestGalleryUnq)
		Dim rsImageGallery
		
		Set rsImageGallery	= Server.CreateObject("ADODB.recordset")
		
		NotInDest = FALSE
		
		sSQLText = "SELECT * FROM ImagesInGallery WHERE GalleryUnq = " & iDestGalleryUnq & " AND ImageUnq = " & iImageUnq
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsImageGallery.EOF ) Then
			NotInDest = TRUE
		End If
		rsImageGallery.Close
		
	End Function
	'************************************************************************************
%>