<!--#INCLUDE FILE="../Includes/i_MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<!--#INCLUDE FILE="../Includes/ListConf-Include.asp"-->
<!--#INCLUDE FILE="../Includes/Function/Functionality-MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/i_GetBoardAccess.asp"-->
<!--#INCLUDE FILE="../Includes/i_GetThreadAccess.asp"-->
<!--#INCLUDE FILE="../Includes/i_GetMessageAccess.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Links.asp"-->
<%
	Dim rsMsgBoard, iDomainUnq, iTtlNumItems, iDBLoc, sSQLText, sDispVoting

	Response.Buffer = TRUE
	Call DISP_Action("SB_MSGBOARD_ADMIN_OPEN")
	Call DISP_Action("SB_MSGBOARD_MANAGEMESSAGEMODERATION")
	Call Main()
	Call DISP_Action("SB_MSGBOARD_CLOSE_ADMIN")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sCheckbox, sTextField, sNewName, sOldName
		Dim sNewDescription, sOldDescription
		
		iDomainUnq = DOMAIN_FixD(Request("iDomainUnq"), 0)
		If ( iDomainUnq = 0 ) Then
			iDomainUnq = iDomainName
		End If
		sDispVoting		= UCase(Trim(DOMAIN_Conf("MSGBOARD_DISP_VOTING")))
		
		Set rsMsgBoard = CreateObject("ADODB.Recordset")	
		
		' Pagination variables -- begin
		iNumPerPage = 5
		iTtlNumItems = DOMAIN_FixD(Request("iTtlNumItems"), 0)
		iDBLoc = DOMAIN_FixD(Request("iDBLoc"), 0)
		If (iDBLoc<0) Then
			iDBLoc = 0
		End If

		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			If ( ACCNT_SpecificDomain("SB_MB_MODERATION", iDomainUnq) ) Then
				sSQLText = "SELECT Count(*) FROM Message M (NOLOCK), Conference C (NOLOCK) WHERE M.Approved = '' AND C.DomainUnq = " & iDomainUnq & " AND C.ConfUnq = M.ConfUnq AND C.Moderated = 'Y'"
			Else
				sSQLText = "SELECT COUNT(*) FROM Message M (NOLOCK), Conference C (NOLOCK), Admin A (NOLOCK) WHERE M.Approved = '' AND C.DomainUnq = " & iDomainUnq & " AND C.ConfUnq = M.ConfUnq AND A.ConfUnq = C.ConfUnq AND C.Moderated = 'Y'"
			End If
			rsMsgBoard.Open sSQLText, DBConnection
			If Not(rsMsgBoard.EOF) Then
				iTtlNumItems = rsMsgBoard(0)
			End If
			rsMsgBoard.Close
		end if
		' Pagination variables -- end
		
		Call WriteForm()
		Set rsMsgBoard = Nothing
	End Sub
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
	
		Dim sSimpleSort, sComplexSort, sDate, sKeywords, sBGColor, sTextColor, sBreadCrumb
		Dim sWithin, sThan, sDirection, sOrder, x, iTtlLeaf, iTtlParent, sTempConfUnq
		Dim sSortMethod, SearchsqlText, iEndPos, iStartPos, dLastDate, sTemp
		Dim iTemp, aData
	
		If ( ACCNT_SpecificDomain("SB_MB_MODERATION", iDomainUnq) ) Then
			' since this admin has SB_MB_MODERATION for the domain, get ALL messages that need moderation
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Message M (NOLOCK), Conference C (NOLOCK) WHERE M.Approved = '' AND C.DomainUnq = " & iDomainUnq & " AND C.ConfUnq = M.ConfUnq AND C.Moderated = 'Y' SET ROWCOUNT 0"
		Else
			' get the messages for moderators who are moderators for the specific boards
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Message M (NOLOCK), Conference C (NOLOCK), Admin A (NOLOCK) WHERE M.Approved = '' AND C.DomainUnq = " & iDomainUnq & " AND C.ConfUnq = M.ConfUnq AND A.ConfUnq = C.ConfUnq AND C.Moderated = 'Y' SET ROWCOUNT 0"
		End If

		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		if not rsMsgBoard.EOF then
			For x = 1 To iDBLoc
				rsMsgBoard.MoveNext
			Next
			
			%>
			<script language='JavaScript1.2' type='text/javascript'>
		
				function SubmitForm(sAction){
					document.ManageModeration.sAction.value = sAction;
					document.ManageModeration.submit();
				}
				
				function PaginationLink(sQueryString){
					document.location = "ModerateMessages.asp?<%=DOMAIN_Link("G")%>&" + sQueryString;
				}
				
			</script>
			<table cellpadding=0 cellspacing=0 border=0 width=671>
				<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
				<tr>
					<td>
						<font color='<%=DOMAIN_Color("MsgBoardPageText")%>'>
						<font size=+1><b><%=DOMAIN_Text("MSGBOARD_MODERATION_MOD_WAITING")%></b></font>
					</td>
				</tr>
			</table>
			<%
			while not rsMsgBoard.EOF
				iMsgUnq 	= rsMsgBoard("MsgUnq")		' need to put these into variables because they aren't coming from the QueryString or Form fields
				iThreadUnq 	= rsMsgBoard("ThreadUnq")
				iConfUnq 	= rsMsgBoard("ConfUnq")
				sBreadCrumb = ""
				%>
				<table cellpadding=0 cellspacing=0 border=0 width=<%=iTableWidth%>><tr><td bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor1")%>>
				<table cellpadding=0 cellspacing=0 border=0 width=<%=iTableWidth%>>
					<tr><td bgcolor=<%=DOMAIN_Color("MsgBoardPageBGColor")%> colspan=2><img src='/WS_Content/Images/Blank.gif' Width=1 Height=15></td></tr>
					<tr>
						<td bgcolor=<%=DOMAIN_Color("MsgBoardPageBGColor")%>>
							<a href = '../ViewConferences/Default.asp?<%=DOMAIN_Link("G")%>&iConfUnq=0&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>' class='MediumNavPage'><%=DOMAIN_Text("MSGBOARD_RETURNTOINDEX")%></a>
							<img src = '../Images/ColorBased/<%=iColorScheme%>/Arrow.gif'>
							<%Call DisplayBreadCrumbs(sBreadCrumb, rsMsgBoard("MsgUnq"), rsMsgBoard("ThreadUnq"), iConfUnq)
							Response.Write sBreadCrumb%>
						</td>
						<td bgcolor=<%=DOMAIN_Color("MsgBoardPageBGColor")%> align=right>
							<a href = '../ViewMessages/Default.asp?<%=DOMAIN_Link("G")%>&sAction=4&iConfUnq=<%=iConfUnq%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>' class='MediumNavPage'>
							<font size=-1><%=DOMAIN_Text("MSGBOARD_SEARCH_GOTO_THREAD")%></font></a>
						</td>
					</tr>
					<tr>
						<td bgcolor=<%=DOMAIN_Color("MsgBoardPageBGColor")%> colspan=2>
							<%Call DisplayMessageBody(rsMsgBoard, true, true)%>
						</td>
					</tr>
				</table>
				</td></tr></table>
				<%
				rsMsgBoard.MoveNext
			wend
			%>
			<table cellpadding=0 cellspacing=0 border=0 width=<%=iTableWidth%>>
				<tr>
					<td colspan=8 align=right>
						<%Call PrintRecordsetNav( iNumPerPage, "DBConnection", "MsgBoard", "", "ModerateMessages.asp", "iParentUnq=" & DOMAIN_FixD(Request("iParentUnq"), 0) & "&iDBLoc_Boards=" & DOMAIN_FixD(Request("iDBLoc_Boards"), 0) & "&iDomainUnq=" & DOMAIN_FixD(Request("iDomainUnq"), 0) & "&iDBLoc_Accounts=" & DOMAIN_FixD(Request("iDBLoc_Accounts"), 0) )%>
					</td>
				</tr>
			</table>
			<%
		else
			' No results to return
			Response.Write "<br><table width=" & iTableWidth & " cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = " & DOMAIN_Color("MsgBoardBorderColor1") & " align=center><table cellpadding=5 width=" & iTableWidth & " cellspacing = 0 border = 0><tr><td bgcolor = " & DOMAIN_Color("MsgBoardBGColor1") & " valign=top align=center><font color='" & DOMAIN_Color("MsgBoardTextColor1") & "'>"
			Response.Write "<br><b>" & DOMAIN_Text("MSGBOARD_MODERATION_MOD_NO_WAITING") & "<br><br>"
			Response.Write "</table></td></tr></table><br>"
		end if

		rsMsgBoard.Close
	End Sub
	'************************************************************************************

	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc_Boards="
		Else
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&iTtlNumItems=" & iTtlNumItems & "&iDBLoc_Boards="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & "')"" class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & "')""  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("MsgBoardPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & "')""  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & "')""  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & "')""  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>