<!--#INCLUDE FILE="../Includes/i_News.asp"-->
<!--#INCLUDE VIRTUAL="/WS_Content/Includes/clsUpload.asp"-->
<!--#INCLUDE FILE="../Includes/i_Upload.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Links.asp"-->
<%
	Response.Buffer = TRUE
	Dim rsNews, ctArray, sTemp, sAction, iTtlNumItems, iDBLoc
	Dim iCatUnq, sHeadline, sDisplayName, sDisplayEmail, sKeywords, sNewsSource
	Dim sAnnotations, sMessage, sCookedAnnotations, sCookedMessage, sCaption, iNewsUnq, iTemp
	
	' variables declared globally and set in i_Upload.asp - G_UPLOAD_RetrieveFileAndFormData()
	Dim sExtension, sFileName, iFileSize, sFileID
	
	Dim objUpload

	Call DISP_Action("SB_NEWS_PUBLIC_OPEN")
	Call DISP_Action("SB_NEWS_TOPNAV")
	
	iTemp = DOMAIN_Conf("NEWS_SCRIPTTIMEOUT")
	If ( iTemp = "" ) Then
		iTemp = 5400
	Else
		iTemp = CDbl(iTemp)
	End If
	Server.ScriptTimeout = iTemp
	
	ctArray = Split(Request.ServerVariables( "HTTP_CONTENT_TYPE"), ";")
	If ( UBound(ctArray) > 0 ) Then
		sTemp = Trim(UCase(ctArray(0)))
	End If
	If ( sTemp = "MULTIPART/FORM-DATA" ) Then
		Set objUpload	= New clsUpload
		sAction			= Trim(objUpload("sAction").Value)
		iTtlNumItems	= Trim(objUpload("iTtlNumItems").Value)
		iDBLoc			= Trim(objUpload("iDBLoc").Value)
		iCatUnq			= Trim(objUpload("iCatUnq").Value)
		sHeadline		= Trim(objUpload("sHeadline").Value)
		sDisplayName	= Trim(objUpload("sDisplayName").Value)
		sDisplayEmail	= Trim(objUpload("sDisplayEmail").Value)
		sKeywords		= Trim(objUpload("sKeywords").Value)
		sNewsSource		= Trim(objUpload("sNewsSource").Value)
		sAnnotations	= Trim(objUpload("sAnnotations").Value)
		sMessage		= Trim(objUpload("sMessage").Value)
		sCaption		= Trim(objUpload("sCaption").Value)
	Else
		sAction			= Trim(Request("sAction"))
		iTtlNumItems	= Trim(Request("iTtlNumItems"))
		iDBLoc			= Trim(Request("iDBLoc"))
		iCatUnq			= Trim(Request("iCatUnq"))
		sHeadline		= Trim(Request("sHeadline"))
		sDisplayName	= Trim(Request("sDisplayName"))
		sDisplayEmail	= Trim(Request("sDisplayEmail"))
		sKeywords		= Trim(Request("sKeywords"))
		sNewsSource		= Trim(Request("sNewsSource"))
		sAnnotations	= Trim(Request("sAnnotations"))
		sMessage		= Trim(Request("sMessage"))
		sCaption		= Trim(Request("sCaption"))
	End If
	
	iTableWidth	= 671
	
	Call Main()

	Call DISP_Action("SB_NEWS_PUBLIC_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sError, sFilePath, lf, rsNews, sSQLText, dTemp, iTemp
		Dim iDaysAgo, iHoursAgo, iMinutesAgo, bApproved
		
		If ( iCatUnq = "" ) Then	' get the first category that this editor has right to edit news on, on this domain
			Set rsNews = CreateObject("ADODB.Recordset")
			sSQLText = "SELECT C.CatUnq FROM Editors E (NOLOCK), Categories C (NOLOCK) WHERE C.DomainUnq = " & iDomainName & " AND C.CatUnq = E.CatUnq AND E.AccountUnq = " & iLoginAccountUnq
			rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsNews.EOF ) Then
				iCatUnq = rsNews("CatUnq")
			Else
				iCatUnq = 0	' something is wrong - they shouldn't be here
			End If
			rsNews.Close
			Set rsNews = Nothing
		End If
		
		If ( sDisplayName = "" ) Then
			sDisplayName = Trim(ACCNT_ReturnADV("SB_FirstName", "V", iLoginAccountUnq, 0, "OVERRIDE") & " " & ACCNT_ReturnADV("SB_LastName", "V", iLoginAccountUnq, 0, "OVERRIDE"))
		End If
		
		Select Case sAction
			Case "SubmitFromPreview"
				iNewsUnq = Trim(Request("iNewsUnq"))
				DBConnection.Execute "UPDATE News SET Preview = 'N', Approved = 'N' WHERE NewsUnq = " & iNewsUnq
				' email the moderator
				Call EmailTheModerator()
				bApproved = "N"
				' shouldn't be MULTIPART/FORM-DATA so we can redirect - redirect so they cannot refresh the page and re-submit it.
				Response.Redirect "SubmitSuccess.asp?" & DOMAIN_Link("G")
			Case "ReturnFromPreview"
				' they are coming back from previewing, so read the data from the database
				iNewsUnq = Trim(Request("iNewsUnq"))
				
				Set rsNews = CreateObject("ADODB.Recordset")
				sSQLText = "SELECT * FROM News (NOLOCK) WHERE NewsUnq = " & iNewsUnq
				rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsNews.EOF ) Then
					iCatUnq			= Trim(rsNews("CatUnq"))
					sHeadline		= Trim(rsNews("Headline"))
					sDisplayName	= Trim(rsNews("DisplayName"))
					sDisplayEmail	= Trim(rsNews("DisplayEmail"))
					sKeywords		= Trim(rsNews("Keywords"))
					sNewsSource		= Trim(rsNews("NewsSource"))
					sAnnotations	= Trim(rsNews("Annotations"))
					sMessage		= Trim(rsNews("Message"))
					sCaption		= Trim(rsNews("Caption"))
				End If
				rsNews.Close
				Set rsNews = Nothing

			Case "SubmitNews", "Submit_PostPreview"
				If ( sHeadline = "" ) Then
					sError = DOMAIN_Text("NEWS_SUBMIT_ENTERHEADLINE")
				End If
				If ( sMessage = "" ) Then
					sError = sError & DOMAIN_Text("NEWS_SUBMIT_ENTERMESSAGE")
				End If
				If ( sError = "" ) Then
					If ( sAction = "SubmitNews" ) Then
						' they haven't previewed, so the file hasn't been saved yet
						sError = G_UPLOAD_SaveFile()
					Else
						' must get the file info from the form - so it can be saved in the database
						sExtension		= Trim(objUpload("sExtension").Value)
						sFileName		= Trim(objUpload("sFileName").Value)
						iFileSize		= Trim(objUpload("iFileSize").Value)
						sFileID			= Trim(objUpload("sFileID").Value)
						' clear the cookies since they aren't going back to edit.
						Response.Cookies("NewsAttach" & iDomainName) = ""
						Response.Cookies("NewsAttach" & iDomainName).Path = "/"
						Response.Cookies("NewsAttach" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
						Response.Cookies("NewsAttach" & iDomainName).Expires = CDate(DateAdd("d", -1, NOW))
						Response.Cookies("NewsUnq" & iDomainName) = ""
						Response.Cookies("NewsUnq" & iDomainName).Path = "/"
						Response.Cookies("NewsUnq" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
						Response.Cookies("NewsUnq" & iDomainName).Expires = CDate(DateAdd("d", -1, NOW))
					End If
					If ( sError = "" ) Then
						' add it to the database
						' log it

						If ( sAction = "SubmitNews" ) Then
							' it hasn't been added to the database yet - if they preview it, it's been added
							If ( iFileSize = "" ) Then
								iFileSize = 0
							End If
							sCookedAnnotations	= StripCodes(sAnnotations)
							sCookedMessage		= StripCodes(sMessage)
							
							DBConnection.Execute "INSERT INTO News VALUES (" & iDomainName & ", " & iLoginAccountUnq & ", '" & SQLEncode(sDisplayName) & "', '" & SQLEncode(sDisplayEmail) & "', 0, 0, GetDate(), GetDate()+7, GetDate(), '" & SQLEncode(sNewsSource) & "', '" & SQLEncode(sKeywords) & "', " & iCatUnq & ", '" & SQLEncode(sHeadline) & "', '" & SQLEncode(sAnnotations) & "', '" & SQLEncode(sMessage) & "', 'N', 'N', 0,0,0,0,'" & sFileID & "', '" & sExtension & "', '" & sFileName & "', " & iFileSize & ", '" & SQLEncode(sCaption) & "', '" & SQLEncode(sCookedAnnotations) & "', '" & SQLEncode(sCookedMessage) & "')"
							
							Set rsNews = CreateObject("ADODB.Recordset")
							sSQLText = "SELECT @@IDENTITY"
							rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsNews.EOF ) Then
								iNewsUnq = rsNews(0)
							End If
							rsNews.Close
							Set rsNews = Nothing

							Call DOMAIN_Log(149, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(sDisplayName), "")
							Call DOMAIN_Log(150, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(sDisplayEmail), "")
							Call DOMAIN_Log(151, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", 0, "")
							Call DOMAIN_Log(152, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", 0, "")
							Call DOMAIN_Log(153, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", Now, "")
							Call DOMAIN_Log(154, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", Now, "")
							Call DOMAIN_Log(155, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", Now, "")
							Call DOMAIN_Log(156, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(sNewsSource), "")
							Call DOMAIN_Log(157, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(sKeywords), "")
							Call DOMAIN_Log(158, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", iCatUnq, "")
							Call DOMAIN_Log(159, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(sHeadline), "")
							Call DOMAIN_Log(160, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(sAnnotations), "")
							Call DOMAIN_Log(161, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(sMessage), "")
							' 162 (approval status is below)
							Call DOMAIN_Log(163, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(sCaption), "")
							Call DOMAIN_Log(164, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(sFileName), "")

						Else
							' the logging must pull from the database since the form doesn't have any of the data needed for the logs
							'	 and we don't want to log the preview entries
							iNewsUnq = Trim(Request("iNewsUnq"))
							Set rsNews = CreateObject("ADODB.Recordset")
							sSQLText = "SELECT * FROM News (NOLOCK) WHERE NewsUnq = " & iNewsUnq
							rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsNews.EOF ) Then
								Call DOMAIN_Log(149, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(rsNews("DisplayName")), "")
								Call DOMAIN_Log(150, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(rsNews("DisplayEmail")), "")
								Call DOMAIN_Log(151, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", 0, "")
								Call DOMAIN_Log(152, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", 0, "")
								Call DOMAIN_Log(153, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", Now, "")
								Call DOMAIN_Log(154, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", Now, "")
								Call DOMAIN_Log(155, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", Now, "")
								Call DOMAIN_Log(156, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(rsNews("NewsSource")), "")
								Call DOMAIN_Log(157, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(rsNews("Keywords")), "")
								Call DOMAIN_Log(158, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", rsNews("CatUnq"), "")
								Call DOMAIN_Log(159, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(rsNews("Headline")), "")
								Call DOMAIN_Log(160, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(rsNews("Annotations")), "")
								Call DOMAIN_Log(161, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(rsNews("Message")), "")
								' 162 (approval status is below)
								Call DOMAIN_Log(163, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(rsNews("Caption")), "")
								Call DOMAIN_Log(164, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", SQLEncode(rsNews("FileName")), "")
							End If
							rsNews.Close
							Set rsNews = Nothing
						End If

						DBConnection.Execute "UPDATE News SET Preview = 'N', Approved = 'N' WHERE NewsUnq = " & iNewsUnq
						' email the moderator
						Call EmailTheModerator()
						bApproved = "N"
						Call DOMAIN_Log(162, "", iDomainName, "", iNewsUnq, "", 0, "V", "I", bApproved, "")

						If ( sTemp = "MULTIPART/FORM-DATA" ) Then
							Response.Write "<SCRIPT LANGUAGE=javascript>" & VbCrlf
							Response.Write "document.location=""SubmitSuccess.asp?" & DOMAIN_Link("G") & """;" & VbCrlf
							Response.Write "</script>"
							Response.Write DOMAIN_Text("NEWS_NOFORWARDING") & "<a href='SubmitSuccess.asp?" & DOMAIN_Link("G") & "' class='MediumNavPage'>" & DOMAIN_Text("NEWS_CLICKHERE") & "</a>."
						Else
							Response.Redirect "SubmitSuccess.asp?" & DOMAIN_Link("G")
						End If
				
					Else
						Call DOMAIN_Message(sError, "ERROR")
					End If
				Else
					Call DOMAIN_Message(sError, "ERROR")
				End If
			Case "PreviewNews"
				sError = G_UPLOAD_SaveFile()
				If ( sError = "" ) Then
					' write the cookie here with the FileID (if there is one) so that if they go back and change the file, it'll know which one to delete
					Response.Cookies("NewsAttach" & iDomainName) = sFileID
					Response.Cookies("NewsAttach" & iDomainName).Path = "/"
					Response.Cookies("NewsAttach" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
					Response.Cookies("NewsAttach" & iDomainName).Expires = CDate(DateAdd("d", 365, NOW))	' make it last - so if they just close their browser, it might still delete the bad file if they come back within a year
					
					If ( iFileSize = "" ) Then
						iFileSize = 0
					End If
					sCookedAnnotations	= StripCodes(sAnnotations)
					sCookedMessage		= StripCodes(sMessage)
					
					' save the data...make it saved on the current domain, and not yet moderated...and the dates are all GetDate()
					DBConnection.Execute "INSERT INTO News VALUES (" & iDomainName & ", " & iLoginAccountUnq & ", '" & SQLEncode(sDisplayName) & "', '" & SQLEncode(sDisplayEmail) & "', 0, 0, GetDate(), GetDate()+7, GetDate(), '" & SQLEncode(sNewsSource) & "', '" & SQLEncode(sKeywords) & "', " & iCatUnq & ", '" & SQLEncode(sHeadline) & "', '" & SQLEncode(sAnnotations) & "', '" & SQLEncode(sMessage) & "', 'N', 'Y', 0,0,0,0,'" & sFileID & "', '" & sExtension & "', '" & sFileName & "', " & iFileSize & ", '" & SQLEncode(sCaption) & "', '" & SQLEncode(sCookedAnnotations) & "', '" & SQLEncode(sCookedMessage) & "')"
					
					Set rsNews = CreateObject("ADODB.Recordset")
					sSQLText = "SELECT @@IDENTITY"
					rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsNews.EOF ) Then
						iNewsUnq = rsNews(0)
					End If
					rsNews.Close
					Set rsNews = Nothing
					
					' write the cookie for the entry in the database that was just written - if they go back and edit and resubmit we want to delete this entry
					Response.Cookies("NewsUnq" & iDomainName) = iNewsUnq
					Response.Cookies("NewsUnq" & iDomainName).Path = "/"
					Response.Cookies("NewsUnq" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
					Response.Cookies("NewsUnq" & iDomainName).Expires = CDate(DateAdd("d", 365, NOW))	' make it last - so if they just close their browser, it might still delete the bad file if they come back within a year
					
					'display the preview
					%>
					<SCRIPT LANGUAGE=javascript>
					<!--
					
						function SubmitForm(sAction){
							document.PreviewNews.sAction.value = sAction;
							document.PreviewNews.submit();
						}
						
					//-->
					</SCRIPT>
					<form name='PreviewNews' action='SubmitNews.asp' method='post'>
					<input type='hidden' name='sAction' value='Returning'>
					<input type='hidden' name='iNewsUnq' value='<%=iNewsUnq%>'>
					<input type='hidden' name='iCatUnq' value='<%=iCatUnq%>'>
					<table cellpadding=0 cellspacing=0 border=0 width=671>
						<tr><td bgcolor='<%=DOMAIN_Color("NewsPageBGColor")%>'><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
						<tr>
							<td bgcolor='<%=DOMAIN_Color("NewsPageBGColor")%>'>
								<font color='<%=DOMAIN_Color("NewsPageText")%>'><font size=+1><b><%=sHeadline%></b></font>
								<br>
								<%If ( sDisplayEmail = "" ) Then%>
								<font size=-1><%=sDisplayName%>
								<%Else%>
								<a href='mailto:<%=sDisplayEmail%>?subject=Email <%=sDisplayName%>' class='SmallNavPage'><%=sDisplayName%></a>
								<%End If%>
								&nbsp;&#151;&nbsp;<font size=-2><%=Now%>
							</td>
						</tr>
						<tr>
							<td bgcolor='<%=DOMAIN_Color("NewsPageBGColor")%>'>
								<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor='<%=DOMAIN_Color("NewsBorderColor1")%>'>
								<table cellpadding = 5 cellspacing=0 border=0 width=671>
									<tr>
										<td bgcolor='<%=DOMAIN_Color("NewsPageBGColor")%>'>
											<%Call G_STRUCTURE_DisplayAttachment( sFileName, iFileSize, sFileID, sCaption)%>
											<font color='<%=DOMAIN_Color("NewsPageText")%>'>
											<%
											If ( sNewsSource <> "" ) Then
												Response.Write sNewsSource & "&nbsp&#151;&nbsp;"
											End If
											%>
											<%=sCookedMessage%>
										</td>
									</tr>
								</table>
								</td></tr></table>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("NewsBGColor2")%> align=center>
								<%Call G_LINK_Preview_News()%>
							</td>
						</tr>
						<tr><td bgcolor='<%=DOMAIN_Color("NewsPageBGColor")%>'><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
					</table>
					</form>
					<%
				Else
					Call DOMAIN_Message(sError, "ERROR")
				End If
		End Select
		
		If ( sAction <> "PreviewNews" ) Then
			If ( sDisplayEmail = "" ) Then
				' do this down here because they can have a blank email -- it'll be anon
				sDisplayEmail = Trim(ACCNT_ReturnADV("SB_EmailAddress", "V", iLoginAccountUnq, 0, "OVERRIDE"))
			End If
		
			' check for the license max - must do this at the bottom so it reacts after a new article has been added
			If ( NUM_ALLOWED_NEWSARTICLES > 0 ) Then
				' get the total number of articles that have been created - on ALL domains
				If ( G_NEWS_GetArticleCount() >= NUM_ALLOWED_NEWSARTICLES ) Then
					Call DOMAIN_Message("The maximum number of articles allowed in this SiteBeater installation (" & NUM_ALLOWED_NEWSARTICLES & " articles) has been reached. Please delete an existing article to create a new one, or <a href='http://www.sitebeater.com/' target='_blank' class='MediumNavPage'>upgrade your SiteBeater News System license</a>.", "ERROR")
				Else
					Call WriteForm()
				End If
			Else
				Call WriteForm()
			End If
		End If
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim aTypes, x, sBGColor, sTextColor, sValidExtensions, iTemp, bChangeDName
		
		sBGColor			= DOMAIN_Color("NewsBGColor1")
		sTextColor			= DOMAIN_Color("NewsTextColor1")
		sValidExtensions	= DOMAIN_Conf("SB_NEWS_ALLOWALLFILETYPES")
		bChangeDName		= CanChangeDName()
		%>
		<SCRIPT LANGUAGE=javascript>
		<!--
			<%
			' get array for JavaScript of all the allowed file types
			Response.Write "extArray = new Array("
			aTypes = Split(sValidExtensions, " ", -1, 1)
			For x = 0 To UBound(aTypes) - 1
				Response.Write """." & aTypes(x) & ""","
			Next
			Response.Write """"");"
			%>

			function LimitAttach()
			{
				file = document.SubmitNews.File1.value;
				
				allowSubmit = false;
				if (!file) return true;
				while (file.indexOf("\\") != -1)
				file = file.slice(file.indexOf("\\") + 1);
				ext = file.slice(file.indexOf(".")).toLowerCase();
				
				for (var i = 0; i < extArray.length; i++) {
					if (extArray[i] == ext) 
					{ 
						allowSubmit = true; 
						break;
					}
				}
				
				if (allowSubmit) 
				{
					return true;
				}else{
					alert("<%=DOMAIN_Text("NEWS_SUBMIT_UPLOADONLY1")%>" + (extArray.join("  ")) + "<%=DOMAIN_Text("NEWS_SUBMIT_UPLOADONLY2")%>");
					return false;
				}
			}
			
			function SubmitForm(sAction){
				document.SubmitNews.sAction.value = sAction;
				document.SubmitNews.submit();
			}
			
			function insertAtCaret1 (text) {
				// must set the textarea as focused otherwise, if it's not in focus, sometimes the text thats already in it gets deleted
				document.forms.SubmitNews.sMessage.focus();
				
				textEl = document.forms.SubmitNews.sMessage;
				if (textEl.createTextRange && textEl.caretPos) {
					var caretPos = textEl.caretPos;
					caretPos.text =
					caretPos.text.charAt(caretPos.text.length - 1) == ' ' ?
					 text + ' ' : text;
				}else
					textEl.value  = text;
			}
			
			function storeCaret1 (textEl) {
				if (textEl.createTextRange) 
					textEl.caretPos = document.selection.createRange().duplicate();
			}
			
			function insertAtCaret2 (text) {
				// must set the textarea as focused otherwise, if it's not in focus, sometimes the text thats already in it gets deleted
				document.forms.SubmitNews.sAnnotations.focus();
				
				textEl = document.forms.SubmitNews.sAnnotations;
				if (textEl.createTextRange && textEl.caretPos) {
					var caretPos = textEl.caretPos;
					caretPos.text =
					caretPos.text.charAt(caretPos.text.length - 1) == ' ' ?
					 text + ' ' : text;
				}else
					textEl.value  = text;
			}
			
			function storeCaret2 (textEl) {
				if (textEl.createTextRange) 
					textEl.caretPos = document.selection.createRange().duplicate();
			}

		//-->
		</SCRIPT>
		<form ENCTYPE="multipart/form-data" onsubmit="return LimitAttach()" name='SubmitNews' action='SubmitNews.asp' method='post'>
		<input type='hidden' name='sAction' value='New'>
		<input type='hidden' name='iCatUnq' value='<%=iCatUnq%>'>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr><td>
				<font color='<%=DOMAIN_Color("NewsPageText")%>'><font size=+1><b><%=DOMAIN_Text("NEWS_SUBMIT_HEADER")%></b></font><br>
				<%=DOMAIN_Text("NEWS_SUBMIT_INTRO")%>
			</td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("NewsPageText")%>'><b><%=DOMAIN_Text("NEWS_SUBMIT_CAT")%></b> <%Call DisplayCatSelect()%></font>
				</td>
			</tr>
			<tr>
				<td>
					<br>
					<%
					iTableWidth = 671
					Call G_STRUCTURE_HeaderBar(DOMAIN_Text("NEWS_NEWS_MESSAGE_IMAGE"), "", "", "News")%>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor='<%=DOMAIN_Color("NewsBorderColor1")%>'>
					<table cellpadding = 5 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor = <%=sBGColor%>>
								<%Call G_STRUCTURE_HTMLCode_Buttons("1")%>
								<center>
								<textarea cols=78 rows=12 WRAP="soft" NAME="sMessage" ONFOCUS="storeCaret1(this);" ONSELECT="storeCaret1(this);" ONCLICK="storeCaret1(this);" ONKEYUP="storeCaret1(this);"><%=sMessage%></textarea>
								</center>
								<SCRIPT LANGUAGE=javascript>
								<!--
									// this must be here - after the form field is created
									storeCaret1(document.SubmitNews.sMessage);	// this sets the cursor pos so when they add a tag w/o setting focus of form field it doesn't blank it all
								//-->
								</SCRIPT>
								<br><br>
							</td>
						</tr>
					</table>
					</td></tr></table>
					<%Call G_STRUCTURE_SubHeaderBar(DOMAIN_Text("NEWS_NEWS_ANNOTATIONS_IMAGE"), "", "", "News")%>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor='<%=DOMAIN_Color("NewsBorderColor1")%>'>
					<table cellpadding = 5 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor = <%=sBGColor%>>
								<%Call G_STRUCTURE_HTMLCode_Buttons("2")%>
								<center>
								<textarea cols=78 rows=6 WRAP="soft" NAME="sAnnotations" ONFOCUS="storeCaret2(this);" ONSELECT="storeCaret2(this);" ONCLICK="storeCaret2(this);" ONKEYUP="storeCaret2(this);"><%=sAnnotations%></textarea>
								</center>
								<SCRIPT LANGUAGE=javascript>
								<!--
									// this must be here - after the form field is created
									storeCaret2(document.SubmitNews.sAnnotations);	// this sets the cursor pos so when they add a tag w/o setting focus of form field it doesn't blank it all
								//-->
								</SCRIPT>
								<br><br>
							</td>
						</tr>
					</table>
					</td></tr></table>
					<%Call G_STRUCTURE_SubHeaderBar(DOMAIN_Text("NEWS_NEWS_PROPERTIES_IMAGE"), "", "", "News")%>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor='<%=DOMAIN_Color("NewsBorderColor1")%>'>
					<table cellpadding = 5 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor='<%=sBGColor%>' align=center>
								<table width=100%>
									<tr>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("NEWS_SUBMIT_HEAD")%></td>
										<td><input type='text' name='sHeadline' value="<%=Server.HTMLEncode(sHeadline)%>" size=70 maxlength=250></td>
									</tr>
									<tr>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("NEWS_SUBMIT_DISPNAME")%></td>
										<%If ( bChangeDName ) Then%>
										<td><input type='text' name='sDisplayName' value="<%=Server.HTMLEncode(sDisplayName)%>" size=30 maxlength=250></td>
										<%Else%>
										<td><input type='hidden' name='sDisplayName' value="<%=Server.HTMLEncode(sDisplayName)%>"><%=sDisplayName%></td>
										<%End If%>
									</tr>
									<tr>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("NEWS_SUBMIT_DISPEMAIL")%></td>
										<%If ( bChangeDName ) Then%>
										<td><input type='text' name='sDisplayEmail' value="<%=Server.HTMLEncode(sDisplayEmail)%>" size=30 maxlength=250></td>
										<%Else%>
										<td><input type='hidden' name='sDisplayEmail' value="<%=Server.HTMLEncode(sDisplayEmail)%>"><%=sDisplayEmail%></td>
										<%End If%>
									</tr>
									<tr>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("NEWS_SUBMIT_KEYWORDS")%></td>
										<td><input type='text' name='sKeywords' value="<%=Server.HTMLEncode(sKeywords)%>" size=70 maxlength=250></td>
									</tr>
									<tr>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("NEWS_SUBMIT_SOURCE")%></td>
										<td><input type='text' name='sNewsSource' value="<%=Server.HTMLEncode(sNewsSource)%>" size=30 maxlength=250></td>
									</tr>
									<tr>
										<td valign=top><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("NEWS_SUBMIT_ATTACHMENT")%></td>
										<td>
											<input TYPE='FILE' NAME='File1' SIZE=30>
											<font color='<%=sTextColor%>' size=-2><br>
											<%=DOMAIN_Text("NEWS_SUBMIT_VALIDFILES")%><%=sValidExtensions%><br>
											<%=DOMAIN_Text("NEWS_SUBMIT_MAXFILESIZE")%>
											<%
											iTemp = Trim(DOMAIN_Conf("SB_NEWS_INITIAL_UPLOADBYTES"))
											If ( iTemp = "-1" ) Then
												Response.Write DOMAIN_Text("NEWS_SUBMIT_UNLIMITED")
											Else
												Response.Write iTemp
											End If
											%>
										</td>
									</tr>
									<tr>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("NEWS_SUBMIT_CAPTION")%></td>
										<td><input type='text' name='sCaption' value="<%=Server.HTMLEncode(sCaption)%>" size=70 maxlength=250></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("NewsBGColor2")%> align=center>
								<%Call G_LINK_Post_Preview_News_Submit()%>
							</td>
						</tr>
					</table>
					</td></tr></table>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	displays and populates the category drop-down list.								*
	'*																					*
	'************************************************************************************
	Sub DisplayCatSelect()
		Dim sSQLText, rsNews
		
		Set rsNews = CreateObject("ADODB.Recordset")
			
		sSQLText = "SELECT Name FROM Categories (NOLOCK) WHERE CatUnq = " & iCatUnq
		rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsNews.EOF ) Then
			Response.Write "<b>" & rsNews("Name") & "</b>"
		Else
			Response.Write DOMAIN_Text("NEWS_SUBMIT_NOCAT")
		End If
		rsNews.Close

		Set rsNews = Nothing
		
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This checks to see if the user is an editor and if so, if they can change their	*
	'*		Display Name.																*
	'*																					*
	'************************************************************************************
	Function CanChangeDName()
	
		Dim sSQLText, rsNews
		
		Set rsNews = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT DName FROM Editors (NOLOCK) WHERE AccountUnq = " & iLoginAccountUnq
		rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsNews.EOF ) Then
			If ( Trim(UCase(rsNews("DName"))) = "Y" ) Then
				CanChangeDName = TRUE
			Else
				CanChangeDName = FALSE
			End If
		Else
			CanChangeDName = TRUE
		End If
		rsNews.Close
		Set rsNews = Nothing

		
	End Function
	'************************************************************************************
%>