<!--#INCLUDE FILE="../Includes/i_News.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, rsNews, iNumPerPage, iTtlNumItems, iDBLoc
	Dim iCatUnq, sSort

	Call DISP_Action("SB_NEWS_OPEN")
	Call DISP_Action("SB_NEWS_MANAGE_NEWS")
	If   (ACCNT_AnyDomain("SB_NEWS_ADMIN_DELNEWS")) Or _
		 (ACCNT_AnyDomain("SB_NEWS_ADMIN_ADDNEWS")) Or _
		 (ACCNT_AnyDomain("SB_NEWS_ADMIN_EDITNEWS")) Then
		Call Main()
	Else
		If ( IsEditor() ) Then	
			' users who don't have global rights just get to edit their own stuff on the current domain
			Response.Redirect "EditorView.asp"
		Else
			Call DOMAIN_Message(DOMAIN_Text("NEWS_SYS_RIGHTS"), "ERROR")
		End If
	End If
	Call DISP_Action("SB_NEWS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sSQLText, sError, sSuccess, sCheckbox
		Dim iNewsUnq, lf, sFilePath
		
		sAction = Trim(Request("sAction"))
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_NEWS_ADMIN_DELNEWS", "SB_NEWS_ADMIN_ADDNEWS", "SB_NEWS_ADMIN_EDITNEWS")
		End If
		iCatUnq = Trim(Request("iCatUnq"))
		If ( iCatUnq = "" ) Then
			iCatUnq = 0
		End If
		sSort = Trim(Request("sSort"))
		If ( sSort = "" ) Then
			sSort = "NewsUnq"
		End If

		Set rsNews = Server.CreateObject("ADODB.recordset")

		Select Case sAction
			Case "DeleteNews"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_NEWS_ADMIN_DELNEWS", iDomainUnq)) Then
					sError = DOMAIN_Text("NEWS_SYS_RIGHTS")
				Else
					For Each sCheckbox In Request.Form
						If ( InStr(sCheckbox, "sDelete") > 0 ) Then
							iNewsUnq = Replace(sCheckbox, "sDelete", "")

							sSQLText = "SELECT * FROM News (NOLOCK) WHERE NewsUnq = " & iNewsUnq
							rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsNews.EOF ) Then
								Call DOMAIN_Log(149, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", SQLEncode(rsNews("DisplayName")), "")
								Call DOMAIN_Log(150, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", SQLEncode(rsNews("DisplayEmail")), "")
								Call DOMAIN_Log(151, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", rsNews("MsgBoardConfUnq"), "")
								Call DOMAIN_Log(152, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", rsNews("MsgBoardThreadUnq"), "")
								Call DOMAIN_Log(153, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", rsNews("StartDate"), "")
								Call DOMAIN_Log(154, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", rsNews("EndDate"), "")
								Call DOMAIN_Log(155, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", rsNews("SubmitDate"), "")
								Call DOMAIN_Log(156, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", SQLEncode(rsNews("NewsSource")), "")
								Call DOMAIN_Log(157, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", SQLEncode(rsNews("Keywords")), "")
								Call DOMAIN_Log(158, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", rsNews("CatUnq"), "")
								Call DOMAIN_Log(159, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", SQLEncode(rsNews("Headline")), "")
								Call DOMAIN_Log(160, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", SQLEncode(rsNews("Annotations")), "")
								Call DOMAIN_Log(161, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", SQLEncode(rsNews("Message")), "")
								Call DOMAIN_Log(162, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", rsNews("Approved"), "")
								Call DOMAIN_Log(163, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", SQLEncode(rsNews("Caption")), "")
								Call DOMAIN_Log(164, "", iDomainUnq, "", iNewsUnq, "", 0, "V", "D", SQLEncode(rsNews("FileName")), "")
								
								' delete any attachments and thumbnails
								Set lf = server.createObject("Scripting.FileSystemObject")
								sFilePath = "\" & DOMAIN_Conf("SB_NEWS_ATTACH_DIR") & "\" & rsNews("FileID")
								sFilePath = Replace(sFilePath, "\", "/")
								sFilePath = Replace(sFilePath, "//", "/")
								sFilePath = Server.MapPath(sFilePath)
								If ( lf.FileExists(sFilePath) ) Then
									' the file exists - delete it
									lf.DeleteFile(sFilePath)
								End If
								sFilePath = "\" & DOMAIN_Conf("SB_NEWS_ATTACH_DIR") & "\" & "Thumb_" & rsNews("FileID")
								sFilePath = Replace(sFilePath, "\", "/")
								sFilePath = Replace(sFilePath, "//", "/")
								sFilePath = Server.MapPath(sFilePath)
								If ( lf.FileExists(sFilePath) ) Then
									' a thumbnail exists - delete it
									lf.DeleteFile(sFilePath)
								End If
			
							End If
							rsNews.Close
							
							DBConnection.Execute "DELETE FROM News WHERE NewsUnq = " & iNewsUnq

							If ( sSuccess = "" ) Then
								sSuccess = DOMAIN_Text("NEWS_MANAGENEWS_DELETEDOK")
							End If
						End If
					Next
				End If
		End Select
		
		' Pagination variables -- begin
		iNumPerPage = 20
		iTtlNumItems = Trim(Request("iTtlNumItems"))
		If ( iTtlNumItems = "" ) Then
			iTtlNumItems = 0
		Else
			iTtlNumItems = CDbl(Request("iTtlNumItems"))
		End If
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		' must reset the position in the db and the ttlnumitems when changing the domain or system drop-down menu
		' must also reset them if colors have been deleted
		Select Case sAction
			Case "UpdateDomainUnq"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "DeleteNews"
				iTtlNumItems = 0
			Case "UpdateSort"
				iDBLoc = 0
			Case "UpdateCategory"
				iDBLoc = 0
				iTtlNumItems = 0
		End Select
		
		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			sSQLText = "SELECT Count(*) FROM News (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " AND CatUnq = " & iCatUnq
			rsNews.Open sSQLText, DBConnection
			If Not(rsNews.EOF) Then
				iTtlNumItems = rsNews(0)
			End If
			rsNews.Close
		end if
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		Call WriteForm()
		Set rsNews = Nothing
	End Sub
	'************************************************************************************

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sSQLText
		Dim sBGColor, sTextColor, x, sLinkColor
		Dim sColor1, sColor2, sColor3, sColor4
		Dim iNewsUnq, sAnnotations, sHeadline, iTimesRead, dStartDate, dEndDate, dSubmitDate
		Dim sDisplayName
		
		sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM News (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " AND CatUnq = " & iCatUnq & " ORDER BY " & sSort & " SET ROWCOUNT 0"
		Set rsNews = CreateObject("ADODB.Recordset")
		rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("NewsBGColor2")
		For x = 1 To CDbl(iDBLoc)
			rsNews.MoveNext
		Next
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageNews.sAction.value = sAction;
				document.ManageNews.submit();
			}
			
			function PaginationLink(sQueryString){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>&iCatUnq=<%=iCatUnq%>" + sQueryString;
			}
			
			function NewNews(){
				document.location = "NewNews.asp?<%=DOMAIN_Link("G")%>&iTtlNumItems=<%=iTtlNumItems%>&iDBLoc=<%=iDBLoc%>&iDomainUnq=<%=iDomainUnq%>";
			}

		</script>

		<form name='ManageNews' action='Default.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<table cellpadding=0 cellspacing=0 border=0 width=671>
						<tr>
							<td><font color='<%=DOMAIN_Color("NewsPageText")%>'><font size=+1><b><%=DOMAIN_Text("NEWS_MANAGENEWS_HEADER")%></b></font></td>
							<%If ( IsEditor() ) Then%>
							<td align=right><a href='EditorView.asp?<%=DOMAIN_Link("G")%>iDomainUnq=<%=iDomainUnq%>' class='LargeNavPage'><%=DOMAIN_Text("NEWS_MANAGENEWS_MANAGEURNEWS")%></a></tD>
							<%End If%>
						</tr>
					</table>
					<br><br>
					<table width=671>
						<tr>
							<td><font color='<%=DOMAIN_Color("NewsPageText")%>'><b><%=DOMAIN_Text("NEWS_TEXT_DOMAIN")%></b></font></td>
							<td><font color='<%=DOMAIN_Color("NewsPageText")%>'><b><%=DOMAIN_Text("NEWS_SUBMIT_CAT")%></b></font></td>
							<td><font color='<%=DOMAIN_Color("NewsPageText")%>'><b><%=DOMAIN_Text("NEWS_MANAGENEWS_SORTBY")%></b></font></td>
						</tr>
						<tr>
							<td><%Call DOMAINS_DomainsDropDown("SB_NEWS_ADMIN_DELNEWS", "SB_NEWS_ADMIN_ADDNEWS", "SB_NEWS_ADMIN_EDITNEWS")%></td>
							<td><%Call DisplayCatSelect()%></td>
							<td>
								<select name='sSort' onChange='SubmitForm("UpdateSort");'>
									<option value='NewsUnq' <%If ( sSort = "NewsUnq" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("NEWS_MANAGENEWS_IDNUM")%></option>
									<option value='OriginalEditor' <%If ( sSort = "OriginalEditor" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("NEWS_MANAGENEWS_AUTHOR")%></option>
									<option value='SubmitDate' <%If ( sSort = "SubmitDate" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("NEWS_MANAGENEWS_DISPDATE")%></option>
									<option value='StartDate' <%If ( sSort = "StartDate" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("NEWS_MANAGENEWS_STARTDATE")%></option>
									<option value='EndDate' <%If ( sSort = "EndDate" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("NEWS_MANAGENEWS_ENDDATE")%></option>
								</select>
							</td>
						</tr>
					</table>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGENEWS_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGENEWS_NEWS")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGENEWS_VIEWS")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGENEWS_STARTDATE")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGENEWS_ENDDATE")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGENEWS_DISPDATE")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGENEWS_AUTHOR")%></b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGENEWS_DELETE")%></b></td>
						</tr>
						<%
						sColor1 = DOMAIN_Color("NewsBGColor1")
						sColor2 = DOMAIN_Color("NewsPageBGColor")
						sColor3 = DOMAIN_Color("NewsPageText")
						sColor4 = DOMAIN_Color("NewsTextColor1")
						While ( NOT rsNews.EOF )
							If ( sBGColor = sColor1 ) Then
								sBGColor = sColor2
								sTextColor = sColor3
								sLinkColor = "MediumNavPage"
							Else
								sBGColor = sColor1
								sTextColor = sColor4
								sLinkColor = "MediumNav1"
							End If

							iNewsUnq		= rsNews("NewsUnq")
							sAnnotations	= Server.HTMLEncode(rsNews("Annotations"))
							sHeadline		= Server.HTMLEncode(rsNews("Headline"))
							If ( sHeadline = "" ) Then
								' if there are no headlines, display the annotations
								sHeadline = sAnnotations
							End If
							iTimesRead		= rsNews("TimesRead")
							dStartDate		= rsNews("StartDate")
							dEndDate		= rsNews("EndDate")
							dSubmitDate		= rsNews("SubmitDate")
							sDisplayName	= Server.HTMLEncode(rsNews("DisplayName"))
							%>
							<tr>
								<td bgcolor=<%=sBGColor%> align=center valign=top><font color='<%=sTextColor%>'><%=iNewsUnq%></td>
								<td bgcolor=<%=sBGColor%> valign=top><font color='<%=sTextColor%>' size=-2><%=sHeadline%></td>
								<td bgcolor=<%=sBGColor%> align=center valign=top><font color='<%=sTextColor%>'><%=iTimesRead%></td>
								<td bgcolor=<%=sBGColor%> align=center valign=top><font color='<%=sTextColor%>' size=-2><%=dStartDate%></td>
								<td bgcolor=<%=sBGColor%> align=center valign=top><font color='<%=sTextColor%>' size=-2><%=dEndDate%></td>
								<td bgcolor=<%=sBGColor%> align=center valign=top><font color='<%=sTextColor%>' size=-2><%=dSubmitDate%></td>
								<td bgcolor=<%=sBGColor%> valign=top><font color='<%=sTextColor%>' size=-2><%=sDisplayName%></td>
								<%If (ACCNT_SpecificDomain("SB_NEWS_ADMIN_DELNEWS", iDomainUnq)) Then%>
								<td align=center bgcolor=<%=sBGColor%> valign=top><input type='checkbox' name="sDelete<%=iNewsUnq%>" value="<%=iNewsUnq%>"></td>
								<%Else%>
								<td bgcolor=<%=sBGColor%>>%nbsp;</td>
								<%End If%>
							</tr>
							<tr>
								<td bgcolor=<%=sBGColor%> colspan=4 align=center>
									<%If (ACCNT_SpecificDomain("SB_NEWS_ADMIN_EDITNEWS", iDomainUnq)) Then%>
									<a href='EditNews.asp?<%=DOMAIN_Link("G")%>iNewsUnq=<%=iNewsUnq%>' class='<%=sLinkColor%>'><%=DOMAIN_Text("NEWS_MANAGENEWS_EDITARTICLE")%></a>
									<%End If%>
								</td>
								<td bgcolor=<%=sBGColor%> colspan=4 align=center>
									<a href='RelatedArticles.asp?<%=DOMAIN_Link("G")%>iNewsUnq=<%=iNewsUnq%>' class='<%=sLinkColor%>'><%=DOMAIN_Text("NEWS_MANAGENEWS_MANAGERELATED")%></a>
								</td>
							</tr>
							<%
							rsNews.MoveNext
						Wend
						%>
						<tr>
							<td colspan=8 align=right>
								<%Call PrintRecordsetNav( "Default.asp", "", "News" )%>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This checks to see if the user currenly logged in is an editor - on any domain.	*
	'*																					*
	'************************************************************************************
	Function IsEditor()
	
		Dim sSQLText, rsNews
		
		Set rsNews = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT DISTINCT AccountUnq FROM Editors E (NOLOCK), Categories C (NOLOCK) WHERE E.CatUnq = C.CatUnq AND C.DomainUnq = " & iDomainName & " AND E.AccountUnq = " & iLoginAccountUnq
		rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsNews.EOF ) Then
			IsEditor = TRUE
		Else
			IsEditor = FALSE
		End If
		rsNews.Close
		Set rsNews = Nothing
		
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	displays and populates the category drop-down list.								*
	'*																					*
	'************************************************************************************
	Sub DisplayCatSelect()
		Dim sSQLText, rsNews
		
		Set rsNews = CreateObject("ADODB.Recordset")
			
		sSQLText = "SELECT CatUnq, Name From Categories (NOLOCK) WHERE DomainUnq = " & iDomainUnq
		Response.Write "<select name='iCatUnq' onChange='SubmitForm(""UpdateCategory"");'>"
		rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsNews.EOF ) Then
			Response.Write "<option value='0'>" & DOMAIN_Text("NEWS_MANAGENEWS_NOTINCAT") & "</option>"
			While ( NOT rsNews.EOF )
				If ( Trim(rsNews("CatUnq")) = iCatUnq ) Then
					Response.Write "<option value='" & rsNews("CatUnq") & "' selected>" & rsNews("Name") & "</option>"
				Else
					Response.Write "<option value='" & rsNews("CatUnq") & "'>" & rsNews("Name") & "</option>"
				End If
				rsNews.MoveNext
			Wend
		Else
			Response.Write "<option value='-1'>" & DOMAIN_Text("NEWS_MANAGENEWS_NOCATONDOMAIN") & "</option>"
		End If
		rsNews.Close

		Response.Write "</select>"
		Set rsNews = Nothing
		
	End Sub
	'************************************************************************************
%>