<!--#INCLUDE FILE="ColorSchemes/Aqua.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Black.asp"-->
<!--#INCLUDE FILE="ColorSchemes/White.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_Aqua.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_Black.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_White.asp"-->
<!--#INCLUDE FILE="TextSchemes/English.asp"-->
<!--#INCLUDE FILE="ADV/Default.asp"-->
<!--#INCLUDE FILE="LogTypes/Default.asp"-->
<!--#INCLUDE FILE="Rights/Default.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	Enter the default data into the databases. Read from the NavSQL files the nav	*
	'*		code to put into the database.												*
	'*																					*
	'************************************************************************************
	Sub Defaults()
		Dim sSQLText, oServerNameObject, sTemp
		Dim fsoFileObject, fFile, tsTextStream, sText
		
		' Enter other configuration variables
		DBConnection.Execute "INSERT INTO Configurations VALUES ('cCODE_DELIMITER','%PW%','This is before and after ASP in the Actions code.'," & iDomain & ",'SB_MCONG_VIEW_cCODE_DELIMITER','SB_MCONG_EDIT_cCODE_DELIMITER',8,'',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('ACCOUNTS_COLORS','3','This is the SchemeUnq of the color scheme to use on the Accounts. The colors administrative pages has the full color scheme list.'," & iDomain & ",'SB_CONF_VIEW_ACCOUNTS_COLORS','SB_CONF_CHANGE_ACCOUNTS_COLORS',1,'Color',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('DOMAINS_COLORS','3','This is the SchemeUnq of the color scheme to use on the Domains page. The colors administrative pages has the full color scheme list.'," & iDomain & ",'SB_CONF_VIEW_DOMAINS_COLORS','SB_CONF_CHANGE_DOMAINS_COLORS',8,'Color',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('ACCOUNTS_TEXT','1','This is the SchemeUnq of the text scheme to use on the Accounts system.'," & iDomain & ",'SB_CONF_VIEW_ACCOUNTS_TEXT','SB_CONF_CHANGE_ACCOUNTS_TEXT',1,'Text',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('DOMAINS_TEXT','1','This is the SchemeUnq of the text scheme to use on the Domains system.'," & iDomain & ",'SB_CONF_VIEW_DOMAINS_TEXT','SB_CONF_CHANGE_DOMAINS_TEXT',8,'Text',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('ACCOUNTS_SIGNUP','OPEN','If this is set as ""OPEN"", then anyone can signup for a new account. If it''s set as ""CLOSED"", then administrators must create them in the Manage Accounts screen.'," & iDomain & ",'','',1,'',0,0)"
		
		DBConnection.Execute "INSERT INTO Configurations VALUES ('EMAIL_LOGIN_FROMNAME','Customer Support','Used when a user is retrieving their login/password. This is the name of the sender.'," & iDomain & ",'','',0,'Email',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('EMAIL_LOGIN_FROMEMAIL','customersupport@YourWebSiteHere.com','Used when a user is retrieving their login/password. This is the email address of the sender.'," & iDomain & ",'','',0,'Email',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('EMAIL_REMOTEHOST','','Alpha system email server used to route messages. Usually like mail.YourWebSiteHere.com. Leave blank to disable emails.'," & iDomain & ",'','',0,'Email',1,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('EMAIL_REMOTEHOST','','Beta system email server used to route messages. Usually like mail.YourWebSiteHere.com. Leave blank to disable emails.'," & iDomain & ",'','',0,'Email',2,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('EMAIL_REMOTEHOST','','Live system email server used to route messages. Usually like mail.YourWebSiteHere.com. Leave blank to disable emails.'," & iDomain & ",'','',0,'Email',3,0)"
		
		DBConnection.Execute "INSERT INTO Configurations VALUES ('USE_EDIT-ON','NO','Set to YES to use the Edit-On WYSIWYG editor. NO to not use it.'," & iDomain & ",'','',0,'Edit-On',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('EDIT-ON_LICENSEKEY','','The Edit-On Pro license key for this domain. Populate this only if you do not use the standard licensekey.xml file.'," & iDomain & ",'','',0,'Edit-On',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('EDIT-ON_SPELLCHECKPROPERTIES','sc-americanenglish.txt','Set to the spell check properties file you would like to use. Change according to the language. See the documentation.'," & iDomain & ",'','',0,'Edit-On',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('EDIT-ON_IMAGEROOT','http://www.YourWebSiteHere.com/Images','ImageRoot value from Edit-On Pro. See the Edit-On Pro documentation. This can be set to a single image server if desired (multiple web servers/one image server type of setup).'," & iDomain & ",'','',0,'Edit-On',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('EDIT-ON_TEXT','1','The Text Scheme Unq used with Edit-On. Must be a SiteBeater Text Scheme or scheme created using a SiteBeater Text Scheme.'," & iDomain & ",'','',0,'Text',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('EDIT-ON_IMAGEPROXYURL','','Use with the EDIT-ON_IMAGEROOT. The IP address/Domain name (with out the ""http://"") of the server hosting all images (eg. 192.168.1.1)--or leave blank if you do not have one specific image server.'," & iDomain & ",'','',0,'Edit-On',0,0)"
		
		DBConnection.Execute "INSERT INTO Configurations VALUES ('ACCOUNTS_TABLEWIDTH','671','Set the width of the tables on the login, new user and preferences pages. Either pixels or percent. 671 is the default.'," & iDomain & ",'','',1,'',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SEND_ADMIN_REG_EMAIL','YES','Set this to YES to send an email to the administrator when a user registers for a new account. Set it to NO otherwise.'," & iDomain & ",'','',0,'Email',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SEND_ADMIN_REG_EMAIL_DEST','administrator@YourWebSiteHere.com','This is the email address to send the SEND_ADMIN_REG_EMAIL email to.'," & iDomain & ",'','',0,'Email',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SEND_ADMIN_REG_FROMNAME','SiteBeater Administrator','This is the name of the user who sends the SEND_ADMIN_REG_EMAIL email.'," & iDomain & ",'','',0,'Email',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SEND_ADMIN_REG_FROMEMAIL','newuser@YourWebSiteHere.com','This is the email address of the user who sends the SEND_ADMIN_REG_EMAIL email.'," & iDomain & ",'','',0,'Email',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SEND_ADMIN_REG_DESTNAME','Administrator','This is the name of the user who receives the SEND_ADMIN_REG_EMAIL email.'," & iDomain & ",'','',0,'Email',0,0)"
		
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SEND_USER_REG_EMAIL','YES','Set this to YES to send an email to the user when they register for a new account. Set it to NO otherwise.'," & iDomain & ",'','',0,'Email',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SEND_USER_REG_EMAIL_SOURCE','administrator@YourWebSiteHere.com','This is the email address to send the SEND_USER_REG_EMAIL email from.'," & iDomain & ",'','',0,'Email',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SEND_USER_REG_EMAIL_NAME','Administrator','This is the name of the person who is sending the email to SEND_USER_REG_EMAIL.'," & iDomain & ",'','',0,'Email',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('EMAIL_TYPE','ASPMAIL','Either ASPMAIL or CDONTS. This is the method of sending emails.'," & iDomain & ",'','SB_MC_CHANGE_EMAIL_METHOD',0,'Email',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('LOGGING_ENABLED','Enabled','Enter any data to enable logging. Clear the value to disable logging.'," & iDomain & ",'','SB_CONF_CHANGE_LOGGING',8,'',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('ACCOUNTS_AUTHENTICATION','YES','Set to YES to enable user authentication. Set to anything else to disable it.'," & iDomain & ",'','',1,'',0,0)"
		
		' PUBLIC system conf variables
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SB_PUBLIC_POLL_TABLEWIDTH','671','This is the width of the tables on the results pages of the public Poll pages.'," & iDomain & ",'','',5,'',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('PUBLIC_COLORS','3','This is the SchemeUnq of the color scheme to use on the Public system. The colors administrative pages has the full color scheme list.'," & iDomain & ",'','',5,'Color',0,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('PUBLIC_TEXT','1','This is the SchemeUnq of the text scheme to use on the Public system.'," & iDomain & ",'','',5,'Text',0,0)"
		
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SITEBEATER_FOUNDATION_VERSION','" & SITEBEATER_VERSION & "','Please do not change this Configuration Variable. This is used when update scripts are run.'," & iDomain & ",'','',8,'',0,0)"
		
		' variable to control number of accounts on each domain
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SB_MAX_DOMAIN_ACCOUNTS','-1','This is the maximum number of accounts that can be created on this domain. -1 for unlimited.'," & iDomain & ",'SB_CONF_VIEW_MAX_DOMAIN_ACCOUNTS','SB_CONF_EDIT_MAX_DOMAIN_ACCOUNTS',1,'',0,0)"
		
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SB_WEBROOT','" & sNewDirLocation & sNewDirName & "','This is the web root drive and directory as shown in IIS. Required for cross-domain file manipulation.'," & iDomain & ",'SB_CONF_VIEW_WEBROOT','SB_CONF_EDIT_WEBROOT',8,'',1,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SB_WEBROOT','" & sNewDirLocation & sNewDirName & "','This is the web root drive and directory as shown in IIS. Required for cross-domain file manipulation.'," & iDomain & ",'SB_CONF_VIEW_WEBROOT','SB_CONF_EDIT_WEBROOT',8,'',2,0)"
		DBConnection.Execute "INSERT INTO Configurations VALUES ('SB_WEBROOT','" & sNewDirLocation & sNewDirName & "','This is the web root drive and directory as shown in IIS. Required for cross-domain file manipulation.'," & iDomain & ",'SB_CONF_VIEW_WEBROOT','SB_CONF_EDIT_WEBROOT',8,'',3,0)"
		
		
		If ( SYSTEM_EXPIRES ) Then
			' this conf var is to time-out trial versions. the rights required to edit it are not in the system so noone can change it - but they can see it
			DBConnection.Execute "INSERT INTO Configurations VALUES ('SYSTEM_EXPIRES','" & DateAdd("m", 1, NOW) & "','This is the date that the SiteBeater Trial will expire.'," & iDomain & ",'','SB_NO_RIGHTS',5,'',0,0)"
		End If
		

		' Enter the color schemes and their colors
		Call AquaScheme()
		Call WhiteScheme()
		Call BlackScheme()
		Call Flat_AquaScheme()
		Call Flat_WhiteScheme()
		Call Flat_BlackScheme()

		' Enter the text schemes and their copy

		Call EnglishScheme()
		If ( Err.Number <> 0 ) Then
			Response.Write "There was an error installing the english text scheme.<br>" & Err.Description
			Call ClosePage()
			Response.End
		Else
		End If
					
		' Enter the ADV's and the first account's data (first name, last name, address, etc.)
		Call ADV()
		
		' Enter the Log Types
		Call SetLogTypes()

		' Enter the systems
		DBConnection.Execute "INSERT INTO Systems VALUES (1, 'ACCOUNTS_SYSTEMUNQ', 'Accounts system.')"
		DBConnection.Execute "INSERT INTO Systems VALUES (5, 'PUBLIC_SYSTEMUNQ', 'Public system.')"
		DBConnection.Execute "INSERT INTO Systems VALUES (8, 'DOMAINS_SYSTEMUNQ', 'Domains system.')"
		
		' Enter the servers info
		On Error Resume Next
		Set oServerNameObject = Server.CreateObject("Wscript.Network") 
		If ( Err.Number <> 0 ) Then
			' this means their hosting provider has disabled WSH
			DBConnection.Execute "INSERT INTO Servers VALUES (1,'" & Request.ServerVariables("LOCAL_ADDR") & "','','ALPHA','Alpha server number 1.','','','" & sNewDirLocation & "', '" & Replace(sLocASP, "\Includes", "") & "','','T')"
			DBConnection.Execute "INSERT INTO Servers VALUES (2,'" & Request.ServerVariables("LOCAL_ADDR") & "','','BETA','Beta server number 1.','','','" & sNewDirLocation & "', '" & Replace(sLocASP, "\Includes", "") & "','','T')"
			DBConnection.Execute "INSERT INTO Servers VALUES (3,'" & Request.ServerVariables("LOCAL_ADDR") & "','','LIVE','Live server number 1.','','','" & sNewDirLocation & "', '" & Replace(sLocASP, "\Includes", "") & "','','T')"
		Else
			DBConnection.Execute "INSERT INTO Servers VALUES (1,'" & Request.ServerVariables("LOCAL_ADDR") & "','" & oServerNameObject.ComputerName & "','ALPHA','Alpha server number 1.','','','" & sNewDirLocation & "', '" & Replace(sLocASP, "\Includes", "") & "','" & oServerNameObject.UserDomain & "','T')"
			DBConnection.Execute "INSERT INTO Servers VALUES (2,'" & Request.ServerVariables("LOCAL_ADDR") & "','" & oServerNameObject.ComputerName & "','BETA','Beta server number 1.','','','" & sNewDirLocation & "', '" & Replace(sLocASP, "\Includes", "") & "','" & oServerNameObject.UserDomain & "','T')"
			DBConnection.Execute "INSERT INTO Servers VALUES (3,'" & Request.ServerVariables("LOCAL_ADDR") & "','" & oServerNameObject.ComputerName & "','LIVE','Live server number 1.','','','" & sNewDirLocation & "', '" & Replace(sLocASP, "\Includes", "") & "','" & oServerNameObject.UserDomain & "','T')"
		End If
		On Error Goto 0

		Set oServerNameObject = nothing 
		sTemp = Trim(Request("sNewDirLocation")) & "\" & Trim(Request("sNewDirName"))
		sTemp = Replace(sTemp, "\\", "\")
		DBConnection.Execute "INSERT INTO ServerSites VALUES (1," & iDomain & ",'N','-1','" & sTemp & "')"
		DBConnection.Execute "INSERT INTO ServerSites VALUES (2," & iDomain & ",'N','-1','" & sTemp & "')"
		DBConnection.Execute "INSERT INTO ServerSites VALUES (3," & iDomain & ",'N','-1','" & sTemp & "')"

		' Create the first administrator account
		DBConnection.Execute "INSERT INTO Accounts VALUES ('" & sAdminLogin & "', '" & sAdminPassword & "', GetDate(), NULL," & iDomain & ",'','T',0)"
		DBConnection.Execute "INSERT INTO AccountDomainMap VALUES (1,1)"
		
		' Create all the rights and set the admin's rights
		Call SetRights()

		' Enter the initial action codes
		' 	Accounts Actions
		DBConnection.Execute "INSERT INTO Actions VALUES ('Accounts system opening code.','SB_ACCOUNTS_OPEN'," & iDomain & ",1,'" & ReturnFileText(SB_FILE_ACCOUNTS_OPEN) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Accounts system closing code.','SB_ACCOUNTS_CLOSE'," & iDomain & ",1,'" & ReturnFileText(SB_FILE_ACCOUNTS_CLOSE) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code.','SB_ACCOUNTS_ADMIN_OPEN'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_ADMIN_OPEN) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for Manage Accounts.','SB_ACCOUNTS_MANAGE_ACCOUNTS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_ACCOUNTS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for Manage Accounts - Edit User Data.','SB_ACCOUNTS_MANAGE_ACCOUNTS_EDITUSERDATA'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_ACCOUNTS_EDITUSERDATA) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for Manage Accounts - Editing accessible domains.','SB_ACCOUNTS_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for Manage Accounts - Edit User Data on current domain - and ADVs with no information in them.','SB_ACCOUNTS_MANAGE_ACCOUNTS_EDITUDTHISDOMAIN'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_ACCOUNTS_EDITUDTHISDOMAIN) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for Manage Rights main screen.','SB_ACCOUNTS_MANAGE_RIGHTS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_RIGHTS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for Manage Rights modify account screen.','SB_ACCOUNTS_MANAGE_RIGHTS2'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_RIGHTS2) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for ADV screen.','SB_ACCOUNTS_MANAGE_ADV'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_ADV) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for User Data screen.','SB_ACCOUNTS_USER_DATA'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_USER_DATA) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for Initial Rights screen.','SB_ACCOUNTS_INITIAL_RIGHTS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_INITIAL_RIGHTS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for the Manage Accounts New Account screen.','SB_ACCOUNTS_MANAGE_ACCOUNTS_NEW'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_ACCOUNTS_NEW) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for the default Account screen.','SB_ACCOUNTS_ADMIN_DEFAULT'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_ADMIN_DEFAULT) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for the Manage Groups default screen.','SB_ACCOUNTS_MANAGE_GROUPS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_GROUPS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for the create a new group page.','SB_ACCOUNTS_MANAGE_GROUPS_NEWGROUP'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_GROUPS_NEWGROUP) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for the group rights page.','SB_ACCOUNTS_MANAGE_GROUPS_GROUPRIGHTS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_GROUPS_GROUPRIGHTS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for the adding of accounts to groups page.','SB_ACCOUNTS_MANAGE_GROUPS_ADDACCOUNTS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_GROUPS_ADDACCOUNTS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for the list groups that an account is in page.','SB_ACCOUNTS_MANAGE_GROUPS_LISTGROUPS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_GROUPS_LISTGROUPS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for new ADV creation screen.','SB_ACCOUNTS_MANAGE_ADV_NEW'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_ADV_NEW) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system administrative opening code for ADV Grouping screen.','SB_ACCOUNTS_MANAGE_ADV_GROUPINGS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_ADV_GROUPINGS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system closing code for screens having to do with logging in and out.','SB_ACCOUNTS_LOGIN_CLOSE'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_LOGIN_CLOSE) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system opening code for screens having to do with logging in and out.','SB_ACCOUNTS_LOGIN_OPEN'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_LOGIN_OPEN) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system CSS code.','SB_ACCOUNTS_CSS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_CSS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system new account creation page opening code.','SB_ACCOUNTS_NEWACCOUNT_OPEN'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_NEWACCOUNT_OPEN) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system new account creation page closing code.','SB_ACCOUNTS_NEWACCOUNT_CLOSE'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_NEWACCOUNT_CLOSE) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system edit account data page opening code.','SB_ACCOUNTS_USERDATA_OPEN'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_USERDATA_OPEN) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Account system edit account data page closing code.','SB_ACCOUNTS_USERDATA_CLOSE'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_USERDATA_CLOSE) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Accounts system opening code for the main mailing list page.','SB_ACCOUNTS_MANAGE_MAILINGLIST'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_MAILINGLIST) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Accounts system opening code for the remove accounts from mailing lists page.','SB_ACCOUNTS_MANAGE_MAILINGLIST_DELETE'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_MAILINGLIST_DELETE) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Accounts system opening code for the editing of mailing lists page.','SB_ACCOUNTS_MANAGE_MAILINGLIST_EDIT'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_MAILINGLIST_EDIT) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Accounts system opening code for the creation of mailing lists page.','SB_ACCOUNTS_MANAGE_MAILINGLIST_NEW'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_MAILINGLIST_NEW) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Accounts system opening code for the sending of mailing list emails page.','SB_ACCOUNTS_MANAGE_MAILINGLIST_SENDEMAIL'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_MAILINGLIST_SENDEMAIL) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Accounts system opening code for the main Polls management page.','SB_ACCOUNTS_MANAGE_POLLS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_POLLS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Accounts system opening code for the Polls editing page.','SB_ACCOUNTS_MANAGE_POLLS_EDIT'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_POLLS_EDIT) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Accounts system opening code for the Polls answer editing page.','SB_ACCOUNTS_MANAGE_POLLS_EDITANSWERS'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_POLLS_EDITANSWERS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Accounts system opening code for the page to create new Polls.','SB_ACCOUNTS_MANAGE_POLLS_NEW'," & iDomain & ",1,'" & ReturnFileText(SB_ACCOUNTS_MANAGE_POLLS_NEW) & "')"

		
		
		'	Domains Actions
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the default page.','SB_DOMAINS_DEFAULT'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_DEFAULT) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the Domains Action page.','SB_DOMAINS_MANAGE_ACTIONS'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_ACTIONS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the create new Action page.','SB_DOMAINS_MANAGE_ACTIONS_NEW'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_ACTIONS_NEW) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the edit Action page.','SB_DOMAINS_MANAGE_ACTIONS_EDITCODE'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_ACTIONS_EDITCODE) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the edit Colors page.','SB_DOMAINS_MANAGE_COLORS'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_COLORS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the create a new Color page.','SB_DOMAINS_MANAGE_COLORS_NEWCOLOR'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_COLORS_NEWCOLOR) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the create a new Color Scheme page.','SB_DOMAINS_MANAGE_COLORS_NEWSCHEME'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_COLORS_NEWSCHEME) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the edit Configuration Variables page.','SB_DOMAINS_MANAGE_CONFIGURATIONS'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_CONFIGURATIONS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the create a new Configuration Variable page.','SB_DOMAINS_MANAGE_CONFIGURATIONS_NEW'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_CONFIGURATIONS_NEW) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the edit Configuration Variable details page.','SB_DOMAINS_MANAGE_CONFIGURATIONS_EDIT'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_CONFIGURATIONS_EDIT) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the edit Domains page.','SB_DOMAINS_MANAGE_DOMAINS'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_DOMAINS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the create a new Domain page.','SB_DOMAINS_MANAGE_DOMAINS_NEW'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_DOMAINS_NEW) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the edit Domains page.','SB_DOMAINS_MANAGE_DOMAINS_UPDATE'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_DOMAINS_UPDATE) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the delete Domains page.','SB_DOMAINS_MANAGE_DOMAINS_DELETE'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_DOMAINS_DELETE) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the manage Domain Groups page.','SB_DOMAINS_MANAGE_DOMAINS_DOMAIN_GROUPS'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_DOMAINS_DOMAIN_GROUPS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the export Domain information page.','SB_DOMAINS_MANAGE_DOMAINS_EXPORT'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_DOMAINS_EXPORT) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the edit Text Constants page.','SB_DOMAINS_MANAGE_TEXT'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_TEXT) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the create a new Text Constant page.','SB_DOMAINS_MANAGE_TEXT_NEWTEXT'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_TEXT_NEWTEXT) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the create a new Text Scheme page.','SB_DOMAINS_MANAGE_TEXT_NEWSCHEME'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_TEXT_NEWSCHEME) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the edit systems page.','SB_DOMAINS_MANAGE_SYSTEMS'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_SYSTEMS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the create a new system page.','SB_DOMAINS_MANAGE_SYSTEMS_NEW'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_SYSTEMS_NEW) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the systems details editing page.','SB_DOMAINS_MANAGE_SERVERS_EDIT'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_SERVERS_EDIT) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the edit servers page.','SB_DOMAINS_MANAGE_SERVERS'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_SERVERS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the create a new server page.','SB_DOMAINS_MANAGE_SERVERS_NEW'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_SERVERS_NEW) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the main migrations page.','SB_DOMAINS_MANAGE_MIGRATION'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_MIGRATION) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the migration of Actions page.','SB_DOMAINS_MANAGE_MIGRATION_ACTIONS'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_MIGRATION_ACTIONS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the migration of Color Schemes page.','SB_DOMAINS_MANAGE_MIGRATION_COLORSCHEMES'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_MIGRATION_COLORSCHEMES) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the migration of Configuration Variables page.','SB_DOMAINS_MANAGE_MIGRATION_CONFVARS'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_MIGRATION_CONFVARS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the migration of Text Schemes page.','SB_DOMAINS_MANAGE_MIGRATION_TEXTSCHEMES'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_MIGRATION_TEXTSCHEMES) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the logs page.','SB_DOMAINS_MANAGE_LOGS'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_LOGS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code for the logs deletion page.','SB_DOMAINS_MANAGE_LOGS_DELETE'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_MANAGE_LOGS_DELETE) & "')"
		
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system CSS code.','SB_DOMAINS_CSS'," & iDomain & ",8,'" & ReturnFileText(SB_DOMAINS_CSS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system opening code.','SB_DOMAINS_OPEN'," & iDomain & ",8,'" & ReturnFileText(SB_FILE_DOMAINS_OPEN) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Domains system closing code.','SB_DOMAINS_CLOSE'," & iDomain & ",8,'" & ReturnFileText(SB_FILE_DOMAINS_CLOSE) & "')"
		
		'	Generic Actions
		DBConnection.Execute "INSERT INTO Actions VALUES ('This is the standard opening code.','SB_STANDARD_OPEN'," & iDomain & ",8,'" & ReturnFileText(SB_FILE_STANDARD_OPEN) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('This is the standard closing code.','SB_STANDARD_CLOSE'," & iDomain & ",8,'" & ReturnFileText(SB_FILE_STANDARD_CLOSE) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Opens without displaying any HMTL.','SB_VOID_OPEN'," & iDomain & ",8,'" & ReturnFileText(SB_FILE_VOID_OPEN) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Closes without displaying any HMTL.','SB_VOID_CLOSE'," & iDomain & ",8,'" & ReturnFileText(SB_FILE_VOID_CLOSE) & "')"
		

		DBConnection.Execute "INSERT INTO Actions VALUES ('Displays a text link to either log in or log out, depending on if the user is logged in or out.','SB_LOGIN_LINK'," & iDomain & ",8,'" & ReturnFileText(SB_LOGIN_LINK) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Displays a text link to edit user preferences or create a new account, depending on if the user is logged in or out.','SB_PREFERENCES_LINK'," & iDomain & ",8,'" & ReturnFileText(SB_PREFERENCES_LINK) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Changes the iColorScheme variable to the value passed in on the QueryString, form, or cookie by the name of iColorScheme. Only changes it if something is passed in.','SB_COLORSCHEME_CHANGE'," & iDomain & ",8,'" & ReturnFileText(SB_COLORSCHEME_CHANGE) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Changes the iTextScheme variable to the value passed in on the QueryString, form, or cookie by the name of iTextScheme. Only changes it if something is passed in.','SB_TEXTSCHEME_CHANGE'," & iDomain & ",8,'" & ReturnFileText(SB_TEXTSCHEME_CHANGE) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('An example product display page.','SB_PRODUCT_DISPLAY'," & iDomain & ",8,'" & ReturnFileText(SB_PRODUCT_DISPLAY) & "')"

		' Actions in the Public System
		DBConnection.Execute "INSERT INTO Actions VALUES ('This is the Action to display Poll questions and allow users to vote on answers.','SB_POLL'," & iDomain & ",5,'" & ReturnFileText(SB_POLL) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Opening code for pages in the Public System or using Actions within the Public System.','SB_PUBLIC_OPEN'," & iDomain & ",5,'" & ReturnFileText(SB_PUBLIC_OPEN) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Public System CSS code.','SB_PUBLIC_CSS'," & iDomain & ",5,'" & ReturnFileText(SB_PUBLIC_CSS) & "')"
		DBConnection.Execute "INSERT INTO Actions VALUES ('Public System closing code.','SB_PUBLIC_CLOSE'," & iDomain & ",5,'" & ReturnFileText(SB_PUBLIC_CLOSE) & "')"
		

	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	Create all the tables and indexes for the tables								*
	'*																					*
	'************************************************************************************
	Sub CreateTables()

		Dim DBConnection, DBCommand
		Const adCmdText = 1
	
		Set DBConnection = Server.CreateObject("ADODB.Connection")
		Set DBCommand = Server.CreateObject("ADODB.Command")
		DBConnection.Open "Provider=SQLOLEDB.1;Server=" & sSQLServerName & ";Database=" & sDatabaseName & ";User ID=" & sDatabaseLogin & ";Password=" & sDatabasePassword
		DBCommand.CommandType = adCmdText
		Set DBCommand.ActiveConnection = DBConnection
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Accounts') AND sysstat & 0xf = 3) DROP TABLE Accounts"
		DBConnection.Execute "CREATE TABLE Accounts(AccountUnq INT IDENTITY,Login VARCHAR(32) NOT NULL,Password VARCHAR(32) NOT NULL,AddDate DATETIME,RemoveDate DATETIME DEFAULT NULL,HomeDomain INT NOT NULL,IgnoreGlobal	CHAR(3) NOT NULL, Authenticated CHAR(3) NOT NULL, AuthID INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX AccountsMain on Accounts (Login)"
				
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('AccountDomainMap') AND sysstat & 0xf = 3) DROP TABLE AccountDomainMap"
		DBConnection.Execute "CREATE TABLE AccountDomainMap(AccountUnq INT NOT NULL, DomainUnq INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX AccountDomainMap1 on AccountDomainMap (AccountUnq, DomainUnq)"
			
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('AccountMap') AND sysstat & 0xf = 3) DROP TABLE AccountMap"
		DBConnection.Execute "CREATE TABLE AccountMap(MapName VARCHAR(255) NOT NULL,DataType CHAR(3),Description VARCHAR(255) NOT NULL,Required CHAR(3) NOT NULL,Visible CHAR(3) NOT NULL,DomainUnq	INT NOT NULL,SystemUnq INT NOT NULL,RightsLvl VARCHAR(255) NOT NULL,GroupUnq INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX AccountMapMain on AccountMap (DomainUnq, SystemUnq, MapName)"
	
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('AccountData') AND sysstat & 0xf = 3) DROP TABLE AccountData"
		DBConnection.Execute "CREATE TABLE AccountData(MapName VARCHAR(255) NOT NULL,AccountUnq INT NOT NULL,VarCharData VARCHAR(255) NOT NULL,TextData TEXT NOT NULL,ViewLvl VARCHAR(7) NOT NULL,DomainUnq INT NOT NULL,HomeDomain CHAR(3) NOT NULL,LastChange DATETIME NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX AccountDataMain on AccountData (DomainUnq, AccountUnq, MapName)"
			
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Systems') AND sysstat & 0xf = 3) DROP TABLE Systems"
		DBConnection.Execute "CREATE TABLE Systems(SystemUnq INT,SystemConst VARCHAR(255) NOT NULL,Description VARCHAR(255))"
		DBConnection.Execute "CREATE CLUSTERED INDEX SystemsMain on Systems (SystemConst)"
	
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Rights') AND sysstat & 0xf = 3) DROP TABLE Rights"
		DBConnection.Execute "CREATE TABLE Rights(AccountUnq INT NOT NULL,GroupUnq INT NOT NULL,SystemUnq INT NOT NULL,DomainUnq INT NOT NULL,RightsLvl VARCHAR(255) NOT NULL,GrantDate DATETIME NOT NULL,RevokeDate DATETIME DEFAULT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX RightsMain on Rights (DomainUnq, SystemUnq, RightsLvl, AccountUnq)"
	
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('RightsLookup') AND sysstat & 0xf = 3) DROP TABLE RightsLookup"
		DBConnection.Execute "CREATE TABLE RightsLookup(DomainUnq INT NOT NULL,RightsLvl VARCHAR(255) NOT NULL,RightsConst VARCHAR(255) NOT NULL,SystemUnq INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX RightsLMain on RightsLookup (DomainUnq, SystemUnq, RightsLvl)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('InitialRights') AND sysstat & 0xf = 3) DROP TABLE InitialRights"
		DBConnection.Execute "CREATE TABLE InitialRights(DomainUnq INT NOT NULL, SystemUnq INT NOT NULL, RightsLvl VARCHAR(255) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX InitialRightsMain on InitialRights (DomainUnq, SystemUnq)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Groups') AND sysstat & 0xf = 3) DROP TABLE Groups"
		DBConnection.Execute "CREATE TABLE Groups(GroupUnq INT NOT NULL,DomainUnq	INT NOT NULL,Name VARCHAR(255) NOT NULL,Description	VARCHAR(255) NOT NULL,Type CHAR(3) NOT NULL,Rotations CHAR(5) NOT NULL,DateBegin SMALLDATETIME NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX GroupsMain on Groups (DomainUnq, GroupUnq)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('GroupMap') AND sysstat & 0xf = 3) DROP TABLE GroupMap"
		DBConnection.Execute "CREATE TABLE GroupMap(GroupUnq INT NOT NULL,AccountUnq INT NOT NULL,NumDays INT NOT NULL,Position INT NOT NULL,IgnoreGlobal CHAR(2) NOT NULL,DomainUnq INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX GroupMapMain on GroupMap (DomainUnq, AccountUnq, GroupUnq)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('MailingLists') AND sysstat & 0xf = 3) DROP TABLE MailingLists"
		DBConnection.Execute "CREATE TABLE MailingLists(ListUnq INT NOT NULL,DomainUnq INT NOT NULL,ListName VARCHAR(255) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX MailingListsMain on MailingLists (DomainUnq, ListUnq)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('ListAccounts') AND sysstat & 0xf = 3) DROP TABLE ListAccounts"
		DBConnection.Execute "CREATE TABLE ListAccounts(ListUnq INT NOT NULL,DomainUnq INT NOT NULL,AccountUnq INT NOT NULL,OptOut DATETIME DEFAULT NULL,NumSent INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX ListAccountsMain on ListAccounts (DomainUnq, ListUnq, AccountUnq)"
				
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('PollQuestion') AND sysstat & 0xf = 3) DROP TABLE PollQuestion"
		DBConnection.Execute "CREATE TABLE PollQuestion(QuestionUnq INT IDENTITY NOT NULL,DomainUnq INT NOT NULL,QuestionText VARCHAR(255) NOT NULL,MsgBoardConfUnq INT NOT NULL,MsgBoardThreadUnq INT NOT NULL,DateStart SMALLDATETIME NOT NULL,DateEnd SMALLDATETIME NOT NULL,AllowAnon CHAR(3) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX PollQuestionMain on PollQuestion (DomainUnq, QuestionUnq)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('PollAnswers') AND sysstat & 0xf = 3) DROP TABLE PollAnswers"
		DBConnection.Execute "CREATE TABLE PollAnswers(QuestionUnq INT NOT NULL,AnswerUnq INT IDENTITY NOT NULL,AnswerText VARCHAR(255) NOT NULL,Position INT NOT NULL,NumChosen INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX PollAnswersMain on PollAnswers (QuestionUnq, AnswerUnq)"
		
		
		' Stored Procedures
		DBConnection.Execute "IF EXISTS ( SELECT * FROM SysObjects WHERE Type = 'P' AND Name = 'ACCNT_ReturnRights' ) DROP PROCEDURE ACCNT_ReturnRights"
		DBConnection.Execute Replace(ReturnFileText(ACCNT_ReturnRights), "''", "'")
		DBConnection.Execute "GRANT EXECUTE ON ACCNT_ReturnRights TO " & sDatabaseLogin
		
		DBConnection.Execute "IF EXISTS ( SELECT * FROM SysObjects WHERE Type = 'P' AND Name = 'INIT_LoginDetect' ) DROP PROCEDURE INIT_LoginDetect"
		DBConnection.Execute Replace(ReturnFileText(INIT_LoginDetect), "''", "'")
		DBConnection.Execute "GRANT EXECUTE ON INIT_LoginDetect TO " & sDatabaseLogin
				

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('DomainInfo') AND sysstat & 0xf = 3) DROP TABLE DomainInfo"
		DBConnection.Execute "CREATE TABLE DomainInfo( DomainUnq INT IDENTITY, Description VARCHAR(255) NOT NULL, Domain  VARCHAR(255) NOT NULL,Type CHAR(3) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX DomainInfoMain on DomainInfo (DomainUnq)"
		DBConnection.Execute "CREATE INDEX DomainInfoName on DomainInfo (Domain)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('DomainGroups') AND sysstat & 0xf = 3) DROP TABLE DomainGroups"
		DBConnection.Execute "CREATE TABLE DomainGroups(DomainUnq INT NOT NULL,GroupUnq INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX DomainGroupsMain on DomainGroups (GroupUnq, DomainUnq)"
			
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Actions') AND sysstat & 0xf = 3) DROP TABLE Actions"
		'DBConnection.Execute "CREATE TABLE Actions( Description  VARCHAR(255) NOT NULL, ActionsConst VARCHAR(255) NOT NULL, DomainUnq  INT NOT NULL, SystemUnq  INT NOT NULL, Code TEXT,ServerUnq INT NOT NULL,EntryUnq INT NOT NULL)"
		DBConnection.Execute "CREATE TABLE Actions( Description  VARCHAR(255) NOT NULL, ActionsConst VARCHAR(255) NOT NULL, DomainUnq  INT NOT NULL, SystemUnq  INT NOT NULL, Code TEXT)"
		DBConnection.Execute "CREATE CLUSTERED INDEX ActionsName on Actions (DomainUnq, SystemUnq, ActionsConst)"
	
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Configurations') AND sysstat & 0xf = 3) DROP TABLE Configurations"
		DBConnection.Execute "CREATE TABLE Configurations( ConfConst VARCHAR(255) NOT NULL, Value VARCHAR(255) NOT NULL, Description VARCHAR(255) NOT NULL, DomainUnq INT NOT NULL,RightLvlv VARCHAR(255) NOT NULL,RightLvlc VARCHAR(255) NOT NULL,SystemUnq INT NOT NULL,Type VARCHAR(255) NOT NULL,ServerUnq INT NOT NULL,GroupUnq INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX ConfMain on Configurations (DomainUnq, ConfConst)"
	
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('ColorMap') AND sysstat & 0xf = 3) DROP TABLE ColorMap"
		DBConnection.Execute "CREATE TABLE ColorMap( ColorConst  VARCHAR(255) NOT NULL, Value VARCHAR(255) NOT NULL, SchemeUnq  INT NOT NULL, DomainUnq INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX ColorMapMain on ColorMap (DomainUnq, SchemeUnq, ColorConst)"
	
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('ColorSchemes') AND sysstat & 0xf = 3) DROP TABLE ColorSchemes"
		DBConnection.Execute "CREATE TABLE ColorSchemes( SchemeUnq  INT NOT NULL, SchemeName  VARCHAR(255) NOT NULL, DomainUnq  INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX ColorSchemesMain on ColorSchemes (DomainUnq)"
				
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('TextMap') AND sysstat & 0xf = 3)DROP TABLE TextMap"
		DBConnection.Execute "CREATE TABLE TextMap(TextConst VARCHAR(255) NOT NULL,DataType CHAR(3) NOT NULL,VarCharData VARCHAR(255) NOT NULL,TextData TEXT NOT NULL,SchemeUnq INT NOT NULL, DomainUnq INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX TextMapMain on TextMap (DomainUnq, SchemeUnq, TextConst)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('TextSchemes') AND sysstat & 0xf = 3) DROP TABLE TextSchemes"
		DBConnection.Execute "CREATE TABLE TextSchemes(SchemeUnq INT NOT NULL,SchemeName VARCHAR(255) NOT NULL,DomainUnq INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX TextSchemesMain on TextSchemes (DomainUnq)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Servers') AND sysstat & 0xf = 3) DROP TABLE Servers"
		DBConnection.Execute "CREATE TABLE Servers(ServerUnq INT NOT NULL,ServerIP VARCHAR(255) NOT NULL,ServerName VARCHAR(255) NOT NULL,ServerType CHAR(5) NOT NULL,Description VARCHAR(255) NOT NULL,Login VARCHAR(255) NOT NULL,Password VARCHAR(255) NOT NULL,WebRoot VARCHAR(255) NOT NULL,WS_Content_Path VARCHAR(255) NOT NULL,ServerDomain VARCHAR(255) NOT NULL,UseAllUnassigned CHAR(3) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX ServersMain on Servers (ServerUnq)"
		DBConnection.Execute "CREATE INDEX ServerIPMain on Servers (ServerIP)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('ServerSites') AND sysstat & 0xf = 3) DROP TABLE ServerSites"
		DBConnection.Execute "CREATE TABLE ServerSites(ServerUnq INT NOT NULL, DomainUnq INT NOT NULL, InIIS CHAR(3) NOT NULL,IISName VARCHAR(10) NOT NULL,Path TEXT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX ServerSitesMain on ServerSites (ServerUnq, DomainUnq)"
				
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('LogTypes') AND sysstat & 0xf = 3) DROP TABLE LogTypes"
		DBConnection.Execute "CREATE TABLE LogTypes(DomainUnq INT NOT NULL,SystemUnq INT NOT NULL,TypeUnq INT NOT NULL,Name VARCHAR(255) NOT NULL,Description	VARCHAR(255) NOT NULL,CharKey1Name VARCHAR(255) NOT NULL,IntKey2Name	VARCHAR(255) NOT NULL,CharKey3Name VARCHAR(255) NOT NULL,IntKey4Name VARCHAR(255) NOT NULL,CharKey5Name VARCHAR(255) NOT NULL,IntKey6Name VARCHAR(255) NOT NULL,sDB VARCHAR(255) NOT NULL,sTable VARCHAR(255) NOT NULL,sColumn VARCHAR(255) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX LogTypesMain on LogTypes (DomainUnq, SystemUnq, TypeUnq)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('LogData') AND sysstat & 0xf = 3) DROP TABLE LogData"
		DBConnection.Execute "CREATE TABLE LogData(DataUnq BIGINT IDENTITY,DomainUnq INT NOT NULL,TypeUnq INT NOT NULL,Key1 VARCHAR(255) NOT NULL,Key2 INT NOT NULL,Key3 VARCHAR(255) NOT NULL,Key4 INT NOT NULL,Key5 VARCHAR(255) NOT NULL,Key6 INT NOT NULL,Type CHAR(3) NOT NULL,AccountUnq INT NOT NULL,DateChanged DATETIME NOT NULL,Action CHAR(3) NOT NULL,VarCharData VARCHAR(255) NOT NULL,TextData TEXT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX LogDataMain on LogData (DomainUnq, Key1, Key2, Key3, Key4, Key5, Key6)"
		DBConnection.Execute "CREATE INDEX LogDataDate on LogData(DomainUnq, TypeUnq, DateChanged)"
		
		' Stored Procedures
		DBConnection.Execute "IF EXISTS ( SELECT * FROM SysObjects WHERE Type = 'P' AND Name = 'DOMAIN_Conf' ) DROP PROCEDURE DOMAIN_Conf"
		DBConnection.Execute Replace(ReturnFileText(DOMAIN_Conf), "''", "'")
		DBConnection.Execute "GRANT EXECUTE ON DOMAIN_Conf TO " & sDatabaseLogin
		
		DBConnection.Execute "IF EXISTS ( SELECT * FROM SysObjects WHERE Type = 'P' AND Name = 'DOMAIN_Color' ) DROP PROCEDURE DOMAIN_Color"
		DBConnection.Execute Replace(ReturnFileText(DOMAIN_Color), "''", "'")
		DBConnection.Execute "GRANT EXECUTE ON DOMAIN_Color TO " & sDatabaseLogin
				
		DBConnection.Execute "IF EXISTS ( SELECT * FROM SysObjects WHERE Type = 'P' AND Name = 'DOMAIN_Log' ) DROP PROCEDURE DOMAIN_Log"
		DBConnection.Execute Replace(ReturnFileText(DOMAIN_Log), "''", "'")
		DBConnection.Execute "GRANT EXECUTE ON DOMAIN_Log TO " & sDatabaseLogin
		
		DBConnection.Execute "IF EXISTS ( SELECT * FROM SysObjects WHERE Type = 'P' AND Name = 'DOMAIN_DelDomain_A' ) DROP PROCEDURE DOMAIN_DelDomain_A"
		DBConnection.Execute Replace(ReturnFileText(DOMAIN_DelDomain_A), "''", "'")
		DBConnection.Execute "GRANT EXECUTE ON DOMAIN_DelDomain_A TO " & sDatabaseLogin
		
		DBConnection.Execute "IF EXISTS ( SELECT * FROM SysObjects WHERE Type = 'P' AND Name = 'DOMAIN_DelDomain_D' ) DROP PROCEDURE DOMAIN_DelDomain_D"
		DBConnection.Execute Replace(ReturnFileText(DOMAIN_DelDomain_D), "''", "'")
		DBConnection.Execute "GRANT EXECUTE ON DOMAIN_DelDomain_D TO " & sDatabaseLogin


		DBConnection.Close
		SET DBConnection = nothing
		SET DBCommand = nothing
	
	End Sub
	'************************************************************************************



	'************************************************************************************
	'*																					*
	'*	Returns the text in the file spec passed it.									*
	'*																					*
	'************************************************************************************
	Function ReturnFileText(sFileSpec)
		Dim fsoFileObject, fFile, tsTextStream
		Const ForReading = 1, TristateFalse = 0
		
		ReturnFileText = ""
	
		' Read which systems from the Systems.ini file.
		Set fsoFileObject = CreateObject("Scripting.FileSystemObject")
		Set fFile = fsoFileObject.GetFile(Server.Mappath(sFileSpec))
		Set tsTextStream = fFile.OpenAsTextStream(ForReading, TristateFalse)
		ReturnFileText = Replace(tsTextStream.ReadAll, "'", "''")
		tsTextStream.Close
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	Returns the text in the file spec passed it.									*
	'*																					*
	'************************************************************************************
	Function ReturnFileText2(sFileSpec)
		Dim fsoFileObject, fFile, tsTextStream
		Const ForReading = 1, TristateFalse = 0
		
		ReturnFileText2 = ""
	
		' Read which systems from the Systems.ini file.
		Set fsoFileObject = CreateObject("Scripting.FileSystemObject")
		Set fFile = fsoFileObject.GetFile(Server.Mappath(sFileSpec))
		Set tsTextStream = fFile.OpenAsTextStream(ForReading, TristateFalse)
		ReturnFileText2 = tsTextStream.ReadAll
		tsTextStream.Close
	End Function
	'************************************************************************************
%>