<%
	'************************************************************************************
	'*																					*
	'*	Enters in the Log Types.														*
	'*																					*
	'************************************************************************************
	Sub SetLogTypes()
		
		'CREATE TABLE LogTypes
		'DomainUnq		INT NOT NULL,
		'SystemUnq		INT NOT NULL,
		'TypeUnq		INT NOT NULL,
		'Name			VARCHAR(255) NOT NULL,
		'Description	VARCHAR(255) NOT NULL,
		'CharKey1Name	VARCHAR(255) NOT NULL,
		'IntKey2Name	VARCHAR(255) NOT NULL,
		'CharKey3Name	VARCHAR(255) NOT NULL,
		'IntKey4Name	VARCHAR(255) NOT NULL,
		'CharKey5Name	VARCHAR(255) NOT NULL,
		'IntKey6Name	VARCHAR(255) NOT NULL
		'dbname
		'table
		'column
		
		' DOMAINS
		'	Actions
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,1,'Action Constant','Change to the name of the constant used for SB Actions','ActionsConst','DomainUnq','','SystemUnq','','','','Actions','ActionsConst')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,2,'Action Description','Change to the description of a SB Action','ActionsConst','DomainUnq','','SystemUnq','','','','Actions','Description')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,3,'Action Code','Change to the code of a SB Action','ActionsConst','DomainUnq','','SystemUnq','','','','Actions','Code')"
		
		'	Configuration Variables
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,4,'Configuration Variable Constant','Change to the Configuration Variables constant','ConfConst','DomainUnq','','SystemUnq','','ServerUnq','','Configurations','ConfConst')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,5,'Configuration Variable Description','Change to the Configuration Variables description','ConfConst','DomainUnq','','SystemUnq','','ServerUnq','','Configurations','Description')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,6,'Configuration Variable Value','Change to the Configuration Variables value','ConfConst','DomainUnq','','SystemUnq','','ServerUnq','','Configurations','Value')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,7,'Configuration Variable Server','Change to the Configuration Variables server','ConfConst','DomainUnq','','SystemUnq','','ServerUnq','','Configurations','ServerUnq')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,8,'Configuration Variable View Rights','Change to the Configuration Variables view rights','ConfConst','DomainUnq','','SystemUnq','','ServerUnq','','Configurations','RightLvlv')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,9,'Configuration Variable Edit Rights','Change to the Configuration Variables edit rights','ConfConst','DomainUnq','','SystemUnq','','ServerUnq','','Configurations','RightLvlc')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,125,'Configuration Variable Type','Change to the Configuration Variables type','ConfConst','DomainUnq','','SystemUnq','','ServerUnq','','Configurations','Type')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,140,'Configuration Variable Group','Change to the Group the variable is assigned to.','ConfConst','DomainUnq','','SystemUnq','','ServerUnq','','Configurations','GroupUnq')"
		
		'	Servers
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,10,'Server Name','Change to a Server name','','ServerUnq','','','','','','Servers','ServerName')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,11,'Server IP Address','Change to a Servers IP Address','','ServerUnq','','','','','','Servers','ServerIP')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,12,'Server Description','Change to a Servers description','','ServerUnq','','','','','','Servers','Description')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,13,'Server Type','Change to a Servers Type','','ServerUnq','','','','','','Servers','ServerType')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,14,'Server WebRoot','Change to a Servers path to its web root','','ServerUnq','','','','','','Servers','WebRoot')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,15,'Server WS_Content','Change to a Servers path to its WS_Content','','ServerUnq','','','','','','Servers','WS_Content_Path')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,16,'Server All Unassigned?','Change a Servers All Unnassigned or Use Server IP','','ServerUnq','','','','','','Servers','UseAllUnassigned')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,17,'Server Login','Change to a Servers Login','','ServerUnq','','','','','','Servers','Login')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,18,'Server Password','Change to a Servers Password','','ServerUnq','','','','','','Servers','Password')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,19,'Server NT Domain','Change to a Servers NT Domain','','ServerUnq','','','','','','Servers','ServerDomain')"

		'	Domain
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,20,'Domain Name','Change to a Domain name','','DomainUnq','','','','','','DomainInfo','Domain')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,21,'Domain Description','Change to a Domain description','','DomainUnq','','','','','','DomainInfo','Description')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,22,'Domain Server On','Change to which Servers a Domain is on','','DomainUnq','','ServerUnq','','','','ServerSites','ServerUnq')"
		'DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,23,'Domain Update on Server','Change to which Servers a Domain is to be updated on','','DomainUnq','','ServerUnq','','','','','')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,24,'Domain Groups','Change to which Groups a Domain is in','','DomainUnq','','GroupUnq','','','','DomainGroups','GroupUnq')"
		
		'	Systems
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,25,'System ID','Change to a System ID number','','SystemUnq','','','','','','Systems','SystemUnq')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,26,'System Constant','Change to a System Constant','','SystemUnq','','','','','','Systems','SystemConst')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,27,'System Description','Change to a System Description','','SystemUnq','','','','','','Systems','Description')"

		'	Colors
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,28,'Color Scheme Name','Change to a Color Schemes Name','','DomainUnq','','SchemeUnq','','','','ColorSchemes','SchemeName')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,29,'Colors In Scheme','Change to which colors are in which scheme','ColorConst','DomainUnq','','SchemeUnq','','','','ColorMap','SchemeUnq')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,30,'Color Name','Change to color name','ColorConst','DomainUnq','','SchemeUnq','','','','ColorMap','ColorConst')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,31,'Color Value','Change to color value','ColorConst','DomainUnq','','SchemeUnq','','','','ColorMap','Value')"
		
		'	Text
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,32,'Text Scheme Name','Change to a Text Schemes Name','','DomainUnq','','SchemeUnq','','','','TextSchemes','SchemeName')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,33,'Text In Scheme','Change to which text are in which scheme','TextConst','DomainUnq','','SchemeUnq','','','','TextMap','SchemeUnq')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,34,'Text Name','Change to text name','TextConst','DomainUnq','','SchemeUnq','','','','TextMap','TextConst')"
		' this is a special case because there are two columns that the data could be coming from. so when rolling back, we can't know which to put it into. we have to do a query and base our decision on the results
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",8,35,'Text Value','Change to text value','TextConst','DomainUnq','','SchemeUnq','','','','TextMap','')"



		' ACCOUNTS
		'	Accounts
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,36,'Account Login','Change to an accounts login','','AccountUnq','','','','','','Accounts','Login')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,37,'Account Password','Change to an accounts password','','AccountUnq','','','','','','Accounts','Password')"
		'DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,38,'Account Revoke Date','Change to an accounts revoke date','','AccountUnq','','','','','','Accounts','RemoveDate')"
		'DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,116,'Account Reinstate Date','Change to an accounts creation date','','AccountUnq','','','','','','Accounts','AddDate')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,39,'Account Accessible Domains','Change to an accounts accessible domains','','AccountUnq','','','','','','AccountDomainMap','DomainUnq')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,40,'Account Rights Granted','Account rights grant date','','AccountUnq','','DomainUnq','','SystemUnq','','Rights','GrantDate')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,118,'Account Rights Revoked','Account rights revoke date','','AccountUnq','','DomainUnq','','SystemUnq','','Rights','RevokeDate')"
		' this is a special case because there are two columns that the data could be coming from. so when rolling back, we can't know which to put it into. we have to do a query and base our decision on the results
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,41,'Account ADVs','Change to an accounts ADVs','MapName','AccountUnq','','DomainUnq','','','','AccountData','')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,117,'Account ADVs Visibility','Change to an accounts ADVs visibility','MapName','AccountUnq','','DomainUnq','','','','AccountData','ViewLvl')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,42,'Account Groups','Change to an accounts Groups','','AccountUnq','','DomainUnq','','GroupUnq','','GroupMap','')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,43,'Account Ignore Global - Groups','Change to an accounts ignoring global changes in Groups status.','','AccountUnq','','DomainUnq','','GroupUnq','','GroupMap','IgnoreGlobal')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,44,'Account # Days Active - Groups','Change to an accounts number of days to be active in a Rotational Group','','AccountUnq','','DomainUnq','','GroupUnq','','GroupMap','NumDays')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,45,'Account Mailing Lists','Change to an accounts Mailing Lists','','AccountUnq','','DomainUnq','','ListUnq','','ListAccounts','')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,60,'Account Mailing Opt-Out','Change to the accounts who opt-out of the Mailing List','','DomainUnq','','ListUnq','','AccountUnq','','ListAccounts','OptOut')"
		
		'	ADVs
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,46,'ADV Name','Change to an ADVs name','MapName','DomainUnq','','','','','','AccountMap','MapName')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,47,'ADV Description','Change to an ADVs description','MapName','DomainUnq','','','','','','AccountMap','Description')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,48,'ADV Required?','Change to an ADVs required status','MapName','DomainUnq','','','','','','AccountMap','Required')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,49,'ADV Visible?','Change to an ADVs visibility status','MapName','DomainUnq','','','','','','AccountMap','Visible')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,50,'ADV DataType','Change to an ADVs type - Text or VarChar','MapName','DomainUnq','','','','','','AccountMap','DataType')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,51,'ADV System','Change to an ADVs optional System','MapName','DomainUnq','','','','','','AccountMap','SystemUnq')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,52,'ADV Right','Change to an ADVs optional Right','MapName','DomainUnq','','','','','','AccountMap','RightsLvl')"
		' I think this one can change the GroupUnq because there is only one ADV per group, so it'll be a unique record.
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,53,'ADV Group','Change to Groups the ADV is in','MapName','DomainUnq','','GroupUnq','','','','AccountMap','GroupUnq')"
		
		'	Initial Rights
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,54,'Initial Rights','Change to Initial Rights','','DomainUnq','','SystemUnq','','','','InitialRights','')"
		
		'	Groups
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,55,'Group Name','Change to a Group name','','DomainUnq','','GroupUnq','','','','Groups','Name')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,56,'Group Rights Granted','Change to a Group rights grant date','','GroupUnq','','DomainUnq','','SystemUnq','','Rights','GrantDate')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,119,'Group Rights Revoked','Change to a Group rights revoke date','','GroupUnq','','DomainUnq','','SystemUnq','','Rights','RevokeDate')"
		'DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,57,'Group Days','Change to a Group number of days for each account','','DomainUnq','','GroupUnq','','','','GroupMap','')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,58,'Group Num Rotations','Change to a Group number of rotations','','DomainUnq','','GroupUnq','','','','Groups','Rotations')"
			
		'	Mailing Lists
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,59,'Mailing List Name','Change to a Mailing List name','','DomainUnq','','ListUnq','','','','MailingLists','ListName')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,120,'Mailing Send - Subject','Subject of an email sent to users in the mailing list','','DomainUnq','','ListUnq','','','','','')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,121,'Mailing Send - From Address','From email address of an email sent to users in the mailing list','','DomainUnq','','ListUnq','','','','','')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,122,'Mailing Send - From Name','From name of an email sent to users in the mailing list','','DomainUnq','','ListUnq','','','','','')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,123,'Mailing Send - Body','Body of an email sent to users in the mailing list','','DomainUnq','','ListUnq','','','','','')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,124,'Mailing Send - Format','HTML or Plain text email sent to users in the mailing list','','DomainUnq','','ListUnq','','','','','')"
		
		'	Polls
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,131,'Poll Question','Change to a polls question','','DomainUnq','','QuestionUnq','','','','PollQuestion','QuestionText')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,132,'Poll Start Date','Change to a polls starting date','','DomainUnq','','QuestionUnq','','','','PollQuestion','DateStart')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,133,'Poll End Date','Change to a polls ending date','','DomainUnq','','QuestionUnq','','','','PollQuestion','DateEnd')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,134,'Poll MB Conf #','Change to the polls message board conference number','','DomainUnq','','QuestionUnq','','','','PollQuestion','MsgBoardConfUnq')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,135,'Poll MB Thread #','Change to the polls message board thread number','','DomainUnq','','QuestionUnq','','','','PollQuestion','MsgBoardThreadUnq')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,136,'Poll Nonmembers','Change to allowing nonmembers to answer the poll','','DomainUnq','','QuestionUnq','','','','PollQuestion','AllowAnon')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,137,'Poll Answers','Change to poll answers','','DomainUnq','','QuestionUnq','','AnswerUnq','','PollAnswers','AnswerText')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,138,'Poll Answers Position','Change to poll answers position','','DomainUnq','','QuestionUnq','','AnswerUnq','','PollAnswers','AnswerText')"
		DBConnection.Execute "INSERT INTO LogTypes VALUES (" & iDomain & ",1,139,'Poll Answers NumChosen','Change to poll answers number of times it was chosen.','','DomainUnq','','QuestionUnq','','AnswerUnq','','PollAnswers','AnswerText')"
	End Sub
	'************************************************************************************
%>