<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, sNewGroupStatus, sAddLogin
	Dim sSQLText, rsDB
	Dim sGroupUnq, sType, sAccountUnq, sLogin, sPassword
	
	Dim iNumPerPage, iTtlNumItems, iDBLoc
	
	Call DISP_Action("SB_ACCOUNTS_ADMIN_OPEN")
	Call DISP_Action("SB_ACCOUNTS_MANAGE_GROUPS_ADDACCOUNTS")
	If   (ACCNT_AnyDomain("SB_UG_ADDACCOUNT")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("ACCT_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_ACCOUNTS_CLOSE")
	Response.Flush

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sCheckbox, sError, sSuccess, sTempAccountUnq, rsDB
	
		Set rsDB = Server.CreateObject("ADODB.recordset")

		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_UG_ADDACCOUNT", "", "")
		End If
		sGroupUnq = Trim(Request("sGroupUnq"))
		If ( sGroupUnq <> "" ) Then
			sType = Left(sGroupUnq, 1)
			sGroupUnq = Right(sGroupUnq, Len(sGroupUnq) - 1)
		Else
			sSQLText = "SELECT * FROM Groups (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " ORDER BY Name ASC"
			rsDB.Open sSQLText, DBConnection
			If ( NOT rsDB.EOF ) Then
				sType = Trim(UCase(rsDB("Type")))
				sGroupUnq = rsDB("GroupUnq")
			End If
			rsDB.Close
		End If

		sAction = Request("sAction")
		
		Select Case sAction
			Case "AddSelectedAccounts"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_UG_ADDACCOUNT", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					For Each sCheckbox In Request.Form
						If ( InStr(sCheckbox, "sNewGroupStatus") > 0 ) Then
							sAccountUnq = Replace(sCheckbox, "sNewGroupStatus", "")
							sNewGroupStatus = Request("sNewGroupStatus" & sAccountUnq)
							' check to see if it's already in the group. if not, go ahead and add it.
							If ( NotInGroup() ) Then
								If ( HasAllGroupRights() ) Then	' make sure the admin has ALL the rights in the Group before adding the user
									DBConnection.Execute "INSERT INTO GroupMap VALUES (" & sGroupUnq & ", " & sAccountUnq & ", " & GetNumDays() & ", " & GetPosition() & ", 'F', " & iDomainUnq & ")"
									Call DOMAIN_Log(42, "", sAccountUnq, "", iDomainUnq, "", sGroupUnq, "V", "I", sGroupUnq, "")
									If ( sSuccess = "" ) Then
										sSuccess = DOMAIN_Text("ACCOUNTS_GROUPS_ADDED_ACCOUNT")
									End If
								Else
									sError = DOMAIN_Text("DOM_SYS_RIGHTS")
								End If
							End If
						End If
					Next
					sAccountUnq = Trim(Request("sAccountUnq"))
					If ( sAccountUnq <> "" ) Then
						If ( IsNumeric(sAccountUnq) ) Then
							If ( NotInGroup() ) Then
								If ( HasAllGroupRights() ) Then	' make sure the admin has ALL the rights in the Group before adding the user
									DBConnection.Execute "INSERT INTO GroupMap VALUES (" & sGroupUnq & ", " & sAccountUnq & ", 0, " & GetPosition() & ", 'F', " & iDomainUnq & ")"
									Call DOMAIN_Log(42, "", sAccountUnq, "", iDomainUnq, "", sGroupUnq, "V", "I", sGroupUnq, "")
									sSuccess = sSuccess & DOMAIN_Text("ACCOUNTS_GROUPS_ADDED_INDIV")
								Else
									sError = DOMAIN_Text("DOM_SYS_RIGHTS")
								End If
							Else
								sError = sError & DOMAIN_Text("ACCOUNTS_GROUPS_ID_NUM_INGROUP")
							End If
						Else
							sError = sError & DOMAIN_Text("ACCOUNTS_GROUPS_ENTER_NUM_ID")
						End If
					End If
				End If
			Case "AddNewAccount"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_UG_ADDACCOUNT", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					sLogin = SQLEncode(Trim(Request("sLogin")))
					sPassword = SQLEncode(Trim(Request("sPassword")))
					If ( sLogin <> "" ) And ( sPassword <> "" ) Then
						If ( NOT LoginExists() ) Then
							If ( HasAllGroupRights() ) Then	' make sure the admin has ALL the rights in the Group before adding the user
								' create account
								DBConnection.Execute "INSERT INTO Accounts VALUES ('" & sLogin & "', '" & sPassword & "', GetDate(), NULL, " & iDomainUnq & ",'','T',0)"
								sSuccess = DOMAIN_Text("ACCOUNTS_GROUPS_ACC_CREATED")
								' set rights
								rsDB.Open "SELECT @@IDENTITY", DBConnection
								If (NOT rsDB.EOF) Then
									sTempAccountUnq = rsDB(0)
									rsDB.Close
									' Add all the Initial Rights to the new account
									sSQLText = "SELECT * FROM InitialRights WHERE DomainUnq = " & iDomainUnq
									rsDB.Open sSQLText, DBConnection
									While ( NOT rsDB.EOF )
										DBConnection.Execute "INSERT INTO RIGHTS VALUES (" & sTempAccountUnq & ", " & sGroupUnq & ", " & rsDB("SystemUnq") & ", " & iDomainUnq & ", '" & rsDB("RightsLvl") & "', GetDate(), NULL)"
										Call DOMAIN_Log(40, "", sTempAccountUnq, "", iDomainUnq, "", rsDB("SystemUnq"), "V", "I", rsDB("RightsLvl"), "")
										rsDB.MoveNext
									Wend
									rsDB.Close
									' insert the account into the groupmap - saying that this new account is associated with the new group
									DBConnection.Execute "INSERT INTO GroupMap VALUES (" & sGroupUnq & ", " & sTempAccountUnq & ", " & GetNumDays() & ", " & GetPosition() & ", 'F', " & iDomainUnq & ")"
									Call DOMAIN_Log(42, "", sTempAccountUnq, "", iDomainUnq, "", sGroupUnq, "V", "I", sGroupUnq, "")
	
									' add all domains from this domains group (Initial Domains)
									Set rsDB = Server.CreateObject("ADODB.recordset")
									sSQLText = "SELECT G2.DomainUnq FROM DomainGroups G1 (NOLOCK), DomainGroups G2 (NOLOCK) WHERE G1.DomainUnq = " & iDomainUnq & " AND G1.GroupUnq = G2.Groupunq"
									rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									While ( NOT rsDB.EOF )
										DBConnection.Execute "INSERT INTO AccountDomainMap VALUES (" & sTempAccountUnq & ", " & rsDB("DomainUnq") & ")"
										Call DOMAIN_Log(39, "", sTempAccountUnq, "", 0, "", 0, "V", "I", rsDB("DomainUnq"), "")
										rsDB.MoveNext
									Wend
									rsDB.Close
									Set rsDB = Nothing
									Call DOMAIN_Log(36, "", sTempAccountUnq, "", 0, "", 0, "V", "I", sLogin, "")
									Call DOMAIN_Log(37, "", sTempAccountUnq, "", 0, "", 0, "V", "I", sPassword, "")
									sLogin = ""
									sPassword = ""
								
									sSuccess = sSuccess & DOMAIN_Text("ACCOUNTS_GROUPS_ACC_ADDED")
								Else
									sError = DOMAIN_Text("ACCOUNTS_GROUPS_NO_ID")
								End If
							Else
								sError = DOMAIN_Text("DOM_SYS_RIGHTS")
							End If
						Else
							sError = DOMAIN_Text("ACCOUNTS_GROUPS_LOGIN_EXISTS")
						End If
					Else
						sError = DOMAIN_Text("ACCOUNTS_GROUPS_ENTER_INFO")
					End If
				End If
		End Select
	
		' Pagination variables -- begin
		iNumPerPage = 20
		iTtlNumItems = CDbl(Request("iTtlNumItems"))
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		' must reset the position in the db and the ttlnumitems when changing the domain or system drop-down menu
		' must also reset them if colors have been deleted
		Select Case sAction
			Case "UpdateDomainUnq"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "UpdateGroupUnq"
				iDBLoc = 0
				iTtlNumItems = 0
		End Select
		
		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			If ( sType = "S" ) Then
				sSQLText = "SELECT Count(*) FROM Accounts (NOLOCK) WHERE AccountUnq NOT IN (SELECT M.AccountUnq FROM GroupMap M, Groups G WHERE G.DomainUnq = " & iDomainUnq & " AND G.DomainUnq = M.DomainUnq AND M.GroupUnq = " & sGroupUnq & " OR (G.Type = 'R' AND G.GroupUnq = M.GroupUnq))"
			End If
			If ( sType = "R" ) Then
				sSQLText = "SELECT Count(*) FROM Groups (NOLOCK) WHERE GroupUnq = -1"
			End If
			If ( sType <> "S" And sType <> "R" ) Then
				sSQLText = "SELECT Count(*) FROM Groups (NOLOCK) WHERE GroupUnq = -1"
			End If
			rsDB.Open sSQLText, DBConnection
			If Not(rsDB.EOF) Then
				iTtlNumItems = rsDB(0)
			End If
			rsDB.Close
		end if
		' Pagination variables -- end		
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		Call WriteForm()

		Set rsDB = Nothing
	End Sub
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*	This checks to see if the current admin has ALL the rights in the sGroupUnq.	*
	'*																					*
	'************************************************************************************
	Function HasAllGroupRights()
		Dim sSQLText, rsDB
		
		Set rsDB = Server.CreateObject("ADODB.recordset")
		HasAllGroupRights = TRUE
		
		sSQLText = "SELECT RightsLvl FROM Rights WHERE GroupUnq=" & sGroupUnq & " AND DomainUnq=" & iDomainUnq & " AND (RevokeDate IS NULL OR GrantDate>RevokeDate)"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		While (NOT rsDB.EOF)
			If ( NOT ACCNT_SpecificDomain(rsDB("RightsLvl"), iDomainUnq) ) Then
				HasAllGroupRights = FALSE
				rsDB.MoveLast
			End If
			rsDB.MoveNext
		Wend
		rsDB.Close
		Set rsDB = Nothing
		
	End Function
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*	This checks to see if the login they entered already exists or not.				*
	'*																					*
	'************************************************************************************
	Function LoginExists()
		Dim sSql

		sSql = "SELECT * FROM Accounts (NOLOCK) WHERE Login = '" & sLogin & "'"
		rsDB.Open sSQL, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			LoginExists = FALSE
		Else
			LoginExists = TRUE
		End If
		rsDB.Close
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	This checks to see if the account is in the group already.						*
	'*																					*
	'************************************************************************************
	Function NotInGroup()
		NotInGroup = FALSE
		
		sSQLText = "SELECT * FROM GroupMap (NOLOCK) WHERE GroupUnq = " & sGroupUnq & " AND AccountUnq = " & sAccountUnq & " AND DomainUnq = " & iDomainUnq
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			NotInGroup = TRUE
		End If
		rsDB.Close
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This gets the next position in the Group.										*
	'*																					*
	'************************************************************************************
	Function GetPosition()
		sSQLText = "SET ROWCOUNT 1 SELECT * FROM GroupMap (NOLOCK) WHERE GroupUnq = " & sGroupUnq & " AND DomainUnq = " & iDomainUnq & " ORDER BY Position DESC SET ROWCOUNT 0"
		rsDB.Open sSQLText, DBConnection
		If ( rsDB.EOF ) Then
			GetPosition = 1
		Else
			GetPosition = CDbl(rsDB("Position")) + 1
		End If
		rsDB.Close
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	This gets the average number of days for the accounts in the group.				*
	'*																					*
	'************************************************************************************
	Function GetNumDays()
		sSQLText = "SELECT AVG(NumDays) FROM GroupMap (NOLOCK) WHERE GroupUnq = " & sGroupUnq & " AND DomainUnq = " & iDomainUnq
		rsDB.Open sSQLText, DBConnection
		If ( rsDB.EOF ) Then
			GetNumDays = 1
		Else
			If ( IsNull(rsDB(0)) ) Then
				GetNumDays = 1
			Else
				GetNumDays = Int(rsDB(0))
			End If
		End If
		rsDB.Close
	End Function
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim rsDomain, rsDB2, sTemp, sGroupName
		Dim sBGColor, sTextColor, x, iMax, iCount, sGroupUnq2

		Set rsDB2 = Server.CreateObject("ADODB.recordset")
		
		If ( sType = "S" ) Then
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT AccountUnq, Login FROM Accounts (NOLOCK) WHERE AccountUnq NOT IN (SELECT M.AccountUnq FROM GroupMap M, Groups G WHERE G.DomainUnq = " & iDomainUnq & " AND G.DomainUnq = M.DomainUnq AND M.GroupUnq = " & sGroupUnq & " OR (G.Type = 'R' AND G.GroupUnq = M.GroupUnq)) SET ROWCOUNT 0"
		End If
		If ( sType = "R" ) Then
			sSQLText = "SET ROWCOUNT 1 SELECT * FROM Groups (NOLOCK) WHERE GroupUnq = -1 SET ROWCOUNT 0"
		End If
		If ( sType <> "S" And sType <> "R" ) Then
			sSQLText = "SET ROWCOUNT 1 SELECT * FROM Groups (NOLOCK) WHERE GroupUnq = -1 SET ROWCOUNT 0"
		End If

		Set rsDB = CreateObject("ADODB.Recordset")
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("AccountsBGColor2")

		For x = 1 To CDbl(iDBLoc)
			rsDB.MoveNext
		Next
		iMax = iNumPerPage
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.AddAccounts.sAction.value = sAction;
				document.AddAccounts.submit();
			}
			
			function PaginationLink(sQueryString){
				document.location = "AddAccount.asp?<%=DOMAIN_Link("G")%>&iDBLoc2=" + document.AddAccounts.iDBLoc2.value + "&iDomainUnq2=" + document.AddAccounts.iDomainUnq2.value + "&sGroupUnq2=" + document.AddAccounts.sGroupUnq2.value + "&sGroupUnq=" + document.AddAccounts.sGroupUnq.value + "&iDomainUnq=" + document.AddAccounts.iDomainUnq.value + sQueryString;
			}

			
		</script>
		<form name='AddAccounts' action='AddAccount.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "iDBLoc2"
		aVariables(4) = "iDomainUnq2"
		aVariables(5) = "sGroupUnq2"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		aValues(3) = Request("iDBLoc2")
		aValues(4) = Request("iDomainUnq2")
		aValues(5) = Request("sGroupUnq2")
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("ACCOUNTS_GROUPS_ADD_INFO")%></b></font>
					<br>
					<table>
						<tr>
							<td><font color='<%=DOMAIN_Color("AccountsPageText")%>'><b><%=DOMAIN_Text("ACCOUNTS_GROUPS_DOMAIN")%></b></font></td>
							<td><font color='<%=DOMAIN_Color("AccountsPageText")%>'><b><%=DOMAIN_Text("ACCOUNTS_GROUPS_GROUP")%></b></font></td>
						</tr>
						<tr>
							<td>
								<%Call DOMAINS_DomainsDropDown("SB_UG_ADDACCOUNT", "", "")%>
							</td>
							<td>
								<select name = "sGroupUnq" onChange='SubmitForm("UpdateGroupUnq");'>
									<%
									sSQLText = "SELECT * FROM Groups (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " ORDER BY Name"
									rsDB2.Open sSQLText, DBConnection
									While NOT rsDB2.EOF
										sGroupUnq2 = rsDB2("GroupUnq")
										If ( HasAllGroupRights() ) Then
											If ( Trim(UCase(rsDB2("Type"))) = "S" ) Then
												sTemp = DOMAIN_Text("ACCOUNTS_GROUPS_STD_END")
											Else
												sTemp = DOMAIN_Text("ACCOUNTS_GROUPS_ROT_END")
											End If
											sGroupName = Replace(rsDB2("Name"), "'", "&#39;")
											If ( sGroupUnq = CStr(sGroupUnq2) ) Then
												Response.Write "<option value = '" & Trim(rsDB2("Type")) & Trim(sGroupUnq2) & "' Selected>" & sGroupName & sTemp & "</option>"
											Else
												Response.Write "<option value = '" & Trim(rsDB2("Type")) & Trim(sGroupUnq2) & "'>" & sGroupName & sTemp & "</option>"
											End If
										Else
											Response.Write "<option>" & "You do not have all rights in - " & rsDB2("Name") & "</option>"
										End If
										rsDB2.MoveNext
									Wend
									rsDB2.Close
									%>
								</select>
							</td>
						</tr>
					</table>
					<br>
					<%If ( sType = "S" ) Then%>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%> width=1><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_GROUPS_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_GROUPS_LOGIN")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_GROUPS_ADD_2_GROUP")%></b></td>
						</tr>
						<%
						While ( NOT rsDB.EOF )
							If ( sBGColor = DOMAIN_Color("AccountsBGColor1") ) Then
								sBGColor = DOMAIN_Color("AccountsPageBGColor")
								sTextColor = DOMAIN_Color("AccountsPageText")
							Else
								sBGColor = DOMAIN_Color("AccountsBGColor1")
								sTextColor = DOMAIN_Color("AccountsTextColor1")
							End If
							sTemp = Replace(rsDB("Login"), "'", "&#39;")
							sAccountUnq = rsDB("AccountUnq")
							%>
							<tr>
								<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=sAccountUnq%></font></td>
								<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=sTemp%></font></td>
								<td bgcolor=<%=sBGColor%> align=center><input type='checkbox' name='sNewGroupStatus<%=sAccountUnq%>' value='Y'></td>
							</tr>
							<%
							rsDB.MoveNext
						Wend
						sAccountUnq = ""
						%>
						<tr>
							<td colspan=3 align=right>
								<%Call PrintRecordsetNav( iNumPerPage, "", "", "", "Default.asp", "" )%>
							</td>
						</tr>
					</table>
					<br>
					<%=DOMAIN_Text("ACCOUNTS_GROUPS_OR_ADD")%><br>
					<table cellpadding=2 cellspacing=0 border=0>
						<tr>
							<td align=right><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_ACC_ID")%></td>
							<td><input type='text' name='sAccountUnq' value='<%=sAccountUnq%>' size=10 maxlength=30></td>
						</tr>
					</table>
					<br>
					<center><input type='button' value='<%=DOMAIN_Text("ACCOUNTS_GROUPS_ADD_SELECTED")%>' onclick='SubmitForm("AddSelectedAccounts");'></center>
					<br><br><br>
					<%End If%>
					<%=DOMAIN_Text("ACCOUNTS_GROUPS_CREATE_NEW")%>
					<table cellpadding=0 cellspacing=0 border=1 bordercolor='<%=DOMAIN_Color("AccountsPageBorder")%>' width=671><tr><td>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td align=right><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_ACC_LOGIN")%></td>
							<td><input type='text' name='sLogin' value='<%=sLogin%>' size=10 maxlength=30></td>
							<td align=right><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_ACC_PW")%></td>
							<td><input type='text' name='sPassword' value='<%=sPassword%>' size=10 maxlength=30></td>
						</tr>
					</table>
					</td></tr></table>
					<br>
					<center><input type='button' value='<%=DOMAIN_Text("ACCOUNTS_GROUPS_ADD_NEW_ACC")%>' onclick='SubmitForm("AddNewAccount");'></center>
					<br>
					<font size=-2>
					<%=DOMAIN_Text("ACCOUNTS_GROUPS_ADD_FOOTER")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
		rsDB.Close
		Set rsDB = Nothing
	End Sub
	'********************************************************************************
	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		Else
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & "')"" class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & "')""  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("AccountsPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & "')""  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & "')""  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & "')""  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>