<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim sSQLText, rsDB
	Dim sNewLogin, sNewPassword, sDomainQuery, iDomainUnq
	Dim iNumPerPage, iTtlNumItems, iDBLoc, sSort
	Dim sAccountUnq, sOldPassword, sOldLogin, sSortBy
	Dim iListUnq
	
	Call DISP_Action("SB_ACCOUNTS_ADMIN_OPEN")
	Call DISP_Action("SB_ACCOUNTS_MANAGE_MAILINGLIST_DELETE")
	If   (ACCNT_AnyDomain("SB_ML_REMOVE")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("ACCT_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_ACCOUNTS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sSQLText
		Dim sCheckBox, sError, sSuccess, sTextField
	
		Set rsDB = CreateObject("ADODB.Recordset")
		sAccountUnq = Trim(Request("sAccountUnq"))
		sAction = Request("sAction")
		sSortBy = Request("sSortBy")
		iListUnq = Trim(Request("iListUnq"))
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq <> "" ) Then
			sDomainQuery = " AND A.HomeDomain = " & iDomainUnq
		Else
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_ML_SEND","","")
			sDomainQuery = " AND A.HomeDomain = " & iDomainUnq
		End If

		iTtlNumItems = CDbl(Request("iTtlNumItems"))
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		
		sError = ""
		sSuccess = ""
		Select Case sAction
			Case "RemoveAccounts"
				' Remove accounts from the current mailing list
				If (ACCNT_SpecificDomain("SB_ML_REMOVE", iDomainUnq)) Then
					If ( iListUnq = "" ) Then
						sError = "Please choose a mailing list before adding accounts."
					Else
			            For Each sCheckBox In Request.Form
			            	If ( InStr(sCheckBox, "sAdd") > 0 ) Then
			            		sAccountUnq = Request(sCheckBox)
								DBConnection.Execute "DELETE FROM ListAccounts WHERE DomainUnq = " & iDomainUnq & " AND AccountUnq = " & sAccountUnq & " AND ListUnq = " & iListUnq
								Call DOMAIN_Log(45, "", sAccountUnq, "", iDomainUnq, "", iListUnq, "V", "D", iListUnq, "")
								sSuccess = DOMAIN_Text("MAILINGLIST_DELETE_REMOVED")
							End If
			            Next
					End If
	            End If
	        Case "UpdateDomainUnq"
	           	iTtlNumItems = 0
	           	iDBLoc = 0
			Case "UpdateList"
				iTtlNumItems = 0
				iDBLoc = 0
		End Select
		
		' Pagination variables -- begin
		iNumPerPage = 20
		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			If ( sGroupType = "R" ) Then
				sSQLText = "SELECT COUNT(DISTINCT A.AccountUnq) FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain" & sDomainQuery & " AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq = " & sGlobalGroupUnq & ") AND R.RightsLvl IN ('SB_ML_ADD')"
			Else
				' the admin is either in "S" group(s) or no group.
				sSQLText = "SELECT COUNT(DISTINCT A.AccountUnq) FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain" & sDomainQuery & " AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq IN (SELECT M.GroupUnq from GroupMap M, Groups G WHERE M.AccountUnq = " & iLoginAccountUnq & " AND G.DomainUnq = " & iDomainName & " AND G.Type = 'S' AND M.GroupUnq = G.GroupUnq)) AND R.RightsLvl IN ('SB_ML_ADD')"
			End If

			rsDB.Open sSQLText, DBConnection
			If Not(rsDB.EOF) Then
				iTtlNumItems = rsDB(0)
			End If
			rsDB.Close
		end if
		' Pagination variables -- end
		
		Select Case sSortBy
			Case "ID"
				sSort = " ORDER BY A.AccountUnq"
			Case "Login"
				sSort = " ORDER BY A.Login"
			Case "HomeDomain"
				sSort = " ORDER BY A.HomeDomain"
			Case "RemoveDate"
				sSort = " ORDER BY A.RemoveDate DESC"
			Case Else
				sSort = " ORDER BY A.AccountUnq"
		End Select
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		Call WriteForm()
		Set rsDB = Nothing
	End Sub
	'************************************************************************************

	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, x, iMax, iCount, sLogin, sPassword, sType, sGroupUnq, iHomeDomain
		Dim rsDomain, rsDB2, sTextColor, dOptOut
		
		Set rsDB2 = CreateObject("ADODB.Recordset")
		
		' find all users who have homedomains on which the admin has SB_ML_ADD rights
		If ( sGroupType = "R" ) Then
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT DISTINCT A.AccountUnq, A.Login, A.Password, A.Adddate, A.Removedate, A.HomeDomain FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain" & sDomainQuery & " AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq = " & sGlobalGroupUnq & ") AND R.RightsLvl IN ('SB_ML_ADD')" & sSort & " SET ROWCOUNT 0"
		Else
			' the admin is either in "S" group(s) or no group.
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT DISTINCT A.AccountUnq, A.Login, A.Password, A.Adddate, A.Removedate, A.HomeDomain FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain" & sDomainQuery & " AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq IN (SELECT M.GroupUnq from GroupMap M, Groups G WHERE M.AccountUnq = " & iLoginAccountUnq & " AND G.DomainUnq = " & iDomainName & " AND G.Type = 'S' AND M.GroupUnq = G.GroupUnq)) AND R.RightsLvl IN ('SB_ML_ADD')" & sSort & " SET ROWCOUNT 0"
		End If

		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("AccountsBGColor2")
		sTextColor = DOMAIN_Color("AccountsTextColor2")
		For x = 1 To CDbl(iDBLoc)
			rsDB.MoveNext
		Next
		iMax = iNumPerPage
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function PaginationLink(sQueryString){
				document.location = "Delete.asp?<%=DOMAIN_Link("G")%>" + sQueryString;
			}
			
			function SubmitForm(sAction){
				document.ManageMList.sAction.value = sAction;
				document.ManageMList.submit();
			}
			
		</script>
		<form name='ManageMList' action='Delete.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "iTtlNumItems2"
		aVariables(4) = "iDBLoc2"
		aVariables(5) = "iDomainUnq2"
		aVariables(6) = "iListUnq2"
		aVariables(7) = "sSortBy2"
		aValues(0) = "RemoveAccounts"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		aValues(3) = Request("iTtlNumItems2")
		aValues(4) = Request("iDBLoc2")
		aValues(5) = Request("iDomainUnq2")
		aValues(6) = Request("iListUnq2")
		aValues(7) = Request("sSortBy2")
		Response.Write DOMAIN_Link("P")
		

		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("MAILINGLIST_DELETE_HEAD")%></b></font>
					<br>
					<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
					<%=DOMAIN_Text("MAILINGLIST_DELETE_SUBHEAD")%>
					<br>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td>
								<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
								<%=DOMAIN_Text("MAILINGLIST_DOMAIN")%>: 
								<%Call DOMAINS_DomainsDropDown("SB_ML_REMOVE", "", "")%>
							</td>
							<td>
								<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
								<%=DOMAIN_Text("MAILINGLIST_LIST")%>:
								<select name='iListUnq' onChange='SubmitForm("UpdateList");'>
								<%
								sSQLText = "SELECT * FROM MailingLists (NOLOCK) WHERE DomainUnq = " & iDomainUnq
								rsDB2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								While ( NOT rsDB2.EOF )
									If ( iListUnq = "" ) Then
										iListUnq = rsDB2("ListUnq")
									End If
									If ( CStr(rsDB2("ListUnq")) = iListUnq ) Then
										Response.Write "<option value='" & rsDB2("ListUnq") & "' selected>" & rsDB2("ListName") & "</option>"
									Else
										Response.Write "<option value='" & rsDB2("ListUnq") & "'>" & rsDB2("ListName") & "</option>"
									End If
									rsDB2.MoveNext
								Wend
								rsDB2.Close
								%>
								</select>
							</td>
							<td align=right>
								<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
								<%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_SORTBY")%>
								<select name='sSortBy' onChange='SubmitForm("UpdateSort");'>
									<option value='ID' <%If sSortBy="ID" Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_IDNUM")%></option>
									<option value='Login' <%If sSortBy="Login" Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_LOGIN")%></option>
									<option value='HomeDomain' <%If sSortBy="HomeDomain" Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_HOMEDOMAIN_DROPDWN")%></option>
									<option value='RemoveDate' <%If sSortBy="RemoveDate" Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_REVOKEDATE_DROPDWN")%></option>
								</select>
							</td>
						</tr>
					</table>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td align=right bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_LOGIN")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MAILINGLIST_DELETE_REMOVE")%></b></td>
							<td align=right bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MAILINGLIST_OPTOUT")%></b></td>
							<td align=right bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MAILINGLIST_NUMSENT")%></b></td>
							<td bgcolor=<%=sBGColor%>><b>&nbsp;&nbsp;&nbsp;</b></td>
							<td align=right bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_LOGIN")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MAILINGLIST_DELETE_REMOVE")%></b></td>
							<td align=right bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MAILINGLIST_OPTOUT")%></b></td>
							<td align=right bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MAILINGLIST_NUMSENT")%></b></td>
						</tr>
						<%
						If ( iListUnq <> "" ) Then
							While ( NOT rsDB.EOF )
								If ( sBGColor = DOMAIN_Color("AccountsBGColor1") ) Then
									sBGColor = DOMAIN_Color("AccountsPageBGColor")
									sTextColor = DOMAIN_Color("AccountsPageText")
								Else
									sBGColor = DOMAIN_Color("AccountsBGColor1")
									sTextColor = DOMAIN_Color("AccountsTextColor1")
								End If
								sLogin = Replace(Replace(rsDB("Login"), "'", "&#145;"), """", "&#147;")
								sAccountUnq = rsDB("AccountUnq")
								%>
								<tr>
									<%
									sSQLText = "SELECT * FROM ListAccounts WHERE ListUnq = " & iListUnq & " AND DomainUnq = " & iDomainUnq & " AND AccountUnq = " & sAccountUnq
									rsDB2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									If ( NOT rsDB2.EOF ) Then
										dOptOut = rsDB2("OptOut")
										If ( IsNull(dOptOut) ) Then
											dOptOut = DOMAIN_Text("MAILINGLIST_NO")
										End If
										%>
										<td align=right bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=sAccountUnq%></td>
										<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
										<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=sLogin%></td>
										<td bgcolor=<%=sBGColor%> align=center><input type='checkbox' name='sAdd<%=sAccountUnq%>' value='<%=sAccountUnq%>'></td>
										<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>' size=-2><%=dOptOut%></td>
										<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><%=rsDB2("NumSent")%></td>
										<td bgcolor=<%=sBGColor%>><b>&nbsp;&nbsp;&nbsp;</b></td>
										<%
									Else
										%>
										<td align=right bgcolor=<%=sBGColor%>><font size=-2 color='<%=sTextColor%>'><%=sAccountUnq%></td>
										<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
										<td bgcolor=<%=sBGColor%>><font size=-2 color='<%=sTextColor%>'><%=sLogin%></td>
										<td bgcolor=<%=sBGColor%>>&nbsp;</td>
										<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'>&nbsp</td>
										<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'>0</td>
										<td bgcolor=<%=sBGColor%>><b>&nbsp;&nbsp;&nbsp;</b></td>
										<%
									End If
									rsDB2.Close
	
									rsDB.MoveNext
									iCount = iCount + 1
									If ( NOT rsDB.EOF ) Then
										sLogin = Replace(Replace(rsDB("Login"), "'", "&#145;"), """", "&#147;")
										sAccountUnq = rsDB("AccountUnq")
										sSQLText = "SELECT * FROM ListAccounts WHERE ListUnq = " & iListUnq & " AND DomainUnq = " & iDomainUnq & " AND AccountUnq = " & sAccountUnq
										rsDB2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
										If ( NOT rsDB2.EOF ) Then
											dOptOut = rsDB2("OptOut")
											If ( IsNull(dOptOut) ) Then
												dOptOut = DOMAIN_Text("MAILINGLIST_NO")
											End If
											%>
											<td align=right bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=sAccountUnq%></td>
											<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
											<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=sLogin%></td>
											<td bgcolor=<%=sBGColor%> align=center><input type='checkbox' name='sAdd<%=sAccountUnq%>' value='<%=sAccountUnq%>'></td>
											<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>' size=-2><%=dOptOut%></td>
											<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><%=rsDB2("NumSent")%></td>
											<%
										Else
											%>
											<td align=right bgcolor=<%=sBGColor%>><font size=-2 color='<%=sTextColor%>'><%=sAccountUnq%></td>
											<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
											<td bgcolor=<%=sBGColor%>><font size=-2 color='<%=sTextColor%>'><%=sLogin%></td>
											<td bgcolor=<%=sBGColor%>>&nbsp;</td>
											<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'>&nbsp</td>
											<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'>0</td>
											<%
										End If
										rsDB2.Close
										rsDB.MoveNext
										iCount = iCount + 1
									End If
									%>
								</tr>
								<%
							Wend
						%>
						<tr>
							<td colspan=13 align=center>
								<input type='submit' value='<%=DOMAIN_Text("MAILINGLIST_DELETE_REMOVECHECKED")%>'>
							</td>
						</tr>
						<tr>
							<td colspan=13 align=right>
								<%Call PrintRecordsetNav( iNumPerPage, "DBConnection", "Accounts", "", "Default.asp", "iDomainUnq=" & iDomainUnq & "&sSortBy=" & sSortBy & "&iListUnq=" & iListUnq & "&iTtlNumItems2=" & Request("iTtlNumItems2") & "&iDBLoc2=" & Request("iDBLoc2") & "&iDomainUnq2=" & Request("iDomainUnq2") & "&iListUnq2=" & Request("iListUnq2") & "&sSortBy2=" & Request("sSortBy2") & "&sAction=Pagination")%>
							</td>
						</tr>
						<%Else%>
						<tr>
							<td colspan=13 align=center>
								<%=DOMAIN_Text("DOMAINS_MAILINGLISTS_CREATENEW_4DEL")%>
							</td>
						</tr>
						<%End If%>
					</table>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
		rsDB.Close
		Set rsDB2 = Nothing
	End Sub
	'********************************************************************************

	
	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = """ & sURL & "?" & DOMAIN_Link("G") & "&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		Else
			sURLBeg = "<a href = """ & sURL & "?" & DOMAIN_Link("G") & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & """ class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & """  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("AccountsPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & """  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & """  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & """  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>
