<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<!--#INCLUDE FILE="i_SignUp.asp"-->
<!--#INCLUDE FILE="i_ADV.asp"-->
<%
	Response.Buffer = TRUE
	Dim sAction, sError, rs1, rsDB, sUserEmail, iAuthID
	Dim sADV, sSQLText, bMustAuthenticate, bHasRemoteHost
	
	Dim aADVArray()	' holds custom ADV information
	Dim iUBoundADVArray, x

	Call DISP_Action("SB_ACCOUNTS_NEWACCOUNT_OPEN")
	Call DISP_Action("SB_ACCOUNTS_USER_DATA")
	If ( ACCNT_AccountsLeft() ) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("ACCOUNTS_NO_SPOTS_LEFT"), "ERROR")
	End If
	Call DISP_Action("SB_ACCOUNTS_NEWACCOUNT_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim rsDB
		
		iTableWidth = DOMAIN_Conf("ACCOUNTS_TABLEWIDTH")
		
		Response.Write "<table cellpadding=0 cellspacing=0 border=0 width=" & iTableWidth & ">"
		Response.Write "	<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>"
		Response.Write "	<tr>"
		Response.Write "		<td>"

		If ( UCase(Trim(DOMAIN_Conf("ACCOUNTS_SIGNUP"))) = "OPEN" ) Then
			' Anyone can sign up
			bMustAuthenticate	= UCase(Trim(DOMAIN_Conf("ACCOUNTS_AUTHENTICATION")))
			bHasRemoteHost		= DOMAIN_Has_RemoteHost()
			sUserEmail			= Trim(Request("SB_EmailAddress"))
			sAction				= Trim(Request("sAction"))
			
			If sAction = "" Then
				SB_BirthYear = "19"
				Call GetCustomADVs()
				Call WriteADVForm("ADD")
			Else
				sLogin = Trim(Request("sLogin"))
				sPassword = Trim(Request("sPassword"))
				If sLogin = "" Then
					sError = DOMAIN_Text("ENTER_LOGIN2")
				Else
					If LoginExists() Then
						sError = DOMAIN_Text("LOGIN_EXISTS2")
					End If
				End If
				If sPassword = "" Then
					sError = sError & DOMAIN_Text("ENTER_PASSWORD2")
				End If
				
				' Check all other things in the form field to see if they are required. if so then make sure they are full
				Set rsDB = CreateObject("ADODB.Recordset")
	            For Each sADV In Request.Form
					sSQLText = "SELECT * FROM AccountMap (NOLOCK) WHERE MapName = '" & SQLEncode(sADV) & "' AND DomainUnq = " & iDomainName
					rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsDB.EOF ) Then
						If ( Trim(rsDB("Required")) = "Y" ) Then
							If ( Request.Form(sADV) = "" ) Then
								sError = sError & DOMAIN_Text("MISSING_ADV") & rsDB("Description") & DOMAIN_Text("ADV_FORM")
							End If
						End If
					End If
					rsDB.Close
	            Next
	            Set rsDB = Nothing
		
				If sError = "" Then
					' Make their account
					If ( ( bMustAuthenticate = "YES" ) And ( bHasRemoteHost ) ) Then
						' don't mark their account as authenticate yet
						Randomize
						iAuthID = Round(100000000 * Rnd, 0)
						DBConnection.Execute "INSERT INTO Accounts VALUES ('" & SQLEncode(sLogin) & "', '" & SQLEncode(sPassword) & "', GetDate(), NULL, " & iDomainName & ",'','', " & iAuthID & ")"
					Else
						DBConnection.Execute "INSERT INTO Accounts VALUES ('" & SQLEncode(sLogin) & "', '" & SQLEncode(sPassword) & "', GetDate(), NULL, " & iDomainName & ",'','T',0)"
					End If
	
					Set rsDB = CreateObject("ADODB.Recordset")
					rsDB.Open "SELECT @@IDENTITY", DBConnection
					If (NOT rsDB.EOF) Then
						sAccountUnq = rsDB(0)
						rsDB.Close
						
						' add all the ADV's to the account - this includes ADV's from the Message Board, CMS, etc. (not just from this form)
						DBConnection.Execute "INSERT INTO AccountData SELECT MapName, " & sAccountUnq & ", '', '', 'PRIVATE', " & iDomainName & ", 'T', GetDate() FROM AccountMap WHERE DomainUnq = " & iDomainName
						
						' update the ADV's that are supposed to be public (such as the SB_MB_Icon and SB_MB_NUM_POSTS
						DBConnection.Execute "UPDATE AccountData SET ViewLvl = 'PUBLIC' WHERE (MapName = 'SB_MB_Icon' OR MapName = 'SB_MB_NUM_POSTS') AND AccountUnq = " & sAccountUnq & " AND DomainUnq = " & iDomainName
						
						' Populate the ADV's
			            For Each sADV In Request.Form
							If ( sADV <> "sOriginalLogin" ) And ( sADV <> "sAction" ) And ( sADV <> "sLogin" ) And ( sADV <> "sPassword" ) And ( InStr(sADV, "_V") = 0 ) And ( InStr(sADV, "TEXTAREA_") = 0 ) Then
								If ( Trim(Request("TEXTAREA_" & sADV)) = "T" ) Or ( Len(Trim(Request.Form(sADV))) >= 250 ) Then
									DBConnection.Execute "UPDATE AccountData SET TextData = '" & SQLEncode(Request.Form(sADV)) & "' WHERE MapName = '" & SQLEncode(sADV) & "' AND AccountUnq = " & sAccountUnq & " AND DomainUnq = " & iDomainName
								Else
									DBConnection.Execute "UPDATE AccountData SET VarCharData = '" & SQLEncode(Request.Form(sADV)) & "' WHERE MapName = '" & SQLEncode(sADV) & "' AND AccountUnq = " & sAccountUnq & " AND DomainUnq = " & iDomainName
								End If
							End If
			            Next
						
						' Enter the new user into the accounts specified by the admin (Initial Rights)
						sSQLText = "SELECT * FROM InitialRights (NOLOCK) WHERE DomainUnq = " & iDomainName
						rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						While ( NOT rsDB.EOF )
							DBConnection.Execute "INSERT INTO Rights VALUES (" & sAccountUnq & ", 0, " & rsDB("SystemUnq") & ", " & iDomainName & ", '" & SQLEncode(rsDB("RightsLvl")) & "', GetDate(), NULL)"
							rsDB.MoveNext
						Wend
						rsDB.Close
						
						' add all domains from this domains group (Initial Domains)
						Set rsDB = Server.CreateObject("ADODB.recordset")
						sSQLText = "SELECT G2.DomainUnq FROM DomainGroups G1 (NOLOCK), DomainGroups G2 (NOLOCK) WHERE G1.DomainUnq = " & iDomainName & " AND G1.GroupUnq = G2.Groupunq"
						rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						While ( NOT rsDB.EOF )
							DBConnection.Execute "INSERT INTO AccountDomainMap VALUES (" & sAccountUnq & ", " & rsDB("DomainUnq") & ")"
							rsDB.MoveNext
						Wend
						rsDB.Close
						Set rsDB = Nothing

						Call SendAdminEmail()
						If ( ( bMustAuthenticate = "YES" ) And ( bHasRemoteHost ) ) Then
							Call DOMAIN_Message("Thank you for registering, " & sLogin & ". An email has been dispatched to " & sUserEmail & " with details on how to activate your account.<br><br>You will receive an email in your inbox. You MUST follow the link in that email before you can perform any functions on this website. Until you do that, you will be told that you do not have permission to login.", "SUCCESS")
							Call SendAuthentication()
						Else
							Call SendUserEmail()
							Response.Clear
							Response.Redirect "/WS_Content/Login.asp?" & DOMAIN_Link("G") & "&sA=T&sReturnPage=/Default.asp&" & DOMAIN_Link("G") & "&sLogin=" & sLogin & "&sPassword=" & sPassword
						End If						

					Else
						Call DOMAIN_Message(DOMAIN_Text("ADDING_ACCOUNT"), "ERROR")
					End If
					Set rsDB = Nothing
				Else
					Call DOMAIN_Message(sError, "ERROR")
					Call GetCustomADVs()
					Call WriteADVForm("ADD")
				End If
			End If
		Else
			' The administrator must create the account in the Manage Accounts screen
			Call DOMAIN_Message(DOMAIN_Text("ACCOUNTS_CLOSED"), "ERROR")
		End If
		
		Response.Write "</td></tr></table>"
		
	End Sub
	'************************************************************************************
	


	'************************************************************************************
	'*																					*
	'*	This checks to see if the login they entered already exists or not.				*
	'*																					*
	'************************************************************************************
	Function LoginExists()
		Dim sSql

		sSql = "SELECT * FROM Accounts (NOLOCK) WHERE Login = '" & SQLEncode(sLogin) & "'"
		Set rsDB = CreateObject("ADODB.Recordset")
		rsDB.Open sSQL, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			LoginExists = FALSE
		Else
			LoginExists = TRUE
		End If
		rsDB.Close
		Set rsDB = Nothing
	End Function
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This sends an email to the admin whenever a user creates a new account.			*
	'*																					*
	'************************************************************************************
	Sub SendAdminEmail()
		Dim sFullLetter

		If ( DOMAIN_Conf("SEND_ADMIN_REG_EMAIL") = "YES" ) Then
			If ( bHasRemoteHost = TRUE ) Then
				sFullLetter = Replace(Replace(DOMAIN_Text("NEWACCOUNTS_ADMIN_EMAIL_MSG"), "1:", sLogin), "2:", sPassword)
				DOMAIN_Send_EMail sFullLetter, DOMAIN_Conf("SEND_ADMIN_REG_FROMNAME") & "--" & DOMAIN_Domain_Name(iDomainName), DOMAIN_Conf("SEND_ADMIN_REG_FROMEMAIL"), DOMAIN_Conf("SEND_ADMIN_REG_DESTNAME"), DOMAIN_Conf("SEND_ADMIN_REG_EMAIL_DEST"), DOMAIN_Text("NEWACCOUNTS_ADMIN_SUBJECT"), FALSE
			End If
		End If
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This sends an email to the user whenever they create a new account.				*
	'*																					*
	'************************************************************************************
	Sub SendUserEmail()
		Dim sFullLetter
		
		If ( DOMAIN_Conf("SEND_USER_REG_EMAIL") = "YES" ) Then
			If ( bHasRemoteHost = TRUE ) Then
				sFullLetter = Replace(Replace(DOMAIN_Text("NEWACCOUNTS_USER_EMAIL_MSG"), "1:", sLogin), "2:", sPassword)
				DOMAIN_Send_EMail sFullLetter, DOMAIN_Conf("SEND_USER_REG_EMAIL_NAME"), DOMAIN_Conf("SEND_USER_REG_EMAIL_SOURCE"), sLogin, sUserEmail, DOMAIN_Text("NEWACCOUNTS_USER_EMAIL_SUBJECT"), FALSE
			End If
		End If
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This sends an authentication email to the user.									*
	'*																					*
	'************************************************************************************
	Sub SendAuthentication()
		Dim sFullLetter, sTempSubject
		
		sFullLetter = Replace(DOMAIN_Text("NEWACCOUNTS_USER_EMAIL_AUTHENTICATE_MSG"), "1:", sLogin)
		sFullLetter = Replace(sFullLetter, "2:", Request.ServerVariables("SERVER_NAME"))
		sFullLetter = Replace(sFullLetter, "3:", iAuthID)

		sTempSubject = Replace(DOMAIN_Text("NEWACCOUNTS_USER_EMAIL_AUTHENTICATE_SUBJECT"), "1:", Request.ServerVariables("SERVER_NAME"))
		
		DOMAIN_Send_EMail sFullLetter, DOMAIN_Conf("SEND_USER_REG_EMAIL_NAME"), DOMAIN_Conf("SEND_USER_REG_EMAIL_SOURCE"), sLogin, sUserEmail, sTempSubject, FALSE

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This gets the custom ADV info and populates the aADVArray.						*
	'*																					*
	'************************************************************************************
	Sub GetCustomADVs()
	
		Dim iCount, rsDB, sSQLText, sViewLvl
	
		' get custom ADVs - first get all visible adv's that don't begin with "SB_" (only sitebeater internal ones should begin w/ that)
		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT MapName, DataType, Description, Required, SystemUnq FROM AccountMap M (NOLOCK) WHERE MapName NOT LIKE 'SB_%' AND Visible = 'Y' AND (SystemUnq = 0 OR SystemUnq = 1 OR SystemUnq = 8) AND DomainUnq = " & iDomainName
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			x = rsDB.RecordCount
			If ( x >= 1 ) Then
				ReDim aADVArray(7,x)
				iUBoundADVArray = x
				iCount = 0
				While ( NOT rsDB.EOF )	' stick all the ADV info into the array - use ACCNT_ReturnADV to get the data because it needs to check ADV Groups, rights, etc.
					sViewLvl = "OVERRIDE"
					aADVArray(0,iCount) = rsDB("MapName")
					aADVArray(1,iCount) = rsDB("DataType")
					aADVArray(2,iCount) = rsDB("Description")
					aADVArray(3,iCount) = rsDB("Required")
					aADVArray(4,iCount) = ACCNT_ReturnADV(aADVArray(0,iCount), aADVArray(1,iCount), iLoginAccountUnq, rsDB("SystemUnq"), sViewLvl)
					aADVArray(5,iCount) = sViewLvl
					aADVArray(6,iCount) = bHasADVRights	' if this is TRUE, display the form field, otherwise they don't have rights to this ADV
					If ( aADVArray(5,iCount) = "OVERRIDE") Then
						aADVArray(5,iCount) = "PUBLIC"
					End If
					iCount = iCount + 1
					rsDB.MoveNext
				Wend
			Else
				iUBoundADVArray = 0
			End If
		End If
		rsDB.Close
		Set rsDB = Nothing
	
	End Sub
	'************************************************************************************
%>