<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, sSystemUnq, bAdvanced
	Dim sActionsConst, sCode, sDescription
	Dim iFormXWidth, iFormYHeight, iEditOnXWidth, iEditOnYHeight
	
	' all this (crazy isn't it?) is needed to prevent caching
	Response.Expires = 60
	Response.Expiresabsolute = Now() - 1
	Response.AddHeader "pragma","no-cache"
	Response.AddHeader "cache-control","private"
	Response.CacheControl = "no-cache"
	
	Call DISP_Action("SB_VOID_OPEN")
	iColorScheme = DOMAIN_Conf("ACCOUNTS_COLORS")
	iTextScheme = DOMAIN_Conf("ACCOUNTS_TEXT")
%>
<HTML>
<HEAD>
	<TITLE><%=DOMAIN_Text("SITEBEATER_POPUPEDIT_ACTIONS_TITLE")%></TITLE>
	<%Call DISP_Action("SB_DOMAINS_CSS")%>
</HEAD>
<BODY BGCOLOR="#<%=DOMAIN_Color("AccountsPageBGColor")%>" TEXT="#<%=DOMAIN_Color("AccountsPageText")%>" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
<table cellpadding=0 cellspacing=0 border=0><tr><td>
<%
	If (ACCNT_AnyDomain("SB_MACT_UPDATE")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_VOID_CLOSE")
	Response.Flush

	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, rsDomain, sSQLText, sError
		
		sAction = Trim(Request("sAction"))
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_MACT_UPDATE", "", "")
		End If
		sSystemUnq = Trim(Request("sSystemUnq"))
		sActionsConst = Trim(Request("sActionsConst"))
		sCode = Trim(Request.Form("HTMLDATA"))
		sDescription = Trim(Request("sDescription"))
		bAdvanced = Trim(Request("bAdvanced"))
		
		Select Case Request("iResolution")
			Case "1"	'640x480
				iFormXWidth = 74
				iFormYHeight = 18
				iEditOnXWidth = 610
				iEditOnYHeight = 355
			Case "2"	' 800x600
				iFormXWidth = 94
				iFormYHeight = 25
				iEditOnXWidth = 770
				iEditOnYHeight = 470
			Case "3"	'1024x768
				iFormXWidth = 122
				iFormYHeight = 36
				iEditOnXWidth = 990
				iEditOnYHeight = 635
			Case "4"	'1280x1024
				iFormXWidth = 154
				iFormYHeight = 53
				iEditOnXWidth = 1250
				iEditOnYHeight = 900
			Case "5"	'1600x1200
				iFormXWidth = 193
				iFormYHeight = 64
				iEditOnXWidth = 1570
				iEditOnYHeight = 1070
			Case "6"	'2048x1536
				iFormXWidth = 250
				iFormYHeight = 85
				iEditOnXWidth = 2020
				iEditOnYHeight = 1410
			
		End Select

		Select Case sAction
			Case "UpdateAction"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MACT_UPDATE", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					If ( sActionsConst = "" ) Then
						sError = DOMAIN_Text("MISSING_ACT_CONST")
					End If
					If ( iDomainUnq = "" ) Then
						sError = sError & DOMAIN_Text("MISSING_CODE_SET_DOM")					
					End If
					If ( sSystemUnq = "" ) Then
						sError = sError & DOMAIN_Text("MISSING_SYSTEM")
					End If
					If ( sError = "" ) Then
						If ( NOT ACCNT_SpecificDomain("SB_MACT_USE_ASP", iDomainUnq) ) Then
							' strip the cCode_Delimiter if they do not have rights to put ASP into Actions on this Domain
							sCode = Replace(sCode, DOMAIN_Conf("cCODE_DELIMITER"), "")
						End If
						
						' get the old code and log it
						Set rsDomain = CreateObject("ADODB.Recordset")
						sSQLText = "SELECT Code FROM Actions (NOLOCK) WHERE ActionsConst = '" & SQLEncode(sActionsConst) & "' AND DomainUnq = " & iDomainUnq & " AND SystemUnq = " & sSystemUnq
						rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsDomain.EOF ) Then
							Call DOMAIN_Log(3, SQLEncode(sActionsConst), iDomainUnq, "", sSystemUnq, "", 0, "T", "U", "", SQLEncode(rsDomain("Code")))
						End If
						rsDomain.Close
						Set rsDomain = Nothing
						
						DBConnection.Execute "UPDATE Actions SET Code = '" & SQLEncode(sCode) & "' WHERE SystemUnq = " & sSystemUnq & " AND DomainUnq = " & iDomainUnq & " AND ActionsConst = '" & SQLEncode(sActionsConst) & "'"
						If ( DOMAIN_Conf("USE_EDIT-ON") <> "YES" Or bAdvanced="T" ) Then
						End If
					Else
						If ( DOMAIN_Conf("USE_EDIT-ON") <> "YES" Or bAdvanced="T" ) Then
							Call DOMAIN_Message(sError, "ERROR")
						End If
					End If
				End If
				If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then
					Response.Write "<result>OK</result>"
					Response.End
				End If
			Case Else
				Set rsDomain = CreateObject("ADODB.Recordset")
				sSQLText = "SELECT * FROM Actions (NOLOCK) WHERE SystemUnq = " & sSystemUnq & " AND DomainUnq = " & iDomainUnq & " AND ActionsConst = '" & SQLEncode(sActionsConst) & "'"
				rsDomain.Open sSQLText, DBConnection
				If ( NOT rsDomain.EOF ) Then
					sDescription = rsDomain("Description")
					sCode = rsDomain("Code")
				End If
				rsDomain.Close
				Set rsDomain = Nothing
		End Select
		
		Call WriteForm()
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim rsDomain, sSQLText
		
		sActionsConst = Replace(sActionsConst, "'", "&#39;")
		%>
		<script language = "javascript">
			var wWindow, wWindow2;
	
			function AddColor(iMethod){
				if ( iMethod == 1 ) {
					wWindow = window.open("/WS_Content/Domains/Actions/EditOnColors.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>","","scrollbars,resizable=yes,width=400,height=400");
				}else{
					wWindow = window.open("/WS_Content/Domains/Actions/FormColors.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>","","scrollbars,resizable=yes,width=400,height=400");
				}
			}
			
			function AddText(iMethod){
				if ( iMethod == 1 ) {
					wWindow2 = window.open("/WS_Content/Domains/Actions/EditOnText.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>","","scrollbars,resizable=yes");
				}else{
					wWindow2 = window.open("/WS_Content/Domains/Actions/FormText.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>","","scrollbars,resizable=yes");
				}
			}

			function storeCaret (textEl) {
				if (textEl.createTextRange) 
					textEl.caretPos = document.selection.createRange().duplicate();
			}
			
			function closeWindow()
			{
				window.opener.document.location.reload();
				self.close();
			}
			
		</script>
		<form name='ManageActions' action='PopupEdit.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iDomainUnq"
		aVariables(2) = "sSystemUnq"
		aVariables(3) = "iDBLoc"
		aVariables(4) = "sActionsConst"
		aVariables(5) = "sDescription"
		aVariables(6) = "bAdvanced"
		aVariables(7) = "iResolution"
		aValues(0) = "UpdateAction"
		aValues(1) = iDomainUnq
		aValues(2) = sSystemUnq
		aValues(3) = Request("iDBLoc")
		aValues(4) = sActionsConst
		aValues(5) = sDescription
		aValues(6) = bAdvanced
		aValues(7) = Request("iResolution")
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=100>
			<tr><td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>><a href='javascript:closeWindow();' class='SmallNavPage'>Close window</a></td>
			<tr>
				<td valign=top>
					<table cellpadding = 0 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("DomainsBorderColor1")%> align=center>
					<table cellpadding=3>
						<tr>
							<td valign=top bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>><font color='<%=DOMAIN_Color("DomainsTextColor1")%>'><%=sActionsConst%></b></font></td>
							<td valign=top bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>><font color='<%=DOMAIN_Color("DomainsTextColor1")%>'><%=sDescription%></b></font></td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>>
								<%If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then%>
								<a href='javascript:AddColor(1)' class='MediumNav1'><%=DOMAIN_Text("DOMAINS_ACTIONS_ADD_COLOR")%></a>
								<%Else%>
								<a href='javascript:AddColor(2)' class='MediumNav1'><%=DOMAIN_Text("DOMAINS_ACTIONS_ADD_COLOR")%></a>
								<%End If%>
							</td>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%> align=right>
								<%If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then%>
								<a href='javascript:AddText(1)' class='MediumNav1'><%=DOMAIN_Text("DOMAINS_ACTIONS_ADD_TEXT")%></a>
								<%Else%>
								<a href='javascript:AddText(2)' class='MediumNav1'><%=DOMAIN_Text("DOMAINS_ACTIONS_ADD_TEXT")%></a>
								<%End If%>
							</td>
						</tr>
						<tr>
							<td colspan=2>
								<%If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then%>
								<APPLET  code="EditorApplet" archive="edit-on-pro-signed.jar,ssce.jar" height=<%=iEditOnYHeight%> name=SBEditor id=SBEditor width=<%=iEditOnXWidth%> VIEWASTEXT MAYSCRIPT>
									<param name="LICENSEKEY" value="<%=DOMAIN_Conf("EDIT-ON_LICENSEKEY")%>">
									<PARAM name="CODEBASE" value="/WS_Content/Edit-On/eopro/">
									<PARAM name="CABBASE" value="edit-on-pro-signed.cab,ssce.cab">

									<param name="TOOLBARURL" value="toolbar-sample.xml">
									<param name="TEXTMODE" value="FALSE">
									<param name="SOURCEVIEW" value="TRUE">
									<param name="DEFAULTBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("DomainsPageBGColor")%>">
									<param name="DEFAULTFONTCOLOR" value="#<%=DOMAIN_Color("DomainsPageText")%>">
									<param name="DEFAULTLINKCOLOR" value="#<%=DOMAIN_Color("DomainsPageLinkColor")%>">
									<param name="STARTUPSCREENTEXTCOLOR" value="#<%=DOMAIN_Color("DomainsPageText")%>">
									<param name="STARTUPSCREENBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("DomainsPageBGColor")%>">
									<%
									aVariables(0) = "sAction"
									aVariables(1) = "iDomainUnq"
									aVariables(2) = "sSystemUnq"
									aVariables(3) = "iDBLoc"
									aVariables(4) = "sActionsConst"
									aVariables(5) = "sDescription"
									aValues(0) = ""
									aValues(1) = iDomainUnq
									aValues(2) = sSystemUnq
									aValues(3) = Request("iDBLoc")
									aValues(4) = sActionsConst
									aValues(5) = sDescription
									%>
									<param name="SETHTMLDATAURL" value="EditOn/SetCode.asp?<%=DOMAIN_Link("G")%>">
									<param name="GET_OK_URL" value="Edit.asp?<%=DOMAIN_Link("G")%>">
									<%
									aVariables(0) = "sAction"
									aValues(0) = "UpdateAction"
									%>
									<param name="GETHTMLDATAURL" value="Edit.asp?<%=DOMAIN_Link("G")%>">
									
									<param name="SIMPLETABLE" value="true">
									<param name="INSERTTEXT_HTML" value="true">
									<param name="BODYONLY" value="TRUE">
									<param name="IMAGEROOT" value="<%=DOMAIN_Conf("EDIT-ON_IMAGEROOT")%>">
									<param name="LOCALEURL" value="/WS_Content/Edit-On/eopro/LocaleURL.asp?iDomainUnq=<%=iDomainUnq%>&sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! keep the sTextConst here so it's easly customizable from system-to-system (if it's hardcoded in the LocaleURL.asp then can't change language from system-to-system) >
									<!param name="HELP" value="/WS_Content/Edit-On/eopro/eophelp/eopHelp.asp?sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! Use the SiteBeater Help in the top-left of the top nav >
									<%If ( DOMAIN_Conf("EDIT-ON_IMAGEPROXYURL") <> "" ) Then%>
									<param name="IMAGEPROXYURL" value="http://<%=DOMAIN_Conf("EDIT-ON_IMAGEPROXYURL")%>/cgi-bin/imageproxy.asp">
									<%End If%>
									<PARAM NAME="spellcheckproperties" VALUE="<%=DOMAIN_Conf("EDIT-ON_SPELLCHECKPROPERTIES")%>">
									
								</APPLET>
								<%Else%>
								<textarea cols=<%=iFormXWidth%> rows=<%=iFormYHeight%> name='HTMLDATA' wrap=off ONFOCUS="storeCaret(this);" ONSELECT="storeCaret(this);" ONCLICK="storeCaret(this);" ONKEYUP="storeCaret(this);"><%=Server.HTMLEncode(sCode)%></textarea>
								<%End If%>
							</td>
						</tr>
						<%If ( DOMAIN_Conf("USE_EDIT-ON") <> "YES" Or bAdvanced="T" ) Then%>
						<tr>
							<td colspan=2 align=center><input type='submit' value='<%=DOMAIN_Text("UPDATE_CODE")%>'></td>
						</tr>
						<%End If%>
					</table>
					</td></tr></table>
				</td>
			</tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
%>