<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim rsDB, sSQLText, sDomainUnq, sSuccess, sError
	Dim sReturnURL	' don't remove this or the hidden form field. it's used in DOMAINS_MANAGE_DOMAINS_NEW

	Call DISP_Action("SB_DOMAINS_OPEN")
	Call DISP_Action("SB_DOMAINS_MANAGE_DOMAINS_DELETE")
	If   (ACCNT_AnyDomain("SB_MD_DELETE")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_DOMAINS_CLOSE")
	Response.Flush

	'************************************************************************************
	'*																					*
	'*	This is the main sub.															*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, aData, objLogon, x
		
		sAction = Trim(Request("sAction"))
		sDomainUnq = Trim(Request("sDomainUnq"))
		If ( sDomainUnq = "" ) Then
			' do not want to erase the wrong domain by defaulting to the current domain!
			Call DOMAIN_Message(DOMAIN_Text("INVALID_DOMUNQ"), "ERROR")
		Else
			Set rsDB = Server.CreateObject("ADODB.recordset")
			
			Select Case sAction
				Case "DeleteDomains"
					If ( NOT ACCNT_AnyDomain("SB_MD_DELETE") ) Then
						sError = DOMAIN_Text("DOM_SYS_RIGHTS")
					Else
						If ( sDomainUnq = "" ) Then
							sError = DOMAIN_Text("INVALID_DOMUNQ")
						End If
						If ( sError = "" ) Then
							On Error Resume Next
							Set objLogon = Server.CreateObject("Tqc.Runas")
							If ( Err.Number <> 0 ) Then
									Call DOMAIN_Message(DOMAIN_Text("DOMAINS_UPDATE_DOMAIN_NO_TQCRUNAS") & Err.Description, "ERROR")
							Else
								' check to see if they want to delete this domain from IIS on any servers
									' if not, check to see if they want to stop the domain on any servers
								' check to see if they want to delete this domains directory on any servers
									' if not, check to see if they want to rename this domains directory on any servers
								aData = Split(Request("sDelFromIIS"), ", ", -1, 1)
								If ( UBound(aData) = -1 ) Then
									' they do not want to delete this domain from any servers IIS, see if they want to stop it on any servers
									aData = Split(Request("sStopSite"), ", ", -1, 1)
									If ( UBound(aData) >= 0 ) Then
										' stop the site on some servers
										Call StopWebSite( aData )
									End If
								Else
									' delete this domain from the servers IIS
									Call DeleteWebSite( aData )
								End If
								aData = Split(Request("sDelDirectories"), ", ", -1, 1)
								If ( UBound(aData) = -1 ) Then
									' do not delete any directories, check to see if they want to rename them
									aData = Split(Request("sRenameDir"), ", ", -1, 1)
									If ( UBound(aData) >= 0 ) Then
										' rename the directories on the servers
										Call RenameDirectory( aData )
									End If
								Else
									' delete the directories on the servers
									Call DeletePhysicalSite( aData )
								End If
							End If
							Set ObjLogon = Nothing
							On Error Goto 0
	
							' allow the admin to delete the database stuff w/o deleting any files or IIS entries (no need for TqcRunas
							' Delete the domains database data if sDelDatabase is "Y" - must delete db AFTER doing the other stuff
							If ( Trim(Request("sDelDatabase")) = "Y" ) Then
								DBConnection.Execute "EXEC DOMAIN_DelDomain_D @sDomainUnq = " & sDomainUnq & ", @iDomainUnq = " & iDomainName & ", @iAccountUnq = " & iLoginAccountUnq
								' I am unable to figure out why the install script refuses to install the next stored procedure so I'm removing it (it simply logs the deletion of SB_Accounts info)
								'DBConnection.Execute "EXEC DOMAIN_DelDomain_A @sDomainUnq = " & sDomainUnq & ", @iDomainUnq = " & iDomainName & ", @iAccountUnq = " & iLoginAccountUnq
								' cannot delete things in the DB from a stored procedure in the SB_Domains DB, and can't run the above SPs in the SB_Accounts DB
								DBConnection.Execute "DELETE FROM RightsLookup WHERE DomainUnq = " & sDomainUnq
								DBConnection.Execute "DELETE FROM AccountMap WHERE DomainUnq = " & sDomainUnq
								DBConnection.Execute "DELETE FROM InitialRights WHERE DomainUnq = " & sDomainUnq
								DBConnection.Execute "DELETE FROM Rights WHERE DomainUnq = " & sDomainUnq
								DBConnection.Execute "DELETE FROM GroupMap WHERE GroupUnq IN (SELECT GroupUnq FROM Groups WHERE DomainUnq = " & sDomainUnq & ") AND DomainUnq = " & sDomainUnq
								DBConnection.Execute "DELETE FROM Groups WHERE DomainUnq = " & sDomainUnq
								DBConnection.Execute "DELETE FROM AccountDomainMap WHERE DomainUnq = " & sDomainUnq
								DBConnection.Execute "DELETE FROM MailingLists WHERE DomainUnq = " & sDomainUnq
								DBConnection.Execute "DELETE FROM ListAccounts WHERE DomainUnq = " & sDomainUnq
								' MUST delete this LAST!
								DBConnection.Execute "DELETE FROM DomainInfo WHERE DomainUnq = " & sDomainUnq
		
								sSuccess = sSuccess & DOMAIN_Text("DOM_DELETED") & "<BR>"
							End If
						End If
						
					End If
	
			End Select
			
			If ( sError <> "" ) Then
				Call DOMAIN_Message(sError, "ERROR")
			End If
			If ( sSuccess <> "" ) Then
				Call DOMAIN_Message(sSuccess, "SUCCESS")
			End If
			
			Call WriteForm()
			Set rsDB = Nothing
		End If
	End Sub
	'************************************************************************************
	


	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, sFontColor, sBGColor1, sBGColor2, sFontColor2
		
		%>
		<center>
		<form name='ManageDomains' action='Delete.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "sReturnURL"
		aVariables(4) = "sDomainUnq"
		aValues(0) = "DeleteDomains"
		aValues(1) = Request("iTtlNumItems")
		aValues(2) = Request("iDBLoc")
		aValues(3) = sReturnURL
		aValues(4) = sDomainUnq
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("DomainsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("DOMAINS_DELETE_DOMAINS_HEADER")%></b></font>
					<br><br>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<%
						sBGColor = DOMAIN_Color("DomainsBGColor1")
						sFontColor = DOMAIN_Color("DomainsTextColor2")
						sSQLText = "SELECT * FROM DomainInfo (NOLOCK) WHERE DomainUnq = " & sDomainUnq
						rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsDB.EOF ) Then
							%>
							<tr>
								<td bgcolor=<%=sBGColor%>>
									<font color='<%=sFontColor%>'>
									<b><%=DOMAIN_Text("DOMAINS_DOMAIN_NAME")%>:</b>
									<%=rsDB("Domain")%>
								</td>
							</tr>
							<tr>
								<td bgcolor=<%=sBGColor%>>
									<font color='<%=sFontColor%>'>
									<b><%=DOMAIN_Text("DOMAINS_DOMAIN_DESC")%>:</b>
								</td>
							</tr>
							<tr>
								<td bgcolor=<%=sBGColor%>>
									<font color='<%=sFontColor%>'>
									<%=rsDB("Description")%>
								</td>
							</tr>
							<%
						End If
						rsDB.Close
						sBGColor1 = DOMAIN_Color("DomainsBGColor1")
						sBGColor2 = DOMAIN_Color("DomainsBGColor2")
						sFontColor2 = DOMAIN_Color("DomainsTextColor2")
						%>
					</table>
					<br><br>
					<b><%=DOMAIN_Text("DOMAINS_DELETE_DOMAINS_DBINFO")%><input type='checkbox' name='sDelDatabase' value='Y'></b>
					<br><br>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=DOMAIN_Color("DomainsPageBGColor")%> colspan=2>
								<font color='<%=DOMAIN_Color("DomainsPageText")%>'>
								<b><%=DOMAIN_Text("DOMAINS_DELETE_DOMAINS_SERVERS")%></b></font>
							</td>
						</tr>
						<tr>
							<td bgcolor=<%=sBGColor2%> valign=top>
								<table cellpadding=2 cellspacing=0 border=0 width=100% bgcolor=<%=sBGColor1%>>
									<tr>
										<td colspan=3 bgcolor=<%=sBGColor2%>>
											<font color='<%=sFontColor2%>'><b><%=DOMAIN_Text("DOMAINS_DELETE_DOMAINS_DELIIS")%></b></font>
										</td>
									</tr>
									<%Call ListServers("sDelFromIIS")%>
								</table>
							</td>
							<td bgcolor=<%=sBGColor2%> valign=top>
								<table cellpadding=2 cellspacing=0 border=0 width=100% bgcolor=<%=sBGColor1%>>
									<tr>
										<td colspan=3 bgcolor=<%=sBGColor2%>>
											<font color='<%=sFontColor2%>'><b><%=DOMAIN_Text("DOMAINS_DELETE_DOMAINS_DELDIR")%></b></font>
										</td>
									</tr>
									<%Call ListServers("sDelDirectories")%>
								</table>
							</td>
						</tr>
						<tr>
							<td bgcolor=<%=DOMAIN_Color("DomainsPageBGColor")%> colspan=2 align=center>
								<font color='<%=DOMAIN_Color("DomainsPageText")%>'>
								<br><b><%=DOMAIN_Text("DOMAINS_DELETE_DOMAINS_ORDISABLE")%></b><br><br></font>
							</td>
						</tr>
						<tr>
							<td bgcolor=<%=sBGColor2%> valign=top>
								<table cellpadding=2 cellspacing=0 border=0 width=100% bgcolor=<%=sBGColor1%>>
									<tr>
										<td colspan=3 bgcolor=<%=sBGColor2%>>
											<font color='<%=sFontColor2%>'><b><%=DOMAIN_Text("DOMAINS_DELETE_DOMAINS_STOPIIS")%></b></font>
										</td>
									</tr>
									<%Call ListServers("sStopSite")%>
								</table>
							</td>
							<td bgcolor=<%=sBGColor2%> valign=top>
								<table cellpadding=2 cellspacing=0 border=0 width=100% bgcolor=<%=sBGColor1%>>
									<tr>
										<td colspan=3 bgcolor=<%=sBGColor2%>>
											<font color='<%=sFontColor2%>'><b><%=DOMAIN_Text("DOMAINS_DELETE_DOMAINS_RENAMEDIR")%></b></font>
										</td>
									</tr>
									<%Call ListServers("sRenameDir")%>
								</table>
							</td>
						</tr>
					</table>
					<br>
					<center>
					<input type='submit' value='<%=DOMAIN_Text("DOMAINS_DELETE_DOMAINS_MAKE_CHANGES")%>'>
					</center>
					<br>
					<font size=-2>
					<%=DOMAIN_Text("DOMAINS_DOMAIN_FOOTER")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	Deletes the site from IIS on the servers checked on the form.					*
	'*																					*
	'************************************************************************************
	Sub DeleteWebSite( aData )
	
		Dim objComp, x
	
		On Error Resume Next
		For x = 0 to UBound(aData)
			sSQLText = "SELECT S.ServerName, T.IISName FROM ServerSites T (NOLOCK), Servers S (NOLOCK) WHERE T.DomainUnq = " & sDomainUnq & " AND S.ServerUnq = T.ServerUnq AND T.ServerUnq = " & aData(x)
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDB.EOF ) Then
				Set objComp = GetObject("IIS://" & rsDB("ServerName") & "/W3SVC")
		    	objComp.delete "IIsWebServer", rsDB("IISName")
		    	objComp.SetInfo
		    	If ( Err.Number <> 0 ) Then
		    		sError = sError & Replace(DOMAIN_Text("DOMAINS_DELETE_DOMAINS_NOTREMOVEDIIS"), "1:", rsDB("ServerName")) & "<BR>"
		    	Else
		    		sSuccess = sSuccess & Replace(DOMAIN_Text("DOMAINS_DELETE_DOMAINS_REMOVEDIIS"), "1:", rsDB("ServerName")) & "<BR>"
		    	End If
		    	Set objComp = Nothing
		    End If
		    rsDB.Close
		Next
	
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Stops the websites on the servers selected on the form.							*
	'*																					*
	'************************************************************************************
	Sub StopWebSite( aData )
	
		Dim objComp, x
	
		On Error Resume Next
		For x = 0 to UBound(aData)
			sSQLText = "SELECT S.ServerName, T.IISName FROM ServerSites T (NOLOCK), Servers S (NOLOCK) WHERE T.DomainUnq = " & sDomainUnq & " AND S.ServerUnq = T.ServerUnq AND T.ServerUnq = " & aData(x)
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDB.EOF ) Then
				Set objComp = GetObject("IIS://" & rsDB("ServerName") & "/W3SVC/" & rsDB("IISName"))
		    	objComp.Stop
		    	If ( Err.Number <> 0 ) Then
		    		sError = sError & Replace(DOMAIN_Text("DOMAINS_DELETE_DOMAINS_NOTSTOPPEDIIS"), "1:", rsDB("ServerName")) & "<BR>"
		    	Else
		    		sSuccess = sSuccess & Replace(DOMAIN_Text("DOMAINS_DELETE_DOMAINS_STOPPEDIIS"), "1:", rsDB("ServerName")) & "<BR>"
		    	End If
		    	Set objComp = Nothing
		    End If
		    rsDB.Close
		Next
	
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Deletes the folder and files of a website.										*
	'*																					*
	'************************************************************************************
	Sub DeletePhysicalSite( aData )
	
		Dim fsoFileObject, x
		
		On Error Resume Next
		Set fsoFileObject = CreateObject("Scripting.FileSystemObject")
		For x = 0 to UBound(aData)
			sSQLText = "SELECT T.Path, S.ServerName FROM ServerSites T (NOLOCK), Servers S (NOLOCK) WHERE T.DomainUnq = " & sDomainUnq & " AND S.ServerUnq = T.ServerUnq AND T.ServerUnq = " & aData(x)
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDB.EOF ) Then
				If ( fsoFileObject.FolderExists(rsDB("Path")) ) Then
					fsoFileObject.DeleteFolder rsDB("Path"), TRUE
					sSuccess = sSuccess & Replace(DOMAIN_Text("DOMAINS_DELETE_DOMAINS_DIRDEL"), "1:", rsDB("ServerName")) & "<BR>"
				Else
					sError = sError & Replace(Replace(DOMAIN_Text("DOMAINS_DELETE_DOMAINS_ERR_DIRDEL"), "2:", rsDB("ServerName")), "1:", rsDB("Path")) & "<BR>"
				End If
		    End If
		    rsDB.Close
		Next
		Set fsoFileObject = Nothing
	
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Renames the folder of a website so its not accessible.							*
	'*																					*
	'************************************************************************************
	Sub RenameDirectory( aData )
	
		Dim fsoFileObject, x
		
		On Error Resume Next
		Set fsoFileObject = CreateObject("Scripting.FileSystemObject")
		For x = 0 to UBound(aData)
			sSQLText = "SELECT T.Path, S.ServerName FROM ServerSites T (NOLOCK), Servers S (NOLOCK) WHERE T.DomainUnq = " & sDomainUnq & " AND S.ServerUnq = T.ServerUnq AND T.ServerUnq = " & aData(x)
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDB.EOF ) Then
				If ( fsoFileObject.FolderExists(rsDB("Path")) ) Then
					fsoFileObject.MoveFolder rsDB("Path"), rsDB("Path") & DOMAIN_Text("DOMAINS_DELETE_DOMAINS_MOVED_FOLDER")
					DBConnection.Execute "UPDATE ServerSites SET Path = '" & rsDB("Path") & DOMAIN_Text("DOMAINS_DELETE_DOMAINS_MOVED_FOLDER") & "' WHERE DomainUnq = " & sDomainUnq & " AND ServerUnq = " & aData(x)
					sSuccess = sSuccess & Replace(DOMAIN_Text("DOMAINS_DELETE_DOMAINS_DIRRENAMED"), "1:", rsDB("ServerName")) & "<BR>"
				Else
					sError = sError & Replace(Replace(DOMAIN_Text("DOMAINS_DELETE_DOMAINS_ERR_DIRDEL"), "2:", rsDB("ServerName")), "1:", rsDB("Path")) & "<BR>"
				End If
		    End If
		    rsDB.Close
		Next
		Set fsoFileObject = Nothing
	
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This sub writes out the HTML for the server lists.								*
	'*																					*
	'************************************************************************************
	Sub ListServers(sCheckboxVar)
		Dim sFontColor1
		
		sFontColor1 = DOMAIN_Color("DomainsTextColor1")
		sSQLText = "SELECT S.ServerUnq, S.ServerName, S.ServerType FROM ServerSites T (NOLOCK), Servers S (NOLOCK) WHERE T.DomainUnq = " & sDomainUnq & " AND S.ServerUnq = T.ServerUnq ORDER BY S.ServerName"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		While (NOT rsDB.EOF)
			%>
			<tr>
				<td>
					<font color='<%=sFontColor1%>'><%=rsDB("ServerName")%></font>
				</td>
				<td>
					<font color='<%=sFontColor1%>'><%=rsDB("ServerType")%></font>
				</td>
				<td>
					<input type='checkbox' name='<%=sCheckboxVar%>' value='<%=rsDB("ServerUnq")%>'>
				</td>
			</tr>
			<%
			rsDB.MoveNext
		Wend
		rsDB.Close
	End Sub
	'************************************************************************************
%>