<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim rsDB, sSQLText
	Dim iNumPerPage, iTtlNumItems, iDBLoc
	Dim iDomainUnq

	Call DISP_Action("SB_DOMAINS_OPEN")
	Call DISP_Action("SB_DOMAINS_MANAGE_DOMAINS_DOMAIN_GROUPS")
	If   (ACCNT_AnyDomain("SB_MD_MODIFY_DOMAIN")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_DOMAINS_CLOSE")
	Response.Flush

	'************************************************************************************
	'*																					*
	'*	This is the main sub.															*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSuccess, sTextField
		Dim iTempDomainUnq, sTempRemove, sTempAdd, iTempGroupUnq

		sAction = Trim(Request("sAction"))
		
		Set rsDB = Server.CreateObject("ADODB.recordset")
		
		Select Case sAction
			Case "UpdateGroup"
				If ( NOT ACCNT_AnyDomain("SB_MD_MODIFY_DOMAIN") ) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					For Each sTextField In Request.Form
						If ( InStr(sTextField, "sAdd") > 0 ) Then
							iTempDomainUnq = Replace(sTextField, "sAdd", "")
							iTempDomainUnq = Left(iTempDomainUnq, InStr(iTempDomainUnq, "_") - 1)
							iTempGroupUnq = Right(sTextField, Len(sTextField) - InStr(sTextField, "_"))
							sTempRemove = Trim(Request("sRemove" & iTempDomainUnq & "_" & iTempGroupUnq))
							sTempAdd = Trim(Request(sTextField))
							If ( sTempAdd <> "" ) Then
								If ( NOT IsNumeric(sTempAdd) ) Then
									sError = DOMAIN_Text("DOMAINS_NAV_MANAGE_DOMAINS_UPDATEGROUP_NUMERICONLY")
								Else
									' add the iTempDomainUnq to the group if it's not already in it.
									sSQLText = "SELECT * FROM DomainGroups WHERE DomainUnq = " & iTempDomainUnq & " AND GroupUnq = " & sTempAdd
									rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									If ( rsDB.EOF ) Then
										DBConnection.Execute "INSERT INTO DomainGroups VALUES (" & iTempDomainUnq & ", " & sTempAdd & ")"
										Call DOMAIN_Log(24, "", iTempDomainUnq, "", sTempAdd, "", 0, "V", "I", "", "")
									End If
									rsDB.Close
								End If
							End If
							
							If ( sTempRemove <> "" ) Then
								' remove the iTempDomainUnq from the group
								DBConnection.Execute "DELETE FROM DomainGroups WHERE DomainUnq = " & iTempDomainUnq & " AND GroupUnq = " & iTempGroupUnq
								Call DOMAIN_Log(24, "", iTempDomainUnq, "", iTempGroupUnq, "", 0, "V", "D", "", "")
							End If
							If ( sSuccess = "" ) Then
								sSuccess = DOMAIN_Text("DOMAINS_NAV_MANAGE_DOMAINS_UPDATEGROUP_SUCCESS")
							End If
						End If
					Next
				End If
		End Select
		
		' Pagination variables -- begin
		iNumPerPage = 20
		iTtlNumItems = CDbl(Request("iTtlNumItems"))
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			sSQLText = "SELECT COUNT(*) FROM DomainInfo I (NOLOCK) LEFT OUTER JOIN DomainGroups G (NOLOCK) ON I.DomainUnq = G.DomainUnq"
			rsDB.Open sSQLText, DBConnection
			If Not(rsDB.EOF) Then
				iTtlNumItems = rsDB(0)
			End If
			rsDB.Close
		end if
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		Call WriteForm()
		Set rsDB = Nothing
	End Sub
	'************************************************************************************
	


	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sDomain, sDescription, sOldGroup, sCurGroup
		Dim sBGColor, x, iMax, sFontColor
		
		sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT I.DomainUnq, I.Description, I.Domain, G.GroupUnq FROM DomainInfo I (NOLOCK) LEFT OUTER JOIN DomainGroups G (NOLOCK) ON I.DomainUnq = G.DomainUnq ORDER BY G.GroupUnq SET ROWCOUNT 0"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		For x = 1 To CDbl(iDBLoc)
			rsDB.MoveNext
		Next
		iMax = iNumPerPage
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function PaginationLink(sQueryString){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iDBLoc2=<%=Request("iDBLoc2")%>" + sQueryString;
			}
			
			function SubmitForm(sAction){
				document.DomainGroups.sAction.value = sAction;
				document.DomainGroups.submit();
			}
			
		</script>
		<center>
		<form name='DomainGroups' action='Default.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "iDBLoc2"
		aValues(0) = ""
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		aValues(3) = Request("iDBLoc2")
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("DomainsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("DOMAINS_NAV_MANAGE_DOMAINS_UPDATEGROUP_TITLE")%></b></font>
					<br>
					<%=DOMAIN_Text("DOMAINS_NAV_MANAGE_DOMAINS_UPDATEGROUP_HEADER")%>
					<br><br>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>>&nbsp;</td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("DomainsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_DOMAIN_GROUPS_DOMAINNAME")%></b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("DomainsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_DOMAIN_GROUPS_INCLUDED")%></b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("DomainsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_DOMAIN_GROUPS_ADDTO")%></b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("DomainsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_DOMAIN_GROUPS_REMOVE")%></b></td>
						</tr>
						<%
						sCurGroup = "0"
						sOldGroup = "-2"
						sBGColor = DOMAIN_Color("DomainsPageBGColor")
						sFontColor = DOMAIN_Color("DomainsPageText")
						While ( NOT rsDB.EOF )
							sCurGroup = rsDB("GroupUnq")
							If IsNull (sCurGroup) Then
								sCurGroup = DOMAIN_Text("DOMAINS_DOMAIN_GROUPS_NOGROUP")
							End If
							If ( sOldGroup <> sCurGroup ) Then
								' switch colors
								If ( sBGColor = DOMAIN_Color("DomainsBGColor1") ) Then
									sBGColor = DOMAIN_Color("DomainsPageBGColor")
									sFontColor = DOMAIN_Color("DomainsPageText")
								Else
									sBGColor = DOMAIN_Color("DomainsBGColor1")
									sFontColor = DOMAIN_Color("DomainsTextColor1")
								End If
							End If
							sDomain = Replace(rsDB("Domain"), "'", "&#39;")	' convert any single quote into a &#39; for display in the form field
							sDescription = Replace(rsDB("Description"), "'", "&#39;")
							iDomainUnq = rsDB("DomainUnq")
							%>
							<tr>
								<td align=center bgcolor=<%=sBGColor%>><font color='<%=sFontColor%>'><%=iDomainUnq%></font></td>
								<td bgcolor=<%=sBGColor%>><b><%=sDomain%></b><br><%=sDescription%></td>
								<td align=center bgcolor=<%=sBGColor%>><b><%=sCurGroup%></td>
								<td align=center bgcolor=<%=sBGColor%>><input type='text' value='' name='sAdd<%=iDomainUnq%>_<%=sCurGroup%>' size=3 maxlength=4></td>
								<%If ( sCurGroup <> DOMAIN_Text("DOMAINS_DOMAIN_GROUPS_NOGROUP") ) Then%>
								<td align=center bgcolor=<%=sBGColor%>><input type='checkbox' value='<%=sCurGroup%>' name='sRemove<%=iDomainUnq%>_<%=sCurGroup%>'></td>
								<%Else%>
								<td align=center bgcolor=<%=sBGColor%>>&nbsp;</td>
								<%End If%>
							</tr>
							<%
							sOldGroup = sCurGroup
							rsDB.MoveNext
						Wend
						%>
						<tr>
							<td colspan=8 align=right>
								<%Call PrintRecordsetNav( iNumPerPage, "DBConnection", "Domains", "", "Default.asp", "" )%>
							</td>
						</tr>
					</table>
					<br>
					<font size=-2>
					<%=DOMAIN_Text("DOMAINS_DOMAIN_FOOTER")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	


	'************************************************************************************
	'*																					*
	'*	This checks to see if the changed name for the domain we are editing is already	*
	'*		used by another previously existing domain.									*
	'*																					*
	'************************************************************************************
	Function sNameAlreadyUsed(sModifiedDomain)
		Dim rsDomain, sSQLText
		
		sNameAlreadyUsed = ""
		Set rsDomain = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM DomainInfo (NOLOCK) WHERE Domain = '" & sModifiedDomain & "'"
		rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDomain.EOF ) Then
			If ( rsDomain("DomainUnq") <> CDbl(Request("iDomainUnq")) ) Then	' because the modified domain was found, check to see if it's just the original
				sNameAlreadyUsed = rsDomain("Description")	' Unfortunately it already exists and it's a different DomainUnq
			End If
		End If
		rsDomain.Close
		Set rsDomain = Nothing
	End Function
	'************************************************************************************


	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		Else
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & "')"" class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & "')""  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("DomainsPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & "')""  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & "')""  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & "')""  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>