<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, iSchemeUnq, bAdvanced
	Dim sTextConst, sTextData
	Dim iFormXWidth, iFormYHeight, iEditOnXWidth, iEditOnYHeight
	
	' all this (crazy isn't it?) is needed to prevent caching
	Response.Expires = 60
	Response.Expiresabsolute = Now() - 1
	Response.AddHeader "pragma","no-cache"
	Response.AddHeader "cache-control","private"
	Response.CacheControl = "no-cache"
	
	Call DISP_Action("SB_VOID_OPEN")
	iColorScheme = DOMAIN_Conf("ACCOUNTS_COLORS")
	iTextScheme = DOMAIN_Conf("ACCOUNTS_TEXT")
%>
<HTML>
<HEAD>
	<TITLE><%=DOMAIN_Text("SITEBEATER_POPUPEDIT_TEXT_TITLE")%></TITLE>
	<%Call DISP_Action("SB_DOMAINS_CSS")%>
</HEAD>
<BODY BGCOLOR="#<%=DOMAIN_Color("AccountsPageBGColor")%>" TEXT="#<%=DOMAIN_Color("AccountsPageText")%>" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
<table cellpadding=0 cellspacing=0 border=0><tr><td>
<%
	If (ACCNT_AnyDomain("SB_MT_UPDATE_CONST")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_VOID_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, rsDomain, sSQLText, sError
		
		sAction = Trim(Request("sAction"))
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_MT_UPDATE_CONST", "", "")
		End If
		bAdvanced = Trim(Request("bAdvanced"))
		iSchemeUnq = Trim(Request("iSchemeUnq"))
		sTextConst = Trim(Request("sTextConst"))
		sTextData = Trim(Request.Form("HTMLDATA"))
		
		Select Case Request("iResolution")
			Case "1"	'640x480
				iFormXWidth = 74
				iFormYHeight = 18
				iEditOnXWidth = 610
				iEditOnYHeight = 355
			Case "2"	' 800x600
				iFormXWidth = 94
				iFormYHeight = 25
				iEditOnXWidth = 770
				iEditOnYHeight = 470
			Case "3"	'1024x768
				iFormXWidth = 122
				iFormYHeight = 36
				iEditOnXWidth = 990
				iEditOnYHeight = 635
			Case "4"	'1280x1024
				iFormXWidth = 154
				iFormYHeight = 53
				iEditOnXWidth = 1250
				iEditOnYHeight = 900
			Case "5"	'1600x1200
				iFormXWidth = 193
				iFormYHeight = 64
				iEditOnXWidth = 1570
				iEditOnYHeight = 1070
			Case "6"	'2048x1536
				iFormXWidth = 250
				iFormYHeight = 85
				iEditOnXWidth = 2020
				iEditOnYHeight = 1410
			
		End Select

		Select Case sAction
			Case "UpdateText"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MT_UPDATE_CONST", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					If ( iDomainUnq = "" ) Then
						sError = sError & DOMAIN_Text("DOMAINS_TEXT_MISSING_DOM")					
					End If
					If ( sError = "" ) Then
					
						' log it before the text changes so we can get a copy of the original data
						Set rsDomain = CreateObject("ADODB.Recordset")
						sSQLText = "SELECT TextData FROM TextMap (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " AND SchemeUnq = " & iSchemeUnq & " AND TextConst = '" & SQLEncode(sTextConst) & "'"
						rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsDomain.EOF ) Then
							Call DOMAIN_Log(35, SQLEncode(sTextConst), iDomainUnq, "", iSchemeUnq, "", 0, "T", "U", "", SQLEncode(rsDomain("TextData")))
						End If
						rsDomain.Close
						Set rsDomain = Nothing
					
						DBConnection.Execute "UPDATE TextMap SET DataType = 'T', VarCharData = '', TextData = '" & SQLEncode(sTextData) & "' WHERE SchemeUnq = " & iSchemeUnq & " AND TextConst = '" & SQLEncode(sTextConst) & "' AND DomainUnq = " & iDomainUnq
					End If
				End If
				If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then
					Response.Write "<result>OK</result>"
					Response.End
				End If
			Case Else
				Set rsDomain = CreateObject("ADODB.Recordset")
				sSQLText = "SELECT TextData FROM TextMap (NOLOCK) WHERE SchemeUnq = " & iSchemeUnq & " AND TextConst = '" & SQLEncode(sTextConst) & "' AND DomainUnq = " & iDomainUnq
				rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDomain.EOF ) Then
					sTextData = rsDomain("TextData")
				End If
				rsDomain.Close
				Set rsDomain = Nothing
		End Select
		
		Call WriteForm()
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim rsDomain, sSQLText
		
		sTextConst = Replace(sTextConst, "'", "&#39;")
		%>
		<script language = "javascript">
			
			function closeWindow()
			{
				window.opener.document.location.reload();
				self.close();
			}
			
		</script>
		<form name='ManageText' action='PopupEdit.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iDomainUnq"
		aVariables(2) = "iSchemeUnq"
		aVariables(3) = "iDBLoc"
		aVariables(4) = "sTextConst"
		aVariables(6) = "bAdvanced"
		aVariables(7) = "iResolution"
		aValues(0) = "UpdateText"
		aValues(1) = iDomainUnq
		aValues(2) = iSchemeUnq
		aValues(3) = Request("iDBLoc")
		aValues(4) = sTextConst
		aValues(6) = bAdvanced
		aValues(7) = Request("iResolution")
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0>
			<tr><td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>><a href='javascript:closeWindow();' class='SmallNavPage'>Close window</a></td>
			<tr>
				<td>
					<table cellpadding = 0 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("DomainsBorderColor1")%> align=center>
					<table cellpadding=3>
						<tr>
							<td>
								<%If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then%>
								<APPLET  code="EditorApplet" archive="edit-on-pro-signed.jar,ssce.jar" height=<%=iEditOnYHeight%> name=SBEditor id=SBEditor width=<%=iEditOnXWidth%> VIEWASTEXT MAYSCRIPT>
									<param name="LICENSEKEY" value="<%=DOMAIN_Conf("EDIT-ON_LICENSEKEY")%>">
									<PARAM name="CODEBASE" value="/WS_Content/Edit-On/eopro/">
									<PARAM name="CABBASE" value="edit-on-pro-signed.cab,ssce.cab">

									<param name="TOOLBARURL" value="toolbar-sample.xml">
									<param name="TEXTMODE" value="FALSE">
									<param name="SOURCEVIEW" value="TRUE">
									<param name="DEFAULTBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("DomainsPageBGColor")%>">
									<param name="DEFAULTFONTCOLOR" value="#<%=DOMAIN_Color("DomainsPageText")%>">
									<param name="DEFAULTLINKCOLOR" value="#<%=DOMAIN_Color("DomainsPageLinkColor")%>">
									<param name="STARTUPSCREENTEXTCOLOR" value="#<%=DOMAIN_Color("DomainsPageText")%>">
									<param name="STARTUPSCREENBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("DomainsPageBGColor")%>">
									<%
									aVariables(0) = "sAction"
									aVariables(1) = "iDomainUnq"
									aVariables(2) = "iSchemeUnq"
									aVariables(3) = "iDBLoc"
									aVariables(4) = "sTextConst"
									aVariables(6) = "bAdvanced"
									aValues(0) = ""
									aValues(1) = iDomainUnq
									aValues(2) = iSchemeUnq
									aValues(3) = Request("iDBLoc")
									aValues(4) = sTextConst
									aValues(6) = bAdvanced
									%>
									<param name="SETHTMLDATAURL" value="EditOn/SetText.asp?<%=DOMAIN_Link("G")%>">
									<param name="GET_OK_URL" value="Edit.asp?<%=DOMAIN_Link("G")%>">
									<%
									aVariables(0) = "sAction"
									aValues(0) = "UpdateText"
									%>
									<param name="GETHTMLDATAURL" value="Edit.asp?<%=DOMAIN_Link("G")%>">
									
									<param name="SIMPLETABLE" value="true">
									<param name="INSERTTEXT_HTML" value="true">
									<param name="BODYONLY" value="TRUE">
									<param name="IMAGEROOT" value="<%=DOMAIN_Conf("EDIT-ON_IMAGEROOT")%>">
									<param name="LOCALEURL" value="/WS_Content/Edit-On/eopro/LocaleURL.asp?iDomainUnq=<%=iDomainUnq%>&sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! keep the sTextConst here so it's easly customizable from system-to-system (if it's hardcoded in the LocaleURL.asp then can't change language from system-to-system) >
									<!param name="HELP" value="/WS_Content/Edit-On/eopro/eophelp/eopHelp.asp?sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! Use the SiteBeater Help in the top-left of the top nav >
									<%If ( DOMAIN_Conf("EDIT-ON_IMAGEPROXYURL") <> "" ) Then%>
									<param name="IMAGEPROXYURL" value="http://<%=DOMAIN_Conf("EDIT-ON_IMAGEPROXYURL")%>/cgi-bin/imageproxy.asp">
									<%End If%>
									<PARAM NAME="spellcheckproperties" VALUE="<%=DOMAIN_Conf("EDIT-ON_SPELLCHECKPROPERTIES")%>">
									
								</APPLET>
								<%Else%>
								<textarea cols=<%=iFormXWidth%> rows=<%=iFormYHeight%> name='HTMLDATA' wrap=off><%=Server.HTMLEncode(sTextData)%></textarea>
								<%End If%>
							</td>
						</tr>
						<%If ( DOMAIN_Conf("USE_EDIT-ON") <> "YES" Or bAdvanced="T" ) Then%>
						<tr>
							<td align=center><input type='submit' value='<%=DOMAIN_Text("DOMAINS_UPDATE_TEXT")%>'></td>
						</tr>
						<%End If%>
					</table>
					</td></tr></table>
				</td>
			</tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
%>