<!--#INCLUDE FILE="Includes/i_ImageGallery.asp"-->
<%
	Dim rsImageGallery, sSQLText, iCategoryUnq, iThumbWidth, aGalleryInfo, iCount, sSort, iAccountUnq
	Dim bAnyChildWGallery, bAdmin, bCanCreate, sBGColor, sLinkColor, sColor1, sColor2, sColor3, sColor4, sTextColor
	Dim sTemp, sDispOwnerName, bDispOwnerCol, x, sNumImages
	
	Response.Buffer = TRUE
	Set rsImageGallery	= CreateObject("ADODB.Recordset")
	iCategoryUnq		= Trim(Request("iCategoryUnq"))
	If ( iCategoryUnq = "" ) Then
		iCategoryUnq = "0"
	End If
	Call DISP_Action("SB_GALLERIES_OPEN")
	Call DISP_Action("SB_GALLERIES_UNDEROPEN")
	Call Main()
	Call DISP_Action("SB_GALLERIES_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*	Display the galleries and the links to edit galleries and edit/view images.		*
	'*																					*
	'************************************************************************************
	Sub Main()

		Dim sGalleryUnq, bAccessLocked
		Dim sBreadCrumb
		
		sColor1				= DOMAIN_Color("GalleriesPageBGColor")
		sColor2				= DOMAIN_Color("GalleriesBGColor1")
		sColor3				= DOMAIN_Color("GalleriesPageText")
		sColor4				= DOMAIN_Color("GalleriesTextColor1")
		sTextColor			= DOMAIN_Color("GalleriesTextColor2")
		iCount				= 0
		iNumPerPage			= Trim(Request("iNumPerPage"))
		iDBLoc				= Trim(Request("iDBLoc"))
		iTtlNumItems		= Trim(Request("iTtlNumItems"))
		iThumbWidth			= DOMAIN_Conf("IMAGEGALLERY_THUMBNAIL_WIDTH")
		sSort				= Trim(Request("sSort"))
		iAccountUnq			= Trim(Request("iAccountUnq"))
		bDispOwnerCol		= UCase(Trim(DOMAIN_Conf("IMAGEGALLERY_DISP_OWNER_COL")))
		iTableWidth			= DOMAIN_Conf("IMAGEGALLERY_TABLEWIDTH")	' must get this again in case there are any Actions run before here that change it
		bAdmin				= ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainName)
		bCanCreate			= ACCNT_SpecificDomain("SB_IG_CREATE_GALLERY", iDomainName)
		
		Call G_STRUCTURE_CatBreadcrumbs(sBreadCrumb, iCategoryUnq, -1, -1)
		
		If ( iAccountUnq = "" ) Then
			iAccountUnq = iLoginAccountUnq
		End If

		If ( iNumPerPage = "" ) Then
			iNumPerPage = 20
		Else
			iNumPerPage = CDbl(iNumPerPage)
		End If

		If IsNull(iDBLoc) Or Trim(iDBLoc)="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(iDBLoc)
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		
		If ( iTtlNumItems = "" ) Then
			' must get everything :(
			iTtlNumItems = GetAll()
		Else
			' get as few as possible
			Call GetFew()
		End If

		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function PaginationLink(sQueryString){
				document.location = "G_Display.asp?<%=DOMAIN_Link("G")%>" + sQueryString;
			}
			
		</script>
		<br>
		<table width=<%=iTableWidth%> cellpadding=0 cellspacing=0 border=0>
			<tr>
				<td>
					<%Call DisplayCategoryDropDown()%>
				</td>
				<td align=right>
					<%Call DisplayPerPageDropDown()%>
				</td>
			</tr>
			<%
			If ( bHasAccount ) Then
			If ( DOMAIN_Has_RemoteHost() ) Then
			%>
			<tr>
				<td>
					<%Call G_LINK_Suggest_Category()%>
				</td>
				<td align=right>
					<%Call G_LINK_Subscribe_Category()%>
				</td>
			</tr>
			<%
			End If
			End If
			%>
			<tr>
				<td colspan=2>
					<%
					If ( sBreadCrumb <> "" ) Then
						Response.Write "<a href = 'Default.asp?" & DOMAIN_Link("G") & "' class='MediumNavPage'>" & DOMAIN_Text("GALLERY_G_BREADCRUMB") & "</a> <img src = '" & sPath & "/Images/ColorBased/" & iColorScheme & "/Arrow.gif'> " & sBreadCrumb
					End If
					%>
				</td>
			</tR>
			<%If ( CDbl(iTtlNumItems) > CDbl(iNumPerPage) ) Then%>
			<tr>
				<td colspan=2>
					<%Call PrintRecordsetNav( "G_Display.asp", "sSort=" & sSort & "&iNumPerPage=" & iNumPerPage & "&iCategoryUnq=" & iCategoryUnq, "Galleries" )%>
				</td>
			</tr>
			<%End If%>
		</table>
		
		<%
		If ( UCase(Trim(DOMAIN_Conf("IMAGEGALLERY_GDISPLAY_COLUMNS"))) = "TWO" ) Then
			Call DoubleColumn()
		Else
			Call SingleColumn()
		End If

	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub SingleColumn()
		Call G_STRUCTURE_HeaderBar_ReallySpecific(DOMAIN_Text("GALLERY_GALLERY_HEADER_IMAGE"), "", "", sPath, "Galleries")%>
		<table width=<%=iTableWidth%> cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("GalleriesBorderColor1")%> align=center>
		<table cellpadding=5 width=<%=iTableWidth%> cellspacing = 0 border = 0>
			<tr>
				<td background='../Images/ColorBased/<%=iColorScheme%>/SubheaderShadow.gif' colspan=2><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_SORT_IMAGES_BY")%></b>
					<%
					aVariables(0) = "sSort"
					aVariables(1) = "iTtlNumItems"
					aVariables(2) = "iDBLoc"
					aVariables(3) = "iNumPerPage"
					aVariables(4) = "iCategoryUnq"
					
					aValues(1) = iTtlNumItems
					aValues(2) = iDBLoc
					aValues(3) = iNumPerPage
					aValues(4) = iCategoryUnq
					If ( sSort = "Name_A" ) Then
						aValues(0)	= "Name_D"
						sTemp		= "<img src = 'Images/ColorBased/" & iColorScheme & "/UpArrow.gif' width = 16 height = 14 alt = '" & DOMAIN_Text("GALLERY_G_SORT_NAME_ASC") & "'>"
					ElseIf ( sSort = "Name_D" ) Then
						aValues(0)	= "Name_A"
						sTemp		= "<img src = 'Images/ColorBased/" & iColorScheme & "/DownArrow.gif' width = 16 height = 14 alt = '" & DOMAIN_Text("GALLERY_G_SORT_NAME_DESC") & "'>"
					Else
						aValues(0)	= "Name_A"
					End If
					Response.Write "&nbsp;<a href='G_Display.asp?" & DOMAIN_Link("G") & "' class='MediumNav2'>" & DOMAIN_Text("GALLERY_GALLERYTITLE") & "</a>&nbsp;" & sTemp
					sTemp = ""
					%>
				</td>
				<td background='../Images/ColorBased/<%=iColorScheme%>/SubheaderShadow.gif'><font color='<%=sTextColor%>'>&nbsp;<b><font size=-2><center><%=DOMAIN_Text("GALLERY_GALLERYIMAGES")%>&nbsp;</b></td>
				<%If ( bDispOwnerCol = "YES" ) Then%>
				<td background='../Images/ColorBased/<%=iColorScheme%>/SubheaderShadow.gif'>
					<%
					If ( sSort = "UserName_A" ) Then
						aValues(0)	= "UserName_D"
						sTemp		= "<img src = 'Images/ColorBased/" & iColorScheme & "/UpArrow.gif' width = 16 height = 14 alt = '" & DOMAIN_Text("GALLERY_G_SORT_USER_ASC") & "'>"
					ElseIf ( sSort = "UserName_D" ) Then
						aValues(0)	= "UserName_A"
						sTemp		= "<img src = 'Images/ColorBased/" & iColorScheme & "/DownArrow.gif' width = 16 height = 14 alt = '" & DOMAIN_Text("GALLERY_G_SORT_USER_DESC") & "'>"
					Else
						aValues(0)	= "UserName_A"
					End If
					Response.Write "&nbsp;<center><a href='G_Display.asp?" & DOMAIN_Link("G") & "' class='MediumNav2'>" & DOMAIN_Text("GALLERY_GALLERYOWNER") & "</a>&nbsp;" & sTemp
					Call DOMAIN_Link_Clear()
					%>
				</td>
				<%End If%>
			</tr>
			<%
			
			Call DOMAIN_Link_Clear()
			If ( iTtlNumItems > 0 ) Then
				If ( iCount > iNumPerPage ) Then
					iCount = iNumPerPage
				End If
				For x = 0 to iCount - 1
					If (sBGColor = sColor1) Then
						sBGColor	= sColor2
						sTextColor	= sColor4
						sLinkColor	= "MediumNav1"
					Else
						sBGColor	= sColor1
						sTextColor	= sColor3
						sLinkColor	= "MediumNavPage"
					End If
					sNumImages = GetNumImages(aGalleryInfo(0, x))
					%>
					<tr>
						<td bgcolor=<%=sBGColor%> valign=top width=<%=iThumbWidth%>>
							<a href='ThumbnailView.asp?<%=DOMAIN_Link("G")%>&iGalleryUnq=<%=aGalleryInfo(0, x)%>&iCategoryUnq=<%=aGalleryInfo(5, x)%>'><%Call DisplayThumb(aGalleryInfo(1, x), aGalleryInfo(0, x))%></a>
						</td>
						<td bgcolor=<%=sBGColor%> valign=top>
							<font color='<%=sTextColor%>'>
							<a href='ThumbnailView.asp?<%=DOMAIN_Link("G")%>&iGalleryUnq=<%=aGalleryInfo(0, x)%>&iCategoryUnq=<%=aGalleryInfo(5, x)%>' class='<%=sLinkColor%>'><%=aGalleryInfo(2, x)%></a><br>
							<%=aGalleryInfo(3, x)%>
						</td>
						<td bgcolor=<%=sBGColor%> valign=top align=center>
							<font color='<%=sTextColor%>'><%=sNumImages%>&nbsp;
							<%
							sSQLText = "SET ROWCOUNT 1 SELECT AddDate FROM ImagesInGallery (NOLOCK) WHERE GalleryUnq = " & aGalleryInfo(0, x) & " ORDER BY AddDate DESC SET ROWCOUNT 0"
							rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsImageGallery.EOF ) Then
								sTemp = Trim(DOMAIN_Conf("IMAGEGALLERY_NEWIMAGE_DAYS"))
								If ( NOT IsNumeric(sTemp) ) Then
									sTemp = 2
								Else
									sTemp = CDbl(sTemp)
								End If
								If ( DateDiff("d", CDate(rsImageGallery("AddDate")), NOW) < sTemp ) Then
									Response.Write "<img src='" & sPath & "Images/SchemeBased/" & iTextScheme & "/" & iColorScheme & "/" & DOMAIN_Text("GALLERY_NEW_IMAGE") & "' alt=""" & DOMAIN_Text("GALLERY_IMAGE_NEW_ALT_TAG") & """ border=0>"
								End If
							End If
							rsImageGallery.Close
							%>
						</td>
						<%If ( bDispOwnerCol = "YES" ) Then%>
						<td bgcolor=<%=sBGColor%> valign=top align=center>
							<%
							sDispOwnerName = UCase(Trim(DOMAIN_Conf("IMAGEGALLERY_DISP_OWNER_INFO")))
							If ( sDispOwnerName = "YES" ) Then
								Response.Write "<a href='G_Display.asp?iAccountUnq=" & aGalleryInfo(1, x) & "&iCategoryUnq=-1' class='MediumNavPage'>" & Trim(ACCNT_UserName(aGalleryInfo(1, x))) & "</a>&nbsp;"
							Else
								Response.Write "<font color='" & sTextColor & "'>" & Trim(ACCNT_UserName(aGalleryInfo(1, x))) & "&nbsp;"
							End If
							%>
						</td>
						<%End If%>
					</tr>
					<%
				Next
				Response.Write "</table></td></tr></table>"
				Call PrintRecordsetNav( "G_Display.asp", "sSort=" & sSort & "&iNumPerPage=" & iNumPerPage & "&iCategoryUnq=" & iCategoryUnq, "Galleries" )
			Else
				If ( bDispOwnerCol = "YES" ) Then
					Response.Write "<tr><td colspan=4>"
				Else
					Response.Write "<tr><td colspan=3>"
				End If
				Response.Write "</td></tr></table></td></tr></table>"
				Call DOMAIN_Message(DOMAIN_Text("NO_GALLERIES"), "ERROR")
			End If
			Set rsImageGallery = Nothing
	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub DoubleColumn()
		Call G_STRUCTURE_HeaderBar_ReallySpecific(DOMAIN_Text("GALLERY_GALLERY_HEADER_IMAGE"), "", "", sPath, "Galleries")%>
		<table width=<%=iTableWidth%> cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("GalleriesBorderColor1")%> align=center>
		<table cellpadding=5 width=<%=iTableWidth%> cellspacing = 0 border = 0>
			<tr>
				<td background='../Images/ColorBased/<%=iColorScheme%>/SubheaderShadow.gif' colspan=2><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_SORT_IMAGES_BY")%></b>
					<%
					aVariables(0) = "sSort"
					aVariables(1) = "iTtlNumItems"
					aVariables(2) = "iDBLoc"
					aVariables(3) = "iNumPerPage"
					aVariables(4) = "iCategoryUnq"
					
					aValues(1) = iTtlNumItems
					aValues(2) = iDBLoc
					aValues(3) = iNumPerPage
					aValues(4) = iCategoryUnq
					If ( sSort = "Name_A" ) Then
						aValues(0)	= "Name_D"
						sTemp		= "<img src = 'Images/ColorBased/" & iColorScheme & "/UpArrow.gif' width = 16 height = 14 alt = '" & DOMAIN_Text("GALLERY_G_SORT_NAME_ASC") & "'>"
					ElseIf ( sSort = "Name_D" ) Then
						aValues(0)	= "Name_A"
						sTemp		= "<img src = 'Images/ColorBased/" & iColorScheme & "/DownArrow.gif' width = 16 height = 14 alt = '" & DOMAIN_Text("GALLERY_G_SORT_NAME_DESC") & "'>"
					Else
						aValues(0)	= "Name_A"
					End If
					Response.Write "&nbsp;<a href='G_Display.asp?" & DOMAIN_Link("G") & "' class='MediumNav2'>" & DOMAIN_Text("GALLERY_GALLERYTITLE") & "</a>&nbsp;" & sTemp
					sTemp = ""
					%>
				</td>
				<%If ( bDispOwnerCol = "YES" ) Then%>
				<td background='../Images/ColorBased/<%=iColorScheme%>/SubheaderShadow.gif'>
					<%
					If ( sSort = "UserName_A" ) Then
						aValues(0)	= "UserName_D"
						sTemp		= "<img src = 'Images/ColorBased/" & iColorScheme & "/UpArrow.gif' width = 16 height = 14 alt = '" & DOMAIN_Text("GALLERY_G_SORT_USER_ASC") & "'>"
					ElseIf ( sSort = "UserName_D" ) Then
						aValues(0)	= "UserName_A"
						sTemp		= "<img src = 'Images/ColorBased/" & iColorScheme & "/DownArrow.gif' width = 16 height = 14 alt = '" & DOMAIN_Text("GALLERY_G_SORT_USER_DESC") & "'>"
					Else
						aValues(0)	= "UserName_A"
					End If
					Response.Write "&nbsp;<center><a href='G_Display.asp?" & DOMAIN_Link("G") & "' class='MediumNav2'>" & DOMAIN_Text("GALLERY_GALLERYOWNER") & "</a>&nbsp;" & sTemp
					Call DOMAIN_Link_Clear()
					%>
				</td>
				<%End If%>
				<td background='../Images/ColorBased/<%=iColorScheme%>/SubheaderShadow.gif' colspan=2>&nbsp;</td>
				<%If ( bDispOwnerCol = "YES" ) Then%>
				<td background='../Images/ColorBased/<%=iColorScheme%>/SubheaderShadow.gif'><center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_GALLERYOWNER")%></td>
				<%End If%>
			</tr>
			<%
			
			Call DOMAIN_Link_Clear()
			If ( iTtlNumItems > 0 ) Then
				If ( iCount > iNumPerPage ) Then
					iCount = iNumPerPage
				End If
				For x = 0 to iCount - 1
					If (sBGColor = sColor1) Then
						sBGColor	= sColor2
						sTextColor	= sColor4
						sLinkColor	= "MediumNav1"
					Else
						sBGColor	= sColor1
						sTextColor	= sColor3
						sLinkColor	= "MediumNavPage"
					End If
					sNumImages = GetNumImages(aGalleryInfo(0, x))
					%>
					<tr>
						<td bgcolor=<%=sBGColor%> valign=top width=<%=iThumbWidth%>>
							<a href='ThumbnailView.asp?<%=DOMAIN_Link("G")%>&iGalleryUnq=<%=aGalleryInfo(0, x)%>&iCategoryUnq=<%=aGalleryInfo(5, x)%>'><%Call DisplayThumb(aGalleryInfo(1, x), aGalleryInfo(0, x))%></a>
						</td>
						<td bgcolor=<%=sBGColor%> valign=top>
							<font color='<%=sTextColor%>'>
							<a href='ThumbnailView.asp?<%=DOMAIN_Link("G")%>&iGalleryUnq=<%=aGalleryInfo(0, x)%>&iCategoryUnq=<%=aGalleryInfo(5, x)%>' class='<%=sLinkColor%>'><%=aGalleryInfo(2, x)%> (<%=sNumImages%>)</a>
							<%
							sSQLText = "SET ROWCOUNT 1 SELECT AddDate FROM ImagesInGallery (NOLOCK) WHERE GalleryUnq = " & aGalleryInfo(0, x) & " ORDER BY AddDate DESC SET ROWCOUNT 0"
							rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsImageGallery.EOF ) Then
								sTemp = Trim(DOMAIN_Conf("IMAGEGALLERY_NEWIMAGE_DAYS"))
								If ( NOT IsNumeric(sTemp) ) Then
									sTemp = 2
								Else
									sTemp = CDbl(sTemp)
								End If
								If ( DateDiff("d", CDate(rsImageGallery("AddDate")), NOW) < sTemp ) Then
									Response.Write "<img src='" & sPath & "Images/SchemeBased/" & iTextScheme & "/" & iColorScheme & "/" & DOMAIN_Text("GALLERY_NEW_IMAGE") & "' alt=""" & DOMAIN_Text("GALLERY_IMAGE_NEW_ALT_TAG") & """ border=0>"
								End If
							End If
							rsImageGallery.Close
							%>
							<br>
							<%=aGalleryInfo(3, x)%>
						</td>
						<%If ( bDispOwnerCol = "YES" ) Then%>
						<td bgcolor=<%=sBGColor%> valign=top align=center>
							<%
							sDispOwnerName = UCase(Trim(DOMAIN_Conf("IMAGEGALLERY_DISP_OWNER_INFO")))
							If ( sDispOwnerName = "YES" ) Then
								Response.Write "<a href='G_Display.asp?iAccountUnq=" & aGalleryInfo(1, x) & "&iCategoryUnq=-1' class='MediumNavPage'>" & Trim(ACCNT_UserName(aGalleryInfo(1, x))) & "</a>&nbsp;"
							Else
								Response.Write "<font color='" & sTextColor & "'>" & Trim(ACCNT_UserName(aGalleryInfo(1, x))) & "&nbsp;"
							End If
							%>
						</td>
						<%End If%>
					<%
					If ( x < iCount - 1 ) Then
						x = x + 1
						sNumImages = GetNumImages(aGalleryInfo(0, x))
						%>
						<td bgcolor=<%=sBGColor%> valign=top width=<%=iThumbWidth%>>
							<a href='ThumbnailView.asp?<%=DOMAIN_Link("G")%>&iGalleryUnq=<%=aGalleryInfo(0, x)%>&iCategoryUnq=<%=aGalleryInfo(5, x)%>'><%Call DisplayThumb(aGalleryInfo(1, x), aGalleryInfo(0, x))%></a>
						</td>
						<td bgcolor=<%=sBGColor%> valign=top>
							<font color='<%=sTextColor%>'>
							<a href='ThumbnailView.asp?<%=DOMAIN_Link("G")%>&iGalleryUnq=<%=aGalleryInfo(0, x)%>&iCategoryUnq=<%=aGalleryInfo(5, x)%>' class='<%=sLinkColor%>'><%=aGalleryInfo(2, x)%> (<%=sNumImages%>)</a>
							<%
							sSQLText = "SET ROWCOUNT 1 SELECT AddDate FROM ImagesInGallery (NOLOCK) WHERE GalleryUnq = " & aGalleryInfo(0, x) & " ORDER BY AddDate DESC SET ROWCOUNT 0"
							rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsImageGallery.EOF ) Then
								sTemp = Trim(DOMAIN_Conf("IMAGEGALLERY_NEWIMAGE_DAYS"))
								If ( NOT IsNumeric(sTemp) ) Then
									sTemp = 2
								Else
									sTemp = CDbl(sTemp)
								End If
								If ( DateDiff("d", CDate(rsImageGallery("AddDate")), NOW) < sTemp ) Then
									Response.Write "<img src='" & sPath & "Images/SchemeBased/" & iTextScheme & "/" & iColorScheme & "/" & DOMAIN_Text("GALLERY_NEW_IMAGE") & "' alt=""" & DOMAIN_Text("GALLERY_IMAGE_NEW_ALT_TAG") & """ border=0>"
								End If
							End If
							rsImageGallery.Close
							%>
							<br>
							<%=aGalleryInfo(3, x)%>
						</td>
						<%If ( bDispOwnerCol = "YES" ) Then%>
						<td bgcolor=<%=sBGColor%> valign=top align=center>
							<%
							sDispOwnerName = UCase(Trim(DOMAIN_Conf("IMAGEGALLERY_DISP_OWNER_INFO")))
							If ( sDispOwnerName = "YES" ) Then
								Response.Write "<a href='G_Display.asp?iAccountUnq=" & aGalleryInfo(1, x) & "&iCategoryUnq=-1' class='MediumNavPage'>" & Trim(ACCNT_UserName(aGalleryInfo(1, x))) & "</a>&nbsp;"
							Else
								Response.Write "<font color='" & sTextColor & "'>" & Trim(ACCNT_UserName(aGalleryInfo(1, x))) & "&nbsp;"
							End If
							%>
						</td>
						<%End If
					Else
						Response.Write "<td bgcolor=" & sBGColor & "></td><td bgcolor=" & sBGColor & "></td>"
						If ( bDispOwnerCol = "YES" ) Then
							Response.Write "<td bgcolor=" & sBGColor & "></td>"
						End If
					End If
					Response.Write "</tr>"
				Next
				Response.Write "</table></td></tr></table>"
				Call PrintRecordsetNav( "G_Display.asp", "sSort=" & sSort & "&iNumPerPage=" & iNumPerPage & "&iCategoryUnq=" & iCategoryUnq, "Galleries" )
			Else
				Response.Write "</td></tr></table></td></tr></table>"
				Call DOMAIN_Message(DOMAIN_Text("NO_GALLERIES"), "ERROR")
			End If
			Set rsImageGallery = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub DisplayCategoryDropDown()
		Dim sName
		
		%>
		<form name='G_Display' action='Default.asp'>
		<input type='hidden' name='iDBLoc' value='<%=iDBLoc%>'>
		<input type='hidden' name='iTtlNumItems' value='<%=iTtlNumItems%>'>
		<input type='hidden' name='iNumPerPage' value='<%=iNumPerPage%>'>
		<input type='hidden' name='sSort' value='<%=sSort%>'>
		<font color='<%=DOMAIN_Color("GalleriesPageText")%>'>
		<b><%=DOMAIN_Text("GALLERY_MANAGECAT_IGCATEGORY")%></b>
		<select name = "iParentUnq" onChange='document.G_Display.submit();'>
			<%
			sSQLText = "SELECT * FROM IGCategories (NOLOCK) WHERE DomainUnq=" & iDomainName & " AND Parent = 0 ORDER BY Position"
			rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsImageGallery.EOF ) Then
				Response.Write "<option value='" & iCategoryUnq & "'>" & DOMAIN_Text("GALLERY_SELECT_CAT") & "</option>"
if 0 = 1 then
				If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainName) Or ACCNT_SpecificDomain("SB_IG_CREATE_GALLERY", iDomainName) ) Then
					If ( CStr(iCategoryUnq) = "-1" ) Then
						Response.Write "<option value='-1' selected>" & DOMAIN_Text("GALLERY_MY_GALLERIES") & "</option>"
					Else
						Response.Write "<option value='-1'>" & DOMAIN_Text("GALLERY_MY_GALLERIES") & "</option>"
					End If
				End If
end if
				bAnyChildWGallery = FALSE
				Call AnyChildWGallery("0")
				If ( bAnyChildWGallery ) Then
					If ( CStr(iCategoryUnq) = "0" ) Then
						Response.Write "<option value='0' selected>" & DOMAIN_Text("GALLERY_MANAGECAT_NOTINCAT") & "</option>"
					Else
						Response.Write "<option value='0'>" & DOMAIN_Text("GALLERY_MANAGECAT_NOTINCAT") & "</option>"
					End If
				End If

				While ( NOT rsImageGallery.EOF )
					bAnyChildWGallery = FALSE
					Call AnyChildWGallery(rsImageGallery("CategoryUnq"))
					If ( bAnyChildWGallery ) Then
						sName = Server.HTMLEncode(rsImageGallery("Name"))
						If ( CStr(iCategoryUnq) = CStr(rsImageGallery("CategoryUnq")) ) Then
							Response.Write "<option value='" & rsImageGallery("CategoryUnq") & "' Selected>" & sName & "</option>"
						Else
							Response.Write "<option value='" & rsImageGallery("CategoryUnq") & "'>" & sName & "</option>"
						End If
						rsImageGallery.MoveNext
					Else
						rsImageGallery.MoveNext
					End If
				Wend
			Else
				Response.Write "<option value='0'>" & DOMAIN_Text("GALLERY_MANAGECAT_NOTINCAT") & "</option>"
			End If
			rsImageGallery.Close
			%>
		</select>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is a recursive function to search for any category or it's children who	*
	'*		have a gallery -- stops at the first gallery it finds and returns true.		*
	'*																					*
	'************************************************************************************
	Sub AnyChildWGallery(iCategoryUnq)
	
		Dim rsImageGallery3, rsImageGallery4, sSQLText
		
		Set rsImageGallery3 = CreateObject("ADODB.Recordset")
		Set rsImageGallery4 = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT CategoryUnq FROM IGCategories (NOLOCK) WHERE Parent = " & iCategoryUnq
		rsImageGallery3.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery3.EOF ) Then
			While ( bAnyChildWGallery = FALSE ) AND ( NOT rsImageGallery3.EOF )
				If ( bAdmin ) Then
					' they can see ALL galleries for this domain
					sSQLText = "SET ROWCOUNT 1 SELECT G.GalleryUnq FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE G.Domain = " & iDomainName & " AND G.CategoryUnq = " & rsImageGallery3("CategoryUnq") & " AND IG.GalleryUnq = G.GalleryUnq SET ROWCOUNT 0"
				ElseIF ( bCanCreate ) Then
					' they can see their and public galleries
					sSQLText = "SET ROWCOUNT 1 SELECT G.GalleryUnq FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE (G.AccountUnq = " & iLoginAccountUnq & " OR G.Visibility = '" & PUBLIC_GALLERIES & "') AND G.Domain = " & iDomainName & " AND G.CategoryUnq = " & rsImageGallery3("CategoryUnq") & " AND IG.GalleryUnq = G.GalleryUnq SET ROWCOUNT 0"
				Else
					' they can only see public galleries
					sSQLText = "SET ROWCOUNT 1 SELECT G.GalleryUnq FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE G.Visibility = '" & PUBLIC_GALLERIES & "' AND G.Domain = " & iDomainName & " AND G.CategoryUnq = " & rsImageGallery3("CategoryUnq") & " AND IG.GalleryUnq = G.GalleryUnq SET ROWCOUNT 0"
				End If
				rsImageGallery4.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsImageGallery4.EOF ) Then
					bAnyChildWGallery = TRUE
				End If
				rsImageGallery4.Close
				If ( bAnyChildWGallery = FALSE ) Then
					Call AnyChildWGallery(rsImageGallery3("CategoryUnq"))
					rsImageGallery3.MoveNext
				End If
			Wend
		Else
			' no more child categories, so just check the current (leaf) one
			sSQLText = "SET ROWCOUNT 1 SELECT G.GalleryUnq FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE G.CategoryUnq = " & iCategoryUnq & " AND IG.GalleryUnq = G.GalleryUnq SET ROWCOUNT 0"
			rsImageGallery4.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsImageGallery4.EOF ) Then
				bAnyChildWGallery = TRUE
			End If
			rsImageGallery4.Close
		End If
		rsImageGallery3.Close
		Set rsImageGallery3 = Nothing
		Set rsImageGallery4 = Nothing
	
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub DisplayPerPageDropDown()
		%>
		<form name='G_Display_PerPage' action='G_Display.asp'>
		<input type='hidden' name='iDBLoc' value='<%=iDBLoc%>'>
		<input type='hidden' name='iTtlNumItems' value='<%=iTtlNumItems%>'>
		<input type='hidden' name='sSort' value='<%=sSort%>'>
		<input type='hidden' name='iCategoryUnq' value='<%=iCategoryUnq%>'>
		<font color='<%=DOMAIN_Color("GalleriesPageText")%>'>
		<b><%=DOMAIN_Text("GALLERY_G_PER_PAGE")%></b>
		<select name = "iNumPerPage" onChange='document.G_Display_PerPage.submit();'>
			<option value='5' <%If ( iNumPerPage = 5 ) Then Response.Write "selected" End If%>>5</option>
			<option value='10' <%If ( iNumPerPage = 10 ) Then Response.Write "selected" End If%>>10</option>
			<option value='15' <%If ( iNumPerPage = 15 ) Then Response.Write "selected" End If%>>15</option>
			<option value='20' <%If ( iNumPerPage = 20 ) Then Response.Write "selected" End If%>>20</option>
			<option value='25' <%If ( iNumPerPage = 25 ) Then Response.Write "selected" End If%>>25</option>
			<option value='30' <%If ( iNumPerPage = 30 ) Then Response.Write "selected" End If%>>30</option>
			<option value='35' <%If ( iNumPerPage = 35 ) Then Response.Write "selected" End If%>>35</option>
			<option value='40' <%If ( iNumPerPage = 40 ) Then Response.Write "selected" End If%>>40</option>
			<option value='45' <%If ( iNumPerPage = 45 ) Then Response.Write "selected" End If%>>45</option>
			<option value='50' <%If ( iNumPerPage = 50 ) Then Response.Write "selected" End If%>>50</option>
			<option value='55' <%If ( iNumPerPage = 55 ) Then Response.Write "selected" End If%>>55</option>
			<option value='60' <%If ( iNumPerPage = 60 ) Then Response.Write "selected" End If%>>60</option>
			<option value='65' <%If ( iNumPerPage = 65 ) Then Response.Write "selected" End If%>>65</option>
			<option value='70' <%If ( iNumPerPage = 70 ) Then Response.Write "selected" End If%>>70</option>
			<option value='75' <%If ( iNumPerPage = 75 ) Then Response.Write "selected" End If%>>75</option>
			<option value='80' <%If ( iNumPerPage = 80 ) Then Response.Write "selected" End If%>>80</option>
			<option value='85' <%If ( iNumPerPage = 85 ) Then Response.Write "selected" End If%>>85</option>
			<option value='90' <%If ( iNumPerPage = 90 ) Then Response.Write "selected" End If%>>90</option>
			<option value='95' <%If ( iNumPerPage = 95 ) Then Response.Write "selected" End If%>>95</option>
			<option value='100' <%If ( iNumPerPage = 100 ) Then Response.Write "selected" End If%>>100</option>
		</select>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function GetNumImages(iGalleryUnq)
	
		sSQLText = "SELECT COUNT(*) FROM ImagesInGallery (NOLOCK) WHERE GalleryUnq = " & iGalleryUnq
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			GetNumImages = CStr(rsImageGallery(0))
		End If
		rsImageGallery.Close
				
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Try to display the thumbnail. If that doesn't exist, try displaying the image	*
	'*		as a thumbnail.																*
	'*																					*
	'************************************************************************************
	Sub DisplayThumb(sAccountUnq, iGalleryUnq)
		
		sSQLText = "SET ROWCOUNT 1 SELECT I.Thumbnail, IG.PrimaryG, IG.PrimaryD FROM Images I (NOLOCK), ImagesInGallery IG (NOLOCK), Galleries G (NOLOCK) WHERE IG.GalleryUnq = " & iGalleryUnq & " AND G.GalleryUnq = " & iGalleryUnq & " AND IG.ImageUnq = I.ImageUnq AND I.Thumbnail <> '' ORDER BY ImageNum SET ROWCOUNT 0"
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			%><img src = "<%=sPath%>Attachments/DispThumb.asp?sAccountUnq=<%=sAccountUnq%>&sThumbnail=<%=Trim(rsImageGallery("Thumbnail"))%>&iGalleryUnq=<%=rsImageGallery("PrimaryG")%>&iDomainUnq=<%=rsImageGallery("PrimaryD")%>" width=<%=iThumbWidth%> border=1><%
		End If
		rsImageGallery.Close
		
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	GetAll() and GetFew() allow the system to count the number of galleries			*
	'*		the user can see (because of gallery locking) for use with pagination.		*
	'*		Since we only need to get the count & check locking the first time and		*
	'*		because that takes a long time, I created another function to just get and	*
	'*		check locking for the ones on the current page (assuming the locking doesnt	*
	'*		change for the galleries not on the current page.							*
	'*																					*
	'************************************************************************************
	Function GetAll()
		Dim sTemp, rsImageGallery2
		
		Set rsImageGallery2 = CreateObject("ADODB.Recordset")
		
		If ( sSort = "" ) Then
			sTemp = "G.Position"
		Else
			Select Case sSort
				Case "Name_A"
					sTemp = "G.Name ASC"
				Case "Name_D"
					sTemp = "G.Name DESC"
				Case "UserName_A"
					sTemp = "G.UserName ASC"
				Case "UserName_D"
					sTemp = "G.UserName DESC"
			End Select
		End If

		If ( iCategoryUnq = "-1" ) Then
			' they want to see "My Galleries" -- so only display galleries they have created - from ANY category
			' or they want to see a specific users list of galleries
			sSQLText = "SELECT DISTINCT G.GalleryUnq, G.AccountUnq, G.Name, G.CategoryUnq, G.Position, G.UserName FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE G.AccountUnq = " & iAccountUnq & " AND G.Domain = " & iDomainName & " AND G.GalleryUnq = IG.GalleryUnq ORDER BY " & sTemp
		Else
			If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainName) ) Then
				' they can see ALL galleries for this domain
				sSQLText = "SELECT DISTINCT G.GalleryUnq, G.AccountUnq, G.Name, G.CategoryUnq, G.Position, G.UserName FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE G.Domain = " & iDomainName & " AND G.CategoryUnq = " & iCategoryUnq & " AND G.GalleryUnq = IG.GalleryUnq ORDER BY " & sTemp
			ElseIF ( ACCNT_SpecificDomain("SB_IG_CREATE_GALLERY", iDomainName) ) Then
				' they can see their and public galleries
				sSQLText = "SELECT DISTINCT G.GalleryUnq, G.AccountUnq, G.Name, G.CategoryUnq, G.Position, G.UserName FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE (G.AccountUnq = " & iLoginAccountUnq & " OR G.Visibility = '" & PUBLIC_GALLERIES & "') AND G.Domain = " & iDomainName & " AND G.CategoryUnq = " & iCategoryUnq & " AND G.GalleryUnq = IG.GalleryUnq ORDER BY " & sTemp
			Else
				' they can only see public galleries
				sSQLText = "SELECT DISTINCT G.GalleryUnq, G.AccountUnq, G.Name, G.CategoryUnq, G.Position, G.UserName FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE G.Visibility = '" & PUBLIC_GALLERIES & "' AND G.Domain = " & iDomainName & " AND G.CategoryUnq = " & iCategoryUnq & " AND G.GalleryUnq = IG.GalleryUnq ORDER BY " & sTemp
			End If
		End If

		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If (NOT rsImageGallery.EOF) Then
			ReDim aGalleryInfo(6, rsImageGallery.RecordCount)
			While ( NOT rsImageGallery.EOF )
				If ( G_ADMINISTRATION_AccessLocked(rsImageGallery("GalleryUnq"), rsImageGallery("AccountUnq")) ) Then
					aGalleryInfo(0, iCount) = rsImageGallery("GalleryUnq")
					aGalleryInfo(1, iCount) = rsImageGallery("AccountUnq")
					aGalleryInfo(2, iCount) = Trim(rsImageGallery("Name"))
					sSQLText = "SELECT Description FROM Galleries (NOLOCK) WHERE GalleryUnq = " & aGalleryInfo(0, iCount)
					rsImageGallery2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsImageGallery2.EOF ) Then
						aGalleryInfo(3, iCount) = Trim(rsImageGallery2("Description"))
					End If
					rsImageGallery2.Close
					aGalleryInfo(4, iCount) = Trim(rsImageGallery("UserName"))
					aGalleryInfo(5, iCount) = Trim(rsImageGallery("CategoryUnq"))	' need this when they are on "My Galleries" so we know which category the gallery is from
					iCount = iCount + 1
				End If
				rsImageGallery.MoveNext
			Wend
			GetAll = iCount
		Else
			GetAll = 0
		End If
		rsImageGallery.Close
		Set rsImageGallery2 = Nothing
		
	End Function
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub GetFew()
		Dim x, iTemp, sTemp, rsImageGallery2
		
		Set rsImageGallery2 = CreateObject("ADODB.Recordset")
		
		If ( sSort = "" ) Then
			sTemp = "G.Position"
		Else
			Select Case sSort
				Case "Name_A"
					sTemp = "G.Name ASC"
				Case "Name_D"
					sTemp = "G.Name DESC"
				Case "UserName_A"
					sTemp = "G.UserName ASC"
				Case "UserName_D"
					sTemp = "G.UserName DESC"
			End Select
		End If

		If ( iCategoryUnq = "-1" ) Then
			' they want to see "My Galleries" -- so only display galleries they have created - from ANY category
			' or they want to see a specific users list of galleries
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT DISTINCT G.GalleryUnq, G.AccountUnq, G.Name, G.CategoryUnq, G.Position, G.UserName FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE G.AccountUnq = " & iAccountUnq & " AND G.Domain = " & iDomainName & " AND G.GalleryUnq = IG.GalleryUnq ORDER BY " & sTemp & " SET ROWCOUNT 0"
		Else
			If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainName) ) Then
				' they can see ALL galleries for this domain
				sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT DISTINCT G.GalleryUnq, G.AccountUnq, G.Name, G.CategoryUnq, G.Position, G.UserName FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE G.Domain = " & iDomainName & " AND G.CategoryUnq = " & iCategoryUnq & " AND G.GalleryUnq = IG.GalleryUnq ORDER BY " & sTemp & " SET ROWCOUNT 0"
			ElseIF ( ACCNT_SpecificDomain("SB_IG_CREATE_GALLERY", iDomainName) ) Then
				' they can see their and public galleries
				sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT DISTINCT G.GalleryUnq, G.AccountUnq, G.Name, G.CategoryUnq, G.Position, G.UserName FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE (G.AccountUnq = " & iLoginAccountUnq & " OR G.Visibility = '" & PUBLIC_GALLERIES & "') AND G.Domain = " & iDomainName & " AND G.CategoryUnq = " & iCategoryUnq & " AND G.GalleryUnq = IG.GalleryUnq ORDER BY " & sTemp & " SET ROWCOUNT 0"
			Else
				' they can only see public galleries
				sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT DISTINCT G.GalleryUnq, G.AccountUnq, G.Name, G.CategoryUnq, G.Position, G.UserName FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE G.Visibility = '" & PUBLIC_GALLERIES & "' AND G.Domain = " & iDomainName & " AND G.CategoryUnq = " & iCategoryUnq & " AND G.GalleryUnq = IG.GalleryUnq ORDER BY " & sTemp & " SET ROWCOUNT 0"
			End If
		End If
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If (NOT rsImageGallery.EOF) Then
			iTemp = rsImageGallery.RecordCount
			If ( iTemp > iNumPerPage ) Then
				iTemp = iNumPerPage
			End If
			ReDim aGalleryInfo(6, iTemp)
			For x = 1 To CDbl(iDBLoc)
				rsImageGallery.MoveNext
			Next
			While ( NOT rsImageGallery.EOF )
				If ( G_ADMINISTRATION_AccessLocked(rsImageGallery("GalleryUnq"), rsImageGallery("AccountUnq")) ) Then
					aGalleryInfo(0, iCount) = rsImageGallery("GalleryUnq")
					aGalleryInfo(1, iCount) = rsImageGallery("AccountUnq")
					aGalleryInfo(2, iCount) = Trim(rsImageGallery("Name"))
					sSQLText = "SELECT Description FROM Galleries (NOLOCK) WHERE GalleryUnq = " & aGalleryInfo(0, iCount)
					rsImageGallery2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsImageGallery2.EOF ) Then
						aGalleryInfo(3, iCount) = Trim(rsImageGallery2("Description"))
					End If
					rsImageGallery2.Close
					aGalleryInfo(4, iCount) = Trim(rsImageGallery("UserName"))
					aGalleryInfo(5, iCount) = Trim(rsImageGallery("CategoryUnq"))	' need this when they are on "My Galleries" so we know which category the gallery is from
					iCount = iCount + 1
				End If
				rsImageGallery.MoveNext
			Wend
		End If
		rsImageGallery.Close
		Set rsImageGallery2 = Nothing
	
	End Sub
	'************************************************************************************
%>