<!--#INCLUDE FILE="../Includes/i_ImageGallery.asp"-->
<%
	Dim iCategoryUnq, sPopupWindow, iConfUnq, rsImageGallery, iDomainUnq, iGalleriesLeft
	Dim sCreateThread, iCatLevel, iConfLevel
	
	iDomainUnq = Trim(Request("iDomainUnq"))
	If ( iDomainUnq = "" ) Then
		iDomainUnq = iDomainName
	End If
	
	Response.Buffer = TRUE
	Call DISP_Action("SB_GALLERIES_ADMINOPEN")
	Call DISP_Action("SB_GALLERIES_MANAGE_GALLERIES_ADD")
	If ( ACCNT_SpecificDomain("SB_IG_CREATE_GALLERY", iDomainUnq) ) Or _
		( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_GALLERIES_ADMINCLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*	This lets you add a new Gallery - calls WriteAddForm().							*
	'*																					*
	'************************************************************************************
	Sub Main()
	
		Dim sError, iPosition, sSQLText
		Set rsImageGallery = CreateObject("ADODB.Recordset")

		If ( Trim(Request("sAction")) = "AddGallery" ) Then
			sName			= Trim(Request("sName"))
			sDescription	= Trim(Request("HTMLDATA"))
			sVisibility		= Trim(Request("sVisibility"))
			iCategoryUnq	= Trim(Request("iCategoryUnq"))
			sPopupWindow	= Trim(Request("sPopupWindow"))
			iConfUnq		= Trim(Request("iConfUnq"))
			sCreateThread	= Trim(Request("sCreateThread"))

			If sName = "" Then
				Call DOMAIN_Message(DOMAIN_Text("NO_GALLERY_NAME"), "ERROR")
			Else
				' Make their new gallery
				
				If ( sCreateThread = "Y" ) Then
					iConfUnq = Trim(DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_DEFAULT_GALLERY_MSGBOARD"), iDomainUnq)
				End If
				If ( iConfUnq = "" ) Then
					iConfUnq = "0"
				End If
				
				' get the next position for this category - need to check domain too cuz categoryunq = 0 a lot (ie. not in category)
				sSQLText = "SELECT IsNull(MAX(Position), 0) + 1 FROM Galleries (NOLOCK) WHERE CategoryUnq = " & iCategoryUnq & " AND Domain = " & iDomainUnq
				rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If (NOT rsImageGallery.EOF) Then
					iPosition = rsImageGallery(0)
				Else
					iPosition = 1
				End If
				rsImageGallery.Close
				
				DBConnection.Execute "INSERT INTO Galleries VALUES (" & iLoginAccountUnq & ", " & iDomainUnq & ", '" & SQLEncode(sName) & "', '" & SQLEncode(sDescription) & "', '" & sVisibility & "', " & iCategoryUnq & ", '" & sPopupWindow & "', " & iConfUnq & ", 0, " & iPosition & ", '" & Trim(ACCNT_UserName(iLoginAccountUnq)) & "')"
				' set the gallery images visible to everyone
				rsImageGallery.Open "SELECT @@IDENTITY", DBConnection
				If (NOT rsImageGallery.EOF) Then
					DBConnection.Execute "INSERT INTO PrivateAccounts VALUES (" & rsImageGallery(0) & ", -1)"
				End If
				rsImageGallery.Close
				Call DOMAIN_Message(DOMAIN_Text("GALLERY_MANAGE_SUC_CREATE"), "SUCCESS")
			End If
		End If
		
		Call WriteScripts()
		iGalleriesLeft = G_ADMINISTRATION_GalleriesLeft(iLoginAccountUnq, iDomainUnq)
		If ( ( iGalleriesLeft > 0 ) Or ( iGalleriesLeft = -1 ) ) Then
			' check for the license max - must do this at the bottom so it reacts after a new gallery has been added
			If ( NUM_ALLOWED_GALLERIES > 0 ) Then
				' get the total number of galleries that have been created - on ALL domains
				sSQLText = "SELECT Count(*) FROM Galleries (NOLOCK)"
				rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If (NOT rsImageGallery.EOF) Then
					If ( CDbl(rsImageGallery(0)) >= NUM_ALLOWED_GALLERIES ) Then
						rsImageGallery.Close
						Call DOMAIN_Message("The maximum number of galleries allowed in this SiteBeater installation (" & NUM_ALLOWED_GALLERIES & " galleries) has been reached. Please delete an existing gallery to create a new one, or <a href='http://www.sitebeater.com/' target='_blank' class='MediumNavPage'>upgrade your SiteBeater Image Gallery license</a>.", "ERROR")
					Else
						rsImageGallery.Close
						Call WriteAddForm()
					End If
				Else
					rsImageGallery.Close
					Call WriteAddForm()
				End If
			ElseIf ( NUM_ALLOWED_GALLERIES = 0 ) Then
				Call DOMAIN_Message("You are not allowed to create galleries with this SiteBeater license. Please <a href='http://www.sitebeater.com/' target='_blank' class='MediumNavPage'>purchase a SiteBeater Image Gallery license</a>.", "ERROR")
			Else
				Call WriteAddForm()
			End If
		Else
			Call DOMAIN_Message(DOMAIN_Text("GALLERY_MANAGE_MAX_NUM_GALLERIES_REACHED"), "ERROR")
		End If
		
		Set rsImageGallery = Nothing
	
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteAddForm()
		Dim sSQLText
		
		bAdvanced	= Trim(Request("bAdvanced"))
		bEditOn		= FALSE
		If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" ) Then						' site admin must turn it on
			If ( DOMAIN_Conf("IMAGEGALLERY_EDIT-ON") = "YES" ) Then			' gallery admin must turn it on
				bEditOn = TRUE
			End If
		End If
		%>
		<br><center>
		<form onsubmit="return scriptForm_onsubmit()" action = "New.asp" method = "post" name="AddGallery">
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iDomainUnq"
		aVariables(2) = "iDBLoc"
		aValues(0) = "AddGallery"
		aValues(1) = iDomainUnq
		aValues(2) = Trim(Request("iDBLoc"))
		Response.Write DOMAIN_Link("P")
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("GalleriesPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("ADD_GALLERY_INFO")%></b></font>
					<br>
					<%
					If ( iGalleriesLeft <> -1 ) Then
						Response.Write Replace(DOMAIN_Text("GALLERY_MANAGE_CREATE_X_GALLERIES"), "1:", iGalleriesLeft)
					Else
						Response.Write DOMAIN_Text("GALLERY_MANAGE_CREATE_GALLERIES")
					End If
					%>
				</td>
			</tr>
			<%If ( bEditOn = TRUE ) Then%>
			<%If ( bAdvanced = "T" ) Then%>
			<tr><td align=right bgcolor=<%=DOMAIN_Color("GalleriesPageBGColor")%>><a href='New.asp?<%=DOMAIN_Link("G")%>&bAdvanced=F' class='MediumNavPage'><%=DOMAIN_Text("IMAGEGALLERY_WYSIWYG_EDITOR")%></a><br></td></tr>
			<%Else%>
			<tr><td align=right bgcolor=<%=DOMAIN_Color("GalleriesPageBGColor")%>><a href='New.asp?<%=DOMAIN_Link("G")%>&bAdvanced=T' class='MediumNavPage'><%=DOMAIN_Text("IMAGEGALLERY_ADVANCED_EDITOR")%></a><br></td></tr>
			<%End If%>
			<%End If%>
			<tr>
				<td>
					<table width=100% cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("GalleriesBorderColor1")%> align=center>
					<table cellpadding=5 width=100% cellspacing = 0 border = 0>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("GALLERY_NAME")%>:
							</td>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<input type = "Text" name = "sName" value = "<%=Server.HTMLEncode(sName)%>" maxlength=32 size=<%=CDbl(iFormWidth)%>>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("GALLERY_POPUP_PWINDOW")%>
							</td>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<select name = "sPopupWindow">
									<option value = 'FULL' <%If (sPopupWindow = "FULL") Then Response.Write "selected" End If%>><%=DOMAIN_Text("GALLERY_POPUP_FSCREEN")%></option>
									<option value = 'WINDOW' <%If (sPopupWindow = "WINDOW") Then Response.Write "selected" End If%>><%=DOMAIN_Text("GALLERY_POPUP_POPUP")%></option>
								</select>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("VISIBILITY")%>
							</td>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<select name = "sVisibility">
									<option value = '<%=PUBLIC_GALLERIES%>' <%If (sVisibility = CStr(PUBLIC_GALLERIES)) Then Response.Write "selected" End If%>><%=DOMAIN_Text("PUBLIC_GALLERY2")%></option>
									<option value = '<%=PRIVATE_GALLERIES%>' <%If (sVisibility = CStr(PRIVATE_GALLERIES)) Then Response.Write "selected" End If%>><%=DOMAIN_Text("PRIVATE_GALLERY2")%></option>
								</select>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("GALLERY_MANAGECAT_IGCATEGORY")%>
							</td>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<select name = "iCategoryUnq">
									<%
									iCatLevel = 0
									Call CategoryUnqDropDown(iCategoryUnq, 0, iDomainUnq)
									%>
								</select>
							</td>
						</tr>
						
						<%If ( ACCNT_SystemRights("MSGBOARD_SYSTEMUNQ") ) Then%>
						<%If ( ACCNT_SpecificDomain("SB_IG_GALLERY_MB", iDomainUnq) ) Then
							iConfLevel = 0
							Call DisplayMsgBoardDropDown()
						Else
						If ( CDbl(Trim(DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_DEFAULT_GALLERY_MSGBOARD", iDomainUnq))) > 0 ) Then%>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%> colspan=2>
								<table width=100% cellpadding = 0 cellspacing=0 border=0>
									<tr>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_MANAGE_USERS_COMMENT")%></td>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_MANAGE_USERS_COMMENT_YES")%></td>
										<td><input type='checkbox' name='sCreateThread' value='Y' <%If ( sCreateThread = "Y" ) Then Response.Write "checked" End If%>></td>
									</tR>
								</table>
							</td>
						</tr>
						<%End If%>
						<%End If%>
						<%End If%>
						<tr>
							<td colspan=2 bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%> valign = top>
								<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("GALLERY_DESC")%>:<br>
								<center>
								<%If ( bAdvanced = "F" ) And ( bEditOn = TRUE ) Then%>
									<INPUT name="HTMLDATA" type="hidden" value="">
									<APPLET  code="EditorApplet" archive="edit-on-pro-signed.jar,ssce.jar" height=300 name=SBEditor id=SBEditor width=<%=DOMAIN_Conf("IMAGEGALLERY_EDIT-ON_WIDTH")%> VIEWASTEXT MAYSCRIPT>
										<param name="LICENSEKEY" value="<%=DOMAIN_Conf("EDIT-ON_LICENSEKEY")%>">
										<PARAM name="CODEBASE" value="/WS_Content/Edit-On/eopro/">
										<PARAM name="CABBASE" value="edit-on-pro-signed.cab,ssce.cab">
										<param name="TOOLBARURL" value="toolbar-sample.xml">
										<param name="TEXTMODE" value="FALSE">
										<param name="SOURCEVIEW" value="TRUE">
										<param name="DEFAULTBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("GalleriesPageBGColor")%>">
										<param name="DEFAULTFONTCOLOR" value="#<%=DOMAIN_Color("GalleriesPageText")%>">
										<param name="DEFAULTLINKCOLOR" value="#<%=DOMAIN_Color("GalleriesPageLinkColor")%>">
										<param name="STARTUPSCREENTEXTCOLOR" value="#<%=DOMAIN_Color("GalleriesPageText")%>">
										<param name="STARTUPSCREENBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("GalleriesPageBGColor")%>">
										<param name="SIMPLETABLE" value="true">
										<param name="INSERTTEXT_HTML" value="true">
										<param name="BODYONLY" value="TRUE">
										<param name="IMAGEROOT" value="<%=DOMAIN_Conf("IMAGEGALLERY_EDIT-ON_IMAGEROOT")%>">
										<param name="LOCALEURL" value="/WS_Content/Edit-On/eopro/LocaleURL.asp?iDomainUnq=<%=iDomainName%>&sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! keep the sTextConst here so it's easly customizable from system-to-system (if it's hardcoded in the LocaleURL.asp then can't change language from system-to-system) >
										<!param name="HELP" value="/WS_Content/Edit-On/eopro/eophelp/eopHelp.asp?sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! Use the SiteBeater Help in the top-left of the top nav >
										<%If ( DOMAIN_Conf("RADIO_EDIT-ON_IMAGEPROXYURL") <> "" ) Then%>
										<param name="IMAGEPROXYURL" value="http://<%=DOMAIN_Conf("IMAGEGALLERY_EDIT-ON_IMAGEPROXYURL")%>/cgi-bin/imageproxy.asp">
										<%End If%>
										<PARAM NAME="spellcheckproperties" VALUE="<%=DOMAIN_Conf("IMAGEGALLERY_EDIT-ON_SPELLCHECKPROPERTIES")%>">
									</APPLET>
								<%Else%>
									<TEXTAREA COLS=<%=iFormColumns%> ROWS=5 WRAP="soft" NAME="HTMLDATA"><%=Server.HTMLEncode(sDescription)%></TEXTAREA>
								<%End If%>
							</td>
						</tr>
					</table>
					</td></tr></table>
					<br>
					<center><input type = "submit" value = "<%=DOMAIN_Text("ADD_THIS_GALLERY")%>">
				</td>
			</tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the message boards in a drop-down list.				*
	'*																					*
	'************************************************************************************
	Sub DisplayMsgBoardDropDown()

		%>
		<tr>
			<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
				<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("GALLERY_MANAGE_MB_CONF_NUM")%>
			</td>
			<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
				<select name='iConfUnq'>
					<%Call ConfUnqDropDown(iConfUnq, 0, iDomainUnq)%>
				</select>
			</td>
		</tr>
		<tr>
			<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%> colspan=2>
				<font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'>
				<%=DOMAIN_Text("GALLERY_MANAGE_MB_CONF_INFO2")%>
			</td>
		</tr>
		<%

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the categories in a drop-down list.					*
	'*																					*
	'************************************************************************************
	Sub ConfUnqDropDown(iConfUnq, iCurConfUnq, iDomainUnq)
		Dim sSQLText, rsMsgBoard, sType

		Set rsMsgBoard = Server.CreateObject("ADODB.recordset")
		sSQLText = "SELECT * FROM Conference (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " AND Parent = " & iCurConfUnq & " ORDER BY ColPosition"
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			If ( iConfLevel = 0 ) And ( iCurConfUnq = 0 ) Then
				Response.Write "<option value='0'>No Message Board</option>"
			End If
			While ( NOT rsMsgBoard.EOF )
				iCurConfUnq = rsMsgBoard("ConfUnq")
				sType		= Trim(UCase(rsMsgBoard("Type")))
				Select Case sType
					Case ""
						sType = "Message Board Type"
					Case "G"
						sType = "Gallery/Image Type"
					Case "N"
						sType = "News Article Type"
					Case "P"
						sType = "Poll Type"
				End Select
				If ( iConfUnq = CStr(iCurConfUnq) ) Then
					Response.Write "<option value='" & iCurConfUnq & "' Selected>" & String(iConfLevel, CHR(151)) & rsMsgBoard("Name") & " - (" & sType & ")</option>"
				Else
					Response.Write "<option value='" & iCurConfUnq & "'>" & String(iConfLevel, CHR(151)) & rsMsgBoard("Name") & " - (" & sType & ")</option>"
				End If
				iConfLevel = iConfLevel + 1
				Call ConfUnqDropDown(iConfUnq, iCurConfUnq, iDomainUnq)
				rsMsgBoard.MoveNext
				iConfLevel = iConfLevel - 1
			Wend
		Else
			If ( iConfLevel = 0 ) And ( iCurConfUnq = 0 ) Then
				Response.Write "<option value='0'>No Message Board</option>"
			End If
		End If
		rsMsgBoard.Close
		Set rsMsgBoard = Nothing

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the categories in a drop-down list.					*
	'*																					*
	'************************************************************************************
	Sub CategoryUnqDropDown(iCategoryUnq, iCurCatUnq, iDomainUnq)
		Dim rsImageGallery, sSQLText

		Set rsImageGallery = Server.CreateObject("ADODB.recordset")
		sSQLText = "SELECT * FROM IGCategories (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " AND Parent = " & iCurCatUnq & " ORDER BY Position"
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			If ( ACCNT_SpecificDomain("SB_IG_ADD_TO_NO_CAT", iDomainUnq) ) Then
				' only display this if they are allowed to add galleries to "no category"
				If ( iCatLevel = 0 ) And ( iCurCatUnq = 0 ) Then
					Response.Write "<option value='0'>" & DOMAIN_Text("GALLERY_MANAGECAT_NOTINCAT") & "</option>"
				End If
			End If
			While ( NOT rsImageGallery.EOF )
				iCurCatUnq = rsImageGallery("CategoryUnq")
				If ( ACCNT_SpecificDomain(rsImageGallery("RightsLvl"), iDomainUnq) ) Or ( Trim(rsImageGallery("RightsLvl")) = "" ) Then
					' make sure this user has rights to add to this category
					If ( iCategoryUnq = CStr(iCurCatUnq) ) Then
						Response.Write "<option value='" & iCurCatUnq & "' Selected>" & String(iCatLevel, CHR(151)) & rsImageGallery("Name") & "</option>"
					Else
						Response.Write "<option value='" & iCurCatUnq & "'>" & String(iCatLevel, CHR(151)) & rsImageGallery("Name") & "</option>"
					End If
				End If
				iCatLevel = iCatLevel + 1
				Call CategoryUnqDropDown(iCategoryUnq, iCurCatUnq, iDomainUnq)
				rsImageGallery.MoveNext
				iCatLevel = iCatLevel - 1
			Wend
		Else
			If ( ACCNT_SpecificDomain("SB_IG_ADD_TO_NO_CAT", iDomainUnq) ) Then
				' only display this if they are allowed to add galleries to "no category"
				If ( iCatLevel = 0 ) And ( iCurCatUnq = 0 ) Then
					Response.Write "<option value='0'>" & DOMAIN_Text("GALLERY_MANAGECAT_NOTINCAT") & "</option>"
				End If
			End If
		End If
		rsImageGallery.Close
		Set rsImageGallery = Nothing

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This writes the JavaScript out even if the Main() Sub isn't called in case the	*
	'*		admin has creation rights, but not edit rights.								*
	'*																					*
	'************************************************************************************
	Sub WriteScripts()
		%>
		<SCRIPT LANGUAGE=javascript>
		<!--
		
		
		function scriptForm_onsubmit() {
			<%If ( bAdvanced = "F" ) And ( bEditOn = TRUE ) Then%>
			document.AddGallery.HTMLDATA.value = document.SBEditor.getHTMLData("http://");
			<%End If%>
		}
		
		function ReturnToMain(){
			document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iCategoryUnq=<%=iCategoryUnq%>&iDBLoc=<%=iDBLoc%>&iDomainUnq=<%=iDomainUnq%>";
		}
		
		//-->
		</SCRIPT>
		<%
	End Sub
	'************************************************************************************
%>