<!--#INCLUDE FILE="../Includes/i_ImageGallery.asp"-->
<%
	Dim rsImageGallery, sSQLText, iDomainUnq, iSubPLUnq, sSublistName
	Dim aProducts, iProductsUBound, iPLUnq, iProdUnq, sCreateSublist
	Dim sPrice, sURL, iProdID, sImageURL
	
	iDomainUnq = Trim(Request("iDomainUnq"))
	If ( iDomainUnq = "" ) Then
		iDomainUnq = iDomainName
	End If

	Response.Buffer = TRUE
	Call DISP_Action("SB_GALLERIES_ADMINOPEN")
	Call DISP_Action("SB_GALLERIES_MANAGE_IMAGES_EDITPRODUCTS")
	If   ACCNT_SpecificDomain("SB_IG_ADD_PROD_2IMAGES", iDomainUnq) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_GALLERIES_ADMINCLOSE")
	Response.Flush
	

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSuccess, x, sTextField
		Dim sOldName, sNewName, sOldPrice, sNewPrice, sOldURL, sNewURL, sOldImageURL, sNewImageURL
		
		Set rsImageGallery	= Server.CreateObject("ADODB.recordset")
		sAction				= Trim(Request("sAction"))
		iImageUnq			= Trim(Request("iImageUnq"))
		aProducts			= Split(Trim(Request("iProdID")), ", ", -1, 1)
		iProductsUBound		= UBound(aProducts)
		iGalleryUnq			= Trim(Request("iGalleryUnq"))
		iPLUnq				= Trim(Request("iPLUnq"))
		sCreateSublist		= Trim(UCase(Request("sCreateSublist")))
		sSublistName		= Trim(UCase(Request("sSublistName")))
		iSubPLUnq			= Trim(Request("iSubPLUnq"))
		If ( iSubPLUnq = "" ) Then
			iSubPLUnq = "-1"	' so it can be tested below
		End If
		
		If ( iImageUnq <> "" ) Then
			Select Case sAction
				Case "AddToImage"
					If ( iSubPLUnq <> "-1" ) Then
						sSQLText = "SELECT * FROM IGSubPLUse WHERE ImageUnq = " & iImageUnq & " AND SubPLUnq = " & iSubPLUnq
						rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( rsImageGallery.EOF ) Then
							' isn't already associated w/ the category, so add it
							DBConnection.Execute "INSERT INTO IGSubPLUse VALUES (" & iSubPLUnq & ", -1, -1, " & iImageUnq & ")"
						End If
						rsImageGallery.Close
					End If
				Case "RemoveFromImage"
					If ( iSubPLUnq <> "-1" ) Then
						DBConnection.Execute "DELETE FROM IGSubPLUse WHERE ImageUnq = " & iImageUnq & " AND SubPLUnq = " & iSubPLUnq
					End If
				Case "AddProductFromPL"
					If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, iImageUnq) Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
						If ( sCreateSublist = "T" ) Then
							' insert a new record
							If ( sSublistName = "" ) Then
								sSublistName = "Sublist for " & iPLUnq
							End If
							DBConnection.Execute "INSERT INTO IGSubPL VALUES (" & iPLUnq & ", '" & SQLEncode(sSublistName) & "')"
							' set iSubPLUnq to the new IDENTITY
							sSQLText = "SELECT @@IDENTITY"
							rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsImageGallery.EOF ) Then
								iSubPLUnq = Trim(CStr(rsImageGallery(0)))	' turn it into a string so we only need to check for strings below
							End If
							rsImageGallery.Close
						End If
						For x = 0 to iProductsUBound
							If ( iSubPLUnq <> "-1" ) Then
								' add it to the Sublist
								DBConnection.Execute "INSERT INTO IGSubPLProds VALUES (" & iSubPLUnq & ", '" & SQLEncode(aProducts(x)) & "')"
							Else
								' add it to the list from the PL
								DBConnection.Execute "INSERT INTO IGImageProds VALUES (" & iImageUnq & ", 0, " & iPLUnq & ", -1, -1, '" & SQLEncode(aProducts(x)) & "')"
							End If
						Next
					Else
						sError = DOMAIN_Text("GALLERY_IMAGES_PRODS_NOTOWNER")
					End If
				Case "RemoveProductFromPL"
					If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, iImageUnq) Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
						For x = 0 to iProductsUBound
							If ( iSubPLUnq <> "-1" ) Then
								' remove it from the Sublist
								DBConnection.Execute "DELETE FROM IGSubPLProds WHERE SubPLUnq = " & iSubPLUnq & " AND ProdID = '" & SQLEncode(aProducts(x)) & "'"
							Else
								' remove it from the list from the PL
								DBConnection.Execute "DELETE FROM IGImageProds WHERE ImageUnq = " & iImageUnq & " AND ProdID = '" & SQLEncode(aProducts(x)) & "' AND PLUnq = " & iPLUnq
							End If
						Next
					Else
						sError = DOMAIN_Text("GALLERY_IMAGES_PRODS_NOTOWNER_DEL")
					End If
				Case "AddNotInPL"
					If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, iImageUnq) Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
						aProducts		= Split(Trim(Request("iProdUnq")), ", ", -1, 1)
						iProductsUBound	= UBound(aProducts)
						
						For x = 0 to iProductsUBound
							DBConnection.Execute "INSERT INTO IGImageProds VALUES (" & iImageUnq & ", " & aProducts(x) & ", '', -1, -1, '')"
						Next

						sSuccess = DOMAIN_Text("GALLERY_IMAGES_PRODS_ADDEDOK")
					Else
						sError = DOMAIN_Text("GALLERY_IMAGES_PRODS_NOTOWNER")
					End If
				Case "UpdateNotINPL"
					If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, iImageUnq) Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
						For Each sTextField In Request.Form
							If ( InStr(sTextField, "sDelete") > 0 ) Then
								iProdUnq = Replace(sTextField, "sDelete", "")
								DBConnection.Execute "DELETE FROM IGImageProds WHERE ImageUnq = " & iImageUnq & " AND ProdUnq = " & iProdUnq & " AND PLUnq = ''"
								If ( sSuccess = "" ) Then
									sSuccess = DOMAIN_Text("GALLERY_IMAGES_PRODS_UPDATEOK")
								End If
							End If
						Next
					Else
						sError = DOMAIN_Text("GALLERY_IMAGES_PRODS_NOTOWNER_EDIT")
					End If
			End Select
			
			If ( sError <> "" ) Then
				Call DOMAIN_Message(sError, "ERROR")
			End If
			If ( sSuccess <> "" ) Then
				Call DOMAIN_Message(sSuccess, "SUCCESS")
			End If
			
			Call WriteForm()
		Else
			Call DOMAIN_Message(DOMAIN_Text("GALLERY_IMAGES_PRODS_MISSINGIMAGE"), "ERROR")
		End If
		Set rsImageGallery = Nothing
		
	End Sub
	'************************************************************************************

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sSQLText, sBGColor, sColor1, sColor2, sColor3, sColor4, sTextColor, sTempProdID, sTempName
		Dim rsQuery, QueryConnection, QueryCommand, aProdID, iCount, x, bBeenAdded, rsQuery2, sTemp
		Dim sSQLServer, sSQLLogin, sSQLPassword, sDSNName, sDSNLogin, sDSNPassword, sPLQueryText, sProdQueryText, sDBName
		
		sBGColor = DOMAIN_Color("GalleriesBGColor2")
		
		' all the forms use this information
		aVariables(0) = "sAction"
		aVariables(1) = "iImageUnq"
		aVariables(2) = "iTtlNumItems"
		aVariables(3) = "iDBLoc"
		aVariables(4) = "iDomainUnq"
		aVariables(5) = "iGalleryUnq"
		aValues(0) = "AddProductFromPL"
		aValues(1) = iImageUnq
		aValues(2) = Request("iTtlNumItems")
		aValues(3) = Request("iDBLoc")
		aValues(4) = iDomainUnq
		aValues(5) = iGalleryUnq
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageProducts.sAction.value = sAction;
				document.ManageProducts.submit();
			}
			
		</script>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("GalleriesPageText")%>'><font size=+1><b><%=DOMAIN_Text("GALLERY_IMAGES_PRODS_HEAD")%></b></font>
					<br>
					<b><%=DOMAIN_Text("GALLERY_IMAGES_PRODS_SUBHEAD")%></b> <%=ReturnImageName(iImageUnq)%>
					<br>
					<%=Replace(DOMAIN_Text("GALLERY_IMAGES_PRODS_SUBHEAD2"), "1:", DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_MAX_DISPLAYABLE_PRODUCTS", iDomainUnq))%>
					<%If ( ACCNT_SpecificDomain("SB_MCONF_UPDATE", iDomainUnq) ) Then%>
					<%=DOMAIN_Text("GALLERY_IMAGES_PRODS_SUBHEAD3")%>
					<%End If%>
					<%=DOMAIN_Text("GALLERY_IMAGES_PRODS_SUBHEAD4")%>					
					<br><br>
					<form name='ManageProducts' method='post'>
					<%=DOMAIN_Link("P")%>
					<b>Product Lists:</b>
					<select name='iPLUnq' onChange='SubmitForm("UpdatePLUnq");'>
						<%
						sSQLText = "SELECT PLUnq, Name FROM IGPLs (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " ORDER BY Name"
						rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsImageGallery.EOF ) Then
							Response.Write "<option value='-1'>" & DOMAIN_Text("GALLERY_IMAGES_PRODS_NOPL") & "</option>"
							While ( NOT rsImageGallery.EOF )
								If ( iPLUnq = Trim(rsImageGallery("PLUnq")) ) Then
									Response.Write "<option value='" & rsImageGallery("PLUnq") & "' selected>" & Server.HTMLEncode(rsImageGallery("Name")) & "</option>"
								Else
									Response.Write "<option value='" & rsImageGallery("PLUnq") & "'>" & Server.HTMLEncode(rsImageGallery("Name")) & "</option>"
								End If
								rsImageGallery.MoveNext
							Wend
						End If
						rsImageGallery.Close
						%>
					</select>
					<br>
					<b>Sublists:</b>
					<select name='iSubPLUnq' onChange='SubmitForm("UpdateSubPLUnq");'>
						<%
						If ( iPLUnq <> "" ) Then
							sSQLText = "SELECT SubPLUnq, SubName FROM IGSubPL (NOLOCK) WHERE PLUnq = " & iPLUnq & " ORDER BY SubName"
							rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsImageGallery.EOF ) Then
								Response.Write "<option value='-1'>No sublist</option>"
								While ( NOT rsImageGallery.EOF )
									If ( iSubPLUnq = Trim(rsImageGallery("SubPLUnq")) ) Then
										Response.Write "<option value='" & rsImageGallery("SubPLUnq") & "' selected>" & Server.HTMLEncode(rsImageGallery("SubName")) & "</option>"
									Else
										Response.Write "<option value='" & rsImageGallery("SubPLUnq") & "'>" & Server.HTMLEncode(rsImageGallery("SubName")) & "</option>"
									End If
									rsImageGallery.MoveNext
								Wend
							End If
							rsImageGallery.Close
						Else
							Response.Write "<option value='-1'>No sublists available</option>"
						End If
						%>
					</select>
					<%
					If ( iSubPLUnq <> "-1" ) Then
						sSQLText = "SELECT * FROM IGSubPLUse WHERE ImageUnq = " & iImageUnq & " AND SubPLUnq = " & iSubPLUnq
						rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( rsImageGallery.EOF ) Then
							' isn't already associated w/ the category, so add it
							Response.Write "<input type='button' value='Add sublist to Image' onClick='SubmitForm(""AddToImage"");'>"
						Else
							Response.Write "<input type='button' value='Remove sublist from Image' onClick='SubmitForm(""RemoveFromImage"");'>"
						End If
						rsImageGallery.Close
					End If
					%>
					</form>
					
					<%
					' don't declare these before the iPLUnq form is shown or there will be two iPLUnq variables in the form
					aVariables(6) = "iPLUnq"
					aValues(6) = iPLUnq
					
					If ( iPLUnq <> "-1" ) And ( iPLUnq <> "" ) Then
						Set rsQuery = CreateObject("ADODB.Recordset")
						Set rsQuery2 = CreateObject("ADODB.Recordset")
						Set QueryConnection = Server.CreateObject("ADODB.Connection")
						Set QueryCommand = Server.CreateObject("ADODB.Command")
						
						' get the PL information
						sSQLText = "SELECT * FROM IGPLs (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " AND PLUnq = " & iPLUnq
						rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsImageGallery.EOF ) Then
							sSQLServer		= Trim(rsImageGallery("SQLServer"))
							sSQLLogin		= Trim(rsImageGallery("SQLLogin"))
							sSQLPassword	= Trim(rsImageGallery("SQLPassword"))
							sDSNName		= Trim(rsImageGallery("DSNName"))
							sDSNLogin		= Trim(rsImageGallery("DSNLogin"))
							sDSNPassword	= Trim(rsImageGallery("DSNPassword"))
							sPLQueryText	= Trim(rsImageGallery("PLQueryText"))
							sProdQueryText	= Trim(rsImageGallery("ProdQueryText"))
							sDBName			= Trim(rsImageGallery("DBName"))
						End If
						rsImageGallery.Close
						
						If ( ( sDSNName <> "" ) Or ( sDSNLogin <> "" ) Or ( sDSNPassword <> "" ) ) Then
							' use the DSN
							QueryConnection.Open sDSNName, sDSNLogin, sDSNPassword
						Else
							' use the connection string
							QueryConnection.Open "uid=" & sSQLLogin & ";password=" & sSQLPassword & ";driver={SQL Server};server=" & sSQLServer & ";database=" & sDBName
						End If
						QueryConnection.CursorLocation = adUseClient
						QueryCommand.CommandType = adCmdText
						Set QueryCommand.ActiveConnection = QueryConnection
						
						If ( sPLQueryText <> "" ) Then
							' put products (ProdID's) that have been added to this image in an array
							iCount = 0
							If ( iSubPLUnq <> "-1" ) Then
								sSQLText = "SELECT ProdID FROM IGSubPLProds (NOLOCK) WHERE SubPLUnq = " & iSubPLUnq
							Else
								sSQLText = "SELECT ProdID FROM IGImageProds (NOLOCK) WHERE ImageUnq = " & iImageUnq & " AND PLUnq = " & iPLUnq
							End If
							rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsImageGallery.EOF ) Then
								ReDim aProdID(rsImageGallery.RecordCount)
								While ( NOT rsImageGallery.EOF )
									aProdID(iCount) = Trim(rsImageGallery("ProdID"))
									iCount = iCount + 1
									rsImageGallery.MoveNext
								Wend
							End If
							rsImageGallery.Close
							iCount = iCount - 1
							
							%>
							<form name='AddProductFromPL' action='EditProducts.asp' method='post'>
							<%=DOMAIN_Text("GALLERY_IMAGES_PRODS_ADDPRODS")%><br>
							<%
							Response.Write DOMAIN_Link("P")
							%>
							<input type='hidden' name='iSubPLUnq' value='<%=iSubPLUnq%>'>
							<select name='iProdID' multiple size=6>
								<%
								rsQuery.Open sPLQueryText, QueryConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsQuery.EOF ) Then
									While ( NOT rsQuery.EOF )
										If ( iSubPLUnq <> "-1" ) Then
											sTempProdID = rsQuery(2)
											sTemp = sProdQueryText
											rsQuery2.Open Replace(sTemp, "1:", sTempProdID), QueryConnection, adOpenKeyset, adLockReadOnly, adCmdText
											If ( NOT rsQuery2.EOF ) Then
												sTempName = Trim(rsQuery2(0))
											Else
												sTempName = sTempProdID
											End If
											rsQuery2.Close
										Else
											sTempProdID = rsQuery(2)
											sTempName = rsQuery(0)
										End If
										bBeenAdded = FALSE
										' now see if this ProdID is in the aProdID array (meaning it's already been added to this image)
										For x = 0 to iCount
											If ( aProdID(x) = Trim(sTempProdID) ) Then
												bBeenAdded = TRUE
												x = iCount + 1
											End If
										Next
										If ( bBeenAdded = FALSE ) Then
											Response.Write "<option value='" & sTempProdID & "'>" & Server.HTMLEncode(sTempName) & "</option>"
										End If
										rsQuery.MoveNext
									Wend
								End If
								rsQuery.Close
								%>
							</select>
							<br>
							Create NEW sublist for these products? <input type='checkbox' name='sCreateSublist' value='T'>
							<br>
							If creating a new sublist, please enter its name: <input type='text' name='sSublistName' value=''>
							<br>
							<input type='submit' value='<%=DOMAIN_Text("GALLERY_IMAGES_PRODS_ADDPRODS2")%>'>
							</form>
							
							<form name='RemoveProductFromPL' action='EditProducts.asp' method='post'>
							<%=DOMAIN_Text("GALLERY_IMAGES_PRODS_DELPRODS")%><br>
							<%
							aValues(0) = "RemoveProductFromPL"
							Response.Write DOMAIN_Link("P")
							%>
							<input type='hidden' name='iSubPLUnq' value='<%=iSubPLUnq%>'>
							<SELECT NAME='iProdID' MULTIPLE size=6>
								<%
								rsQuery.Open sPLQueryText, QueryConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsQuery.EOF ) Then
									While ( NOT rsQuery.EOF )
										If ( iSubPLUnq <> "-1" ) Then
											sTempProdID = rsQuery(2)
											sTemp = sProdQueryText
											rsQuery2.Open Replace(sTemp, "1:", sTempProdID), QueryConnection, adOpenKeyset, adLockReadOnly, adCmdText
											If ( NOT rsQuery2.EOF ) Then
												sTempName = Trim(rsQuery2(0))
											Else
												sTempName = sTempProdID
											End If
											rsQuery2.Close
										Else
											sTempProdID = rsQuery(2)
											sTempName = rsQuery(0)
										End If
										bBeenAdded = FALSE
										' now see if this ProdID is in the aProdID array (meaning it's already been added to this image)
										For x = 0 to iCount
											If ( aProdID(x) = Trim(sTempProdID) ) Then
												bBeenAdded = TRUE
												x = iCount + 1
											End If
										Next
										If ( bBeenAdded ) Then
											Response.Write "<option value='" & sTempProdID & "'>" & Server.HTMLEncode(sTempName) & "</option>"
										End If
										rsQuery.MoveNext
									Wend
								End If
								rsQuery.Close
								%>
							</select>
							<br>
							<input type='submit' value='<%=DOMAIN_Text("GALLERY_IMAGES_PRODS_DELPRODS2")%>'>
							</form>
							<%
						Else
							Response.Write DOMAIN_Text("GALLERY_IMAGES_PRODS_MISSING_QUERY")
						End If
						Set rsQuery = Nothing
						Set rsQuery2 = Nothing
						QueryConnection.Close
						SET QueryConnection = nothing
						SET QueryCommand = nothing
					End If%>
					
					<br>
					
					<form name='AddProductNotInPL' action='EditProducts.asp' method='post'>
					<%=DOMAIN_Text("GALLERY_IMAGES_PRODS_ADDPRODS_NOTINPL")%><br>
					<%
					aValues(0) = "AddNotInPL"
					Response.Write DOMAIN_Link("P")
					
					Response.Write "<SELECT NAME='iProdUnq' MULTIPLE size=6>"
					sSQLText = "SELECT * FROM IGPLProds P (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " AND ProdUnq NOT IN (SELECT IP.ProdUnq FROM IGImageProds IP (NOLOCK), IGPLProds P (NOLOCK) WHERE IP.ImageUnq = " & iImageUnq & " AND (IP.PLUnq = '' OR IP.PLUnq = '0')) ORDER BY ProdID"
					rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					While ( NOT rsImageGallery.EOF )
						iProdID		= rsImageGallery("ProdID")
						iProdUnq	= rsImageGallery("ProdUnq")
						sName		= Server.HTMLEncode(rsImageGallery("Name"))
						sPrice		= Server.HTMLEncode(rsImageGallery("Price"))
						Response.Write "<option value='" & iProdUnq & "'>" & iProdID & "--" & sName & "--" & sPrice & "</option>" & VbCrlf
						rsImageGallery.MoveNext
					Wend
					rsImageGallery.Close
					%>
					</select>
					<br>
					<input type='submit' value='<%=DOMAIN_Text("GALLERY_IMAGES_PRODS_NOTINPL_ADD")%>'>
					</form>
					
					<br>
					<form name='ManageProductsNotInPL' action='EditProducts.asp' method='post'>
					<%
					aValues(0) = "UpdateNotINPL"
					Response.Write DOMAIN_Link("P")
					%>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_PRODS_NOTINPL_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_PRODS_NOTINPL_NAME")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_PRODS_NOTINPL_PRICE")%></b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_PRODS_NOTINPL_DEL")%></b></td>
						</tr>
						<%
						sColor1 = DOMAIN_Color("GalleriesBGColor1")
						sColor2 = DOMAIN_Color("GalleriesPageBGColor")
						sColor3 = DOMAIN_Color("GalleriesTextColor1")
						sColor4 = DOMAIN_Color("GalleriesPageText")
						
						sSQLText = "SELECT * FROM IGImageProds IP (NOLOCK), IGPLProds P (NOLOCK) WHERE P.DomainUnq = " & iDomainUnq & " AND IP.ImageUnq = " & iImageUnq & " AND (IP.PLUnq = '' OR IP.PLUnq = '0') AND IP.ProdUnq = P.ProdUnq"
						rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						While ( NOT rsImageGallery.EOF )
							If ( sBGColor = sColor1 ) Then
								sBGColor = sColor2
								sTextColor = sColor4
							Else
								sBGColor = sColor1
								sTextColor = sColor3
							End If

							iProdID		= rsImageGallery("ProdID")
							iProdUnq	= rsImageGallery("ProdUnq")
							sName		= Server.HTMLEncode(rsImageGallery("Name"))
							sPrice		= Server.HTMLEncode(rsImageGallery("Price"))
							sURL		= Server.HTMLEncode(rsImageGallery("URL"))
							sImageURL	= Server.HTMLEncode(rsImageGallery("ImageURL"))
							%>
							<tr>
								<td bgcolor=<%=sBGColor%> valign=top><font color='<%=sTextColor%>'><%=iProdID%></td>
								<td bgcolor=<%=sBGColor%> valign=top><font color='<%=sTextColor%>'><%=sName%></td>
								<td bgcolor=<%=sBGColor%> valign=top><font color='<%=sTextColor%>'><%=sPrice%></td>
								<td align=center bgcolor=<%=sBGColor%> valign=top><input type='checkbox' name="sDelete<%=iProdUnq%>" value="<%=iProdUnq%>"></td>
							</tr>
							<tr>
								<td bgcolor=<%=sBGColor%> valign=top colspan=2><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_GALLERY_PRODS_NOTINPL_URL")%>:</b> <%=sURL%></td>
								<td bgcolor=<%=sBGColor%> valign=top colspan=2><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_GALLERY_PRODS_NOTINPL_IMAGE")%>:</b> <%=sImageURL%></td>
							</tr>
							<%
							rsImageGallery.MoveNext
						Wend
						rsImageGallery.Close
						%>
					</table>
					<center>
					<input type='submit' value='<%=DOMAIN_Text("GALLERY_IMAGES_PRODS_NOTINPL_UPDATE")%>'>
					</form>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		<%
	End Sub
	'************************************************************************************
	
	

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function ReturnImageName(iImageUnq)
	
		sSQLText = "SELECT Image FROM Images (NOLOCK) WHERE ImageUnq = " & iImageUnq
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			ReturnImageName = rsImageGallery(0)
		End If
		rsImageGallery.Close

	End Function
	'************************************************************************************
%>