<!--#INCLUDE FILE="../Includes/i_ImageGallery.asp"-->
<!--#INCLUDE VIRTUAL="/WS_Content/Includes/clsUpload.asp"-->
<!--#INCLUDE FILE="../Includes/i_Upload.asp"-->
<!--#INCLUDE FILE="../Includes/i_GlfAx.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, rsImageGallery, sSQLText, iTemp, ctArray, sTemp, sAction
	
	Dim sCreateThread, iConfLevel, dMaxDomainImages
	Dim iConfUnq, iThreadUnq, sKeywords, iULLeft, bUseEZPrints
	Dim sAutoCreateThumbnail, sTitle, bEZPrintsAccount
	
	Dim sValidExtensions, iMaxFileSize, iHDSpaceLeft, sThumbname

	' variables declared globally and set in i_Upload.asp - G_UPLOAD_SaveFile(iFileNum, sType)
	Dim aExtension, aFileName, aFileSize, aXSize, aYSize
	
	Dim objUpload

	Call DISP_Action("SB_GALLERIES_ADMINOPEN")
	Call DISP_Action("SB_GALLERIES_MANAGE_IMAGES_ADD")
	Call WriteScripts()

	iTemp = DOMAIN_Conf("IMAGEGALLERY_SCRIPTTIMEOUT")
	If ( iTemp = "" ) Then
		iTemp = 5400
	Else
		iTemp = CDbl(iTemp)
	End If
	Server.ScriptTimeout = iTemp

	ctArray = Split(Request.ServerVariables( "HTTP_CONTENT_TYPE"), ";")
	If ( UBound(ctArray) > 0 ) Then
		sTemp = Trim(UCase(ctArray(0)))
	End If

	If ( sTemp = "MULTIPART/FORM-DATA" ) Then
		Set objUpload	= New clsUpload
		sAction			= Trim(objUpload("sAction").Value)
		iDomainUnq		= Trim(objUpload("iDomainUnq").Value)
		iTtlNumItems	= Trim(objUpload("iTtlNumItems").Value)
		iDBLoc			= Trim(objUpload("iDBLoc").Value)
		iGalleryUnq		= Trim(objUpload("iGalleryUnq").Value)

		sComments		= Trim(objUpload("sComments").Value)
		sAltTag			= Trim(objUpload("sAltTag").Value)
		iConfUnq		= objUpload("iConfUnq").Value
		iThreadUnq		= objUpload("iThreadUnq").Value
		sKeywords		= Trim(objUpload("sKeywords").Value)
		sTitle			= Trim(objUpload("sTitle").Value)
		sCreateThread	= Trim(objUpload("sCreateThread").Value)
		sAutoCreateThumbnail = Trim(objUpload("sAutoCreateThumbnail").Value)
		bUseEZPrints	= Trim(objUpload("bUseEZPrints").Value)
	Else
		sAction			= Trim(Request("sAction"))
		iDomainUnq		= Trim(Request("iDomainUnq"))
		iTtlNumItems	= Trim(Request("iTtlNumItems"))
		iDBLoc			= Trim(Request("iDBLoc"))
		iGalleryUnq		= Trim(Request("iGalleryUnq"))
	End If

	If ( iDomainUnq = "" ) Then
		iDomainUnq = iDomainName
	End If
	
	sValidExtensions	= G_ADMINISTRATION_ValidFileExtensions(iLoginAccountUnq, iDomainUnq)
	iMaxFileSize		= G_ADMINISTRATION_MaxFileSize(iLoginAccountUnq, iDomainUnq)
	iHDSpaceLeft		= G_ADMINISTRATION_HDSpaceLeft(iLoginAccountUnq, iDomainUnq)
	iThumbComponent		= G_ADMINISTRATION_ASPImageInstalled()
	bEZPrintsAccount	= G_ADMINISTRATION_EZPrintsAccount(iDomainUnq)
	
	' make sure they can still upload files - based on the license max
	If ( NUM_ALLOWED_IMAGES > -1 ) Then
		Set rsImageGallery = Server.CreateObject("ADODB.recordset")
		sSQLText = "SELECT Count(*) FROM Images (NOLOCK)"
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If (NOT rsImageGallery.EOF) Then
			If ( rsImageGallery(0) >= NUM_ALLOWED_IMAGES ) Then
				Call DOMAIN_Message("The maximum number of images allowed in this SiteBeater installation (" & NUM_ALLOWED_IMAGES & " images) has been reached. Please delete an existing image to create a new one, or <a href='http://www.sitebeater.com/' target='_blank' class='MediumNavPage'>upgrade your SiteBeater Image Gallery license</a>.", "ERROR")
				Response.End
			End If
		End If
		rsImageGallery.Close
		Set rsImageGallery = Nothing
	End If	
	
	' make sure they haven't passed the domain's limit
	dMaxDomainImages	= DOMAIN_Conf_W_DomainUnq("SB_MAX_DOMAIN_IMAGES", iDomainName)
	If ( ( IsNumeric(dMaxDomainImages) ) And ( dMaxDomainImages <> "" ) ) Then
		If ( dMaxDomainImages > -1 ) Then
			' get the current number of images in the domain
			Set rsImageGallery = Server.CreateObject("ADODB.recordset")
			sSQLText = "SELECT Count(*) FROM ImagesInGallery (NOLOCK) WHERE DomainUnq = " & iDomainName
			rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If (NOT rsImageGallery.EOF) Then
				If ( rsImageGallery(0) >= dMaxDomainImages ) Then
					Call DOMAIN_Message("The maximum number of images allowed in this website (" & dMaxDomainImages & " images) has been reached. Please contact the webmaster for more information.", "ERROR")
					Response.End
				End If
			End If
			rsImageGallery.Close
			Set rsImageGallery = Nothing
		End If
	End If
	
	' check number of files left the user can upload. If no more, display an error message and no form.
	iULLeft = CDbl(G_ADMINISTRATION_ULLeft(iLoginAccountUnq, iDomainUnq))
	If ( ( iULLeft = -1 ) Or ( iULLeft > 0 ) ) Then
		' make sure they have HD space left
		If ( ( iHDSpaceLeft = -1 ) Or ( iHDSpaceLeft > 0 ) ) Then
			If   (ACCNT_AnyDomain("SB_IG_ADMIN_ALL")) Or _
				 (ACCNT_AnyDomain("SB_IG_CREATE_GALLERY")) Then
				If ( iGalleryUnq <> "" ) And ( iGalleryUnq <> "-1" ) Then
					Call Main()
				Else
					Call DOMAIN_Message("Please choose (or create) a gallery before adding images.", "ERROR")
				End If
			Else
				Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
			End If
		Else
			Call DOMAIN_Message(DOMAIN_Text("GALLERY_IMAGES_ADD_REACHED_MAXHD"), "ERROR")
		End If
	Else
		Call DOMAIN_Message(Replace(DOMAIN_Text("GALLERY_IMAGES_ADD_REACHED_MAX"), "1:", iULLeft), "ERROR")
	End If
	Call DISP_Action("SB_GALLERIES_ADMINCLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sError, sSuccess, iPos
		
		If ( iGalleryUnq <> "" ) Then
			Set rsImageGallery = Server.CreateObject("ADODB.recordset")
			Select Case sAction
				Case "New"
					If ( NOT ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
						If ( NOT ACCNT_SpecificDomain("SB_IG_CREATE_GALLERY", iDomainUnq) ) Then
							sError = DOMAIN_Text("GALLERY_SYS_RIGHTS")
						End If
					End If

					If ( sError = "" ) Then
						If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, "") Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
							If ( sCreateThread = "Y" ) Then
								iConfUnq	= Trim(DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_DEFAULT_IMAGE_MSGBOARD"), iDomainUnq)
								iThreadUnq	= "0"
							End If
							If ( iConfUnq = "" ) Then
								iConfUnq = "0"
							End If
							If ( iThreadUnq = "" ) Then
								iThreadUnq = "0"
							End If
							If ( NOT ACCNT_SpecificDomain("SB_IG_EZPRINTS_IMAGES", iDomainUnq) ) Then
								bUseEZPrints = "N"
							End If
							ReDim aExtension(2)
							ReDim aFileName(2)
							ReDim aFileSize(2)
							ReDim aXSize(2)
							ReDim aYSize(2)
							' sAccountUnq is global and used throughout the functions below
							'	we cannot just use iLoginAccountUnq because an admin might upload an image to a gallery that he does not own...which is
							'	ok. but if the AccountUnq is set as the admin's account, then the images will be saved in the wrong directory
							sAccountUnq = G_ADMINISTRATION_GetGalleryOwner(iGalleryUnq)
							sError = G_UPLOAD_SaveFile("File1", 0, "PRIMARY", iDomainUnq)
							If ( sError = "" ) Then
								If ( ( iThumbComponent = ASPIMAGE ) Or ( iThumbComponent = GFL ) Or ( iThumbComponent = PERSITS ) ) Then
									sError = sError & G_UPLOAD_GetDimensions(0)
									If ( sAutoCreateThumbnail = "Y" ) Then
										If ( iThumbComponent = ASPIMAGE ) Then
											If ( UCase(aExtension(0)) = "JPG" ) Or ( UCase(aExtension(0)) = "PNG" ) Or ( UCase(aExtension(0)) = "BMP" ) Then
												sError = sError & G_UPLOAD_MakeThumb(0, sThumbname, iDomainUnq)
											Else
												sError = DOMAIN_Text("GALLERY_IMAGES_ADD_NOAUTOTHUMB") & aExtension(0)
											End If
										Else
											sError = sError & G_UPLOAD_MakeThumb(0, sThumbname, iDomainUnq)
										End If
										' since we automatically created the thumbnail, skip saving that file in the file array
									Else
										' save the thumbnail file if one exists
										sError = sError & G_UPLOAD_SaveFile("ThumbnailFile", 1, "THUMB", iDomainUnq)
										sThumbname = aFileName(1)
									End If
								Else
									' save the thumbnail file if one exists
									sError = sError & G_UPLOAD_SaveFile("ThumbnailFile", 1, "THUMB", iDomainUnq)
									sThumbname = aFileName(1)
								End If
								
								iPos = InStr(sThumbname, ".")
								sThumbname = Left(sThumbname, iPos) + "jpg"
	
								If ( sError = "" ) Then
									sSQLText = "SELECT IG.Position FROM Images I, ImagesInGallery IG WHERE IG.GalleryUnq = " & iGalleryUnq & " AND I.ImageUnq = IG.ImageUnq ORDER BY IG.Position DESC"
									rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									If (NOT rsImageGallery.EOF) Then
										If IsNull(rsImageGallery("Position")) Then
											iImageNum = 1
										Else
											iImageNum = CDbl(rsImageGallery("Position")) + 1
										End If
									Else
										iImageNum = 1
									End If
									rsImageGallery.Close

									' if it is not an image type (txt pdf etc)
									If ( aFileSize(0) = "" ) Then
										aFileSize(0) = 0
									End If
									If ( aXSize(0) = "" ) Then
										aXSize(0) = 0
									End If
									If ( aYSize(0) = "" ) Then
										aYSize(0) = 0
									End If
									
									If ( sThumbname <> "" ) Then
										' set the user who uploaded the thumbnail as the current user
										DBConnection.Execute "INSERT INTO Images VALUES ('" & SQLEncode(sComments) & "', '" & SQLEncode(sAltTag) & "', '" & SQLEncode(aFileName(0)) & "', '" & SQLEncode(sThumbname) & "',0,0,0," & aFileSize(0) & ",'" & aXSize(0) & "','" & aYSize(0) & "'," & iImageNum & ", '" & aExtension(0) & "', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', " & iConfUnq & "," & iThreadUnq & ",'" & SQLEncode(sKeywords) & "','" & SQLEncode(StripCodes(sComments)) & "', '" & SQLEncode(sTitle) & "', " & iLoginAccountUnq & ", " & iLoginAccountUnq & ", 0, 0, 0, 0, '" & bUseEZPrints & "',NULL)"
									Else
										' no thumb, so set the user who uploaded the thumbnail as 0
										DBConnection.Execute "INSERT INTO Images VALUES ('" & SQLEncode(sComments) & "', '" & SQLEncode(sAltTag) & "', '" & SQLEncode(aFileName(0)) & "', '" & SQLEncode(sThumbname) & "',0,0,0," & aFileSize(0) & ",'" & aXSize(0) & "','" & aYSize(0) & "'," & iImageNum & ", '" & aExtension(0) & "', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', " & iConfUnq & "," & iThreadUnq & ",'" & SQLEncode(sKeywords) & "','" & SQLEncode(StripCodes(sComments)) & "', '" & SQLEncode(sTitle) & "', " & iLoginAccountUnq & ", 0, 0, 0, 0, 0, '" & bUseEZPrints & "',NULL)"
									End If
									rsImageGallery.Open "SELECT @@IDENTITY", DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									If (NOT rsImageGallery.EOF) Then
										iImageUnq = rsImageGallery(0)
										DBConnection.Execute "INSERT INTO ImagesInGallery VALUES (" & iImageUnq & ", " & iGalleryUnq & ", GetDate(), " & iDomainUnq & ", " & iImageNum & ", " & iGalleryUnq & ", " & iDomainUnq & ", 0, 0, 0, " & iThreadUnq & "," & iConfUnq & ")"
									Else
										sError = sError & DOMAIN_Text("ERROR_ADDING_IMAGE")
									End If
									rsImageGallery.Close
									' send any subscription emails
									Call G_ADMINISTRATION_SendSubscriptionEmail(iGalleryUnq)
									If ( sTemp = "MULTIPART/FORM-DATA" ) Then
										Response.Write "<SCRIPT LANGUAGE=javascript>" & VbCrlf
										Response.Write "document.location=""SubmitSuccess.asp?" & DOMAIN_Link("G") & "&iGalleryUnq=" & iGalleryUnq & "&iTtlNumItems=" & CDbl(iTtlNumItems)+1 & "&iDBLoc=" & iDBLoc & "&iDomainUnq=" & iDomainUnq & """;" & VbCrlf
										Response.Write "</script>"
										Response.Write DOMAIN_Text("GALLERY_NOFORWARDING") & "<a href='SubmitSuccess.asp?" & DOMAIN_Link("G") & "&iGalleryUnq=" & iGalleryUnq & "&iTtlNumItems=" & CDbl(iTtlNumItems)+1 & "&iDBLoc=" & iDBLoc & "&iDomainUnq=" & iDomainUnq & "' class='MediumNavPage'>" & DOMAIN_Text("GALLERY_CLICKHERE") & "</a>."
									Else
										Response.Redirect "SubmitSuccess.asp?" & DOMAIN_Link("G") & "&iGalleryUnq=" & iGalleryUnq & "&iTtlNumItems=" & CDbl(iTtlNumItems)+1 & "&iDBLoc=" & iDBLoc & "&iDomainUnq=" & iDomainUnq
									End If
								End If
							End If
						Else
							sError = DOMAIN_Text("GALLERY_IMAGES_ADD_NOTOWNER_ADD")
						End If
					End If
					Set objUpload = Nothing
			End Select
		
			If ( sError <> "" ) Then
				Call DOMAIN_Message(sError, "ERROR")
			End If
			If ( sSuccess <> "" ) Then
				Call DOMAIN_Message(sSuccess, "SUCCESS")
			End If
			
			Call WriteForm()
			Set rsImageGallery = Nothing
		Else
			Call DOMAIN_Message(DOMAIN_Text("GALLERY_IMAGES_ADD_MISSING_GALLERY"), "ERROR")
		End If
	End Sub
	'************************************************************************************

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim aTypes, x, sBGColor, sTextColor, iTemp, lf, sFilePath, iThumbWidth
	
		sBGColor			= DOMAIN_Color("GalleriesBGColor1")
		sTextColor			= DOMAIN_Color("GalleriesTextColor1")
		%>
		<script language='JavaScript1.2' type='text/javascript'>
		
			<%
			' get array for JavaScript of all the allowed file types
			Response.Write "extArray = new Array("
			aTypes = Split(sValidExtensions, " ", -1, 1)
			For x = 0 To UBound(aTypes)
				Response.Write """." & aTypes(x) & ""","
			Next
			Response.Write """"");"
			%>

			function LimitAttach()
			{
				file = document.NewImage.File1.value;
				
				allowSubmit = false;
				if (!file) return true;
				while (file.indexOf("\\") != -1)
				file = file.slice(file.indexOf("\\") + 1);
				ext = file.slice(file.indexOf(".")).toLowerCase();
				
				for (var i = 0; i < extArray.length; i++) {
					if (extArray[i] == ext) 
					{ 
						allowSubmit = true; 
						break;
					}
				}
				
				if (allowSubmit) 
				{
					file = document.NewImage.ThumbnailFile.value;
					
					allowSubmit = false;
					if (!file) return true;
					while (file.indexOf("\\") != -1)
					file = file.slice(file.indexOf("\\") + 1);
					ext = file.slice(file.indexOf(".")).toLowerCase();

					for (var i = 0; i < extArray.length; i++) {
						if (extArray[i] == ext) 
						{ 
							allowSubmit = true; 
							break;
						}
					}

					if (allowSubmit) 
					{
						return true;
					}else{
						alert("<%=DOMAIN_Text("GALLERY_SUBMIT_UPLOADTHUMB1")%>" + (extArray.join("  ")) + "<%=DOMAIN_Text("GALLERY_SUBMIT_UPLOADTHUMB2")%>");
						return false;
					}
				}else{
					alert("<%=DOMAIN_Text("GALLERY_SUBMIT_UPLOADONLY1")%>" + (extArray.join("  ")) + "<%=DOMAIN_Text("GALLERY_SUBMIT_UPLOADONLY2")%>");
					return false;
				}
			}
			
			function insertAtCaret (text) {
				// must set the textarea as focused otherwise, if it's not in focus, sometimes the text thats already in it gets deleted
				document.forms.NewImage.sComments.focus();
				
				textEl = document.forms.NewImage.sComments;
				if (textEl.createTextRange && textEl.caretPos) {
					var caretPos = textEl.caretPos;
					caretPos.text =
					caretPos.text.charAt(caretPos.text.length - 1) == ' ' ?
					 text + ' ' : text;
				}else
					textEl.value  = text;
			}
			
			function storeCaret (textEl) {
				if (textEl.createTextRange) 
					textEl.caretPos = document.selection.createRange().duplicate();
			}

		</script>

		<form ENCTYPE="multipart/form-data" onsubmit="return LimitAttach()" name='NewImage' action='New.asp' method='post'>
		<input type='hidden' name='iGalleryUnq' value='<%=iGalleryUnq%>'>
		<input type='hidden' name='iDomainUnq' value='<%=iDomainUnq%>'>
		<input type='hidden' name='iTtlNumItems' value='<%=iTtlNumItems%>'>
		<input type='hidden' name='iDBLoc' value='<%=iDBLoc%>'>
		
		<input type='hidden' name='sAction' value='New'>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr><td>
					<font color='<%=DOMAIN_Color("GalleriesPageText")%>'>
					<%=DOMAIN_Text("GALLERY_IMAGES_ADD_SUBHEAD")%><b><%=DispGalleryName()%></b>
			</td></tr>
			<tr>
				<td>
					<br>
					<%
					iTableWidth = 671
					Call G_STRUCTURE_HeaderBar(DOMAIN_Text("GALLERIES_NEWIMAGE_HEAD"), "", "", "Galleries")%>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor='<%=DOMAIN_Color("GalleriesBorderColor1")%>'>
					<table cellpadding = 5 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor = <%=sBGColor%>>
								<%Call G_STRUCTURE_HTMLCode_Buttons()%>
								<center>
								<textarea cols=78 rows=12 WRAP="soft" NAME="sComments" ONFOCUS="storeCaret(this);" ONSELECT="storeCaret(this);" ONCLICK="storeCaret(this);" ONKEYUP="storeCaret(this);"><%=sComments%></textarea>
								</center>
								<SCRIPT LANGUAGE=javascript>
								<!--
									// this must be here - after the form field is created
									storeCaret(document.NewImage.sComments);	// this sets the cursor pos so when they add a tag w/o setting focus of form field it doesn't blank it all
								//-->
								</SCRIPT>
								<br><br>
							</td>
						</tr>
					</table>
					</td></tr></table>
					<%Call G_STRUCTURE_SubHeaderBar("", "", "", "Galleries")%>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor='<%=DOMAIN_Color("GalleriesBorderColor1")%>'>
					<table cellpadding = 5 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor='<%=sBGColor%>' align=center>
								<table width=100%>
									<tr>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_EDIT_TITLE")%></td>
										<td><input type='text' name='sTitle' value="<%=Server.HTMLEncode(sTitle)%>" size=70 maxlength=250></td>
									</tr>
									<tr>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_EDIT_KEYWORDS")%></td>
										<td><input type='text' name='sKeywords' value="<%=Server.HTMLEncode(sKeywords)%>" size=70 maxlength=250></td>
									</tr>
									<tr>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_EDIT_ALT")%></td>
										<td><input type='text' name='sAltTag' value="<%=Server.HTMLEncode(sAltTag)%>" size=70 maxlength=250></td>
									</tr>
									<%If ( ACCNT_SystemRights("MSGBOARD_SYSTEMUNQ") ) Then%>
									<tr>
										<td colspan=2>
											<%If ( ACCNT_SpecificDomain("SB_IG_IMAGE_MB", iDomainUnq) ) Then%>
											<table width=100% cellpadding = 0 cellspacing=0 border=0>
												<tr>
													<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_EDIT_MBCONF")%></td>
													<td><%
														iConfLevel = 0
														Call DisplayMsgBoardDropDown()
														%>
													</td>
													<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_EDIT_MBTHREAD")%></td>
													<td><input type='text' name='iThreadUnq' value='<%=iThreadUnq%>' size=5 maxlength=7></td>
												</tR>
											</table>
											<%Else%>
											<%If ( CDbl(Trim(DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_DEFAULT_IMAGE_MSGBOARD", iDomainUnq))) > 0 ) Then%>
											<table width=100% cellpadding = 0 cellspacing=0 border=0>
												<tr>
													<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_EDIT_USERSCOMMENT")%></td>
													<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_EDIT_USERSCOMMENT_YES")%></td>
													<td><input type='checkbox' name='sCreateThread' value='Y' <%If ( sCreateThread = "Y" ) Then Response.Write "checked" End If%>></td>
												</tR>
											</table>
											<%End If%>
											<%End If%>
										</td>
									</tr>
									<%End If%>
									
									<%If ( CStr(iDomainUnq) = Trim(CStr(iDomainName)) ) Then%>
									<tr>
										<td valign=top><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_ADD_PIMAGE")%></td>
										<td>
											<input TYPE='FILE' NAME='File1' SIZE=30>
											<%Call DisplayImageInfo()%>
										</td>
									</tr>
									<%If ( ( iThumbComponent = ASPIMAGE ) Or ( iThumbComponent = GFL ) Or ( iThumbComponent = PERSITS ) ) Then%>
									<tr>
										<td colspan=2>
											<table width=100% cellpadding = 0 cellspacing=0 border=0>
												<tr>
													<td valign=top><font color='<%=sTextColor%>'><b>
													<%
													If ( iThumbComponent = ASPIMAGE ) Then
														Response.Write Replace(DOMAIN_Text("GALLERY_IMAGES_ADD_AUTOTHUMB"), "1:", DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_THUMBNAIL_WIDTH", iDomainUnq))
													ElseIf ( iThumbComponent = GFL ) Then
														Response.Write Replace(DOMAIN_Text("GALLERY_IMAGES_ADD_AUTOTHUMB_GFL"), "1:", DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_THUMBNAIL_WIDTH", iDomainUnq))
														Response.Write "</b><font size=-2><BR>" & DOMAIN_Text("GALLERY_SUPPORTED_IMAGES_INCLUDE_GFL") & "&nbsp;"
														Response.Write GFL_Supported(sValidExtensions)
													ElseIf ( iThumbComponent = PERSITS ) Then
														Response.Write Replace(DOMAIN_Text("GALLERY_IMAGES_ADD_AUTOTHUMB"), "1:", DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_THUMBNAIL_WIDTH", iDomainUnq))
													End If
													%></td>
													<td><input type='checkbox' name='sAutoCreateThumbnail' value='Y' <%If ( sAutoCreateThumbnail = "Y" ) Then Response.Write "checked" End If%>></td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td valign=top><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_ADD_ORUPLOAD")%></td>
										<td>
											<input TYPE='FILE' NAME='ThumbnailFile' SIZE=30>
											<%Call DisplayImageInfo()%>
										</td>
									</tr>
									<%Else%>
									<tr>
										<td valign=top><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_ADD_THUMB")%></td>
										<td>
											<input TYPE='FILE' NAME='ThumbnailFile' SIZE=30>
											<%Call DisplayImageInfo()%>
										</td>
									</tr>
									<%End If%>
									<%Else%>
									<tr>
										<td colspan=2>
											<b><%=DOMAIN_Text("GALLERY_IMAGES_NOTONDOMAIN_NO_UPLOAD")%></b>
										</td>
									</tr>
									<%End If%>
									<%If ( bEZPrintsAccount ) And ( ACCNT_SpecificDomain("SB_IG_EZPRINTS_IMAGES", iDomainUnq) ) Then%>
									<tr>
										<td colspan=2>
											<br><br>
											<font color='<%=sTextColor%>'><b>Display EZPrints Links?
											<br>
											<table width=100% cellpadding=0 cellspacing=0 border=1>
												<tr>
													<td align=center valign=bottom><B>Display with just Prints</td>
													<td align=center valign=bottom><B>Display with just Gifts</td>
													<td align=center valign=bottom><B>Display with both</td>
													<td align=center valign=bottom><B>Display NO EZPrints links</td>
												</tr>
												<tr>
													<td align=center valign=bottom><B><input type='radio' name='bUseEZPrints' value='P'></td>
													<td align=center valign=bottom><B><input type='radio' name='bUseEZPrints' value='G'></td>
													<td align=center valign=bottom><B><input type='radio' name='bUseEZPrints' value='B'></td>
													<td align=center valign=bottom><B><input type='radio' name='bUseEZPrints' value='N' checked></td>
												</tr>
											</table>
										</td>
									</tr>
									<%End If%>

									<tr><td colspan=2><br><br></td></tr>
									<%If ( ACCNT_SpecificDomain("SB_IG_ADD_CR_2IMAGES", iDomainUnq) ) Then%>
									<tr><td colspan=2><font color='<%=sTextColor%>'><b><li><%=DOMAIN_Text("GALLERY_IMAGES_ADD_ADDCR")%></td></tr>
									<%End If%>
									<tr><td colspan=2><font color='<%=sTextColor%>'><b><li><%=DOMAIN_Text("GALLERY_IMAGES_ADD_ADDPRODS")%></td></tr>
									<%If ( ACCNT_SpecificDomain("SB_IG_ADD_PROD_2IMAGES", iDomainUnq) ) Then%>
									<tr><td colspan=2><font color='<%=sTextColor%>'><b><li><%=DOMAIN_Text("GALLERY_IMAGES_ADD_ADDLINKS")%></td></tr>
									<%End If%>
									<tr><td colspan=2><font color='<%=sTextColor%>'><b><li><%=DOMAIN_Text("GALLERY_IMAGES_ADD_ADDALTVIEWS")%></td></tr>
								</table>
								<br><br>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor2")%> align=center>
								<input type='image' src="../Images/SchemeBased/<%=iTextScheme%>/<%=iColorScheme%>/<%=DOMAIN_Text("GALLERY_IMAGES_ADD_IMAGE")%>" style="BORDER: none; vertical-align: sub;" onClick='document.NewImage.sAction.value="New"'>
							</td>
						</tr>
					</table>
					</td></tr></table>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the message boards in a drop-down list.				*
	'*																					*
	'************************************************************************************
	Sub DisplayMsgBoardDropDown()

		%>
		<select name='iConfUnq'>
			<%Call ConfUnqDropDown(iConfUnq, 0, iDomainUnq)%>
		</select>
		<%
		
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the categories in a drop-down list.					*
	'*																					*
	'************************************************************************************
	Sub ConfUnqDropDown(iConfUnq, iCurConfUnq, iDomainUnq)
		Dim sSQLText, rsMsgBoard, sType

		Set rsMsgBoard = Server.CreateObject("ADODB.recordset")
		sSQLText = "SELECT * FROM Conference (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " AND Parent = " & iCurConfUnq & " ORDER BY ColPosition"
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			If ( iConfLevel = 0 ) And ( iCurConfUnq = 0 ) Then
				Response.Write "<option value='0'>No Message Board</option>"
			End If
			While ( NOT rsMsgBoard.EOF )
				iCurConfUnq = rsMsgBoard("ConfUnq")
				sType		= Trim(UCase(rsMsgBoard("Type")))
				Select Case sType
					Case ""
						sType = "Message Board Type"
					Case "G"
						sType = "Gallery/Image Type"
					Case "N"
						sType = "News Article Type"
					Case "P"
						sType = "Poll Type"
				End Select
				If ( Trim(CStr(iConfUnq)) = CStr(iCurConfUnq) ) Then
					Response.Write "<option value='" & iCurConfUnq & "' Selected>" & String(iConfLevel, CHR(151)) & rsMsgBoard("Name") & " - (" & sType & ")</option>"
				Else
					Response.Write "<option value='" & iCurConfUnq & "'>" & String(iConfLevel, CHR(151)) & rsMsgBoard("Name") & " - (" & sType & ")</option>"
				End If
				iConfLevel = iConfLevel + 1
				Call ConfUnqDropDown(iConfUnq, iCurConfUnq, iDomainUnq)
				rsMsgBoard.MoveNext
				iConfLevel = iConfLevel - 1
			Wend
		Else
			If ( iConfLevel = 0 ) And ( iCurConfUnq = 0 ) Then
				Response.Write "<option value='0'>No Message Board</option>"
			End If
		End If
		rsMsgBoard.Close
		Set rsMsgBoard = Nothing

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub DisplayImageInfo()
		Response.Write "<font color='" & DOMAIN_Color("GalleriesTextColor1") & "' size=-2><br>"
		Response.Write DOMAIN_Text("GALLERY_IMAGES_ALTS_VALID_EXT") & sValidExtensions
		Response.Write DOMAIN_Text("GALLERY_IMAGES_ALTS_MAXSIZE")
		If ( iMaxFileSize = -1 ) Then
			Response.Write DOMAIN_Text("GALLERY_SUBMIT_UNLIMITED")
		Else
			Response.Write iMaxFileSize
		End If
		Response.Write DOMAIN_Text("GALLERY_IMAGES_ALTS_HD_LEFT")
		If ( iHDSpaceLeft = -1 ) Then
			Response.Write DOMAIN_Text("GALLERY_SUBMIT_UNLIMITED")
		Else
			Response.Write iHDSpaceLeft
		End If
		If ( iULLeft > 0 ) Then
			Response.Write Replace(DOMAIN_Text("GALLERY_IMAGES_ADD_ADDXMORE"), "1:", iULLeft)
		End If

	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function DispGalleryName()
	
		sSQLText = "SELECT Name FROM Galleries (NOLOCK) WHERE GalleryUnq = " & iGalleryUnq
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If (NOT rsImageGallery.EOF) Then
			DispGalleryName = rsImageGallery("Name")
		End If
		rsImageGallery.Close
	
	End Function
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	This writes the JavaScript out even if the Main() Sub isn't called in case the	*
	'*		admin has creation rights, but not edit rights.								*
	'*																					*
	'************************************************************************************
	Sub WriteScripts()
		%>
		<SCRIPT LANGUAGE=javascript>
		<!--
		
			function ReturnToMain(){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iGalleryUnq=<%=iGalleryUnq%>&iTtlNumItems=<%=iTtlNumItems%>&iDBLoc=<%=iDBLoc%>&iDomainUnq=<%=iDomainUnq%>";
			}
			
		-->
		</SCRIPT>
		<%
	End Sub
	'************************************************************************************
%>