<!--#INCLUDE FILE="../Includes/i_ImageGallery.asp"-->
<%
	Dim rsImageGallery, sSQLText, iDomainUnq, iDomainUnq2, bReferenceDomain
	Dim iThumbWidth, sThumbnail, sImage
	
	' this is the domain the admin was working on when they came to this page
		' iDomainUnq is the domain on which to reference the image - this is hardcoded into DOMAINS_DomainsDropDown()
		' iDomainUnq2 will be referenced in the top action for the Return button as iDomainUnq
	iDomainUnq2 = Trim(Request("iDomainUnq2"))
	If ( iDomainUnq2 = "" ) Then
		iDomainUnq2 = iDomainName
	End If
	iDomainUnq = Trim(Request("iDomainUnq"))
	If ( iDomainUnq = "" ) Then
		iDomainUnq = iDomainUnq2
	End If

	Response.Buffer = TRUE
	Call DISP_Action("SB_GALLERIES_ADMINOPEN")
	Call DISP_Action("SB_GALLERIES_MANAGE_IMAGES_REFERENCE")
	If   (ACCNT_AnyDomain("SB_IG_ADMIN_ALL")) Or _
	 	 (ACCNT_AnyDomain("SB_IG_CREATE_GALLERY")) Then
		
		If ( ACCNT_AnyDomain("SB_IG_REF_DOMAIN") ) Then
			bReferenceDomain = TRUE
		Else
			bReferenceDomain = FALSE
		End If
		If ( bReferenceDomain ) Or (ACCNT_AnyDomain("SB_IG_REF_GALLERY")) Then
			Call Main()
		Else
			Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
		End If
	Else
		Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_GALLERIES_ADMINCLOSE")
	Response.Flush
	

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSuccess, x, sDestinationUser, fldr, fso, sFileCur, sFileDest
		Dim iDestination, aData, bDomainAdmin, iPosition, iPrimaryG, iPrimaryD, iPos
		
		Set rsImageGallery	= Server.CreateObject("ADODB.recordset")
		sAction				= Trim(Request("sAction"))
		iImageUnq			= Trim(Request("iImageUnq"))
		iGalleryUnq			= Trim(Request("iGalleryUnq"))
		sAccountUnq			= G_ADMINISTRATION_GetGalleryOwner(iGalleryUnq)
		iThumbWidth			= DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_THUMBNAIL_WIDTH", iDomainUnq)
		
		sSQLText = "SELECT G.Name, I.Thumbnail, I.Image, I.ImageNum, I.Image2, I.Image3, I.Image4, I.Image5 FROM Images I (NOLOCK), Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE I.ImageUnq = " & iImageUnq & " AND IG.ImageUnq = " & iImageUnq & " AND IG.GalleryUnq = G.GalleryUnq"
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If (NOT rsImageGallery.EOF) Then
			sThumbnail	= Trim(rsImageGallery("Thumbnail"))
			sImage		= Trim(rsImageGallery("Image"))
		End If
		rsImageGallery.Close
		
		If ( iImageUnq <> "" ) Then
			Select Case sAction
				Case "AddReference"
					If ( ACCNT_SpecificDomain("SB_IG_REF_DOMAIN", iDomainUnq) ) Then
						bDomainAdmin = FALSE
						If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
							bDomainAdmin = TRUE
						End If
						aData = Split(Request("iDestinations"), ", ", -1, 1)
						For x = 0 to UBound(aData)
							' see if they can even reference galleries on the other domain that this image is referenced in
							If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, aData(x), "") Or bDomainAdmin ) Then
								' they are the owner of the gallery or the admin
								
								' get the position of the image in the new gallery
								sSQLText = "SELECT COUNT(*)+1 FROM ImagesInGallery WHERE GalleryUnq = " & aData(x) & " AND DomainUnq = " & iDomainUnq
								rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsImageGallery.EOF ) Then
									iPosition = rsImageGallery(0)
								Else
									iPosition = 1
								End If
								rsImageGallery.Close
								
								' get the primary gallery and domain
								sSQLText = "SELECT DISTINCT PrimaryG, PrimaryD FROM ImagesInGallery WHERE ImageUnq = " & iImageUnq
								rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsImageGallery.EOF ) Then
									iPrimaryG = rsImageGallery("PrimaryG")
									iPrimaryD = rsImageGallery("PrimaryD")
								End If
								rsImageGallery.Close
								
								' insert the new record
								DBConnection.Execute "INSERT INTO ImagesInGallery VALUES (" & iImageUnq & ", " & aData(x) & ", GetDate(), " & iDomainUnq & ", " & iPosition & ", " & iPrimaryG & ", " & iPrimaryD & ", 0, 0, 0, 0, 0)"
								
								If ( sSuccess = "" ) Then
									sSuccess = "Image successfully added to gallery or galleries."
									Call DOMAIN_Message(sSuccess, "SUCCESS")
								End If
							End If
						Next
					End If
					

				Case "RemoveReference"
					If ( ACCNT_SpecificDomain("SB_IG_REF_DOMAIN", iDomainUnq) ) Then
						bDomainAdmin = FALSE
						If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
							bDomainAdmin = TRUE
						End If
						aData = Split(Request("iSources"), ", ", -1, 1)
						For x = 0 to UBound(aData)
							' see if they can even reference galleries on the other domain that this image is referenced in
							If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, aData(x), "") Or bDomainAdmin ) Then
								' they are the owner of the gallery or the admin
								
								' Decrement (by 1) all ImageNum's AFTER the one we are removing from the gallery.
								sSQLText = "SELECT I.ImageUnq, IG.Position FROM Images I (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE IG.GalleryUnq = " & aData(x) & " AND I.ImageUnq = IG.ImageUnq AND IG.Position > (SELECT DISTINCT Position FROM ImagesInGallery (NOLOCK) WHERE ImageUnq = " & iImageUnq & " AND GalleryUnq = " & aData(x) & ") ORDER BY IG.Position"
								rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								While (NOT rsImageGallery.EOF)
									DBConnection.Execute "UPDATE ImagesInGallery SET Position = " & (rsImageGallery("Position") - 1) & " WHERE ImageUnq = " & rsImageGallery("ImageUnq") & " AND GalleryUnq = " & aData(x)
									rsImageGallery.MoveNext
								Wend
								rsImageGallery.Close
								
								DBConnection.Execute "DELETE FROM ImagesInGallery WHERE ImageUnq = " & iImageUnq & " AND GalleryUnq = " & aData(x)
								If ( sSuccess = "" ) Then
									sSuccess = "Image successfully removed from gallery or galleries."
									Call DOMAIN_Message(sSuccess, "SUCCESS")
								End If

							End If
						Next
					End If

			End Select
			
			If ( sError <> "" ) Then
				Call DOMAIN_Message(sError, "ERROR")
			End If
			
			Call WriteForm()
		Else
			Call DOMAIN_Message("Unable to load the image - missing ImageUnq.", "ERROR")
		End If
		Set rsImageGallery = Nothing
		
	End Sub
	'************************************************************************************

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sSQLText, sBGColor, sColor1, sColor2, iTempDN
		Dim iCurrGalleryUnq, iCurrGalleryName, bDispGallery
		Dim aReferencing, x, y, iTempGalleryUnq, bGalleryFound
		
		sBGColor = DOMAIN_Color("GalleriesPageBGColor")
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ReferenceImage.sAction.value = sAction;
				document.ReferenceImage.submit();
			}
			
		</script>
		
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td><br>
					When referencing images, please note:
					<ul>
						<li>If this image was linked to a message board, all referenced images will no longer have that link.
							You may re-enter new message board information on the image editing screen.
					</ul>
					<form name='ReferenceImage' action='Referencing.asp' method='post'>
					<%Call G_STRUCTURE_HeaderBar(DOMAIN_Text("GALLERY_IMAGES_REFERENCE_HEAD"), "", "", "Galleries")
					
					aVariables(0) = "sAction"
					aVariables(1) = "iTtlNumItems"
					aVariables(2) = "iDBLoc"
					aVariables(3) = "iImageUnq"
					aVariables(4) = "iGalleryUnq"
					aVariables(5) = "iDomainUnq2"
					aValues(0) = "MoveImage"
					aValues(1) = iTtlNumItems
					aValues(2) = iDBLoc
					aValues(3) = iImageUnq
					aValues(4) = iGalleryUnq
					aValues(5) = iDomainUnq2
					Response.Write DOMAIN_Link("P")
					%>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor='<%=DOMAIN_Color("GalleriesBorderColor1")%>'>
					<table cellpadding = 0 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor = <%=sBGColor%>>
								<table cellpadding = 5 cellspacing = 3 border = 1 bordercolor = <%=DOMAIN_Color("GalleriesBorderColor1")%> width = 100%>
									<tr>
										<td width=<%=iThumbWidth%> align=middle valign=top>
											<%
											sSQLText = "SET ROWCOUNT 1 SELECT G.GalleryUnq, G.AccountUnq, G.Domain, G.Name, IG.PrimaryG, IG.PrimaryD FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE IG.DomainUnq = G.Domain AND IG.GalleryUnq = G.GalleryUnq AND IG.ImageUnq = " & iImageUnq & " ORDER BY IG.DomainUnq, G.Name SET ROWCOUNT 0"
											rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
											If ( NOT rsImageGallery.EOF ) Then
												Call DispThumb( iImageUnq, rsImageGallery("GalleryUnq"), sAccountUnq, sThumbnail, rsImageGallery("PrimaryG"), rsImageGallery("PrimaryD") )
											End If
											rsImageGallery.Close
											%>
										</td>
										<td valign=top>
											<font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'>
											<%
											sSQLText = "SELECT G.GalleryUnq, G.AccountUnq, G.Domain, G.Name, IG.PrimaryG, IG.PrimaryD FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE IG.DomainUnq = G.Domain AND IG.GalleryUnq = G.GalleryUnq AND IG.ImageUnq = " & iImageUnq & " ORDER BY IG.DomainUnq, G.Name"
											rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
											If ( NOT rsImageGallery.EOF ) Then
												ReDim aReferencing(5, rsImageGallery.RecordCount)
												x = 0
												While ( NOT rsImageGallery.EOF ) 
													bDispGallery = FALSE
													If ( ACCNT_SpecificDomain("SB_IG_REF_DOMAIN", rsImageGallery("Domain")) ) Then
														' see if they can even reference galleries on the other domain that this image is referenced in
														If ( NOT ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", rsImageGallery("Domain")) ) Then
															' see if they are the owner of the gallery
															If ( CDbl(iLoginAccountUnq) = CDbl(rsImageGallery("AccountUnq")) ) Then
																bDispGallery = TRUE
															End If
														Else
															bDispGallery = TRUE
														End If
													End If
													If ( bDispGallery ) Then
														aReferencing(0,x) = rsImageGallery("GalleryUnq")
														aReferencing(1,x) = rsImageGallery("Domain")
														aReferencing(2,x) = Trim(rsImageGallery("Name"))
														aReferencing(3,x) = rsImageGallery("PrimaryG")
														aReferencing(4,x) = rsImageGallery("PrimaryD")
														If ( ( aReferencing(0,x) = aReferencing(3,x) ) And ( aReferencing(1,x) = aReferencing(4,x) ) ) Then
															' this is the primary gallery and domain
															Response.Write "<b>Original location (Gallery&#151;Domain): </b><br>"
															iTempDN = DOMAIN_Domain_Name(aReferencing(4,x))
															Response.Write "<a href='http://"
															Response.Write iTempDN
															Response.Write "/"
															Response.Write DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_SPATH", aReferencing(4,x))
															Response.Write "/ManageImages/Default.asp?iGalleryUnq="
															Response.Write aReferencing(3,x)
															Response.Write "' class='SmallNavPage' target='_new'>"
															Response.Write aReferencing(2,x)
															Response.Write "&#151;"
															Response.Write iTempDN
															Response.Write "</a><BR>"
														End If
														x = x + 1
													End If
													rsImageGallery.MoveNext
												Wend
												Response.Write "<br><b>Currently Referenced in these Galleries:</b><br>"
												Response.Write "<select name='iSources' multiple size=5>"
												For y = 0 to x - 1
													If ( ( aReferencing(0,y) = aReferencing(3,y) ) And ( aReferencing(1,y) = aReferencing(4,y) ) ) Then
														' skip it because it's the primary copy of the image
													Else
														Response.Write "<option value="""
														Response.Write aReferencing(0,y)
														Response.Write """>"
														Response.Write aReferencing(2,y)
														Response.Write "&#151;"
														Response.Write DOMAIN_Domain_Name(aReferencing(1,y))
														Response.Write "</option>"
													End If
												Next
												Response.Write "</select><br><br>"
												Response.Write "<center><input type='button' value=""Remove from Galleries"" onClick=""SubmitForm('RemoveReference');""></center>"
											Else
												Response.Write "<b>Error: Image not found!</b>"
											End If
											rsImageGallery.Close
											%>
										</td>
										<td valign=top>
											<table cellpadding=0 cellspacing=0 border=0>
												<%If ( bReferenceDomain ) Then%>
												<tr>
													<td valign=top>
														<font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'>
														<b>Domain:</b>
														<br>
														<%Call DOMAINS_DomainsDropDown("SB_IG_REF_DOMAIN", "SB_IG_REF_GALLERY", "")%>
													</td>
												</tr>
												<%End If%>
												<tr>
													<td valign=top>
														<br><br>
														<font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'>
														<%
														If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainName) ) Then
															sSQLText = "SELECT AccountUnq, GalleryUnq, Name FROM Galleries (NOLOCK) WHERE Domain = " & iDomainUnq
														Else
															sSQLText = "SELECT AccountUnq, GalleryUnq, Name FROM Galleries (NOLOCK) WHERE AccountUnq = " & iLoginAccountUnq & " AND Domain = " & iDomainUnq
														End If
														rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
														If ( ( NOT rsImageGallery.EOF ) ) Then
															Response.Write "<b>Galleries to display image in:</b><br>"
															Response.Write "<select name='iDestinations' multiple>"
															While ( NOT rsImageGallery.EOF )
																iTempGalleryUnq	= rsImageGallery("GalleryUnq")
																bGalleryFound	= FALSE
																For y = 0 to x - 1
																	If ( ( CDbl(aReferencing(0,y)) = CDbl(iTempGalleryUnq) ) And ( CDbl(aReferencing(1,y)) = CDbl(iDomainUnq) ) ) Then
																		bGalleryFound = TRUE
																		Exit For
																	End If
																Next
																If ( bGalleryFound = FALSE ) Then
																	' only display galleries that the image is NOT already in
																	%><option value="<%= iTempGalleryUnq %>"><%= rsImageGallery("Name") %></option><%
																End If
																rsImageGallery.MoveNext
															Wend
															rsImageGallery.Close
															Response.Write "</select>"
															Response.Write "<br><br>"
															Response.Write "<center><input type='button' value=""Add to Galleries"" onClick=""SubmitForm('AddReference');""></center>"
														Else
															Response.Write "No galleries to add to."
														End If
														%>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
					</td></tr></table>
					</form>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		<%
	End Sub
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub DispThumb( iImageUnq, iGalleryUnq, sAccountUnq, sThumbnail, iPrimaryG, iPrimaryD )
		
		%>
		<table cellpadding=0 cellspacing=0 border=0><tr>
			<td align=center bgcolor=<%=DOMAIN_Color("GalleriesBGColor1")%>>
				<table cellpadding=0 cellspacing=0 border=0 width=100% height=100%>
					<tr>
						<td colspan=3 align=center>
							<table cellpadding=0 cellspacing=0 border=0 width=<%=DOMAIN_Conf("IMAGEGALLERY_THUMBNAIL_WIDTH")%>>
								<tr><td colspan=3 bgcolor=<%=DOMAIN_Color("GalleriesBorderColor2")%>><img src = "/WS_Content/Images/Blank.gif" width=1 height=1></td></tr>
								<tr>
									<td bgcolor=<%=DOMAIN_Color("GalleriesBorderColor2")%>><img src = "/WS_Content/Images/Blank.gif" width=1 height=1></td>
									<%If ( CStr(iDomainUnq) = Trim(CStr(iDomainName)) ) Then%>
									<td><a href = '<%=sPath%>ImageDetail.asp?iGalleryUnq=<%=iGalleryUnq%>&iImageUnq=<%=iImageUnq%>' target='_blank'><img src = "<%=sPath%>Attachments/DispThumb.asp?sAccountUnq=<%=sAccountUnq%>&sThumbnail=<%=sThumbnail%>&iGalleryUnq=<%=iPrimaryG%>&iDomainUnq=<%=iPrimaryD%>" width=<%=DOMAIN_Conf("IMAGEGALLERY_THUMBNAIL_WIDTH")%> border=0></a></td>
									<%Else%>
									<td><a href = 'http://<%=DOMAIN_Domain_Name(iDomainUnq)%>/<%=DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_SPATH", iDomainUnq)%>/ImageDetail.asp?iGalleryUnq=<%=iGalleryUnq%>&iImageUnq=<%=iImageUnq%>' target='_blank'><img src = "http://<%=DOMAIN_Domain_Name(iDomainUnq)%>/<%=DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_SPATH", iDomainUnq)%>/Attachments/DispThumb.asp?sAccountUnq=<%=sAccountUnq%>&sThumbnail=<%=sThumbnail%>&iGalleryUnq=<%=iPrimaryG%>&iDomainUnq=<%=iPrimaryD%>" width=<%=DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_THUMBNAIL_WIDTH", iDomainUnq)%> border=0></a></td>
									<%End If%>
									<td bgcolor=<%=DOMAIN_Color("GalleriesBorderColor2")%>><img src = "/WS_Content/Images/Blank.gif" width=1 height=1></td>
								</tr>
								<tr><td colspan=3 bgcolor=<%=DOMAIN_Color("GalleriesBorderColor2")%>><img src = "/WS_Content/Images/Blank.gif" width=1 height=1></td></tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr></table>
		<%
	End Sub
	'************************************************************************************
%>