<!--#INCLUDE FILE="../Includes/i_MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, sTypeUnq, rsDB, sSQLText
	Dim iTtlNumItems, iDBLoc, iDataUnq, sDelDate
	Dim iActionAccountUnq, bSB_LOG_DELETE_2
	Dim Key1, Key2, Key3, Key4, Key5, Key6	' needed these global for the PrettyUpData function - some of the queries needed several keys at once

	Call DISP_Action("SB_MSGBOARD_ADMIN_OPEN")
	Call DISP_Action("SB_MSGBOARD_MANAGELOGS_DELETE")
	
	If   (ACCNT_AnyDomain("SB_LOG_DELETE_2")) Then
		Call Main()
	Else
		Call WriteScripts()
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_MSGBOARD_CLOSE_ADMIN")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSuccess, aData, x
		
		sAction = Trim(Request("sAction"))
		sTypeUnq = Trim(Request("sTypeUnq"))
		If ( sTypeUnq = "" ) Then
			sTypeUnq = "1"
		End If
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_LOG_DELETE_2", "", "")
		End If
		bSB_LOG_DELETE_2 = ACCNT_SpecificDomain("SB_LOG_DELETE_2", iDomainUnq)
		iActionAccountUnq = Trim(Request("iActionAccountUnq"))
		If ( NOT IsNumeric(iActionAccountUnq) ) Then
			iActionAccountUnq = ""
		End If
		sDelDate = Trim(Request("sDelDate"))
		
		Set rsDB = Server.CreateObject("ADODB.recordset")
		
		Select Case sAction
			Case "DeleteLogs"
				If ( sDelDate <> "" ) Then
					If ( NOT IsDate(sDelDate) ) Then
						sError = DOMAIN_Text("DOMAINS_LOGS_DEL_ENTERCORRECTDATE")
					End If
				End If
				If ( NOT bSB_LOG_DELETE_2 ) Then
					' get the SystemUnq of the TypeUnq to make sure it's one they have rights to
					sSQLText = "SELECT SystemUnq FROM LogTypes (NOLOCK) WHERE TypeUnq = " & sTypeUnq & " AND DomainUnq = " & iDomainUnq
					rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsDB.EOF ) Then
						If ( rsDB("SystemUnq") = 2 ) Then
							If ( NOT bSB_LOG_DELETE_2 ) Then
								sError = DOMAIN_Text("MSGBOARD_LOGS_NODELRIGHTS")
							End If
						Else
							sError = DOMAIN_Text("DOMAINS_LOGS_DEL_NOSYSTEM")
						End If
					Else
						sError = DOMAIN_Text("DOMAINS_LOGS_DEL_NOTYPE")
					End If
					rsDB.Close
				End If
				If ( sError = "" ) Then
					' no errors - delete all checked entries, and/or entries before (and including) sDelDate date
					If ( sDelDate <> "" ) Then
						' delete all entries before (and including) this date of this type on this domain
						DBConnection.Execute "DELETE FROM LogData WHERE DateChanged <= '" & DOMAIN_FormatDate(sDelDate, "L") & "' AND DomainUnq = " & iDomainUnq & " AND TypeUnq = " & sTypeUnq
					End If
					aData = Split(Request("sDelLog"), ", ", -1, 1)
					For x = 0 to UBound(aData)
						DBConnection.Execute "DELETE FROM LogData WHERE DataUnq = " & aData(x) & " AND DomainUnq = " & iDomainUnq & " AND TypeUnq = " & sTypeUnq
					Next
					sSuccess = DOMAIN_Text("DOMAINS_LOGS_DEL_SUCCESS")
				End If
		End Select
		
		' Pagination variables -- begin
		iNumPerPage = 20
		iTtlNumItems = CDbl(Request("iTtlNumItems"))
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		' must reset the position in the db and the ttlnumitems when changing the domain or system drop-down menu
		Select Case sAction
			Case "DeleteLogs"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "UpdateDomainUnq"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "UpdateTypeUnq"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "ChangeActionAccountUnq"
				iDBLoc = 0
				iTtlNumItems = 0
		End Select
		
		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			sSQLText = "SELECT COUNT(*) FROM LogData D (NOLOCK), LogTypes T (NOLOCK) WHERE D.DomainUnq = " & iDomainUnq & " AND D.DomainUnq = T.DomainUnq AND D.TypeUnq = " & sTypeUnq & " AND D.TypeUnq = T.TypeUnq AND T.SystemUnq = 2"
			If ( iActionAccountUnq <> "" ) Then
				sSQLText = sSQLText & " AND AccountUnq = " & iActionAccountUnq
			End If
			rsDB.Open sSQLText, DBConnection
			If Not(rsDB.EOF) Then
				iTtlNumItems = rsDB(0)
			End If
			rsDB.Close
		end if
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		Call WriteScripts()
		Call WriteForm()
		Set rsDB = Nothing
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim rsDB2, sTextColor, bChange, sSpacerColor
		Dim sBGColor, sLinkColor, x, iMax
		Dim sColor1, sColor2, sColor3, sColor4
		Dim sTable, sDB, sColumn
		Dim DataKey1, DataKey2, DataKey3, DataKey4, DataKey5, DataKey6
		Set rsDB2 = Server.CreateObject("ADODB.recordset")
		
		sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " "
		sSQLText = sSQLText & "SELECT * FROM LogData D (NOLOCK), LogTypes T (NOLOCK) WHERE D.DomainUnq = " & iDomainUnq & " AND D.DomainUnq = T.DomainUnq AND D.TypeUnq = " & sTypeUnq & " AND D.TypeUnq = T.TypeUnq AND T.SystemUnq = 2"
		If ( iActionAccountUnq <> "" ) Then
			sSQLText = sSQLText & " AND D.AccountUnq = " & iActionAccountUnq
		End If
		sSQLText = sSQLText & " ORDER BY D.Key1, D.Key2, D.Key3, D.Key4, D.Key5, D.Key6, D.DateChanged ASC SET ROWCOUNT 0"
		Set rsDB = CreateObject("ADODB.Recordset")
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("DomainsBGColor2")
		sTextColor = DOMAIN_Color("DomainsPageText")
		For x = 1 To CDbl(iDBLoc)
			rsDB.MoveNext
		Next
		iMax = iNumPerPage
		%>
		<form name='DeleteLogs' action='Delete.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("DomainsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("DOMAINS_LOGS_DEL_HEADER")%></b></font>
					<br>
					<table>
						<tr>
							<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("DOMAINS_ACTIONS_DOMAIN")%></b></font></td>
							<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("DOMAINS_LOGS_TYPE")%></b></font></td>
							<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("DOMAINS_LOGS_ACCNT_ID")%></b></font></td>
						</tr>
						<tr>
							<td>
								<%Call DOMAINS_DomainsDropDown("SB_LOG_DELETE_2", "", "")%>
							</td>
							<td>
								<select name = 'sTypeUnq' onChange='SubmitForm("UpdateTypeUnq");'>
									<%
									sTypeUnq = CDbl(sTypeUnq)
									sSQLText = "SELECT TypeUnq, Name FROM LogTypes (NOLOCK) WHERE SystemUnq = 2 AND DomainUnq = " & iDomainUnq & " ORDER BY Name"
									rsDB2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									While ( NOT rsDB2.EOF )
										If ( sTypeUnq = rsDB2("TypeUnq") ) Then
											Response.Write "<option value='" & rsDB2("TypeUnq") & "' Selected>" & rsDB2("Name") & "</option>"
										Else
											Response.Write "<option value='" & rsDB2("TypeUnq") & "'>" & rsDB2("Name") & "</option>"
										End If
										rsDB2.MoveNext
									Wend
									rsDB2.Close
									%>
								</select>
							</td>
							<td>
								<input type='text' name='iActionAccountUnq' value='<%=iActionAccountUnq%>' size=5 maxlength=10><input type='button' value='<%=DOMAIN_Text("DOMAINS_LOGS_UPDATE_ACCNT_ID")%>' onClick='SubmitForm("ChangeActionAccountUnq");'
							</td>
						</tr>
					</table>
					<%
					sSQLText = "SELECT * FROM LogTypes WHERE TypeUnq = " & sTypeUnq & " AND DomainUnq = " & iDomainUnq
					rsDB2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsDB2.EOF ) Then
					sTextColor = DOMAIN_Color("DomainsTextColor2")
					Key1 = Server.HTMLEncode(rsDB2("CharKey1Name"))
					Key2 = Server.HTMLEncode(rsDB2("IntKey2Name"))
					Key3 = Server.HTMLEncode(rsDB2("CharKey3Name"))
					Key4 = Server.HTMLEncode(rsDB2("IntKey4Name"))
					Key5 = Server.HTMLEncode(rsDB2("CharKey5Name"))
					Key6 = Server.HTMLEncode(rsDB2("IntKey6Name"))
					sTable = rsDB2("sTable")
					sDB = rsDB2("sDB")
					sColumn = rsDB2("sColumn")
					rsDB2.Close
					%>
					<table>
						<tr>
							<td>
								<b><%=DOMAIN_Text("DOMAINS_LOGS_DEL_DELUPTO")%>
								<input type='text' name='sDelDate' value='<%=sDelDate%>' size=10>
							</td>
						</tr>
					</table>
					<br>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td valign=bottom bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("DOMAINS_LOGS_USERDATE")%></b></td>
							<td bgcolor=<%=sBGColor%>></td>
							<td valign=bottom bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("DOMAINS_LOGS_ACTION")%></td>
							<td valign=bottom bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("DOMAINS_LOGS_DEL_DEL")%></td>
						</tr>
						<%
						sColor1 = DOMAIN_Color("DomainsBGColor2")
						sColor2 = DOMAIN_Color("DomainsTextColor2")
						sColor3 = DOMAIN_Color("DomainsBGColor1")
						sColor4 = DOMAIN_Color("DomainsTextColor1")
						While ( NOT rsDB.EOF )
							DataKey1 = Server.HTMLEncode(Trim(rsDB("Key1")))
							DataKey2 = Server.HTMLEncode(Trim(rsDB("Key2")))
							DataKey3 = Server.HTMLEncode(Trim(rsDB("Key3")))
							DataKey4 = Server.HTMLEncode(Trim(rsDB("Key4")))
							DataKey5 = Server.HTMLEncode(Trim(rsDB("Key5")))
							DataKey6 = Server.HTMLEncode(Trim(rsDB("Key6")))
							iDataUnq = rsDB("DataUnq")
							If ( bChange = TRUE ) Then
								sBGColor = sColor1
								sLinkColor = "MediumNavPage"
								sTextColor = sColor2
								sSpacerColor = sColor3
							Else
								sBGColor = sColor3
								sLinkColor = "MediumNav1"
								sTextColor = sColor4
								sSpacerColor = sColor1
							End If
							%>
							<tr>
								<td valign=top bgcolor=<%=sBGColor%>>
									<font size=-2 color='<%=sTextColor%>'><%=ACCNT_UserName(rsDB("AccountUnq"))%><br><%=rsDB("DateChanged")%>
								</td>
								<%If ( Trim(UCase(rsDB("Type"))) = "V" ) Or ( ( Len(Trim(rsDB("VarCharData"))) <= 255 ) And ( Len(Trim(rsDB("VarCharData"))) > 0 ) ) Then%>
								<td valign=top bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("DOMAINS_LOGS_LOG_DATA")%></b> <input type='text' name='VarCharData' value="<%=Server.HTMLEncode(PrettyUpLog(rsDB("VarCharData")))%>" size=52 onFocus="this.blur()"></td>
								<%Else%>
								<%If ( Len(Trim(rsDB("TextData"))) < 100 ) Then%>
								<td valign=top bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("DOMAINS_LOGS_LOG_DATA")%></b> <input type='text' name='TextData' value="<%=Server.HTMLEncode(PrettyUpLog(rsDB("TextData")))%>" size=52 onFocus="this.blur()"></td>
								<%Else%>
								<td valign=top bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><a href='javascript:PopupDetails("<%=iDataUnq%>")' class='<%=sLinkColor%>'><%=DOMAIN_Text("DOMAINS_LOGS_CLICKVIEW")%></a></td>
								<%End If%>
								<%End If%>
								<td valign=top align=center bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DispAction(rsDB("Action"))%></b></td>
								<td valign=top align=center bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><input type='checkbox' name='sDelLog' value='<%=iDataUnq%>'></td>
							</tr>
							<%If ( Key1 <> "" ) Then%>
							<tr>
								<td bgcolor=<%=sBGColor%> align=right>
									<font size=-2 color='<%=sTextColor%>'><b>
									<%=Key1%>:
									</b></font>
								</td>
								<td colspan=3 valign=top bgcolor=<%=sBGColor%>>
									<input type='text' name='VarCharData' value="<%=DataKey1%>" size=73' onFocus="this.blur()">
								</td>
							</tr>
							<%End If
							If ( Key2 <> "" ) Then%>
							<tr>
								<td bgcolor=<%=sBGColor%> align=right>
									<font size=-2 color='<%=sTextColor%>'><b>
									<%=Key2%>:
									</b></font>
								</td>
								<td colspan=3 valign=top bgcolor=<%=sBGColor%>>
									<font size=-2 color='<%=sTextColor%>'>
									<%=PrettyUpData(DataKey2, Key2)%>
									</font>
								</td>
							</tr>
							<%End If
							If ( Key3 <> "" ) Then%>
							<tr>
								<td bgcolor=<%=sBGColor%> align=right>
									<font size=-2 color='<%=sTextColor%>'><b>
									<%=Key3%>:
									</b></font>
								</td>
								<td colspan=3 valign=top bgcolor=<%=sBGColor%>>
									<input type='text' name='VarCharData' value="<%=DataKey3%>" size=73' onFocus="this.blur()">
								</td>
							</tr>
							<%End If
							If ( Key4 <> "" ) Then%>
							<tr>
								<td bgcolor=<%=sBGColor%> align=right>
									<font size=-2 color='<%=sTextColor%>'><b>
									<%=Key4%>:
									</b></font>
								</td>
								<td colspan=3 valign=top bgcolor=<%=sBGColor%>>
									<font size=-2 color='<%=sTextColor%>'>
									<%=PrettyUpData(DataKey4, Key4)%>
									</font>
								</td>
							</tr>
							<%End If
							If ( Key5 <> "" ) Then%>
							<tr>
								<td bgcolor=<%=sBGColor%> align=right>
									<font size=-2 color='<%=sTextColor%>'><b>
									<%=Key5%>:
									</b></font>
								</td>
								<td colspan=3 valign=top bgcolor=<%=sBGColor%>>
									<input type='text' name='VarCharData' value="<%=DataKey5%>" size=73' onFocus="this.blur()">
								</td>
							</tr>
							<%End If
							If ( Key6 <> "" ) Then%>
							<tr>
								<td bgcolor=<%=sBGColor%> align=right>
									<font size=-2 color='<%=sTextColor%>'><b>
									<%=Key6%>:
									</b></font>
								</td>
								<td colspan=3 valign=top bgcolor=<%=sBGColor%>>
									<font size=-2 color='<%=sTextColor%>'>
									<%=PrettyUpData(DataKey6, Key6)%>
									</font>
								</td>
							</tr>
							<%End If
							rsDB.MoveNext
							If ( rsDB.EOF ) Then
								' print out the current value for this last log entry
								Call PrintLastEntry(Key1,Key2,Key3,Key4,Key5,Key6,DataKey1,DataKey2,DataKey3,DataKey4,DataKey5,DataKey6, sTable, sDB, sColumn, sBGColor, sTextColor, sLinkColor)
								If ( bChange = TRUE ) Then
									bChange = FALSE
								Else
									bChange = TRUE
								End If
							Else
								' if any of the data is changed, print out the current value for this last log entry
								If ( DataKey1 <> Server.HTMLEncode(Trim(rsDB("Key1"))) ) Or ( DataKey2 <> Server.HTMLEncode(Trim(rsDB("Key2"))) ) Or ( DataKey3 <> Server.HTMLEncode(Trim(rsDB("Key3"))) ) Or ( DataKey4 <> Server.HTMLEncode(Trim(rsDB("Key4"))) ) Or ( DataKey5 <> Server.HTMLEncode(Trim(rsDB("Key5"))) ) Or ( DataKey6 <> Server.HTMLEncode(Trim(rsDB("Key6"))) ) Then
									Call PrintLastEntry(Key1,Key2,Key3,Key4,Key5,Key6,DataKey1,DataKey2,DataKey3,DataKey4,DataKey5,DataKey6, sTable, sDB, sColumn, sBGColor, sTextColor, sLinkColor)
									If ( bChange = TRUE ) Then
										bChange = FALSE
									Else
										bChange = TRUE
									End If
								End If
							End If
							%>
							<tr><td colspan=4 bgcolor=<%=sSpacerColor%>><img src='/WS_Content/Images/Blank.gif' width=10 height=1></td></tr>
							<%
						Wend
						%>
						<tr>
							<td colspan=11 align=right>
								<%Call PrintRecordsetNav( iNumPerPage, "DBConnection", "Domains", "", "Delete.asp", "sTypeUnq=" & sTypeUnq )%>
							</td>
						</tr>
						<tr>
							<td colspan=11>
								<font size=-2>
								<%=DOMAIN_Text("DOMAINS_LOGS_FOOTER")%>
							</td>
						</tr>
					</table>
					<%
					End If%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
		Set rsDB2 = Nothing
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This makes the Log Databetter looking.											*
	'*																					*
	'************************************************************************************
	Function PrettyUpLog(sLogData)
		Dim sTemp
	
		PrettyUpLog = sLogData
		Select Case sTypeUnq
			Case 72,73	' Board Account Locking / Board Group Locking
				Select Case Trim(UCase(sLogData))
					Case "L"
						PrettyUpLog = DOMAIN_Text("MSGBOARD_LOGS_V_LISTING")
					Case "V"
						PrettyUpLog = DOMAIN_Text("MSGBOARD_LOGS_LIST_THREAD")
					Case "C"
						PrettyUpLog = DOMAIN_Text("MSGBOARD_LOGS_LIST_CHILD")
					Case "CV"
						PrettyUpLog = DOMAIN_Text("MSGBOARD_LOGS_VIEW_ALL")
					Case Else
						PrettyUpLog = DOMAIN_Text("MSGBOARD_LOGS_VIEW_NOTHING")
				End Select
			Case 70	' Board Moderating Assignments
				sTemp = ACCNT_UserName(sLogData)
				If ( sTemp = "" ) Then
					PrettyUpLog = DOMAIN_Text("DOMAINS_LOGS_POSDELETED") & sLogData
				Else
					PrettyUpLog = "**AccountUnq Data: " & sLogData
					PrettyUpLog = PrettyUpLog & " - Current Account: " & Server.HTMLEncode(sTemp)
				End If
			Case 128	' Board Parent
				sTemp = Trim(GetBoardName(sLogData, iDomainUnq))
				If ( sTemp = "" ) Then
					PrettyUpLog = DOMAIN_Text("DOMAINS_LOGS_POSDELETED") & sLogData
				Else
					PrettyUpLog = "**ConfUnq Data: " & sLogData
					PrettyUpLog = PrettyUpLog & " - Current Conference: " & Server.HTMLEncode(sTemp)
				End If
			Case 64, 65	' Message Account Locking / Message Group Locking
				Select Case Trim(UCase(sLogData))
					Case "V"
						PrettyUpLog = DOMAIN_Text("MSGBOARD_LOGS_V_MSG")
					Case "R"
						PrettyUpLog = DOMAIN_Text("MSGBOARD_LOGS_V_MSG_REPLY")
					Case "E"
						PrettyUpLog = DOMAIN_Text("MSGBOARD_LOGS_V_MSG_RPY_EDIT")
					Case Else
						PrettyUpLog = DOMAIN_Text("MSGBOARD_LOGS_V_NOTHING")
				End Select
			Case 126	' Message Approval
				If ( sLogData = "Y" ) Then
					PrettyUpLog = DOMAIN_Text("MSGBOARD_LOGS_APPROVED")
				Else
					PrettyUpLog = DOMAIN_Text("MSGBOARD_LOGS_REJECTED")
				End If
		End Select
		
	End Function
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*	This makes the data better looking - depending on what kind of data it is.		*
	'*																					*
	'************************************************************************************
	Function PrettyUpData(sData, ByVal sKey)
		Dim sTemp, sSQLText, rsDB
	
		sKey = UCase(sKey)
		Select Case sKey
			Case "DOMAINUNQ"
				sTemp = DOMAIN_Domain_Name(sData)
				If ( sTemp = "" ) Then
					PrettyUpData = "<font size=-2><i>" & DOMAIN_Text("DOMAINS_LOGS_POSDELETED") & sData & "</i></font><BR>"
				Else
					PrettyUpData = DOMAIN_Text("DOMAINS_LOGS_D_DATA") & sData
					PrettyUpData = PrettyUpData & DOMAIN_Text("DOMAINS_LOGS_CURDOMAIN") & Server.HTMLEncode(sTemp) & "<BR>"
				End If
			Case "SYSTEMUNQ"
				Set rsDB = Server.CreateObject("ADODB.recordset")
				sSQLText = "SELECT SystemConst FROM Systems (NOLOCK) WHERE SystemUnq = " & sData
				rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDB.EOF ) Then
					PrettyUpData = DOMAIN_Text("DOMAINS_LOGS_S_DATA") & sData
					PrettyUpData = PrettyUpData & DOMAIN_Text("DOMAINS_LOGS_CURSYSTEM") & rsDB("SystemConst") & "<BR>"
				Else
					PrettyUpData = "<font size=-2><i>" & DOMAIN_Text("DOMAINS_LOGS_POSDELETED") & sData & "</i></font><BR>"
				End If
				rsDB.Close
				Set rsDB = Nothing
			Case "SERVERUNQ"
				Set rsDB = Server.CreateObject("ADODB.recordset")
				sSQLText = "SELECT ServerName FROM Servers (NOLOCK) WHERE ServerUnq = " & sData
				rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDB.EOF ) Then
					PrettyUpData = DOMAIN_Text("DOMAINS_LOGS_SERVER_DATA") & sData
					PrettyUpData = PrettyUpData & DOMAIN_Text("DOMAINS_LOGS_CURSERVER") & rsDB("ServerName") & "<BR>"
				Else
					PrettyUpData = "<font size=-2><i>" & DOMAIN_Text("DOMAINS_LOGS_POSDELETED") & sData & "</i></font><BR>"
				End If
				rsDB.Close
				Set rsDB = Nothing
			Case "ACCOUNTUNQ"
				sTemp = ACCNT_UserName(sData)
				If ( sTemp = "" ) Then
					PrettyUpData = "<font size=-2><i>" & DOMAIN_Text("DOMAINS_LOGS_POSDELETED") & sData & "</i></font><BR>"
				Else
					PrettyUpData = DOMAIN_Text("DOMAINS_LOGS_A_DATA") & sData
					PrettyUpData = PrettyUpData & DOMAIN_Text("DOMAINS_LOGS_CURACCOUNT") & Server.HTMLEncode(sTemp) & "<BR>"
				End If
			Case "LISTUNQ"
				Set rsDB = Server.CreateObject("ADODB.recordset")
				sSQLText = "SELECT ListName FROM MailingLists (NOLOCK) WHERE ListUnq = " & sData & " AND DomainUnq = " & iDomainName
				rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDB.EOF ) Then
					PrettyUpData = DOMAIN_Text("DOMAINS_LOGS_L_DATA") & sData
					PrettyUpData = PrettyUpData & DOMAIN_Text("DOMAINS_LOGS_CURML") & rsDB("ListName") & "<BR>"
				Else
					PrettyUpData = "<font size=-2><i>" & DOMAIN_Text("DOMAINS_LOGS_POSDELETED") & sData & "</i></font><BR>"
				End If
				rsDB.Close
				Set rsDB = Nothing
			Case "GROUPUNQ"
				Set rsDB = Server.CreateObject("ADODB.recordset")
				sSQLText = "SELECT Name FROM Groups (NOLOCK) WHERE GroupUnq = " & sData & " AND DomainUnq = " & iDomainName
				rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDB.EOF ) Then
					PrettyUpData = DOMAIN_Text("DOMAINS_LOGS_G_DATA") & sData
					PrettyUpData = PrettyUpData & DOMAIN_Text("DOMAINS_LOGS_CURGROUP") & rsDB("Name") & "<BR>"
				Else
					PrettyUpData = "<font size=-2><i>" & DOMAIN_Text("DOMAINS_LOGS_POSDELETED") & sData & "</i></font><BR>"
				End If
				rsDB.Close
				Set rsDB = Nothing
			Case "CONFUNQ"
				sTemp = Trim(GetBoardName(sData, iDomainUnq))
				If ( sTemp <> "" ) Then
					PrettyUpData = DOMAIN_Text("MSGBOARD_LOGS_CONFUNQ_DATA") & sData
					PrettyUpData = PrettyUpData & DOMAIN_Text("MSGBOARD_LOGS_CUR_CONF") & sTemp & "<BR>"
				Else
					PrettyUpData = "<font size=-2><i>" & DOMAIN_Text("DOMAINS_LOGS_POSDELETED") & sData & "</i></font><BR>"
				End If
			Case "THREADUNQ"
				Set rsDB = Server.CreateObject("ADODB.recordset")
				sSQLText = "SELECT Subject FROM Message (NOLOCK) WHERE ConfUnq = " & Key2 & " AND ThreadUnq = " & sData & " AND MsgUnq = 1"
				rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDB.EOF ) Then
					PrettyUpData = DOMAIN_Text("MSGBOARD_LOGS_THREAD_DATA") & sData
					PrettyUpData = PrettyUpData & DOMAIN_Text("MSGBOARD_LOGS_CUR_THREAD") & rsDB("Subject") & "<BR>"
				Else
					PrettyUpData = "<font size=-2><i>" & DOMAIN_Text("DOMAINS_LOGS_POSDELETED") & sData & "</i></font><BR>"
				End If
				rsDB.Close
				Set rsDB = Nothing
			Case "MSGUNQ"
				Set rsDB = Server.CreateObject("ADODB.recordset")
				sSQLText = "SELECT Subject FROM Message (NOLOCK) WHERE ConfUnq = " & Key2 & " AND ThreadUnq = " & Key4 & " AND MsgUnq = " & sData
				rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDB.EOF ) Then
					PrettyUpData = DOMAIN_Text("MSGBOARD_LOGS_MSG_DATA") & sData
					PrettyUpData = PrettyUpData & DOMAIN_Text("MSGBOARD_LOGS_CUR_MSG") & rsDB("Subject") & "<BR>"
				Else
					PrettyUpData = "<font size=-2><i>" & DOMAIN_Text("DOMAINS_LOGS_POSDELETED") & sData & "</i></font><BR>"
				End If
				rsDB.Close
				Set rsDB = Nothing
			Case Else
				PrettyUpData = sData & "<BR>"
		End Select

	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Returns the expanded text for the action.										*
	'*																					*
	'************************************************************************************
	Function DispAction(ByVal sAction)
		Select Case Trim(UCase(sAction))
			Case "D"
				DispAction = DOMAIN_Text("DOMAINS_LOGS_DELETION")
			Case "I"
				DispAction = DOMAIN_Text("DOMAINS_LOGS_INSERTION")
			Case "U"
				DispAction = DOMAIN_Text("DOMAINS_LOGS_UPDATE")
		End Select
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Displays the current version of the data.										*
	'*																					*
	'************************************************************************************
	Sub PrintLastEntry(Key1,Key2,Key3,Key4,Key5,Key6,DataKey1,DataKey2,DataKey3,DataKey4,DataKey5,DataKey6, sTable, sDB, sColumn, sBGColor, sTextColor, sLinkColor)
		Dim sSQLText, rsEntry, sEntry, sTemp
		
		If ( DataKey2 = "" ) Then
			DataKey2 = "0"
		End If
		If ( DataKey4 = "" ) Then
			DataKey4 = "0"
		End If
		If ( DataKey6 = "" ) Then
			DataKey6 = "0"
		End If
		If ( Key1 <> "" ) Then
			sTemp = Key1 & " = '" & SQLEncode(DataKey1) & "' AND "
		End If
		If ( Key2 <> "" ) Then
			sTemp = sTemp & Key2 & " = " & SQLEncode(DataKey2) & " AND "
		End If
		If ( Key3 <> "" ) Then
			sTemp = sTemp & Key3 & " = '" & SQLEncode(DataKey3) & "' AND "
		End If
		If ( Key4 <> "" ) Then
			sTemp = sTemp & Key4 & " = " & SQLEncode(DataKey4) & " AND "
		End If
		If ( Key5 <> "" ) Then
			sTemp = sTemp & Key5 & " = '" & SQLEncode(DataKey5) & "' AND "
		End If
		If ( Key6 <> "" ) Then
			sTemp = sTemp & Key6 & " = " & SQLEncode(DataKey6)
		End If
		If ( Right(sTemp, 5) = " AND " ) Then
			sTemp = Left(sTemp, Len(sTemp) - 5)
		End If

		Set rsEntry = Server.CreateObject("ADODB.recordset")
		sSQLText = "SELECT " & sColumn & " FROM " & sTable & " (NOLOCK) WHERE " & sTemp
'response.write sSQLText & "<BR>"
'response.write sTypeUnq & "<BR>"

		rsEntry.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsEntry.EOF ) Then
			If ( NOT IsNull(rsEntry(sColumn)) ) Then
				sEntry = Server.HTMLEncode(rsEntry(sColumn))
				If ( Len(sEntry) > 255 ) Then
					sEntry = "<a href='javascript:PopupCurrent(""" & iDataUnq & """, """ & sColumn & """)' class='" & sLinkColor & "'>" & DOMAIN_Text("DOMAINS_LOGS_CURDATA") & "</a>"
				Else
					Select Case sTypeUnq
						Case 72,73	' Board Account Locking / Board Group Locking
							Select Case Trim(UCase(sEntry))
								Case "L"
									sEntry = DOMAIN_Text("MSGBOARD_LOGS_V_LISTING")
								Case "V"
									sEntry = DOMAIN_Text("MSGBOARD_LOGS_LIST_THREAD")
								Case "C"
									sEntry = DOMAIN_Text("MSGBOARD_LOGS_LIST_CHILD")
								Case "CV"
									sEntry = DOMAIN_Text("MSGBOARD_LOGS_VIEW_ALL")
								Case Else
									sEntry = DOMAIN_Text("MSGBOARD_LOGS_VIEW_NOTHING")
							End Select
						Case 64, 65	' Message Account Locking / Message Group Locking
							Select Case Trim(UCase(sEntry))
								Case "V"
									sEntry = DOMAIN_Text("MSGBOARD_LOGS_V_MSG")
								Case "R"
									sEntry = DOMAIN_Text("MSGBOARD_LOGS_V_MSG_REPLY")
								Case "E"
									sEntry = DOMAIN_Text("MSGBOARD_LOGS_V_MSG_RPY_EDIT")
								Case Else
									sEntry = DOMAIN_Text("MSGBOARD_LOGS_V_NOTHING")
							End Select
						Case 126	' Message Approval
							If ( sEntry = "Y" ) Then
								sEntry = DOMAIN_Text("MSGBOARD_LOGS_APPROVED")
							Else
								sEntry = DOMAIN_Text("MSGBOARD_LOGS_REJECTED")
							End If
					End Select
				End If
				sEntry = "**" & sEntry
			End If
		Else
			sEntry = DOMAIN_Text("DOMAINS_LOGS_NODATA")
		End If
		rsEntry.Close
		Set rsEntry = Nothing
		%>
		<tr>
			<td bgcolor=<%=sBGColor%> align=right>
				<font color='<%=sTextColor%>'><b>
				<%=DOMAIN_Text("DOMAINS_LOGS_CUR_DATA")%>
				</b>
			</td>
			<td colspan=3 valign=top bgcolor=<%=sBGColor%>>
				<font size=-2 color='<%=sTextColor%>'>
				<%=sEntry%>
				</font>
			</td>
		</tr>
		<%

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This writes the JavaScript out even if the Main() Sub isn't called in case the	*
	'*		admin has creation rights, but not edit rights.								*
	'*																					*
	'************************************************************************************
	Sub WriteScripts()
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.DeleteLogs.sAction.value = sAction;
				document.DeleteLogs.submit();
			}
			
			function PaginationLink(sQueryString){
				document.location = "Delete.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=" + document.DeleteLogs.iDomainUnq.value + sQueryString;
			}
			
			function PopupDetails(sDataUnq){
				window.open("PopupDetails.asp?sDataUnq=" + sDataUnq,"","scrollbars,resizable=yes");
			}
			
			function PopupCurrent(sDataUnq, sColumn){
				window.open("PopupCurrent.asp?sTypeUnq=<%=sTypeUnq%>&iDomainUnq=<%=iDomainUnq%>&sDataUnq=" + sDataUnq + "&sColumn=" + sColumn,"","scrollbars,resizable=yes");
			}
			
		</script>
		<%
	End Sub
	'************************************************************************************

	
	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		Else
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & "')"" class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & "')""  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("DomainsPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & "')""  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & "')""  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & "')""  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>