<!--#INCLUDE FILE="../Includes/i_MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<%
	Response.Buffer = TRUE
	Dim sSQLText, rsDB
	Dim bAllUsers, rsMsgBoard, bNonMembers
	
	Dim iTtlNumItems, iDBLoc
	
	Call DISP_Action("SB_MSGBOARD_ADMIN_OPEN")
	Call DISP_Action("SB_MSGBOARD_MANAGETHREADLOCKING_USERS")
	Call Main()
	Call DISP_Action("SB_MSGBOARD_CLOSE_ADMIN")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, bOldAllUsers, bOldNonMembers, sOldViewable, sViewable
		Dim sRadio, sSuccess, sAccountUnq
	
		iConfUnq = Trim(Request("iConfUnq"))
		If ( iConfUnq = "" ) Then
			Call DOMAIN_Message(DOMAIN_Text("MSGBOARD_BOARDLOCKING_MISSING_CONFUNQ"), "ERROR")
		Else
			iThreadUnq = Trim(Request("iThreadUnq"))
			If ( iThreadUnq = "" ) Then
				Call DOMAIN_Message(DOMAIN_Text("MSGBOARD_THREADLOCKING_MISSING_THREADUNQ"), "ERROR")
			Else
				Set rsDB = CreateObject("ADODB.Recordset")
				Set rsMsgBoard = CreateObject("ADODB.Recordset")
				sAction = Request("sAction")
				
				' Pagination variables -- begin
				iNumPerPage = 40
				iTtlNumItems = CDbl(Request("iTtlNumItems"))
				If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
					iDBLoc = 0
				Else
					iDBLoc = CDbl(Request("iDBLoc"))
					If (iDBLoc<0) Then
						iDBLoc = 0
					End If
				End If
		
				' Get ttl num of items from the database if it's not already in the QueryString
				if (iTtlNumItems = 0) then
					sSQLText = "SELECT DISTINCT COUNT(*) FROM Accounts A (NOLOCK) LEFT OUTER JOIN AccountDomainMap M (NOLOCK) ON A.AccountUnq = M.AccountUnq WHERE M.DomainUnq IS NULL OR M.DomainUnq = -2 OR (M.DomainUnq = -1 AND A.HomeDomain = " & iDomainName & ") OR A.HomeDomain = " & iDomainName
					rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If Not(rsDB.EOF) Then
						iTtlNumItems = rsDB(0)
					End If
					rsDB.Close
				end if
				' Pagination variables -- end
		
				sSuccess = ""
				Select Case sAction
					Case "SetAccounts"
						' make sure they have rights to edit this board
						If ( ACCNT_SpecificDomain("SB_MB_BOARDS", iDomainName) Or ACCNT_SpecificDomain("SB_MB_ADMIN", iDomainName) Or IsAdmin(iConfUnq, iLoginAccountUnq) ) Then
							bOldAllUsers	= Trim(Request("bOldAllUsers"))
							bAllUsers		= Trim(Request("bAllUsers"))
							bNonMembers		= Trim(Request("bNonMembers"))
							bOldNonMembers	= Trim(Request("bOldNonMembers"))
							If ( bAllUsers <> bOldAllUsers ) Then
								' log the change - the deletion - before doing anything, or we'll just get the new stuff
								sSQLText = "SELECT Status FROM LockedAccounts (NOLOCK) WHERE AccountUnq = -1 AND ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = 0"
								rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								While ( NOT rsMsgBoard.EOF ) 
									Call DOMAIN_Log(64, "-1", iConfUnq, "", iThreadUnq, "", 0, "V", "D", rsMsgBoard("Status"), "")
									rsMsgBoard.MoveNext
								Wend
								rsMsgBoard.Close
								' log the change - the insert
								Call DOMAIN_Log(64, "-1", iConfUnq, "", iThreadUnq, "", 0, "V", "I", bAllUsers, "")
								' delete it regardless, in case they already submitted this form
								DBConnection.Execute "DELETE FROM LockedAccounts WHERE AccountUnq = -1 AND ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = 0"
								DBConnection.Execute "INSERT INTO LockedAccounts VALUES (" & iConfUnq & ", " & iThreadUnq & ", 0, -1, '" & bAllUsers & "')"
								Call DOMAIN_Message(DOMAIN_Text("MSGBOARD_BOARDLOCKING_GLOBAL_SUCCESS"), "SUCCESS")
							End If
							If ( bNonMembers <> bOldNonMembers ) Then	' change the status of this thread for nonmembers
								' log the change - the deletion - before doing anything, or we'll just get the new stuff
								sSQLText = "SELECT Status FROM LockedNonMember (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = 0"
								rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsMsgBoard.EOF ) Then
									Call DOMAIN_Log(130, "", iConfUnq, "", iThreadUnq, "", 0, "V", "D", rsMsgBoard("Status"), "")
								End If
								rsMsgBoard.Close
								' log the change - the insert
								Call DOMAIN_Log(130, "", iConfUnq, "", iThreadUnq, "", 0, "V", "I", bNonMembers, "")
								' delete it regardless, in case they already submitted this form
								DBConnection.Execute "DELETE FROM LockedNonMember WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = 0"
								DBConnection.Execute "INSERT INTO LockedNonMember VALUES (" & iConfUnq & ", " & iThreadUnq & ", 0, '" & bNonMembers & "')"
								Call DOMAIN_Message(DOMAIN_Text("MSGBOARD_BOARDLOCKING_NONMMBR_GLOBAL_SUCCESS"), "SUCCESS")
							End If
				            For Each sRadio In Request.Form
				            	If ( InStr(sRadio, "sAccountUnq") > 0 ) Then
				            		sAccountUnq = Trim(Request(sRadio))
									sOldViewable = Trim(Request("sOldViewable" & sAccountUnq))
									sViewable = Trim(Request("sViewable" & sAccountUnq))
									If ( sOldViewable <> sViewable ) Then
										' log the change - the deletion - before doing anything, or we'll just get the new stuff
										sSQLText = "SELECT Status FROM LockedAccounts (NOLOCK) WHERE AccountUnq = " & sAccountUnq & " AND ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = 0"
										rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
										While ( NOT rsMsgBoard.EOF ) 
											Call DOMAIN_Log(64, sAccountUnq, iConfUnq, "", iThreadUnq, "", 0, "V", "D", rsMsgBoard("Status"), "")
											rsMsgBoard.MoveNext
										Wend
										rsMsgBoard.Close
										' log the change - the insert
										Call DOMAIN_Log(64, sAccountUnq, iConfUnq, "", iThreadUnq, "", 0, "V", "I", sViewable, "")
										' delete it regardless, in case they already submitted the form
										DBConnection.Execute "DELETE FROM LockedAccounts WHERE AccountUnq = " & sAccountUnq & " AND ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = 0"
										DBConnection.Execute "INSERT INTO LockedAccounts VALUES (" & iConfUnq & ", " & iThreadUnq & ", 0," & sAccountUnq & ", '" & sViewable & "')"
										If ( sSuccess = "" ) Then
											sSuccess = "T"
											Call DOMAIN_Message(DOMAIN_Text("MSGBOARD_BOARDLOCKING_SAVED_SUCCESS"), "SUCCESS")
										End If
									End If
				            	End If
				            Next
						End If
				End Select
				
				Call WriteForm()
				Set rsDB = Nothing
			End If
		End If
	End Sub
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, sTextColor, x, iMax, sLogin, sAccountUnq
		Dim rsMsgBoard2, bCanView, bYesGroup, bTemp, sTempThreadName
		
		sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT DISTINCT A.AccountUnq, A.Login FROM Accounts A (NOLOCK) LEFT OUTER JOIN AccountDomainMap M (NOLOCK) ON A.AccountUnq = M.AccountUnq WHERE M.DomainUnq IS NULL OR M.DomainUnq = -2 OR (M.DomainUnq = -1 AND A.HomeDomain = " & iDomainName & ") OR A.HomeDomain = " & iDomainName & " ORDER BY A.Login SET ROWCOUNT 0"
		Set rsDB = CreateObject("ADODB.Recordset")
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("MsgBoardBGColor2")
		sTextColor = DOMAIN_Color("MsgBoardTextColor2")
		For x = 1 To CDbl(iDBLoc)
			rsDB.MoveNext
		Next
		iMax = iNumPerPage
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageThreadLocking.sAction.value = sAction;
				document.ManageThreadLocking.submit();
			}
			
		</script>
		<form name='ManageThreadLocking' action='Default.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "iConfUnq"
		aVariables(4) = "iThreadUnq"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		aValues(3) = iConfUnq
		aValues(4) = iThreadUnq
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		sSQLText = "SELECT RawSubject FROM Message (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = 1"
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			sTempThreadName = Trim(rsMsgBoard("RawSubject"))
		End If
		rsMsgBoard.Close
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("MsgBoardPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("MSGBOARD_THREADLOCKING_HEAD")%></b></font>
					<bR><br>
					<font color='<%=DOMAIN_Color("MsgBoardPageText")%>'>
					<%
					Response.Write DOMAIN_Text("MSGBOARD_BOARDLOCKING_BOARD")
					Response.Write "<a href = '../ViewThreads/Default.asp?" & DOMAIN_Link("G") & "&sAction=1&iConfUnq=" & iConfUnq & "&iThreadUnq=" & iThreadUnq & "&iMsgUnq=" & iMsgUnq & "&iNumPerPage=" & iNumPerPage & "&iDisplayXDays=" & iDisplayXDays & "&iSortOrder=" & iSortOrder & "&bDisplayExpanded=" & bDisplayExpanded & "&sDisplay=" & sDisplay & "&sOpt=" & sOpt & "&sSortDate=" & sSortDate & "&sSortRating=" & sSortRating & "&sSortNumRead=" & sSortNumRead & "&sSortTopic=" & sSortTopic & "' class='MediumNavPage'> " & GetBoardName(iConfUnq, iDomainName) & "</a>"
					Response.Write "<BR>"
					Response.Write DOMAIN_Text("MSGBOARD_THREADLOCKING_THREAD")
					Response.Write "<a href = '../ViewMessages/Default.asp?" & DOMAIN_Link("G") & "&sAction=4&iConfUnq=" & iConfUnq & "&iThreadUnq=" & iThreadUnq & "&iMsgUnq=1&iNumPerPage=" & iNumPerPage & "&iDisplayXDays=" & iDisplayXDays & "&iSortOrder=" & iSortOrder & "&bDisplayExpanded=" & bDisplayExpanded & "&sDisplay=" & sDisplay & "&sOpt=" & sOpt & "&sSortDate=" & sSortDate & "&sSortRating=" & sSortRating & "&sSortNumRead=" & sSortNumRead & "&sSortTopic=" & sSortTopic & "' class='MediumNavPage'> " & sTempThreadName & "</a>"
					Response.Write "<BR><BR>"

					sSQLText = "SELECT AccountUnq, Status FROM LockedAccounts (NOLOCK) WHERE AccountUnq = -1 AND ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = 0"
					rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsMsgBoard.EOF ) Then
						bAllUsers = Trim(rsMsgBoard("Status"))
					Else
						bAllUsers = "-1"
					End If
					rsMsgBoard.Close
					
					sSQLText = "SELECT Status FROM LockedNonMember (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = 0"
					rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsMsgBoard.EOF ) Then
						bNonMembers = Trim(rsMsgBoard("Status"))
					Else
						bNonMembers = ""
					End If
					rsMsgBoard.Close
					%>
					<table border=0 cellpadding=0 cellspacing=0 width=100%>
						<tr>
							<td bgcolor=<%=sBGColor%> rowspan=4 align=center><font color='<%=sTextColor%>'><b><i>Nonmember (logged out) access:</td>
							<td colspan=4 bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor2")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
						</tr>
						<tr>
							<td bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor2")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_BOARDLOCKING_V_NOTHING")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_THREADLOCKING_LIST")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_THREADLOCKING_LIST_MSG")%></b></td>
							<td bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor2")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
						</tr>
						<tr>
							<td bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor2")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><input type='radio' name='bNonMembers' value=''<%If ( bNonMembers = "" ) Then Response.Write " checked" End If%>></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><input type='radio' name='bNonMembers' value='L'<%If ( bNonMembers = "L" ) Then Response.Write " checked" End If%>></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><input type='radio' name='bNonMembers' value='V'<%If ( bNonMembers = "V" ) Then Response.Write " checked" End If%>></td>
							<td bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor2")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
						</tr>
						<tr>
							<td bgcolor=<%=sBGColor%>></td>
							<td colspan=4 bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor2")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
						</tr>
					</table>
					<input type='hidden' name='bOldNonMembers' value='<%=bNonMembers%>'>
					<br><br><br>
					
					<table border=0 cellpadding=0 cellspacing=0>
						<tr>
							<td></td>
							<td colspan=6 bgcolor=<%=DOMAIN_Color("MsgBoardPageBorder")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
						</tr>
						<tr>
							<td></td>
							<td bgcolor=<%=DOMAIN_Color("MsgBoardPageBorder")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
							<td colspan=4><img src='/WS_Content/Images/Blank.gif' width=5><b><%=DOMAIN_Text("MSGBOARD_BOARDLOCKING_GIVEGLOBAL")%></td>
							<td bgcolor=<%=DOMAIN_Color("MsgBoardPageBorder")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
						</tr>
						<tr>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><i><%=DOMAIN_Text("MSGBOARD_BOARDLOCKING_IND_ACCESS")%></b></td>
							<td bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor2")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_BOARDLOCKING_V_NOTHING")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_THREADLOCKING_LIST")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_THREADLOCKING_LIST_MSG")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_THREADLOCKING_LIST_MSG_REPLY")%></b></td>
							<td bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor2")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
						</tr>
						<tr>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><input type='radio' name='bAllUsers' value='-1'<%If ( bAllUsers = "-1" ) Then Response.Write " checked" End If%>></td>
							<td bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor2")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><input type='radio' name='bAllUsers' value=''<%If ( bAllUsers = "" ) Then Response.Write " checked" End If%>></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><input type='radio' name='bAllUsers' value='L'<%If ( bAllUsers = "L" ) Then Response.Write " checked" End If%>></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><input type='radio' name='bAllUsers' value='V'<%If ( bAllUsers = "V" ) Then Response.Write " checked" End If%>></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><input type='radio' name='bAllUsers' value='R'<%If ( bAllUsers = "R" ) Then Response.Write " checked" End If%>></td>
							<td bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor2")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
						</tr>
						<tr>
							<td bgcolor=<%=sBGColor%>></td>
							<td colspan=6 bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor2")%>><img src='/WS_Content/Images/Blank.gif' width=1></td>
						</tr>
					</table>
					<input type='hidden' name='bOldAllUsers' value='<%=bAllUsers%>'>

					<br><br>
					<table cellpadding=0 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><img src='/WS_Content/Images/Blank.gif' Width=5 Height=15><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_BOARDLOCKING_LOGIN")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_BOARDLOCKING_V_NOTHING")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_THREADLOCKING_LIST")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_THREADLOCKING_LIST_MSG")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_THREADLOCKING_LIST_MSG_REPLY")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_BOARDLOCKING_GROUP")%></b></td>
						</tr>
						<tr><td colspan=7 bgcolor=<%=sBGColor%>><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
						<%
						Set rsMsgBoard2 = CreateObject("ADODB.Recordset")
						While ( NOT rsDB.EOF )
							If ( sBGColor = DOMAIN_Color("MsgBoardBGColor1") ) Then
								sBGColor = DOMAIN_Color("MsgBoardPageBGColor")
								sTextColor = DOMAIN_Color("MsgBoardPageText")
							Else
								sBGColor = DOMAIN_Color("MsgBoardBGColor1")
								sTextColor = DOMAIN_Color("MsgBoardTextColor1")
							End If
							sLogin = Replace(rsDB("Login"), "'", "&#39;")
							sAccountUnq = rsDB("AccountUnq")
							
							sSQLText = "SELECT Status FROM LockedAccounts (NOLOCK) WHERE AccountUnq = " & sAccountUnq & " AND ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = 0"
							rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsMsgBoard.EOF ) Then
								bCanView = Trim(rsMsgBoard("Status"))
							Else
								bCanView = bAllUsers
								If ( bCanView = "-1" ) Then
									bCanView = "R"
								End If
							End If
							rsMsgBoard.Close
							%>
							<tr><td colspan=7 bgcolor=<%=sBGColor%>><img src='/WS_Content/Images/Blank.gif' Width=1 Height=2></td></tr>
							<tr>
								<td bgcolor=<%=sBGColor%>><img src='/WS_Content/Images/Blank.gif' Width=5 Height=5><font color='<%=sTextColor%>'><%=sLogin%></td>
								<td bgcolor=<%=sBGColor%> align=center>
									<input type='radio' name='sViewable<%=sAccountUnq%>' value=''<%If ( bCanView = "" ) Then Response.Write " checked" End If%>>
								</td>
								<td bgcolor=<%=sBGColor%> align=center>
									<input type='radio' name='sViewable<%=sAccountUnq%>' value='L'<%If ( bCanView = "L" ) Then Response.Write " checked" End If%>>
								</td>
								<td bgcolor=<%=sBGColor%> align=center>
									<input type='radio' name='sViewable<%=sAccountUnq%>' value='V'<%If ( bCanView = "V" ) Then Response.Write " checked" End If%>>
								</td>
								<td bgcolor=<%=sBGColor%> align=center>
									<input type='radio' name='sViewable<%=sAccountUnq%>' value='R'<%If ( bCanView = "R" ) Then Response.Write " checked" End If%>>
									<input type='hidden' name='sOldViewable<%=sAccountUnq%>' value='<%=bCanView%>'>
									<input type='hidden' name='sAccountUnq<%=sAccountUnq%>' value='<%=sAccountUnq%>'>
								</td>
								<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'>
									<%
									bYesGroup = FALSE
									sSQLText = "SELECT G.GroupUnq FROM GroupMap M (NOLOCK), Groups G (NOLOCK) WHERE M.AccountUnq = " & sAccountUnq & " AND M.GroupUnq = G.GroupUnq AND G.DomainUnq = " & iDomainName & " AND G.DomainUnq = M.DomainUnq"
									rsMsgBoard2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									If ( NOT rsMsgBoard2.EOF ) Then
										Do While ( NOT rsMsgBoard2.EOF )
											sSQLText = "SELECT Status FROM LockedGroups (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND GroupUnq = " & rsMsgBoard2("GroupUnq") & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = 0"
											rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
											If ( NOT rsMsgBoard.EOF ) Then
												Response.Write Trim(rsMsgBoard("Status")) & "&nbsp;"
												bYesGroup = TRUE
											End If
											rsMsgBoard.Close
											rsMsgBoard2.MoveNext
										Loop
									End If
									If ( bYesGroup = FALSE ) Then
										Response.Write DOMAIN_Text("MSGBOARD_BOARDLOCKING_NO")
									End If
									rsMsgBoard2.Close
									%>
								</td>
							</tr>
							<tr><td colspan=7 bgcolor=<%=sBGColor%>><img src='/WS_Content/Images/Blank.gif' Width=1 Height=2></td></tr>
							<%
							rsDB.MoveNext
						Wend
						Set rsMsgBoard2 = Nothing
						%>
						<tr>
							<td colspan=7 align=right>
								<%Call PrintRecordsetNav( iNumPerPage, "DBConnection", "Accounts", "", "Default.asp", "iConfUnq=" & iConfUnq & "&iThreadUnq=" & iThreadUnq )%>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
		rsDB.Close
	End Sub
	'********************************************************************************

	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = """ & sURL & "?" & DOMAIN_Link("G") & "&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		Else
			sURLBeg = "<a href = """ & sURL & "?" & DOMAIN_Link("G") & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & """ class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & """  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("MsgBoardPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & """  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & """  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & """  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>
