<!--#INCLUDE FILE="../Includes/i_MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/Function/Functionality-MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Links.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<%
	Response.Buffer = TRUE
	Call DISP_Action("SB_MSGBOARD_TOPNAV_OPEN")
	Call DISP_Action("SB_MSGBOARD_TOPNAV")
	Call Main()
	Call DISP_Action("SB_MSGBOARD_CLOSE")
	Response.Flush
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		if bHasAccount then
			Call DisplayUserPreferences()
		else
			Response.Write DOMAIN_Text("MSGBOARD_PREF_HEAD_TEXT")
		end if
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Members only display and edit user preferences.									*
	'*																					*
	'************************************************************************************
	Sub DisplayUserPreferences()
		Dim bAdvanced, bEditOn, bDisplayThumbnails
		
		bAdvanced = Trim(Request("bAdvanced"))
		bEditOn = FALSE
		
		If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" ) Then					' site admin must turn it on
			If ( DOMAIN_Conf("MSGBOARD_EDIT-ON") = "YES" ) Then			' msgboard admin must turn it on
				bEditOn = TRUE
			End If
		End If
	
		if Request.Form.Count > 0 then
			' process their changes
			bDisplayExpanded	= Trim(Request("bDisplayExpanded"))
			bConvertEmoteicons	= Trim(Request("bConvertEmoteicons"))
			bDisplayThumbnails	= Trim(Request("bDisplayThumbnails"))
			
			Call ACCNT_WriteADV("SB_MB_DisplayExpanded", bDisplayExpanded, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
			Call ACCNT_WriteADV("SB_MB_ConvertEmoteicons", bConvertEmoteicons, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
			Call ACCNT_WriteADV("SB_MB_SigFile", ProfanityFilter(Request("HTMLDATA")), "T", iLoginAccountUnq, iDomainName, "PUBLIC")
			Call ACCNT_WriteADV("SB_MB_DISPTHUMBS", bDisplayThumbnails, "V", iLoginAccountUnq, iDomainName, "PUBLIC")
			
			iNumPerPage = Trim(Request("iNumPerPage"))
			If ( iNumPerPage = "" Or NOT IsNumeric(iNumPerPage) ) Then
				iNumPerPage					= ACCNT_ReturnADV("SB_MB_NumPerPage", "V", iLoginAccountUnq, 2, "PRIVATE")
				If ( iNumPerPage = "" ) Then
					Call ACCNT_WriteADV("SB_MB_NumPerPage", "10", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
					iNumPerPage = "10"
				End If
			Else
				Call ACCNT_WriteADV("SB_MB_NumPerPage", iNumPerPage, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
			End If
			
			iDisplayXDays = Trim(Request("iDisplayXDays"))
			If ( iDisplayXDays = "" Or NOT IsNumeric(iDisplayXDays) ) Then
				iDisplayXDays					= ACCNT_ReturnADV("SB_MB_DisplayXDays", "V", iLoginAccountUnq, 2, "PRIVATE")
				If ( iDisplayXDays = "" ) Then
					Call ACCNT_WriteADV("SB_MB_DisplayXDays", "60", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
					iDisplayXDays = "60"
				End If
			Else
				Call ACCNT_WriteADV("SB_MB_DisplayXDays", iDisplayXDays, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
			End If

			bAppendSig = Request("bAppendSig")
			If ( Trim(bAppendSig) = "" ) Then
				Call ACCNT_WriteADV("SB_MB_bAppendSig", "N", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
			Else
				Call ACCNT_WriteADV("SB_MB_bAppendSig", "Y", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
			End If

			Call DOMAIN_Message(DOMAIN_Text("MSGBOARD_PREF_SUCCESS"), "SUCCESS")
		end if
		

		%>
		<script language = "javascript">

			function scriptForm_onsubmit() {
				<%If ( bAdvanced = "F" ) And ( bEditOn = TRUE ) Then%>
				document.EditPreferences.HTMLDATA.value = document.SBEditor.getHTMLData("http://");
				<%End If%>
			}
		
		</script>
		<form onsubmit="return scriptForm_onsubmit()" action = "Default.asp?<%=DOMAIN_Link("G")%>" method = "POST" name="EditPreferences">
		<%Call G_STRUCTURE_HeaderBar(DOMAIN_Text("MSGBOARD_PREF_HEADER_IMAGE"), DOMAIN_Text("MSGBOARD_PREF_HEADER"), "", "MsgBoard")%>
		<table width=<%=iTableWidth%> cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("MsgBoardBorderColor1")%> align=center>
		<table cellpadding=5 width=<%=iTableWidth%> cellspacing = 1 border = 0>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%>>
					<table cellpadding=0 cellspacing=0 border=0><tr><td>
					<a href = "MemberIcons/Default.asp?<%=DOMAIN_Link("G")%>&sAction=<%=sAction%>&iConfUnq=<%=iConfUnq%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>"><img src = "../Images/Icons/<%=sIcon%>" border = 0></a>
					</td><td>&nbsp;&nbsp;</td><td>
					<a href = "MemberIcons/Default.asp?<%=DOMAIN_Link("G")%>&sAction=<%=sAction%>&iConfUnq=<%=iConfUnq%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>"><img src="../Images/SchemeBased/<%=iTextScheme%>/<%=iColorScheme%>/<%=DOMAIN_Text("MSGBOARD_PREF_CHOOSE_ICON_IMAGE")%>" border=0 alt="<%=DOMAIN_Text("MSGBOARD_PREF_CHOOSE_ICON")%>" style="BORDER: none; vertical-align: middle;"></a>
					</td></tr></table>
				</td>
			</tr>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%>>
					<table cellpadding=0 cellspacing=0 border=0><tr><td>
					<font color='<%=DOMAIN_Color("MsgBoardTextColor1")%>'>
					<b><%=DOMAIN_Text("MSGBOARD_PREF_DISP_DAYS")%></b>
					</td><td>&nbsp;&nbsp;</td><td>
					<input type = "text" maxlength = 3 size = 3 name = "iDisplayXDays" value = "<%=iDisplayXDays%>">
					</td></tr></table>
					<%=DOMAIN_Text("MSGBOARD_PREF_DISP_DAYS_DESC")%>
				</td>
			</tr>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardPageBGColor")%>>
					<table cellpadding=0 cellspacing=0 border=0><tr><td>
					<font color='<%=DOMAIN_Color("MsgBoardPageText")%>'>
					<b><%=DOMAIN_Text("MSGBOARD_PREF_NUM_PER_PAGE")%></b>
					</td><td>&nbsp;&nbsp;</td><td>
					<input type = "text" maxlength = 3 size = 3 name = "iNumPerPage" value = "<%=iNumPerPage%>">
					</td></tr></table>
					<%=DOMAIN_Text("MSGBOARD_PREF_NUM_PER_PAGE_DESC")%>
				</td>
			</tr>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%>>
					<table cellpadding=0 cellspacing=0 border=0><tr><td>
					<font color='<%=DOMAIN_Color("MsgBoardTextColor1")%>'>
					<b><%=DOMAIN_Text("MSGBOARD_PREF_DISP_EXP")%></b> 
					</td><td>&nbsp;&nbsp;</td><td>
					<%=DOMAIN_Text("MSGBOARD_PREF_YES")%>: <input type = "radio" name = "bDisplayExpanded" value = "y"<%if bDisplayExpanded = "y" then Response.Write " checked" end if%>> 
					<%=DOMAIN_Text("MSGBOARD_PREF_NO")%>: <input type = "radio" name = "bDisplayExpanded" value = "n"<%if bDisplayExpanded = "n" then Response.Write " checked" end if%>>
					</td></tr></table>
					<%=DOMAIN_Text("MSGBOARD_PREF_DISP_EXP_DESC")%>
				</td>
			</tr>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardPageBGColor")%>>
					<table cellpadding=0 cellspacing=0 border=0><tr><td>
					<font color='<%=DOMAIN_Color("MsgBoardPageText")%>'>
					<b><%=DOMAIN_Text("MSGBOARD_PREF_CONV_ICONS")%></b> 
					</td><td>&nbsp;&nbsp;</td><td>
					<%=DOMAIN_Text("MSGBOARD_PREF_YES")%>: <input type = "radio" name = "bConvertEmoteicons" value = "Y"<%if bConvertEmoteicons = "Y" then Response.Write " checked" end if%>> 
					<%=DOMAIN_Text("MSGBOARD_PREF_NO")%>: <input type = "radio" name = "bConvertEmoteicons" value = "N"<%if bConvertEmoteicons = "N" then Response.Write " checked" end if%>>
					</td></tr></table>
					<%=DOMAIN_Text("MSGBOARD_PREF_CONV_ICONS_DESC")%>
					<br>
					<a href = "../EmoteIcons/Default.asp?<%=DOMAIN_Link("G")%>&sAction=<%=sAction%>&iConfUnq=<%=iConfUnq%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>" class='MediumNavPage'><%=DOMAIN_Text("MSGBOARD_PREF_ICON_LIST")%></a>
				</td>
			</tr>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%>>
					<table cellpadding=0 cellspacing=0 border=0><tr><td>
					<font color='<%=DOMAIN_Color("MsgBoardTextColor1")%>'>
					<b><%=DOMAIN_Text("MSGBOARD_PREF_APPEND_SIG")%></b>
					</td><td>&nbsp;&nbsp;</td><td>
					<input type = "checkbox" name = "bAppendSig" value = "Y" <%if bAppendSig = "Y" then Response.Write " checked" end if%>>
					</td></tr></table>
					<%=DOMAIN_Text("MSGBOARD_PREF_APPEND_SIG_DESC")%>
				</td>
			</tr>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardPageBGColor")%>>
					<table cellpadding=0 cellspacing=0 border=0><tr><td>
					<font color='<%=DOMAIN_Color("MsgBoardPageText")%>'>
					<b><%=DOMAIN_Text("MSGBOARD_DISP_THUMB")%></b> 
					</td><td>&nbsp;&nbsp;</td><td>
					<%=DOMAIN_Text("MSGBOARD_PREF_YES")%>: <input type = "radio" name = "bDisplayThumbnails" value = "Y"<%if bDisplayThumbnails = "Y" then Response.Write " checked" end if%>> 
					<%=DOMAIN_Text("MSGBOARD_PREF_NO")%>: <input type = "radio" name = "bDisplayThumbnails" value = "N"<%if bDisplayThumbnails = "N" then Response.Write " checked" end if%>>
					</td></tr></table>
					<%=DOMAIN_Text("MSGBOARD_DISP_THUMB_DESC")%>
				</td>
			</tr>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardPageBGColor")%> align=center>
					<table cellpadding=0 cellspacing=0 border=0>
						<tr>
							<td><font color='<%=DOMAIN_Color("MsgBoardPageText")%>'><b><%=DOMAIN_Text("MSGBOARD_PREF_SIG")%></b></td>
							<td align=right>
								<%
								Call DOMAIN_Link_Clear()
								Call G_LINK_WYSIWYG_Standard_Editor_WhiteBG(bEditOn, bAdvanced)
								%>
							</td>
						</tr>
						<tr>
							<td colspan=2>
								<%If ( bAdvanced = "F" ) And ( bEditOn = TRUE ) Then%>
									<INPUT name="HTMLDATA" type="hidden" value="">
									<INPUT name="bAdvanced" type="hidden" value="F">
									<APPLET  code="EditorApplet" archive="edit-on-pro-signed.jar,ssce.jar" height=300 name=SBEditor id=SBEditor width=<%=DOMAIN_Conf("MSGBOARD_EDIT-ON_WIDTH")%> VIEWASTEXT MAYSCRIPT>
										<param name="LICENSEKEY" value="<%=DOMAIN_Conf("EDIT-ON_LICENSEKEY")%>">
										<PARAM name="CODEBASE" value="/WS_Content/Edit-On/eopro/">
										<PARAM name="CABBASE" value="edit-on-pro-signed.cab,ssce.cab">
										<param name="TOOLBARURL" value="toolbar-sample.xml">
										<param name="TEXTMODE" value="FALSE">
										<param name="SOURCEVIEW" value="TRUE">
										<param name="DEFAULTBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("MsgBoardPageBGColor")%>">
										<param name="DEFAULTFONTCOLOR" value="#<%=DOMAIN_Color("MsgBoardPageText")%>">
										<param name="DEFAULTLINKCOLOR" value="#<%=DOMAIN_Color("MsgBoardPageLinkColor")%>">
										<param name="STARTUPSCREENTEXTCOLOR" value="#<%=DOMAIN_Color("MsgBoardPageText")%>">
										<param name="STARTUPSCREENBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("MsgBoardPageBGColor")%>">
										<param name="SETHTMLDATAURL" value="EditOn/SetSig.asp?<%=DOMAIN_Link("G")%>">
										<param name="SIMPLETABLE" value="true">
										<param name="INSERTTEXT_HTML" value="true">
										<param name="BODYONLY" value="TRUE">
										<param name="IMAGEROOT" value="<%=DOMAIN_Conf("MSGBOARD_EDIT-ON_IMAGEROOT")%>">
										<param name="LOCALEURL" value="/WS_Content/Edit-On/eopro/LocaleURL.asp?iDomainUnq=<%=iDomainName%>&sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! keep the sTextConst here so it's easly customizable from system-to-system (if it's hardcoded in the LocaleURL.asp then can't change language from system-to-system) >
										<!param name="HELP" value="/WS_Content/Edit-On/eopro/eophelp/eopHelp.asp?sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! Use the SiteBeater Help in the top-left of the top nav >
										<%If ( DOMAIN_Conf("RADIO_EDIT-ON_IMAGEPROXYURL") <> "" ) Then%>
										<param name="IMAGEPROXYURL" value="http://<%=DOMAIN_Conf("MSGBOARD_EDIT-ON_IMAGEPROXYURL")%>/cgi-bin/imageproxy.asp">
										<%End If%>
										<PARAM NAME="spellcheckproperties" VALUE="<%=DOMAIN_Conf("MSGBOARD_EDIT-ON_SPELLCHECKPROPERTIES")%>">
									</APPLET>
								<%Else%>
									<INPUT name="bAdvanced" type="hidden" value="T">
									<TEXTAREA COLS=<%=iFormColumns%> ROWS=10 WRAP="soft" NAME="HTMLDATA"><%=Server.HTMLEncode(ACCNT_ReturnADV("SB_MB_SigFile", "T", iLoginAccountUnq, 2, "PRIVATE"))%></TEXTAREA>
								<%End If%>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		</td></tr></table>
		<input type='image' src="../Images/SchemeBased/<%=iTextScheme%>/<%=iColorScheme%>/<%=DOMAIN_Text("MSGBOARD_PREF_SAVE_IMAGE")%>" style="BORDER: none; vertical-align: sub;">
		</form>
		<%
		Call G_LINK_Return_To_MB_Index()
	End Sub
	'************************************************************************************
%>