<%
	'************************************************************************************
	'*																					*
	'*	Enters in the Accounting Data Variables (ADV).									*
	'*																					*
	'************************************************************************************
	Sub ADV()

		' Insert the actual ADV's
		' Insert each ADV into it's own group on this first domain - by making each of the last numbers unique
		'	starting at the last one from the Foundation installation
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_DateLastVisit','V','Date/Time Last Visit','Y','N',DomainUnq,2,'',50 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_DisplayXDays','V','Display messages younger than this many days: ','Y','Y',DomainUnq,2,'',51 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_NumPerPage','V','Number of messages to display per page: ','Y','Y',DomainUnq,2,'',52 FROM DomainInfo"
		'DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_DisplayEmail','V','Display your email on messages (Y/N)? ','Y','Y',DomainUnq,2,'',53 FROM DomainInfo"
		' displaying the email depends on if they set their email address as Public or Hidden on the personal info editing page
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_SortOrder','V','Sort Order','Y','N',DomainUnq,2,'',54 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_DisplayExpanded','V','Display boards expanded by default? ','Y','Y',DomainUnq,2,'',55 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_ConvertEmoteicons','V','Convert emote-icons by default? ','Y','Y',DomainUnq,2,'',56 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_bAppendSig','V','Append your signature to all messages? ','Y','Y',DomainUnq,2,'',57 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_SigFile','T','Your Signature: ','Y','Y',DomainUnq,2,'',58 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_Icon','V','Icon','Y','N',DomainUnq,2,'',59 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_LAST_IP','V','Last IP Address: ','N','N',DomainUnq,2,'',60 FROM DomainInfo"
		
		' Do not remove these ADV's as they are used as data storage within the Message Board System itself...for each user.
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_OpenConf','V','OpenConf','Y','N',DomainUnq,2,'',61 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_NUM_POSTS','V','Num Posts: ','N','N',DomainUnq,2,'',0 FROM DomainInfo"
		
		' Insert either blank (so there's an entry for the system to edit) or filled ADV data
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_DateLastVisit',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_DisplayXDays',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_NumPerPage',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_SortOrder',AccountUnq,'39157','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_DisplayExpanded',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_ConvertEmoteicons',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_bAppendSig',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_SigFile',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_Icon',AccountUnq,'','','PUBLIC', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_LAST_IP',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_OpenConf',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_NUM_POSTS',AccountUnq,'0','','PUBLIC', HomeDomain, 'T', GetDate() FROM Accounts"
		
		' ADVs associated with uploading attachments to messages
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_NUMUPLOAD','V','Number of files the user is allowed to attach each day (-1 infinite): ','N','N',DomainUnq,2,'',0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_NUMUPLOAD_TODAY','V','# of files the user attached the day they last attached a file: ','N','N',DomainUnq,2,'',0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_NUMUPLOAD_LASTDATE','V','Last date/time the user uploaded an attachment: ','N','N',DomainUnq,2,'',0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_UPLOADTYPE','V','File types user can upload (seperate with space): ','N','N',DomainUnq,2,'',0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_UPLOADBYTES','V','Max attachment size user can upload in bytes (-1 infinite): ','N','N',DomainUnq,2,'',0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_TTLUPLOADABLE','V','Num bytes user allows to upload (-1 infinite): ','N','N',DomainUnq,2,'',0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_TTLUPLOADED','V','Num bytes user has uploaded: ','N','N',DomainUnq,2,'',0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO AccountMap SELECT 'SB_MB_DISPTHUMBS','V','Display attachment thumbnails (Y/N): ','N','N',DomainUnq,2,'',0 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_NUMUPLOAD',AccountUnq,'-1','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_NUMUPLOAD_TODAY',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_NUMUPLOAD_LASTDATE',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_UPLOADTYPE',AccountUnq,'gif jpg png txt zip bmp jpeg pdf doc','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_UPLOADBYTES',AccountUnq,'250000','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_TTLUPLOADABLE',AccountUnq,'10000000','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_TTLUPLOADED',AccountUnq,'','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"
		DBConnection.Execute "INSERT INTO AccountData SELECT 'SB_MB_DISPTHUMBS',AccountUnq,'Y','','PRIVATE', HomeDomain, 'T', GetDate() FROM Accounts"

	End Sub
	'************************************************************************************
%>